/*! @file    main.c
 *  @brief   PWR 进入低功耗模式
 *  @version 2021-06-29  V1.0.0
 *
 * Copyright (C) 2020-2030 NCC Limited. All rights reserved.
 *
 * THIS SOFTWARE IS PROVIDED BY NCC "AS IS" AND ANY EXPRESSED OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL NCC OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
 * IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGE.
 */



#include "nccm0670_pwr.h"
#include "nccm0670_rcc.h"
#include "nccm0670_gpio.h"

int main(void)
{
	/* 打开外设时钟 */
	RCC_EnablePeripheralClock(RCC_GPIOA);
	RCC_EnablePeripheralClock(RCC_GPIOB);
	RCC_EnablePeripheralClock(RCC_GPIOC);
	RCC_EnablePeripheralClock(RCC_PWR);

	GPIO_SetPinMode(GPIOA, GPIO_MODE_OUTPUT, GPIO_NOPULL, GPIO_PIN_ALL);
	GPIO_ClearPins(GPIOA, GPIO_PIN_ALL);
	GPIO_SetPinMode(GPIOB, GPIO_MODE_OUTPUT, GPIO_NOPULL, GPIO_PIN_ALL);
	GPIO_ClearPins(GPIOB, GPIO_PIN_ALL);
	GPIO_SetPinMode(GPIOC, GPIO_MODE_OUTPUT, GPIO_NOPULL, GPIO_PIN_ALL);
	GPIO_ClearPins(GPIOC, GPIO_PIN_ALL);

	PWR_SetBandgapPowerDown(ENABLE);
	
	PWR_SetBorLevel(PWR_BOR_LEVEL_NONE);
	/* 进入STOP模式，并将LDO关闭 */
	PWR_EnterStopMode(PWR_LOWPOWERREGULATOR_OFF, PWR_LOWPOWER_ENTRY_WFI); 

	while (1)
		;
}