/*
 * Copyright (c) 2020-2030 NCC Limited. All rights reserved. 
 *
 * @file     nccm0670.h
 * @brief    CMSIS HeaderFile
 * @version  1.0
 * @date     06. July 2023
 * @note     Generated by SVDConv V3.3.21 on Thursday, 06.07.2023 09:24:49
 *           from File '../out/nccm0670.svd',
 *           last modified on Thursday, 06.07.2023 01:24:48
 */



/** @addtogroup 
  * @{
  */


/** @addtogroup nccm0670
  * @{
  */


#ifndef NCC0670_H
#define NCC0670_H

#ifdef __cplusplus
extern "C" {
#endif


/** @addtogroup Configuration_of_CMSIS
  * @{
  */



/* =========================================================================================================================== */
/* ================                                Interrupt Number Definition                                ================ */
/* =========================================================================================================================== */

typedef enum {
/* =======================================  ARM Cortex-M0 Specific Interrupt Numbers  ======================================== */
  Reset_IRQn                = -15,              /*!< -15  Reset Vector, invoked on Power up and warm reset                     */
  NonMaskableInt_IRQn       = -14,              /*!< -14  Non maskable Interrupt, cannot be stopped or preempted               */
  HardFault_IRQn            = -13,              /*!< -13  Hard Fault, all classes of Fault                                     */
  SVCall_IRQn               =  -5,              /*!< -5 System Service Call via SVC instruction                                */
  PendSV_IRQn               =  -2,              /*!< -2 Pendable request for system service                                    */
  SysTick_IRQn              =  -1,              /*!< -1 System Tick Timer                                                      */
/* =========================================  nccm0670 Specific Interrupt Numbers  ========================================== */
  WWDG_IRQn                 =   0,              /*!< 0  Window watchdog interrupt                                              */
  PWR_IRQn                  =   1,              /*!< 1  PWR interrupt(combined with EXTI 18)                                   */
  FLASH_IRQn                =   3,              /*!< 3  Flash global interrupt                                                 */
  RCC_IRQn                  =   4,              /*!< 4  RCC global interrupt                                                   */
  EXTI0_1_IRQn              =   5,              /*!< 5  EXTI line 0 & 1 interrupt                                              */
  EXTI2_3_IRQn              =   6,              /*!< 6  EXTI line 2 & 3 interrupt                                              */
  EXTI4_15_IRQn             =   7,              /*!< 7  EXTI line 4 to 15 interrupt                                            */
  ADC_IRQn                  =  12,              /*!< 12 ADC global interrupt                                                   */
  TOUCH_IRQn                =  13,              /*!< 13 TOUCH interrupt(combined with EXTI 19)                                 */
  AWU_IRQn                  =  14,              /*!< 14 AWU interrupt (combined to EXTI line 20)                               */
  TIM2_IRQn                 =  16,              /*!< 16 TIM2 global interrupt                                                  */
  TIM6_IRQn                 =  17,              /*!< 17 TIM6 global interrupt                                                  */
  TIM7_IRQn                 =  18,              /*!< 18 TIM7 global interrupt                                                  */
  TIM10_IRQn                =  20,              /*!< 20 TIM10 global interrupt                                                 */
  TIM16_IRQn                =  21,              /*!< 21 TIM16 global interrupt                                                 */
  LPUART1_IRQn              =  22,              /*!< 22 LPUART1 interrupt(combined with EXTI 20)                               */
  I2C1_IRQn                 =  23,              /*!< 23 I2C1 global interrupt                                                  */
  SPI1_IRQn                 =  25,              /*!< 25 SPI1 global interrupt(combined with EXTI 22)                           */
  USART1_IRQn               =  27               /*!< 27 USART1 global interrupt                                                */
} IRQn_Type;



/* =========================================================================================================================== */
/* ================                           Processor and Core Peripheral Section                           ================ */
/* =========================================================================================================================== */

/* ===========================  Configuration of the ARM Cortex-M0 Processor and Core Peripherals  =========================== */
#define __CM0_REV                 0x0000U       /*!< CM0 Core Revision                                                         */
#define __NVIC_PRIO_BITS               2        /*!< Number of Bits used for Priority Levels                                   */
#define __Vendor_SysTickConfig         0        /*!< Set to 1 if different SysTick Config is used                              */
#define __MPU_PRESENT                  0        /*!< MPU present or not                                                        */
#define __FPU_PRESENT                  0        /*!< FPU present or not                                                        */


/** @} */ /* End of group Configuration_of_CMSIS */

#include "core_cm0.h"                           /*!< ARM Cortex-M0 processor and core peripherals                              */
#include "system_nccm0670.h"                   /*!< nccm0670 System                                                          */

#ifndef __IM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __IM   __I
#endif
#ifndef __OM                                    /*!< Fallback for older CMSIS versions                                         */
  #define __OM   __O
#endif
#ifndef __IOM                                   /*!< Fallback for older CMSIS versions                                         */
  #define __IOM  __IO
#endif


/* ========================================  Start of section using anonymous unions  ======================================== */
#if defined (__CC_ARM)
  #pragma push
  #pragma anon_unions
#elif defined (__ICCARM__)
  #pragma language=extended
#elif defined(__ARMCC_VERSION) && (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic push
  #pragma clang diagnostic ignored "-Wc11-extensions"
  #pragma clang diagnostic ignored "-Wreserved-id-macro"
  #pragma clang diagnostic ignored "-Wgnu-anonymous-struct"
  #pragma clang diagnostic ignored "-Wnested-anon-types"
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
                                                                          
                                                                                                                          
#else
  #warning Not supported compiler type
#endif


/* =========================================================================================================================== */
/* ================                            Device Specific Peripheral Section                             ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Analog to Digital Converter instance (ADC)
  */

typedef struct {                                /*!< (@ 0x40012400) ADC Structure                                              */
  __IM  uint32_t  VER;                          /*!< (@ 0x00000000) ADC Version register                                       */
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000004) ADC control register                                       */
  __IM  uint32_t  DATA;                         /*!< (@ 0x00000008) ADC data register                                          */
  __IOM uint32_t  IER;                          /*!< (@ 0x0000000C) ADC interrupt enable register                              */
  __IM  uint32_t  ISR;                          /*!< (@ 0x00000010) ADC interrupt status and flag register                     */
  __OM  uint32_t  ICR;                          /*!< (@ 0x00000014) ADC interrupt status clear register                        */
  __IOM uint32_t  CFG;                          /*!< (@ 0x00000018) ADC trigger control registers                              */
  __IOM uint32_t  REFH;                         /*!< (@ 0x0000001C) ADC upper limit comparison register                        */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  REFL;                         /*!< (@ 0x00000024) ADC lower limit comparison register                        */
} ADC_Type;                                     /*!< Size = 40 (0x28)                                                          */



/* =========================================================================================================================== */
/* ================                                            AWU                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Wake-up Timer (AWU)
  */

typedef struct {                                /*!< (@ 0x40001C00) AWU Structure                                              */
  __IOM uint32_t  BUZCON;                       /*!< (@ 0x00000000) Buzz Control Register                                      */
  __IOM uint32_t  AWUCON;                       /*!< (@ 0x00000004) Wake-up Register1                                          */
} AWU_Type;                                     /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                           TIM6                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Basic timers (TIM6)
  */

typedef struct {                                /*!< (@ 0x40001000) TIM6 Structure                                             */
  __IM  uint32_t  IP_VERSION;                   /*!< (@ 0x00000000) IP version register                                        */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000004) control register 1                                         */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000008) control register 2                                         */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  IER;                          /*!< (@ 0x00000010) Interrupt enable register                                  */
  __IOM uint32_t  SR1;                          /*!< (@ 0x00000014) status register 1                                          */
  __IM  uint32_t  RESERVED1;
  __OM  uint32_t  EGR;                          /*!< (@ 0x0000001C) event generation register                                  */
  __IOM uint32_t  CNT;                          /*!< (@ 0x00000020) counter                                                    */
  __IOM uint32_t  PSC;                          /*!< (@ 0x00000024) prescaler                                                  */
  __IOM uint32_t  ARR;                          /*!< (@ 0x00000028) auto-reload register                                       */
} BTIM_Type;                                    /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Cyclic redundancy check calculation unit (CRC)
  */

typedef struct {                                /*!< (@ 0x40023000) CRC Structure                                              */
  __IM  uint32_t  IP_VERSION;                   /*!< (@ 0x00000000) IP version register                                        */
  __IOM uint32_t  DR;                           /*!< (@ 0x00000004) Data register                                              */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000008) Control register                                           */
  __IOM uint32_t  INIT;                         /*!< (@ 0x0000000C) Initial CRC value                                          */
} CRC_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                            DBG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Debug support (DBG)
  */

typedef struct {                                /*!< (@ 0x40015800) DBG Structure                                              */
  __IOM uint32_t  RESV;                         /*!< (@ 0x00000000) Not used                                                   */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) DBG configuration register                                 */
  __IOM uint32_t  APB_FZ1;                      /*!< (@ 0x00000008) DBG freeze register 1                                      */
  __IOM uint32_t  APB_FZ2;                      /*!< (@ 0x0000000C) DBG freeze register 2                                      */
} DBG_Type;                                     /*!< Size = 16 (0x10)                                                          */



/* =========================================================================================================================== */
/* ================                                           EXTI                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief External interrupt/event controller (EXTI)
  */

typedef struct {                                /*!< (@ 0x40021800) EXTI Structure                                             */
  __IOM uint32_t  RTSR;                         /*!< (@ 0x00000000) EXTI rising trigger selection register                     */
  __IOM uint32_t  FTSR;                         /*!< (@ 0x00000004) EXTI falling trigger selection register                    */
  __IOM uint32_t  SWIER;                        /*!< (@ 0x00000008) EXTI software interrupt event register                     */
  __IOM uint32_t  RPR;                          /*!< (@ 0x0000000C) EXTI rising edge pending register                          */
  __IOM uint32_t  FPR;                          /*!< (@ 0x00000010) EXTI falling edge pending register                         */
  __IM  uint32_t  RESERVED[19];
  __IOM uint32_t  EXTICR[4];                    /*!< (@ 0x00000060) EXTI external interrupt selection register                 */
  __IM  uint32_t  RESERVED1[4];
  __IOM uint32_t  IMR;                          /*!< (@ 0x00000080) EXTI CPU wakeup with interrupt mask register               */
  __IOM uint32_t  EMR;                          /*!< (@ 0x00000084) EXTI CPU wakeup with event mask register                   */
} EXTI_Type;                                    /*!< Size = 136 (0x88)                                                         */



/* =========================================================================================================================== */
/* ================                                           FLASH                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Embedded flash memory (FLASH)
  */

typedef struct {                                /*!< (@ 0x40020C00) FLASH Structure                                            */
  __IM  uint32_t  IP_VERSION;                   /*!< (@ 0x00000000) IP version                                                 */
  __IOM uint32_t  ADDR;                         /*!< (@ 0x00000004) Flash operation address register                           */
  __IOM uint32_t  DATA;                         /*!< (@ 0x00000008) Flash operation data register                              */
  __IOM uint32_t  CTRL;                         /*!< (@ 0x0000000C) Flash control register                                     */
  __IOM uint32_t  WAIT;                         /*!< (@ 0x00000010) Flash read operation wait time                             */
  __IOM uint32_t  CFG_RELOAD;                   /*!< (@ 0x00000014) Reload user configuration area register                    */
  __IOM uint32_t  IEN;                          /*!< (@ 0x00000018) Flash interrupt enable register                            */
  __IOM uint32_t  ISR;                          /*!< (@ 0x0000001C) FLASH interrupt status register                            */
  __IM  uint32_t  RESERVED[216];
  __IM  uint32_t  CFG_INFO0;                    /*!< (@ 0x00000380) Configure information 0                                    */
  __IM  uint32_t  CFG_INFO1;                    /*!< (@ 0x00000384) Configure information 1                                    */
  __IM  uint32_t  RESERVED1[2];
  __IOM uint32_t  RDPROT0;                      /*!< (@ 0x00000390) Flash read protect 0                                       */
  __IM  uint32_t  RESERVED2[3];
  __IOM uint32_t  WRPROT0;                      /*!< (@ 0x000003A0) Flash write protect 0                                      */
} FLASH_Type;                                   /*!< Size = 932 (0x3a4)                                                        */



/* =========================================================================================================================== */
/* ================                                           GPIOA                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General-purpose I/Os (GPIOA)
  */

typedef struct {                                /*!< (@ 0x48000000) GPIOA Structure                                            */
  __IOM uint32_t  MODER;                        /*!< (@ 0x00000000) GPIO port mode register                                    */
  __IOM uint32_t  OTYPER;                       /*!< (@ 0x00000004) GPIO port output type register                             */
  __IOM uint32_t  OSPEEDR;                      /*!< (@ 0x00000008) GPIO port output speed register                            */
  __IOM uint32_t  PUPDR;                        /*!< (@ 0x0000000C) GPIO port pull-up/pull-down register                       */
  __IM  uint32_t  IDR;                          /*!< (@ 0x00000010) GPIO port input data register                              */
  __IOM uint32_t  ODR;                          /*!< (@ 0x00000014) GPIO port output data register                             */
  __OM  uint32_t  BSRR;                         /*!< (@ 0x00000018) GPIO port bit set/reset register                           */
  __IOM uint32_t  LCKR;                         /*!< (@ 0x0000001C) GPIO port configuration lock register                      */
  __IOM uint32_t  AFRL;                         /*!< (@ 0x00000020) GPIO alternate function low register                       */
  __IOM uint32_t  AFRH;                         /*!< (@ 0x00000024) GPIO alternate function high register                      */
  __OM  uint32_t  BRR;                          /*!< (@ 0x00000028) port bit reset register                                    */
} GPIO_Type;                                    /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           TIM16                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief General purpose timers (TIM16)
  */

typedef struct {                                /*!< (@ 0x40014400) TIM16 Structure                                            */
  __IM  uint32_t  IP_VERSION;                   /*!< (@ 0x00000000) IP version register                                        */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000004) control register 1                                         */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000008) control register 2                                         */
  __IOM uint32_t  SMCR;                         /*!< (@ 0x0000000C) slave mode control register                                */
  __IOM uint32_t  IER;                          /*!< (@ 0x00000010) Interrupt enable register                                  */
  __IOM uint32_t  SR1;                          /*!< (@ 0x00000014) status register 1                                          */
  __IOM uint32_t  SR2;                          /*!< (@ 0x00000018) status register 2                                          */
  __OM  uint32_t  EGR;                          /*!< (@ 0x0000001C) event generation register                                  */
  __IM  uint32_t  CNT;                          /*!< (@ 0x00000020) counter                                                    */
  __IOM uint32_t  PSC;                          /*!< (@ 0x00000024) prescaler                                                  */
  __IOM uint32_t  ARR;                          /*!< (@ 0x00000028) auto-reload register                                       */
  __IM  uint32_t  RESERVED[5];
  
  union {
    __IOM uint32_t CCMR1_Output;                /*!< (@ 0x00000040) capture/compare 1 mode register (output mode)              */
    __IOM uint32_t CCMR1_Input;                 /*!< (@ 0x00000040) capture/compare 1 mode register (input mode)               */
  };
  __IOM uint32_t  CCER1;                        /*!< (@ 0x00000044) capture/compare 1 enable register 1                        */
  __IOM uint32_t  CCR1;                         /*!< (@ 0x00000048) capture/compare 1 register                                 */
  __IOM uint32_t  DTR1;                         /*!< (@ 0x0000004C) dead-time register                                         */
  __IM  uint32_t  RESERVED1[4];
  
  union {
    __IOM uint32_t CCMR2_Output;                /*!< (@ 0x00000060) capture/compare 2 mode register (output mode)              */
    __IOM uint32_t CCMR2_Input;                 /*!< (@ 0x00000060) capture/compare 2 mode register (input mode)               */
  };
  __IOM uint32_t  CCER2;                        /*!< (@ 0x00000064) capture/compare 2 enable register 2                        */
  __IOM uint32_t  CCR2;                         /*!< (@ 0x00000068) capture/compare 2 register                                 */
  __IOM uint32_t  DTR2;                         /*!< (@ 0x0000006C) dead-time register                                         */
  __IM  uint32_t  RESERVED2[4];
  
  union {
    __IOM uint32_t CCMR3_Output;                /*!< (@ 0x00000080) capture/compare 3 mode register (output mode)              */
    __IOM uint32_t CCMR3_Input;                 /*!< (@ 0x00000080) capture/compare 3 mode register (input mode)               */
  };
  __IOM uint32_t  CCER3;                        /*!< (@ 0x00000084) capture/compare 3 enable register 3                        */
  __IOM uint32_t  CCR3;                         /*!< (@ 0x00000088) capture/compare 3 register                                 */
  __IOM uint32_t  DTR3;                         /*!< (@ 0x0000008C) dead-time register                                         */
  __IM  uint32_t  RESERVED3[4];
  
  union {
    __IOM uint32_t CCMR4_Output;                /*!< (@ 0x000000A0) capture/compare 4 mode register (output mode)              */
    __IOM uint32_t CCMR4_Input;                 /*!< (@ 0x000000A0) capture/compare 4 mode register (input mode)               */
  };
  __IOM uint32_t  CCER4;                        /*!< (@ 0x000000A4) capture/compare 4 enable register 4                        */
  __IOM uint32_t  CCR4;                         /*!< (@ 0x000000A8) capture/compare 4 register                                 */
  __IOM uint32_t  DTR4;                         /*!< (@ 0x000000AC) dead-time register                                         */
} GTIM_Type;                                    /*!< Size = 176 (0xb0)                                                         */



/* =========================================================================================================================== */
/* ================                                           I2C1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Inter-integrated circuit (I2C1)
  */

typedef struct {                                /*!< (@ 0x40005400) I2C1 Structure                                             */
  __IM  uint32_t  VER;                          /*!< (@ 0x00000000) IP version register                                        */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000004) Control register 1                                         */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000008) Control register 2                                         */
  __IOM uint32_t  OAR1;                         /*!< (@ 0x0000000C) Own address register 1                                     */
  __IOM uint32_t  OAR2;                         /*!< (@ 0x00000010) Own address register 2                                     */
  __IOM uint32_t  TIMINGR;                      /*!< (@ 0x00000014) Timing register                                            */
  __IOM uint32_t  TIMEOUTR;                     /*!< (@ 0x00000018) Status register 1                                          */
  __IOM uint32_t  ISR;                          /*!< (@ 0x0000001C) Interrupt and Status register                              */
  __OM  uint32_t  ICR;                          /*!< (@ 0x00000020) Interrupt clear register                                   */
  __IM  uint32_t  RESERVED;
  __IM  uint32_t  PECR;                         /*!< (@ 0x00000028) PEC register                                               */
  __IM  uint32_t  RXDR;                         /*!< (@ 0x0000002C) Receive data register                                      */
  __IOM uint32_t  TXDR;                         /*!< (@ 0x00000030) Transmit data register                                     */
} I2C_Type;                                     /*!< Size = 52 (0x34)                                                          */



/* =========================================================================================================================== */
/* ================                                           IWDG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Independent watchdog (IWDG)
  */

typedef struct {                                /*!< (@ 0x40003000) IWDG Structure                                             */
  __IM  uint32_t  VER;                          /*!< (@ 0x00000000) IP Version register                                        */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) Control register                                           */
  __OM  uint32_t  KR;                           /*!< (@ 0x00000008) Key register                                               */
} IWDG_Type;                                    /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            LCD                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Liquid Crystal Display (LCD)
  */

typedef struct {                                /*!< (@ 0x40016000) LCD Structure                                              */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) LCD control register                                       */
  __IOM uint32_t  FCR;                          /*!< (@ 0x00000008) LCD flicker control register                               */
  __IOM uint32_t  CENR;                         /*!< (@ 0x0000000C) LCD COM select control register                            */
  __IOM uint32_t  SENR1;                        /*!< (@ 0x00000010) LCD segments enable mask register                          */
  __IM  uint32_t  RESERVED1;
  __IOM uint32_t  SDR[40];                      /*!< (@ 0x00000018) LCD SEG data register corresponding to SEG                 */
} LCD_Type;                                     /*!< Size = 184 (0xb8)                                                         */



/* =========================================================================================================================== */
/* ================                                          LPUART1                                          ================ */
/* =========================================================================================================================== */


/**
  * @brief Universal synchronous asynchronous receiver transmitter (LPUART1)
  */

typedef struct {                                /*!< (@ 0x40005000) LPUART1 Structure                                          */
  __IM  uint32_t  IP_VER;                       /*!< (@ 0x00000000) IP Vesion Number                                           */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000004) LPUART control register 1                                  */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000008) LPUART control register 2                                  */
  __IOM uint32_t  CR3;                          /*!< (@ 0x0000000C) LPUART control register 3                                  */
  __IOM uint32_t  BRR;                          /*!< (@ 0x00000010) LPUART BAUD RATE CFG register                              */
  __OM  uint32_t  RQR;                          /*!< (@ 0x00000014) LPUART request register                                    */
  __IM  uint32_t  SR;                           /*!< (@ 0x00000018) LPUART state register                                      */
  __OM  uint32_t  CLR;                          /*!< (@ 0x0000001C) LPUART clear register                                      */
  __IM  uint32_t  RESERVED;
  __IM  uint32_t  RDR;                          /*!< (@ 0x00000024) LPUART receiver register                                   */
  __IOM uint32_t  TDR;                          /*!< (@ 0x00000028) LPUART send register                                       */
  __IOM uint32_t  RTOR;                         /*!< (@ 0x0000002C) LPUART timeout register                                    */
} LPUART_Type;                                  /*!< Size = 48 (0x30)                                                          */



/* =========================================================================================================================== */
/* ================                                            PWR                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Power control (PWR)
  */

typedef struct {                                /*!< (@ 0x40007000) PWR Structure                                              */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000000) PWR control register                                       */
  __IOM uint32_t  BORCR;                        /*!< (@ 0x00000004) BOR control register                                       */
} PWR_Type;                                     /*!< Size = 8 (0x8)                                                            */



/* =========================================================================================================================== */
/* ================                                            RCC                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Reset and clock control (RCC)
  */

typedef struct {                                /*!< (@ 0x40021000) RCC Structure                                              */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000000) Clock control register                                     */
  __IOM uint32_t  CFGR;                         /*!< (@ 0x00000004) Clock configuration register                               */
  __IOM uint32_t  CIER;                         /*!< (@ 0x00000008) Clock interrupt enable register                            */
  __IM  uint32_t  CIFR;                         /*!< (@ 0x0000000C) Clock interrupt flag register                              */
  __OM  uint32_t  CICR;                         /*!< (@ 0x00000010) Clock interrupt clear register                             */
  __IOM uint32_t  AHBRSTR;                      /*!< (@ 0x00000014) AHB peripheral reset register                              */
  __IOM uint32_t  APBRSTR1;                     /*!< (@ 0x00000018) APB peripheral reset register 1                            */
  __IOM uint32_t  AHBENR;                       /*!< (@ 0x0000001C) AHB peripheral clock enable register                       */
  __IOM uint32_t  APBENR1;                      /*!< (@ 0x00000020) APB peripheral clock enable register 1                     */
  __IOM uint32_t  AHBSMENR;                     /*!< (@ 0x00000024) AHB peripheral clock enable in Sleep mode register         */
  __IOM uint32_t  APBSMENR1;                    /*!< (@ 0x00000028) APB peripheral clock enable in Sleep mode register
                                                                    1                                                          */
  __IOM uint32_t  KSEL;                         /*!< (@ 0x0000002C) Peripheral clock selection                                 */
  __IOM uint32_t  RSTID;                        /*!< (@ 0x00000030) Reset status register                                      */
  __IOM uint32_t  LSICR;                        /*!< (@ 0x00000034) LSI control register                                       */
  __IOM uint32_t  LSECR;                        /*!< (@ 0x00000038) RTC domain control register                                */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  SCMCR;                        /*!< (@ 0x00000040) LSE monitoring control register                            */
  __IOM uint32_t  SCMFLAG;                      /*!< (@ 0x00000044) LSE monitoring flag register                               */
  __IOM uint32_t  APBRSTR2;                     /*!< (@ 0x00000048) APB peripheral reset register 2                            */
  __IOM uint32_t  APBENR2;                      /*!< (@ 0x0000004C) APB peripheral clock enable register 2                     */
  __IOM uint32_t  APBSMENR2;                    /*!< (@ 0x00000050) APB peripheral clock enable in Sleep mode register
                                                                    2                                                          */
} RCC_Type;                                     /*!< Size = 84 (0x54)                                                          */



/* =========================================================================================================================== */
/* ================                                           SPI1                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief Low power serial peripheral interface (SPI1)
  */

typedef struct {                                /*!< (@ 0x40013000) SPI1 Structure                                             */
  __IM  uint32_t  IP_VER;                       /*!< (@ 0x00000000) IP version                                                 */
  __IOM uint32_t  CR1;                          /*!< (@ 0x00000004) Control register 1                                         */
  __IOM uint32_t  CR2;                          /*!< (@ 0x00000008) Control register 2                                         */
  __IOM uint32_t  IER;                          /*!< (@ 0x0000000C) Interrupt enable register                                  */
  __IOM uint32_t  ENR;                          /*!< (@ 0x00000010) SPI enable register                                        */
  __IOM uint32_t  SR;                           /*!< (@ 0x00000014) status register                                            */
  __IOM uint32_t  DIVR;                         /*!< (@ 0x00000018) SCK divider register                                       */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  FCR;                          /*!< (@ 0x00000020) receive or transmit FIFO watermark register                */
  __OM  uint32_t  RSTR;                         /*!< (@ 0x00000024) reset register                                             */
  __IOM uint32_t  DMR;                          /*!< (@ 0x00000028) data match register                                        */
  __IM  uint32_t  RESERVED1;
  __OM  uint32_t  TDR;                          /*!< (@ 0x00000030) transmit data register                                     */
  __IM  uint32_t  RESERVED2[3];
  __IM  uint32_t  RDR;                          /*!< (@ 0x00000040) rx data register                                           */
} SPI_Type;                                     /*!< Size = 68 (0x44)                                                          */



/* =========================================================================================================================== */
/* ================                                          SYSCFG                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief System configuration controller (SYSCFG)
  */

typedef struct {                                /*!< (@ 0x40010000) SYSCFG Structure                                           */
  __IOM uint32_t  CFGR1;                        /*!< (@ 0x00000000) SYSCFG configuration register 1                            */
  __IOM uint32_t  CFGR2;                        /*!< (@ 0x00000004) SYSCFG configuration register 2                            */
  __IM  uint32_t  NMISR;                        /*!< (@ 0x00000008) Non maskable interrupt status register                     */
} SYSCFG_Type;                                  /*!< Size = 12 (0xc)                                                           */



/* =========================================================================================================================== */
/* ================                                            TK                                             ================ */
/* =========================================================================================================================== */


/**
  * @brief Touch Key (TK)
  */

typedef struct {                                /*!< (@ 0x40017000) TK Structure                                               */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) Control register                                           */
  __IOM uint32_t  CFGR1;                        /*!< (@ 0x00000008) Configuration register 1                                   */
  __IOM uint32_t  CFGR2;                        /*!< (@ 0x0000000C) Configuration register 2                                   */
  __IOM uint32_t  CHSEL;                        /*!< (@ 0x00000010) select channel                                             */
  __IOM uint32_t  MATCR;                        /*!< (@ 0x00000014) match control reg in lp mode                               */
  __IOM uint32_t  ISR;                          /*!< (@ 0x00000018) interrupt status reg                                       */
  __IOM uint32_t  ICR;                          /*!< (@ 0x0000001C) interrupt clear                                            */
  __IOM uint32_t  TH[16];                       /*!< (@ 0x00000020) Channel threshold                                          */
} TK_Type;                                      /*!< Size = 96 (0x60)                                                          */



/* =========================================================================================================================== */
/* ================                                          USART1                                           ================ */
/* =========================================================================================================================== */


/**
  * @brief Universal synchronous asynchronous receiver transmitter (USART1)
  */

typedef struct {                                /*!< (@ 0x40013800) USART1 Structure                                           */
  __IM  uint32_t  RESERVED;
  __IOM uint32_t  CTL;                          /*!< (@ 0x00000004) USART control register                                     */
  __IOM uint32_t  CFG;                          /*!< (@ 0x00000008) USART configuration registers                              */
  __IOM uint32_t  BR;                           /*!< (@ 0x0000000C) USART baud rate register                                   */
  __IOM uint32_t  RTO;                          /*!< (@ 0x00000010) USART timeout register                                     */
  __OM  uint32_t  RQ;                           /*!< (@ 0x00000014) USART Request Register                                     */
  __IOM uint32_t  IE;                           /*!< (@ 0x00000018) USART interrupt and state enable registers                 */
  __IM  uint32_t  IS;                           /*!< (@ 0x0000001C) USART interrupt and status registers                       */
  __OM  uint32_t  IC;                           /*!< (@ 0x00000020) USART interrupt and status reset register                  */
  __IM  uint32_t  RD;                           /*!< (@ 0x00000024) USART Receive Data Register                                */
  __OM  uint32_t  TD;                           /*!< (@ 0x00000028) USART sends data register                                  */
} USART_Type;                                   /*!< Size = 44 (0x2c)                                                          */



/* =========================================================================================================================== */
/* ================                                           WWDG                                            ================ */
/* =========================================================================================================================== */


/**
  * @brief System window watchdog (WWDG)
  */

typedef struct {                                /*!< (@ 0x40002C00) WWDG Structure                                             */
  __IM  uint32_t  VER;                          /*!< (@ 0x00000000) WWDG Version register                                      */
  __IOM uint32_t  CR;                           /*!< (@ 0x00000004) Control register                                           */
  __IOM uint32_t  CFR;                          /*!< (@ 0x00000008) Configuration register                                     */
  __IOM uint32_t  SR;                           /*!< (@ 0x0000000C) Status register                                            */
  __IOM uint32_t  WPR;                          /*!< (@ 0x00000010) Write protection register                                  */
} WWDG_Type;                                    /*!< Size = 20 (0x14)                                                          */


/** @} */ /* End of group Device_Peripheral_peripherals */


/* =========================================================================================================================== */
/* ================                          Device Specific Peripheral Address Map                           ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_peripheralAddr
  * @{
  */

#define ADC_BASE                    0x40012400UL
#define AWU_BASE                    0x40001C00UL
#define TIM6_BASE                   0x40001000UL
#define TIM7_BASE                   0x40001400UL
#define CRC_BASE                    0x40023000UL
#define DBG_BASE                    0x40015800UL
#define EXTI_BASE                   0x40021800UL
#define FLASH_BASE                  0x40020C00UL
#define GPIOA_BASE                  0x48000000UL
#define GPIOB_BASE                  0x48000400UL
#define GPIOC_BASE                  0x48000800UL
#define TIM16_BASE                  0x40014400UL
#define TIM2_BASE                   0x40000400UL
#define TIM10_BASE                  0x40014000UL
#define I2C1_BASE                   0x40005400UL
#define IWDG_BASE                   0x40003000UL
#define LCD_BASE                    0x40016000UL
#define LPUART1_BASE                0x40005000UL
#define PWR_BASE                    0x40007000UL
#define RCC_BASE                    0x40021000UL
#define SPI1_BASE                   0x40013000UL
#define SYSCFG_BASE                 0x40010000UL
#define TK_BASE                     0x40017000UL
#define USART1_BASE                 0x40013800UL
#define WWDG_BASE                   0x40002C00UL

/** @} */ /* End of group Device_Peripheral_peripheralAddr */


/* =========================================================================================================================== */
/* ================                                  Peripheral declaration                                   ================ */
/* =========================================================================================================================== */


/** @addtogroup Device_Peripheral_declaration
  * @{
  */

#define ADC                         ((ADC_Type*)               ADC_BASE)
#define AWU                         ((AWU_Type*)               AWU_BASE)
#define TIM6                        ((BTIM_Type*)              TIM6_BASE)
#define TIM7                        ((BTIM_Type*)              TIM7_BASE)
#define CRC                         ((CRC_Type*)               CRC_BASE)
#define DBG                         ((DBG_Type*)               DBG_BASE)
#define EXTI                        ((EXTI_Type*)              EXTI_BASE)
#define FLASH                       ((FLASH_Type*)             FLASH_BASE)
#define GPIOA                       ((GPIO_Type*)              GPIOA_BASE)
#define GPIOB                       ((GPIO_Type*)              GPIOB_BASE)
#define GPIOC                       ((GPIO_Type*)              GPIOC_BASE)
#define TIM16                       ((GTIM_Type*)              TIM16_BASE)
#define TIM2                        ((GTIM_Type*)              TIM2_BASE)
#define TIM10                       ((GTIM_Type*)              TIM10_BASE)
#define I2C1                        ((I2C_Type*)               I2C1_BASE)
#define IWDG                        ((IWDG_Type*)              IWDG_BASE)
#define LCD                         ((LCD_Type*)               LCD_BASE)
#define LPUART1                     ((LPUART_Type*)            LPUART1_BASE)
#define PWR                         ((PWR_Type*)               PWR_BASE)
#define RCC                         ((RCC_Type*)               RCC_BASE)
#define SPI1                        ((SPI_Type*)               SPI1_BASE)
#define SYSCFG                      ((SYSCFG_Type*)            SYSCFG_BASE)
#define TK                          ((TK_Type*)                TK_BASE)
#define USART1                      ((USART_Type*)             USART1_BASE)
#define WWDG                        ((WWDG_Type*)              WWDG_BASE)

/** @} */ /* End of group Device_Peripheral_declaration */


/* =========================================  End of section using anonymous unions  ========================================= */
#if defined (__CC_ARM)
  #pragma pop
#elif defined (__ICCARM__)
  /* leave anonymous unions enabled */
#elif (__ARMCC_VERSION >= 6010050)
  #pragma clang diagnostic pop
#elif defined (__GNUC__)
  /* anonymous unions are enabled by default */
                                                                                                                                                                                                         
#endif


/* =========================================================================================================================== */
/* ================                                Pos/Mask Peripheral Section                                ================ */
/* =========================================================================================================================== */


/** @addtogroup PosMask_peripherals
  * @{
  */



/* =========================================================================================================================== */
/* ================                                            ADC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
#define ADC_CTL_VREF_SEL_Pos              (30UL)                    /*!< ADC CTL: VREF_SEL (Bit 30)                            */
#define ADC_CTL_VREF_SEL_Msk              (0xc0000000UL)            /*!< ADC CTL: VREF_SEL (Bitfield-Mask: 0x03)               */
#define ADC_CTL_VREF_SEL(x)               (((uint32_t)(((uint32_t)(x))<<ADC_CTL_VREF_SEL_Pos))&ADC_CTL_VREF_SEL_Msk)
#define ADC_CTL_ECH_TYPE_SEL_Pos          (26UL)                    /*!< ADC CTL: ECH_TYPE_SEL (Bit 26)                        */
#define ADC_CTL_ECH_TYPE_SEL_Msk          (0xc000000UL)             /*!< ADC CTL: ECH_TYPE_SEL (Bitfield-Mask: 0x03)           */
#define ADC_CTL_ECH_TYPE_SEL(x)           (((uint32_t)(((uint32_t)(x))<<ADC_CTL_ECH_TYPE_SEL_Pos))&ADC_CTL_ECH_TYPE_SEL_Msk)
#define ADC_CTL_ICH_SEL_Pos               (24UL)                    /*!< ADC CTL: ICH_SEL (Bit 24)                             */
#define ADC_CTL_ICH_SEL_Msk               (0x3000000UL)             /*!< ADC CTL: ICH_SEL (Bitfield-Mask: 0x03)                */
#define ADC_CTL_ICH_SEL(x)                (((uint32_t)(((uint32_t)(x))<<ADC_CTL_ICH_SEL_Pos))&ADC_CTL_ICH_SEL_Msk)
#define ADC_CTL_REF_CMP_Pos               (20UL)                    /*!< ADC CTL: REF_CMP (Bit 20)                             */
#define ADC_CTL_REF_CMP_Msk               (0x300000UL)              /*!< ADC CTL: REF_CMP (Bitfield-Mask: 0x03)                */
#define ADC_CTL_REF_CMP(x)                (((uint32_t)(((uint32_t)(x))<<ADC_CTL_REF_CMP_Pos))&ADC_CTL_REF_CMP_Msk)
#define ADC_CTL_SAMP_Pos                  (12UL)                    /*!< ADC CTL: SAMP (Bit 12)                                */
#define ADC_CTL_SAMP_Msk                  (0xf000UL)                /*!< ADC CTL: SAMP (Bitfield-Mask: 0x0f)                   */
#define ADC_CTL_SAMP(x)                   (((uint32_t)(((uint32_t)(x))<<ADC_CTL_SAMP_Pos))&ADC_CTL_SAMP_Msk)
#define ADC_CTL_ECH_SEL_Pos               (8UL)                     /*!< ADC CTL: ECH_SEL (Bit 8)                              */
#define ADC_CTL_ECH_SEL_Msk               (0xf00UL)                 /*!< ADC CTL: ECH_SEL (Bitfield-Mask: 0x0f)                */
#define ADC_CTL_ECH_SEL(x)                (((uint32_t)(((uint32_t)(x))<<ADC_CTL_ECH_SEL_Pos))&ADC_CTL_ECH_SEL_Msk)
#define ADC_CTL_CLK_SEL_Pos               (5UL)                     /*!< ADC CTL: CLK_SEL (Bit 5)                              */
#define ADC_CTL_CLK_SEL_Msk               (0xe0UL)                  /*!< ADC CTL: CLK_SEL (Bitfield-Mask: 0x07)                */
#define ADC_CTL_CLK_SEL(x)                (((uint32_t)(((uint32_t)(x))<<ADC_CTL_CLK_SEL_Pos))&ADC_CTL_CLK_SEL_Msk)
#define ADC_CTL_CONT_Pos                  (4UL)                     /*!< ADC CTL: CONT (Bit 4)                                 */
#define ADC_CTL_CONT_Msk                  (0x10UL)                  /*!< ADC CTL: CONT (Bitfield-Mask: 0x01)                   */
#define ADC_CTL_CONT(x)                   (((uint32_t)(((uint32_t)(x))<<ADC_CTL_CONT_Pos))&ADC_CTL_CONT_Msk)
#define ADC_CTL_VBUF_SEL_Pos              (2UL)                     /*!< ADC CTL: VBUF_SEL (Bit 2)                             */
#define ADC_CTL_VBUF_SEL_Msk              (0xcUL)                   /*!< ADC CTL: VBUF_SEL (Bitfield-Mask: 0x03)               */
#define ADC_CTL_VBUF_SEL(x)               (((uint32_t)(((uint32_t)(x))<<ADC_CTL_VBUF_SEL_Pos))&ADC_CTL_VBUF_SEL_Msk)
#define ADC_CTL_EN_Pos                    (1UL)                     /*!< ADC CTL: EN (Bit 1)                                   */
#define ADC_CTL_EN_Msk                    (0x2UL)                   /*!< ADC CTL: EN (Bitfield-Mask: 0x01)                     */
#define ADC_CTL_EN(x)                     (((uint32_t)(((uint32_t)(x))<<ADC_CTL_EN_Pos))&ADC_CTL_EN_Msk)
#define ADC_CTL_ADGO_Pos                  (0UL)                     /*!< ADC CTL: ADGO (Bit 0)                                 */
#define ADC_CTL_ADGO_Msk                  (0x1UL)                   /*!< ADC CTL: ADGO (Bitfield-Mask: 0x01)                   */
#define ADC_CTL_ADGO(x)                   (((uint32_t)(((uint32_t)(x))<<ADC_CTL_ADGO_Pos))&ADC_CTL_ADGO_Msk)
/* =========================================================  DATA  ========================================================== */
#define ADC_DATA_DATA_Pos                 (0UL)                     /*!< ADC DATA: DATA (Bit 0)                                */
#define ADC_DATA_DATA_Msk                 (0xfffUL)                 /*!< ADC DATA: DATA (Bitfield-Mask: 0xfff)                 */
#define ADC_DATA_DATA(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_DATA_DATA_Pos))&ADC_DATA_DATA_Msk)
/* ==========================================================  IER  ========================================================== */
#define ADC_IER_EOCIE_Pos                 (0UL)                     /*!< ADC IER: EOCIE (Bit 0)                                */
#define ADC_IER_EOCIE_Msk                 (0x1UL)                   /*!< ADC IER: EOCIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_EOCIE(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_IER_EOCIE_Pos))&ADC_IER_EOCIE_Msk)
#define ADC_IER_REFIE_Pos                 (1UL)                     /*!< ADC IER: REFIE (Bit 1)                                */
#define ADC_IER_REFIE_Msk                 (0x2UL)                   /*!< ADC IER: REFIE (Bitfield-Mask: 0x01)                  */
#define ADC_IER_REFIE(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_IER_REFIE_Pos))&ADC_IER_REFIE_Msk)
/* ==========================================================  ISR  ========================================================== */
#define ADC_ISR_EOCIF_Pos                 (0UL)                     /*!< ADC ISR: EOCIF (Bit 0)                                */
#define ADC_ISR_EOCIF_Msk                 (0x1UL)                   /*!< ADC ISR: EOCIF (Bitfield-Mask: 0x01)                  */
#define ADC_ISR_EOCIF(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_ISR_EOCIF_Pos))&ADC_ISR_EOCIF_Msk)
#define ADC_ISR_REFIF_Pos                 (1UL)                     /*!< ADC ISR: REFIF (Bit 1)                                */
#define ADC_ISR_REFIF_Msk                 (0x2UL)                   /*!< ADC ISR: REFIF (Bitfield-Mask: 0x01)                  */
#define ADC_ISR_REFIF(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_ISR_REFIF_Pos))&ADC_ISR_REFIF_Msk)
/* ==========================================================  ICR  ========================================================== */
#define ADC_ICR_EOCIC_Pos                 (0UL)                     /*!< ADC ICR: EOCIC (Bit 0)                                */
#define ADC_ICR_EOCIC_Msk                 (0x1UL)                   /*!< ADC ICR: EOCIC (Bitfield-Mask: 0x01)                  */
#define ADC_ICR_EOCIC(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_ICR_EOCIC_Pos))&ADC_ICR_EOCIC_Msk)
#define ADC_ICR_REFIC_Pos                 (1UL)                     /*!< ADC ICR: REFIC (Bit 1)                                */
#define ADC_ICR_REFIC_Msk                 (0x2UL)                   /*!< ADC ICR: REFIC (Bitfield-Mask: 0x01)                  */
#define ADC_ICR_REFIC(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_ICR_REFIC_Pos))&ADC_ICR_REFIC_Msk)
/* ==========================================================  CFG  ========================================================== */
#define ADC_CFG_TRGS_Pos                  (4UL)                     /*!< ADC CFG: TRGS (Bit 4)                                 */
#define ADC_CFG_TRGS_Msk                  (0x10UL)                  /*!< ADC CFG: TRGS (Bitfield-Mask: 0x01)                   */
#define ADC_CFG_TRGS(x)                   (((uint32_t)(((uint32_t)(x))<<ADC_CFG_TRGS_Pos))&ADC_CFG_TRGS_Msk)
#define ADC_CFG_EDGE_Pos                  (3UL)                     /*!< ADC CFG: EDGE (Bit 3)                                 */
#define ADC_CFG_EDGE_Msk                  (0x8UL)                   /*!< ADC CFG: EDGE (Bitfield-Mask: 0x01)                   */
#define ADC_CFG_EDGE(x)                   (((uint32_t)(((uint32_t)(x))<<ADC_CFG_EDGE_Pos))&ADC_CFG_EDGE_Msk)
#define ADC_CFG_TRGDL_Pos                 (0UL)                     /*!< ADC CFG: TRGDL (Bit 0)                                */
#define ADC_CFG_TRGDL_Msk                 (0x7UL)                   /*!< ADC CFG: TRGDL (Bitfield-Mask: 0x07)                  */
#define ADC_CFG_TRGDL(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_CFG_TRGDL_Pos))&ADC_CFG_TRGDL_Msk)
/* =========================================================  REFH  ========================================================== */
#define ADC_REFH_REFH_Pos                 (0UL)                     /*!< ADC REFH: REFH (Bit 0)                                */
#define ADC_REFH_REFH_Msk                 (0xfffUL)                 /*!< ADC REFH: REFH (Bitfield-Mask: 0xfff)                 */
#define ADC_REFH_REFH(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_REFH_REFH_Pos))&ADC_REFH_REFH_Msk)
/* =========================================================  REFL  ========================================================== */
#define ADC_REFL_REFL_Pos                 (0UL)                     /*!< ADC REFL: REFL (Bit 0)                                */
#define ADC_REFL_REFL_Msk                 (0xfffUL)                 /*!< ADC REFL: REFL (Bitfield-Mask: 0xfff)                 */
#define ADC_REFL_REFL(x)                  (((uint32_t)(((uint32_t)(x))<<ADC_REFL_REFL_Pos))&ADC_REFL_REFL_Msk)


/* =========================================================================================================================== */
/* ================                                            AWU                                            ================ */
/* =========================================================================================================================== */

/* ========================================================  BUZCON  ========================================================= */
#define AWU_BUZCON_EN_Pos                 (0UL)                     /*!< AWU BUZCON: EN (Bit 0)                                */
#define AWU_BUZCON_EN_Msk                 (0x1UL)                   /*!< AWU BUZCON: EN (Bitfield-Mask: 0x01)                  */
#define AWU_BUZCON_EN(x)                  (((uint32_t)(((uint32_t)(x))<<AWU_BUZCON_EN_Pos))&AWU_BUZCON_EN_Msk)
#define AWU_BUZCON_PSC_Pos                (3UL)                     /*!< AWU BUZCON: PSC (Bit 3)                               */
#define AWU_BUZCON_PSC_Msk                (0xf8UL)                  /*!< AWU BUZCON: PSC (Bitfield-Mask: 0x1f)                 */
#define AWU_BUZCON_PSC(x)                 (((uint32_t)(((uint32_t)(x))<<AWU_BUZCON_PSC_Pos))&AWU_BUZCON_PSC_Msk)
/* ========================================================  AWUCON  ========================================================= */
#define AWU_AWUCON_EN_Pos                 (0UL)                     /*!< AWU AWUCON: EN (Bit 0)                                */
#define AWU_AWUCON_EN_Msk                 (0x1UL)                   /*!< AWU AWUCON: EN (Bitfield-Mask: 0x01)                  */
#define AWU_AWUCON_EN(x)                  (((uint32_t)(((uint32_t)(x))<<AWU_AWUCON_EN_Pos))&AWU_AWUCON_EN_Msk)
#define AWU_AWUCON_CLR_Pos                (1UL)                     /*!< AWU AWUCON: CLR (Bit 1)                               */
#define AWU_AWUCON_CLR_Msk                (0x2UL)                   /*!< AWU AWUCON: CLR (Bitfield-Mask: 0x01)                 */
#define AWU_AWUCON_CLR(x)                 (((uint32_t)(((uint32_t)(x))<<AWU_AWUCON_CLR_Pos))&AWU_AWUCON_CLR_Msk)
#define AWU_AWUCON_TIMEOUT_Pos            (2UL)                     /*!< AWU AWUCON: TIMEOUT (Bit 2)                           */
#define AWU_AWUCON_TIMEOUT_Msk            (0xfcUL)                  /*!< AWU AWUCON: TIMEOUT (Bitfield-Mask: 0x3f)             */
#define AWU_AWUCON_TIMEOUT(x)             (((uint32_t)(((uint32_t)(x))<<AWU_AWUCON_TIMEOUT_Pos))&AWU_AWUCON_TIMEOUT_Msk)


/* =========================================================================================================================== */
/* ================                                           BTIM                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define BTIM_CR1_CEN_Pos                  (0UL)                     /*!< BTIM CR1: CEN (Bit 0)                                 */
#define BTIM_CR1_CEN_Msk                  (0x1UL)                   /*!< BTIM CR1: CEN (Bitfield-Mask: 0x01)                   */
#define BTIM_CR1_CEN(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_CEN_Pos))&BTIM_CR1_CEN_Msk)
#define BTIM_CR1_UDIS_Pos                 (1UL)                     /*!< BTIM CR1: UDIS (Bit 1)                                */
#define BTIM_CR1_UDIS_Msk                 (0x2UL)                   /*!< BTIM CR1: UDIS (Bitfield-Mask: 0x01)                  */
#define BTIM_CR1_UDIS(x)                  (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_UDIS_Pos))&BTIM_CR1_UDIS_Msk)
#define BTIM_CR1_URS_Pos                  (2UL)                     /*!< BTIM CR1: URS (Bit 2)                                 */
#define BTIM_CR1_URS_Msk                  (0x4UL)                   /*!< BTIM CR1: URS (Bitfield-Mask: 0x01)                   */
#define BTIM_CR1_URS(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_URS_Pos))&BTIM_CR1_URS_Msk)
#define BTIM_CR1_OPM_Pos                  (3UL)                     /*!< BTIM CR1: OPM (Bit 3)                                 */
#define BTIM_CR1_OPM_Msk                  (0x8UL)                   /*!< BTIM CR1: OPM (Bitfield-Mask: 0x01)                   */
#define BTIM_CR1_OPM(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_OPM_Pos))&BTIM_CR1_OPM_Msk)
#define BTIM_CR1_DIR_Pos                  (4UL)                     /*!< BTIM CR1: DIR (Bit 4)                                 */
#define BTIM_CR1_DIR_Msk                  (0x10UL)                  /*!< BTIM CR1: DIR (Bitfield-Mask: 0x01)                   */
#define BTIM_CR1_DIR(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_DIR_Pos))&BTIM_CR1_DIR_Msk)
#define BTIM_CR1_ARPE_Pos                 (5UL)                     /*!< BTIM CR1: ARPE (Bit 5)                                */
#define BTIM_CR1_ARPE_Msk                 (0x20UL)                  /*!< BTIM CR1: ARPE (Bitfield-Mask: 0x01)                  */
#define BTIM_CR1_ARPE(x)                  (((uint32_t)(((uint32_t)(x))<<BTIM_CR1_ARPE_Pos))&BTIM_CR1_ARPE_Msk)
/* ==========================================================  CR2  ========================================================== */
#define BTIM_CR2_CLKSEL_Pos               (4UL)                     /*!< BTIM CR2: CLKSEL (Bit 4)                              */
#define BTIM_CR2_CLKSEL_Msk               (0x10UL)                  /*!< BTIM CR2: CLKSEL (Bitfield-Mask: 0x01)                */
#define BTIM_CR2_CLKSEL(x)                (((uint32_t)(((uint32_t)(x))<<BTIM_CR2_CLKSEL_Pos))&BTIM_CR2_CLKSEL_Msk)
#define BTIM_CR2_CLKEN_Pos                (3UL)                     /*!< BTIM CR2: CLKEN (Bit 3)                               */
#define BTIM_CR2_CLKEN_Msk                (0x8UL)                   /*!< BTIM CR2: CLKEN (Bitfield-Mask: 0x01)                 */
#define BTIM_CR2_CLKEN(x)                 (((uint32_t)(((uint32_t)(x))<<BTIM_CR2_CLKEN_Pos))&BTIM_CR2_CLKEN_Msk)
#define BTIM_CR2_MMS_Pos                  (0UL)                     /*!< BTIM CR2: MMS (Bit 0)                                 */
#define BTIM_CR2_MMS_Msk                  (0x7UL)                   /*!< BTIM CR2: MMS (Bitfield-Mask: 0x07)                   */
#define BTIM_CR2_MMS(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CR2_MMS_Pos))&BTIM_CR2_MMS_Msk)
/* ==========================================================  IER  ========================================================== */
#define BTIM_IER_UIE_Pos                  (0UL)                     /*!< BTIM IER: UIE (Bit 0)                                 */
#define BTIM_IER_UIE_Msk                  (0x1UL)                   /*!< BTIM IER: UIE (Bitfield-Mask: 0x01)                   */
#define BTIM_IER_UIE(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_IER_UIE_Pos))&BTIM_IER_UIE_Msk)
/* ==========================================================  SR1  ========================================================== */
#define BTIM_SR1_UIF_Pos                  (0UL)                     /*!< BTIM SR1: UIF (Bit 0)                                 */
#define BTIM_SR1_UIF_Msk                  (0x1UL)                   /*!< BTIM SR1: UIF (Bitfield-Mask: 0x01)                   */
#define BTIM_SR1_UIF(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_SR1_UIF_Pos))&BTIM_SR1_UIF_Msk)
/* ==========================================================  EGR  ========================================================== */
#define BTIM_EGR_UG_Pos                   (0UL)                     /*!< BTIM EGR: UG (Bit 0)                                  */
#define BTIM_EGR_UG_Msk                   (0x1UL)                   /*!< BTIM EGR: UG (Bitfield-Mask: 0x01)                    */
#define BTIM_EGR_UG(x)                    (((uint32_t)(((uint32_t)(x))<<BTIM_EGR_UG_Pos))&BTIM_EGR_UG_Msk)
/* ==========================================================  CNT  ========================================================== */
#define BTIM_CNT_CNT_Pos                  (0UL)                     /*!< BTIM CNT: CNT (Bit 0)                                 */
#define BTIM_CNT_CNT_Msk                  (0xffffUL)                /*!< BTIM CNT: CNT (Bitfield-Mask: 0xffff)                 */
#define BTIM_CNT_CNT(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_CNT_CNT_Pos))&BTIM_CNT_CNT_Msk)
/* ==========================================================  PSC  ========================================================== */
#define BTIM_PSC_PSC_Pos                  (0UL)                     /*!< BTIM PSC: PSC (Bit 0)                                 */
#define BTIM_PSC_PSC_Msk                  (0xffffUL)                /*!< BTIM PSC: PSC (Bitfield-Mask: 0xffff)                 */
#define BTIM_PSC_PSC(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_PSC_PSC_Pos))&BTIM_PSC_PSC_Msk)
/* ==========================================================  ARR  ========================================================== */
#define BTIM_ARR_ARR_Pos                  (0UL)                     /*!< BTIM ARR: ARR (Bit 0)                                 */
#define BTIM_ARR_ARR_Msk                  (0xffffUL)                /*!< BTIM ARR: ARR (Bitfield-Mask: 0xffff)                 */
#define BTIM_ARR_ARR(x)                   (((uint32_t)(((uint32_t)(x))<<BTIM_ARR_ARR_Pos))&BTIM_ARR_ARR_Msk)


/* =========================================================================================================================== */
/* ================                                            CRC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  DR  =========================================================== */
#define CRC_DR_DR_Pos                     (0UL)                     /*!< CRC DR: DR (Bit 0)                                    */
#define CRC_DR_DR_Msk                     (0xffffffffUL)            /*!< CRC DR: DR (Bitfield-Mask: 0xffffffff)                */
#define CRC_DR_DR(x)                      (((uint32_t)(((uint32_t)(x))<<CRC_DR_DR_Pos))&CRC_DR_DR_Msk)
/* ==========================================================  CR  =========================================================== */
#define CRC_CR_REV_OUT_Pos                (7UL)                     /*!< CRC CR: REV_OUT (Bit 7)                               */
#define CRC_CR_REV_OUT_Msk                (0x80UL)                  /*!< CRC CR: REV_OUT (Bitfield-Mask: 0x01)                 */
#define CRC_CR_REV_OUT(x)                 (((uint32_t)(((uint32_t)(x))<<CRC_CR_REV_OUT_Pos))&CRC_CR_REV_OUT_Msk)
#define CRC_CR_REV_IN_Pos                 (5UL)                     /*!< CRC CR: REV_IN (Bit 5)                                */
#define CRC_CR_REV_IN_Msk                 (0x60UL)                  /*!< CRC CR: REV_IN (Bitfield-Mask: 0x03)                  */
#define CRC_CR_REV_IN(x)                  (((uint32_t)(((uint32_t)(x))<<CRC_CR_REV_IN_Pos))&CRC_CR_REV_IN_Msk)
#define CRC_CR_POLYSIZE_Pos               (3UL)                     /*!< CRC CR: POLYSIZE (Bit 3)                              */
#define CRC_CR_POLYSIZE_Msk               (0x18UL)                  /*!< CRC CR: POLYSIZE (Bitfield-Mask: 0x03)                */
#define CRC_CR_POLYSIZE(x)                (((uint32_t)(((uint32_t)(x))<<CRC_CR_POLYSIZE_Pos))&CRC_CR_POLYSIZE_Msk)
#define CRC_CR_RESET_Pos                  (0UL)                     /*!< CRC CR: RESET (Bit 0)                                 */
#define CRC_CR_RESET_Msk                  (0x1UL)                   /*!< CRC CR: RESET (Bitfield-Mask: 0x01)                   */
#define CRC_CR_RESET(x)                   (((uint32_t)(((uint32_t)(x))<<CRC_CR_RESET_Pos))&CRC_CR_RESET_Msk)
/* =========================================================  INIT  ========================================================== */
#define CRC_INIT_CRC_INIT_Pos             (0UL)                     /*!< CRC INIT: CRC_INIT (Bit 0)                            */
#define CRC_INIT_CRC_INIT_Msk             (0xffffffffUL)            /*!< CRC INIT: CRC_INIT (Bitfield-Mask: 0xffffffff)        */
#define CRC_INIT_CRC_INIT(x)              (((uint32_t)(((uint32_t)(x))<<CRC_INIT_CRC_INIT_Pos))&CRC_INIT_CRC_INIT_Msk)


/* =========================================================================================================================== */
/* ================                                            DBG                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define DBG_CR_DBG_STOP_Pos               (1UL)                     /*!< DBG CR: DBG_STOP (Bit 1)                              */
#define DBG_CR_DBG_STOP_Msk               (0x2UL)                   /*!< DBG CR: DBG_STOP (Bitfield-Mask: 0x01)                */
#define DBG_CR_DBG_STOP(x)                (((uint32_t)(((uint32_t)(x))<<DBG_CR_DBG_STOP_Pos))&DBG_CR_DBG_STOP_Msk)
/* ========================================================  APB_FZ1  ======================================================== */
#define DBG_APB_FZ1_DBG_IWDG_STOP_Pos     (12UL)                    /*!< DBG APB_FZ1: DBG_IWDG_STOP (Bit 12)                   */
#define DBG_APB_FZ1_DBG_IWDG_STOP_Msk     (0x1000UL)                /*!< DBG APB_FZ1: DBG_IWDG_STOP (Bitfield-Mask: 0x01)      */
#define DBG_APB_FZ1_DBG_IWDG_STOP(x)      (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_IWDG_STOP_Pos))&DBG_APB_FZ1_DBG_IWDG_STOP_Msk)
#define DBG_APB_FZ1_DBG_WWDG_STOP_Pos     (11UL)                    /*!< DBG APB_FZ1: DBG_WWDG_STOP (Bit 11)                   */
#define DBG_APB_FZ1_DBG_WWDG_STOP_Msk     (0x800UL)                 /*!< DBG APB_FZ1: DBG_WWDG_STOP (Bitfield-Mask: 0x01)      */
#define DBG_APB_FZ1_DBG_WWDG_STOP(x)      (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_WWDG_STOP_Pos))&DBG_APB_FZ1_DBG_WWDG_STOP_Msk)
#define DBG_APB_FZ1_DBG_BUZ_STOP_Pos      (6UL)                     /*!< DBG APB_FZ1: DBG_BUZ_STOP (Bit 6)                     */
#define DBG_APB_FZ1_DBG_BUZ_STOP_Msk      (0x40UL)                  /*!< DBG APB_FZ1: DBG_BUZ_STOP (Bitfield-Mask: 0x01)       */
#define DBG_APB_FZ1_DBG_BUZ_STOP(x)       (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_BUZ_STOP_Pos))&DBG_APB_FZ1_DBG_BUZ_STOP_Msk)
#define DBG_APB_FZ1_DBG_TIM7_STOP_Pos     (5UL)                     /*!< DBG APB_FZ1: DBG_TIM7_STOP (Bit 5)                    */
#define DBG_APB_FZ1_DBG_TIM7_STOP_Msk     (0x20UL)                  /*!< DBG APB_FZ1: DBG_TIM7_STOP (Bitfield-Mask: 0x01)      */
#define DBG_APB_FZ1_DBG_TIM7_STOP(x)      (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_TIM7_STOP_Pos))&DBG_APB_FZ1_DBG_TIM7_STOP_Msk)
#define DBG_APB_FZ1_DBG_TIM6_STOP_Pos     (4UL)                     /*!< DBG APB_FZ1: DBG_TIM6_STOP (Bit 4)                    */
#define DBG_APB_FZ1_DBG_TIM6_STOP_Msk     (0x10UL)                  /*!< DBG APB_FZ1: DBG_TIM6_STOP (Bitfield-Mask: 0x01)      */
#define DBG_APB_FZ1_DBG_TIM6_STOP(x)      (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_TIM6_STOP_Pos))&DBG_APB_FZ1_DBG_TIM6_STOP_Msk)
#define DBG_APB_FZ1_DBG_TIM2_STOP_Pos     (1UL)                     /*!< DBG APB_FZ1: DBG_TIM2_STOP (Bit 1)                    */
#define DBG_APB_FZ1_DBG_TIM2_STOP_Msk     (0x2UL)                   /*!< DBG APB_FZ1: DBG_TIM2_STOP (Bitfield-Mask: 0x01)      */
#define DBG_APB_FZ1_DBG_TIM2_STOP(x)      (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ1_DBG_TIM2_STOP_Pos))&DBG_APB_FZ1_DBG_TIM2_STOP_Msk)
/* ========================================================  APB_FZ2  ======================================================== */
#define DBG_APB_FZ2_DBG_TIM16_STOP_Pos    (17UL)                    /*!< DBG APB_FZ2: DBG_TIM16_STOP (Bit 17)                  */
#define DBG_APB_FZ2_DBG_TIM16_STOP_Msk    (0x20000UL)               /*!< DBG APB_FZ2: DBG_TIM16_STOP (Bitfield-Mask: 0x01)     */
#define DBG_APB_FZ2_DBG_TIM16_STOP(x)     (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ2_DBG_TIM16_STOP_Pos))&DBG_APB_FZ2_DBG_TIM16_STOP_Msk)
#define DBG_APB_FZ2_DBG_TIM10_STOP_Pos    (16UL)                    /*!< DBG APB_FZ2: DBG_TIM10_STOP (Bit 16)                  */
#define DBG_APB_FZ2_DBG_TIM10_STOP_Msk    (0x10000UL)               /*!< DBG APB_FZ2: DBG_TIM10_STOP (Bitfield-Mask: 0x01)     */
#define DBG_APB_FZ2_DBG_TIM10_STOP(x)     (((uint32_t)(((uint32_t)(x))<<DBG_APB_FZ2_DBG_TIM10_STOP_Pos))&DBG_APB_FZ2_DBG_TIM10_STOP_Msk)


/* =========================================================================================================================== */
/* ================                                           EXTI                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  RTSR  ========================================================== */
#define EXTI_RTSR_TR0_Pos                 (0UL)                     /*!< EXTI RTSR: TR0 (Bit 0)                                */
#define EXTI_RTSR_TR0_Msk                 (0x1UL)                   /*!< EXTI RTSR: TR0 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR0(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR0_Pos))&EXTI_RTSR_TR0_Msk)
#define EXTI_RTSR_TR1_Pos                 (1UL)                     /*!< EXTI RTSR: TR1 (Bit 1)                                */
#define EXTI_RTSR_TR1_Msk                 (0x2UL)                   /*!< EXTI RTSR: TR1 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR1(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR1_Pos))&EXTI_RTSR_TR1_Msk)
#define EXTI_RTSR_TR2_Pos                 (2UL)                     /*!< EXTI RTSR: TR2 (Bit 2)                                */
#define EXTI_RTSR_TR2_Msk                 (0x4UL)                   /*!< EXTI RTSR: TR2 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR2(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR2_Pos))&EXTI_RTSR_TR2_Msk)
#define EXTI_RTSR_TR3_Pos                 (3UL)                     /*!< EXTI RTSR: TR3 (Bit 3)                                */
#define EXTI_RTSR_TR3_Msk                 (0x8UL)                   /*!< EXTI RTSR: TR3 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR3(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR3_Pos))&EXTI_RTSR_TR3_Msk)
#define EXTI_RTSR_TR4_Pos                 (4UL)                     /*!< EXTI RTSR: TR4 (Bit 4)                                */
#define EXTI_RTSR_TR4_Msk                 (0x10UL)                  /*!< EXTI RTSR: TR4 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR4(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR4_Pos))&EXTI_RTSR_TR4_Msk)
#define EXTI_RTSR_TR5_Pos                 (5UL)                     /*!< EXTI RTSR: TR5 (Bit 5)                                */
#define EXTI_RTSR_TR5_Msk                 (0x20UL)                  /*!< EXTI RTSR: TR5 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR5(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR5_Pos))&EXTI_RTSR_TR5_Msk)
#define EXTI_RTSR_TR6_Pos                 (6UL)                     /*!< EXTI RTSR: TR6 (Bit 6)                                */
#define EXTI_RTSR_TR6_Msk                 (0x40UL)                  /*!< EXTI RTSR: TR6 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR6(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR6_Pos))&EXTI_RTSR_TR6_Msk)
#define EXTI_RTSR_TR7_Pos                 (7UL)                     /*!< EXTI RTSR: TR7 (Bit 7)                                */
#define EXTI_RTSR_TR7_Msk                 (0x80UL)                  /*!< EXTI RTSR: TR7 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR7(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR7_Pos))&EXTI_RTSR_TR7_Msk)
#define EXTI_RTSR_TR8_Pos                 (8UL)                     /*!< EXTI RTSR: TR8 (Bit 8)                                */
#define EXTI_RTSR_TR8_Msk                 (0x100UL)                 /*!< EXTI RTSR: TR8 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR8(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR8_Pos))&EXTI_RTSR_TR8_Msk)
#define EXTI_RTSR_TR9_Pos                 (9UL)                     /*!< EXTI RTSR: TR9 (Bit 9)                                */
#define EXTI_RTSR_TR9_Msk                 (0x200UL)                 /*!< EXTI RTSR: TR9 (Bitfield-Mask: 0x01)                  */
#define EXTI_RTSR_TR9(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR9_Pos))&EXTI_RTSR_TR9_Msk)
#define EXTI_RTSR_TR10_Pos                (10UL)                    /*!< EXTI RTSR: TR10 (Bit 10)                              */
#define EXTI_RTSR_TR10_Msk                (0x400UL)                 /*!< EXTI RTSR: TR10 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR10(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR10_Pos))&EXTI_RTSR_TR10_Msk)
#define EXTI_RTSR_TR11_Pos                (11UL)                    /*!< EXTI RTSR: TR11 (Bit 11)                              */
#define EXTI_RTSR_TR11_Msk                (0x800UL)                 /*!< EXTI RTSR: TR11 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR11(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR11_Pos))&EXTI_RTSR_TR11_Msk)
#define EXTI_RTSR_TR12_Pos                (12UL)                    /*!< EXTI RTSR: TR12 (Bit 12)                              */
#define EXTI_RTSR_TR12_Msk                (0x1000UL)                /*!< EXTI RTSR: TR12 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR12(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR12_Pos))&EXTI_RTSR_TR12_Msk)
#define EXTI_RTSR_TR13_Pos                (13UL)                    /*!< EXTI RTSR: TR13 (Bit 13)                              */
#define EXTI_RTSR_TR13_Msk                (0x2000UL)                /*!< EXTI RTSR: TR13 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR13(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR13_Pos))&EXTI_RTSR_TR13_Msk)
#define EXTI_RTSR_TR14_Pos                (14UL)                    /*!< EXTI RTSR: TR14 (Bit 14)                              */
#define EXTI_RTSR_TR14_Msk                (0x4000UL)                /*!< EXTI RTSR: TR14 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR14(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR14_Pos))&EXTI_RTSR_TR14_Msk)
#define EXTI_RTSR_TR15_Pos                (15UL)                    /*!< EXTI RTSR: TR15 (Bit 15)                              */
#define EXTI_RTSR_TR15_Msk                (0x8000UL)                /*!< EXTI RTSR: TR15 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR15(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR15_Pos))&EXTI_RTSR_TR15_Msk)
#define EXTI_RTSR_TR16_Pos                (16UL)                    /*!< EXTI RTSR: TR16 (Bit 16)                              */
#define EXTI_RTSR_TR16_Msk                (0x10000UL)               /*!< EXTI RTSR: TR16 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR16(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR16_Pos))&EXTI_RTSR_TR16_Msk)
#define EXTI_RTSR_TR17_Pos                (17UL)                    /*!< EXTI RTSR: TR17 (Bit 17)                              */
#define EXTI_RTSR_TR17_Msk                (0x20000UL)               /*!< EXTI RTSR: TR17 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR17(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR17_Pos))&EXTI_RTSR_TR17_Msk)
#define EXTI_RTSR_TR18_Pos                (18UL)                    /*!< EXTI RTSR: TR18 (Bit 18)                              */
#define EXTI_RTSR_TR18_Msk                (0x40000UL)               /*!< EXTI RTSR: TR18 (Bitfield-Mask: 0x01)                 */
#define EXTI_RTSR_TR18(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RTSR_TR18_Pos))&EXTI_RTSR_TR18_Msk)
/* =========================================================  FTSR  ========================================================== */
#define EXTI_FTSR_TR0_Pos                 (0UL)                     /*!< EXTI FTSR: TR0 (Bit 0)                                */
#define EXTI_FTSR_TR0_Msk                 (0x1UL)                   /*!< EXTI FTSR: TR0 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR0(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR0_Pos))&EXTI_FTSR_TR0_Msk)
#define EXTI_FTSR_TR1_Pos                 (1UL)                     /*!< EXTI FTSR: TR1 (Bit 1)                                */
#define EXTI_FTSR_TR1_Msk                 (0x2UL)                   /*!< EXTI FTSR: TR1 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR1(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR1_Pos))&EXTI_FTSR_TR1_Msk)
#define EXTI_FTSR_TR2_Pos                 (2UL)                     /*!< EXTI FTSR: TR2 (Bit 2)                                */
#define EXTI_FTSR_TR2_Msk                 (0x4UL)                   /*!< EXTI FTSR: TR2 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR2(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR2_Pos))&EXTI_FTSR_TR2_Msk)
#define EXTI_FTSR_TR3_Pos                 (3UL)                     /*!< EXTI FTSR: TR3 (Bit 3)                                */
#define EXTI_FTSR_TR3_Msk                 (0x8UL)                   /*!< EXTI FTSR: TR3 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR3(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR3_Pos))&EXTI_FTSR_TR3_Msk)
#define EXTI_FTSR_TR4_Pos                 (4UL)                     /*!< EXTI FTSR: TR4 (Bit 4)                                */
#define EXTI_FTSR_TR4_Msk                 (0x10UL)                  /*!< EXTI FTSR: TR4 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR4(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR4_Pos))&EXTI_FTSR_TR4_Msk)
#define EXTI_FTSR_TR5_Pos                 (5UL)                     /*!< EXTI FTSR: TR5 (Bit 5)                                */
#define EXTI_FTSR_TR5_Msk                 (0x20UL)                  /*!< EXTI FTSR: TR5 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR5(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR5_Pos))&EXTI_FTSR_TR5_Msk)
#define EXTI_FTSR_TR6_Pos                 (6UL)                     /*!< EXTI FTSR: TR6 (Bit 6)                                */
#define EXTI_FTSR_TR6_Msk                 (0x40UL)                  /*!< EXTI FTSR: TR6 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR6(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR6_Pos))&EXTI_FTSR_TR6_Msk)
#define EXTI_FTSR_TR7_Pos                 (7UL)                     /*!< EXTI FTSR: TR7 (Bit 7)                                */
#define EXTI_FTSR_TR7_Msk                 (0x80UL)                  /*!< EXTI FTSR: TR7 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR7(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR7_Pos))&EXTI_FTSR_TR7_Msk)
#define EXTI_FTSR_TR8_Pos                 (8UL)                     /*!< EXTI FTSR: TR8 (Bit 8)                                */
#define EXTI_FTSR_TR8_Msk                 (0x100UL)                 /*!< EXTI FTSR: TR8 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR8(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR8_Pos))&EXTI_FTSR_TR8_Msk)
#define EXTI_FTSR_TR9_Pos                 (9UL)                     /*!< EXTI FTSR: TR9 (Bit 9)                                */
#define EXTI_FTSR_TR9_Msk                 (0x200UL)                 /*!< EXTI FTSR: TR9 (Bitfield-Mask: 0x01)                  */
#define EXTI_FTSR_TR9(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR9_Pos))&EXTI_FTSR_TR9_Msk)
#define EXTI_FTSR_TR10_Pos                (10UL)                    /*!< EXTI FTSR: TR10 (Bit 10)                              */
#define EXTI_FTSR_TR10_Msk                (0x400UL)                 /*!< EXTI FTSR: TR10 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR10(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR10_Pos))&EXTI_FTSR_TR10_Msk)
#define EXTI_FTSR_TR11_Pos                (11UL)                    /*!< EXTI FTSR: TR11 (Bit 11)                              */
#define EXTI_FTSR_TR11_Msk                (0x800UL)                 /*!< EXTI FTSR: TR11 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR11(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR11_Pos))&EXTI_FTSR_TR11_Msk)
#define EXTI_FTSR_TR12_Pos                (12UL)                    /*!< EXTI FTSR: TR12 (Bit 12)                              */
#define EXTI_FTSR_TR12_Msk                (0x1000UL)                /*!< EXTI FTSR: TR12 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR12(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR12_Pos))&EXTI_FTSR_TR12_Msk)
#define EXTI_FTSR_TR13_Pos                (13UL)                    /*!< EXTI FTSR: TR13 (Bit 13)                              */
#define EXTI_FTSR_TR13_Msk                (0x2000UL)                /*!< EXTI FTSR: TR13 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR13(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR13_Pos))&EXTI_FTSR_TR13_Msk)
#define EXTI_FTSR_TR14_Pos                (14UL)                    /*!< EXTI FTSR: TR14 (Bit 14)                              */
#define EXTI_FTSR_TR14_Msk                (0x4000UL)                /*!< EXTI FTSR: TR14 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR14(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR14_Pos))&EXTI_FTSR_TR14_Msk)
#define EXTI_FTSR_TR15_Pos                (15UL)                    /*!< EXTI FTSR: TR15 (Bit 15)                              */
#define EXTI_FTSR_TR15_Msk                (0x8000UL)                /*!< EXTI FTSR: TR15 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR15(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR15_Pos))&EXTI_FTSR_TR15_Msk)
#define EXTI_FTSR_TR16_Pos                (16UL)                    /*!< EXTI FTSR: TR16 (Bit 16)                              */
#define EXTI_FTSR_TR16_Msk                (0x10000UL)               /*!< EXTI FTSR: TR16 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR16(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR16_Pos))&EXTI_FTSR_TR16_Msk)
#define EXTI_FTSR_TR17_Pos                (17UL)                    /*!< EXTI FTSR: TR17 (Bit 17)                              */
#define EXTI_FTSR_TR17_Msk                (0x20000UL)               /*!< EXTI FTSR: TR17 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR17(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR17_Pos))&EXTI_FTSR_TR17_Msk)
#define EXTI_FTSR_TR18_Pos                (18UL)                    /*!< EXTI FTSR: TR18 (Bit 18)                              */
#define EXTI_FTSR_TR18_Msk                (0x40000UL)               /*!< EXTI FTSR: TR18 (Bitfield-Mask: 0x01)                 */
#define EXTI_FTSR_TR18(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FTSR_TR18_Pos))&EXTI_FTSR_TR18_Msk)
/* =========================================================  SWIER  ========================================================= */
#define EXTI_SWIER_SWIER0_Pos             (0UL)                     /*!< EXTI SWIER: SWIER0 (Bit 0)                            */
#define EXTI_SWIER_SWIER0_Msk             (0x1UL)                   /*!< EXTI SWIER: SWIER0 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER0(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER0_Pos))&EXTI_SWIER_SWIER0_Msk)
#define EXTI_SWIER_SWIER1_Pos             (1UL)                     /*!< EXTI SWIER: SWIER1 (Bit 1)                            */
#define EXTI_SWIER_SWIER1_Msk             (0x2UL)                   /*!< EXTI SWIER: SWIER1 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER1(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER1_Pos))&EXTI_SWIER_SWIER1_Msk)
#define EXTI_SWIER_SWIER2_Pos             (2UL)                     /*!< EXTI SWIER: SWIER2 (Bit 2)                            */
#define EXTI_SWIER_SWIER2_Msk             (0x4UL)                   /*!< EXTI SWIER: SWIER2 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER2(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER2_Pos))&EXTI_SWIER_SWIER2_Msk)
#define EXTI_SWIER_SWIER3_Pos             (3UL)                     /*!< EXTI SWIER: SWIER3 (Bit 3)                            */
#define EXTI_SWIER_SWIER3_Msk             (0x8UL)                   /*!< EXTI SWIER: SWIER3 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER3(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER3_Pos))&EXTI_SWIER_SWIER3_Msk)
#define EXTI_SWIER_SWIER4_Pos             (4UL)                     /*!< EXTI SWIER: SWIER4 (Bit 4)                            */
#define EXTI_SWIER_SWIER4_Msk             (0x10UL)                  /*!< EXTI SWIER: SWIER4 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER4(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER4_Pos))&EXTI_SWIER_SWIER4_Msk)
#define EXTI_SWIER_SWIER5_Pos             (5UL)                     /*!< EXTI SWIER: SWIER5 (Bit 5)                            */
#define EXTI_SWIER_SWIER5_Msk             (0x20UL)                  /*!< EXTI SWIER: SWIER5 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER5(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER5_Pos))&EXTI_SWIER_SWIER5_Msk)
#define EXTI_SWIER_SWIER6_Pos             (6UL)                     /*!< EXTI SWIER: SWIER6 (Bit 6)                            */
#define EXTI_SWIER_SWIER6_Msk             (0x40UL)                  /*!< EXTI SWIER: SWIER6 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER6(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER6_Pos))&EXTI_SWIER_SWIER6_Msk)
#define EXTI_SWIER_SWIER7_Pos             (7UL)                     /*!< EXTI SWIER: SWIER7 (Bit 7)                            */
#define EXTI_SWIER_SWIER7_Msk             (0x80UL)                  /*!< EXTI SWIER: SWIER7 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER7(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER7_Pos))&EXTI_SWIER_SWIER7_Msk)
#define EXTI_SWIER_SWIER8_Pos             (8UL)                     /*!< EXTI SWIER: SWIER8 (Bit 8)                            */
#define EXTI_SWIER_SWIER8_Msk             (0x100UL)                 /*!< EXTI SWIER: SWIER8 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER8(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER8_Pos))&EXTI_SWIER_SWIER8_Msk)
#define EXTI_SWIER_SWIER9_Pos             (9UL)                     /*!< EXTI SWIER: SWIER9 (Bit 9)                            */
#define EXTI_SWIER_SWIER9_Msk             (0x200UL)                 /*!< EXTI SWIER: SWIER9 (Bitfield-Mask: 0x01)              */
#define EXTI_SWIER_SWIER9(x)              (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER9_Pos))&EXTI_SWIER_SWIER9_Msk)
#define EXTI_SWIER_SWIER10_Pos            (10UL)                    /*!< EXTI SWIER: SWIER10 (Bit 10)                          */
#define EXTI_SWIER_SWIER10_Msk            (0x400UL)                 /*!< EXTI SWIER: SWIER10 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER10(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER10_Pos))&EXTI_SWIER_SWIER10_Msk)
#define EXTI_SWIER_SWIER11_Pos            (11UL)                    /*!< EXTI SWIER: SWIER11 (Bit 11)                          */
#define EXTI_SWIER_SWIER11_Msk            (0x800UL)                 /*!< EXTI SWIER: SWIER11 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER11(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER11_Pos))&EXTI_SWIER_SWIER11_Msk)
#define EXTI_SWIER_SWIER12_Pos            (12UL)                    /*!< EXTI SWIER: SWIER12 (Bit 12)                          */
#define EXTI_SWIER_SWIER12_Msk            (0x1000UL)                /*!< EXTI SWIER: SWIER12 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER12(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER12_Pos))&EXTI_SWIER_SWIER12_Msk)
#define EXTI_SWIER_SWIER13_Pos            (13UL)                    /*!< EXTI SWIER: SWIER13 (Bit 13)                          */
#define EXTI_SWIER_SWIER13_Msk            (0x2000UL)                /*!< EXTI SWIER: SWIER13 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER13(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER13_Pos))&EXTI_SWIER_SWIER13_Msk)
#define EXTI_SWIER_SWIER14_Pos            (14UL)                    /*!< EXTI SWIER: SWIER14 (Bit 14)                          */
#define EXTI_SWIER_SWIER14_Msk            (0x4000UL)                /*!< EXTI SWIER: SWIER14 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER14(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER14_Pos))&EXTI_SWIER_SWIER14_Msk)
#define EXTI_SWIER_SWIER15_Pos            (15UL)                    /*!< EXTI SWIER: SWIER15 (Bit 15)                          */
#define EXTI_SWIER_SWIER15_Msk            (0x8000UL)                /*!< EXTI SWIER: SWIER15 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER15(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER15_Pos))&EXTI_SWIER_SWIER15_Msk)
#define EXTI_SWIER_SWIER16_Pos            (16UL)                    /*!< EXTI SWIER: SWIER16 (Bit 16)                          */
#define EXTI_SWIER_SWIER16_Msk            (0x10000UL)               /*!< EXTI SWIER: SWIER16 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER16(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER16_Pos))&EXTI_SWIER_SWIER16_Msk)
#define EXTI_SWIER_SWIER17_Pos            (17UL)                    /*!< EXTI SWIER: SWIER17 (Bit 17)                          */
#define EXTI_SWIER_SWIER17_Msk            (0x20000UL)               /*!< EXTI SWIER: SWIER17 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER17(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER17_Pos))&EXTI_SWIER_SWIER17_Msk)
#define EXTI_SWIER_SWIER18_Pos            (18UL)                    /*!< EXTI SWIER: SWIER18 (Bit 18)                          */
#define EXTI_SWIER_SWIER18_Msk            (0x40000UL)               /*!< EXTI SWIER: SWIER18 (Bitfield-Mask: 0x01)             */
#define EXTI_SWIER_SWIER18(x)             (((uint32_t)(((uint32_t)(x))<<EXTI_SWIER_SWIER18_Pos))&EXTI_SWIER_SWIER18_Msk)
/* ==========================================================  RPR  ========================================================== */
#define EXTI_RPR_RPIF0_Pos                (0UL)                     /*!< EXTI RPR: RPIF0 (Bit 0)                               */
#define EXTI_RPR_RPIF0_Msk                (0x1UL)                   /*!< EXTI RPR: RPIF0 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF0(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF0_Pos))&EXTI_RPR_RPIF0_Msk)
#define EXTI_RPR_RPIF1_Pos                (1UL)                     /*!< EXTI RPR: RPIF1 (Bit 1)                               */
#define EXTI_RPR_RPIF1_Msk                (0x2UL)                   /*!< EXTI RPR: RPIF1 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF1(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF1_Pos))&EXTI_RPR_RPIF1_Msk)
#define EXTI_RPR_RPIF2_Pos                (2UL)                     /*!< EXTI RPR: RPIF2 (Bit 2)                               */
#define EXTI_RPR_RPIF2_Msk                (0x4UL)                   /*!< EXTI RPR: RPIF2 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF2(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF2_Pos))&EXTI_RPR_RPIF2_Msk)
#define EXTI_RPR_RPIF3_Pos                (3UL)                     /*!< EXTI RPR: RPIF3 (Bit 3)                               */
#define EXTI_RPR_RPIF3_Msk                (0x8UL)                   /*!< EXTI RPR: RPIF3 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF3(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF3_Pos))&EXTI_RPR_RPIF3_Msk)
#define EXTI_RPR_RPIF4_Pos                (4UL)                     /*!< EXTI RPR: RPIF4 (Bit 4)                               */
#define EXTI_RPR_RPIF4_Msk                (0x10UL)                  /*!< EXTI RPR: RPIF4 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF4(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF4_Pos))&EXTI_RPR_RPIF4_Msk)
#define EXTI_RPR_RPIF5_Pos                (5UL)                     /*!< EXTI RPR: RPIF5 (Bit 5)                               */
#define EXTI_RPR_RPIF5_Msk                (0x20UL)                  /*!< EXTI RPR: RPIF5 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF5(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF5_Pos))&EXTI_RPR_RPIF5_Msk)
#define EXTI_RPR_RPIF6_Pos                (6UL)                     /*!< EXTI RPR: RPIF6 (Bit 6)                               */
#define EXTI_RPR_RPIF6_Msk                (0x40UL)                  /*!< EXTI RPR: RPIF6 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF6(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF6_Pos))&EXTI_RPR_RPIF6_Msk)
#define EXTI_RPR_RPIF7_Pos                (7UL)                     /*!< EXTI RPR: RPIF7 (Bit 7)                               */
#define EXTI_RPR_RPIF7_Msk                (0x80UL)                  /*!< EXTI RPR: RPIF7 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF7(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF7_Pos))&EXTI_RPR_RPIF7_Msk)
#define EXTI_RPR_RPIF8_Pos                (8UL)                     /*!< EXTI RPR: RPIF8 (Bit 8)                               */
#define EXTI_RPR_RPIF8_Msk                (0x100UL)                 /*!< EXTI RPR: RPIF8 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF8(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF8_Pos))&EXTI_RPR_RPIF8_Msk)
#define EXTI_RPR_RPIF9_Pos                (9UL)                     /*!< EXTI RPR: RPIF9 (Bit 9)                               */
#define EXTI_RPR_RPIF9_Msk                (0x200UL)                 /*!< EXTI RPR: RPIF9 (Bitfield-Mask: 0x01)                 */
#define EXTI_RPR_RPIF9(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF9_Pos))&EXTI_RPR_RPIF9_Msk)
#define EXTI_RPR_RPIF10_Pos               (10UL)                    /*!< EXTI RPR: RPIF10 (Bit 10)                             */
#define EXTI_RPR_RPIF10_Msk               (0x400UL)                 /*!< EXTI RPR: RPIF10 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF10(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF10_Pos))&EXTI_RPR_RPIF10_Msk)
#define EXTI_RPR_RPIF11_Pos               (11UL)                    /*!< EXTI RPR: RPIF11 (Bit 11)                             */
#define EXTI_RPR_RPIF11_Msk               (0x800UL)                 /*!< EXTI RPR: RPIF11 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF11(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF11_Pos))&EXTI_RPR_RPIF11_Msk)
#define EXTI_RPR_RPIF12_Pos               (12UL)                    /*!< EXTI RPR: RPIF12 (Bit 12)                             */
#define EXTI_RPR_RPIF12_Msk               (0x1000UL)                /*!< EXTI RPR: RPIF12 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF12(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF12_Pos))&EXTI_RPR_RPIF12_Msk)
#define EXTI_RPR_RPIF13_Pos               (13UL)                    /*!< EXTI RPR: RPIF13 (Bit 13)                             */
#define EXTI_RPR_RPIF13_Msk               (0x2000UL)                /*!< EXTI RPR: RPIF13 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF13(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF13_Pos))&EXTI_RPR_RPIF13_Msk)
#define EXTI_RPR_RPIF14_Pos               (14UL)                    /*!< EXTI RPR: RPIF14 (Bit 14)                             */
#define EXTI_RPR_RPIF14_Msk               (0x4000UL)                /*!< EXTI RPR: RPIF14 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF14(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF14_Pos))&EXTI_RPR_RPIF14_Msk)
#define EXTI_RPR_RPIF15_Pos               (15UL)                    /*!< EXTI RPR: RPIF15 (Bit 15)                             */
#define EXTI_RPR_RPIF15_Msk               (0x8000UL)                /*!< EXTI RPR: RPIF15 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF15(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF15_Pos))&EXTI_RPR_RPIF15_Msk)
#define EXTI_RPR_RPIF16_Pos               (16UL)                    /*!< EXTI RPR: RPIF16 (Bit 16)                             */
#define EXTI_RPR_RPIF16_Msk               (0x10000UL)               /*!< EXTI RPR: RPIF16 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF16(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF16_Pos))&EXTI_RPR_RPIF16_Msk)
#define EXTI_RPR_RPIF17_Pos               (17UL)                    /*!< EXTI RPR: RPIF17 (Bit 17)                             */
#define EXTI_RPR_RPIF17_Msk               (0x20000UL)               /*!< EXTI RPR: RPIF17 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF17(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF17_Pos))&EXTI_RPR_RPIF17_Msk)
#define EXTI_RPR_RPIF18_Pos               (18UL)                    /*!< EXTI RPR: RPIF18 (Bit 18)                             */
#define EXTI_RPR_RPIF18_Msk               (0x40000UL)               /*!< EXTI RPR: RPIF18 (Bitfield-Mask: 0x01)                */
#define EXTI_RPR_RPIF18(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_RPR_RPIF18_Pos))&EXTI_RPR_RPIF18_Msk)
/* ==========================================================  FPR  ========================================================== */
#define EXTI_FPR_FPIF0_Pos                (0UL)                     /*!< EXTI FPR: FPIF0 (Bit 0)                               */
#define EXTI_FPR_FPIF0_Msk                (0x1UL)                   /*!< EXTI FPR: FPIF0 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF0(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF0_Pos))&EXTI_FPR_FPIF0_Msk)
#define EXTI_FPR_FPIF1_Pos                (1UL)                     /*!< EXTI FPR: FPIF1 (Bit 1)                               */
#define EXTI_FPR_FPIF1_Msk                (0x2UL)                   /*!< EXTI FPR: FPIF1 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF1(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF1_Pos))&EXTI_FPR_FPIF1_Msk)
#define EXTI_FPR_FPIF2_Pos                (2UL)                     /*!< EXTI FPR: FPIF2 (Bit 2)                               */
#define EXTI_FPR_FPIF2_Msk                (0x4UL)                   /*!< EXTI FPR: FPIF2 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF2(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF2_Pos))&EXTI_FPR_FPIF2_Msk)
#define EXTI_FPR_FPIF3_Pos                (3UL)                     /*!< EXTI FPR: FPIF3 (Bit 3)                               */
#define EXTI_FPR_FPIF3_Msk                (0x8UL)                   /*!< EXTI FPR: FPIF3 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF3(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF3_Pos))&EXTI_FPR_FPIF3_Msk)
#define EXTI_FPR_FPIF4_Pos                (4UL)                     /*!< EXTI FPR: FPIF4 (Bit 4)                               */
#define EXTI_FPR_FPIF4_Msk                (0x10UL)                  /*!< EXTI FPR: FPIF4 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF4(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF4_Pos))&EXTI_FPR_FPIF4_Msk)
#define EXTI_FPR_FPIF5_Pos                (5UL)                     /*!< EXTI FPR: FPIF5 (Bit 5)                               */
#define EXTI_FPR_FPIF5_Msk                (0x20UL)                  /*!< EXTI FPR: FPIF5 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF5(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF5_Pos))&EXTI_FPR_FPIF5_Msk)
#define EXTI_FPR_FPIF6_Pos                (6UL)                     /*!< EXTI FPR: FPIF6 (Bit 6)                               */
#define EXTI_FPR_FPIF6_Msk                (0x40UL)                  /*!< EXTI FPR: FPIF6 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF6(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF6_Pos))&EXTI_FPR_FPIF6_Msk)
#define EXTI_FPR_FPIF7_Pos                (7UL)                     /*!< EXTI FPR: FPIF7 (Bit 7)                               */
#define EXTI_FPR_FPIF7_Msk                (0x80UL)                  /*!< EXTI FPR: FPIF7 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF7(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF7_Pos))&EXTI_FPR_FPIF7_Msk)
#define EXTI_FPR_FPIF8_Pos                (8UL)                     /*!< EXTI FPR: FPIF8 (Bit 8)                               */
#define EXTI_FPR_FPIF8_Msk                (0x100UL)                 /*!< EXTI FPR: FPIF8 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF8(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF8_Pos))&EXTI_FPR_FPIF8_Msk)
#define EXTI_FPR_FPIF9_Pos                (9UL)                     /*!< EXTI FPR: FPIF9 (Bit 9)                               */
#define EXTI_FPR_FPIF9_Msk                (0x200UL)                 /*!< EXTI FPR: FPIF9 (Bitfield-Mask: 0x01)                 */
#define EXTI_FPR_FPIF9(x)                 (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF9_Pos))&EXTI_FPR_FPIF9_Msk)
#define EXTI_FPR_FPIF10_Pos               (10UL)                    /*!< EXTI FPR: FPIF10 (Bit 10)                             */
#define EXTI_FPR_FPIF10_Msk               (0x400UL)                 /*!< EXTI FPR: FPIF10 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF10(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF10_Pos))&EXTI_FPR_FPIF10_Msk)
#define EXTI_FPR_FPIF11_Pos               (11UL)                    /*!< EXTI FPR: FPIF11 (Bit 11)                             */
#define EXTI_FPR_FPIF11_Msk               (0x800UL)                 /*!< EXTI FPR: FPIF11 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF11(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF11_Pos))&EXTI_FPR_FPIF11_Msk)
#define EXTI_FPR_FPIF12_Pos               (12UL)                    /*!< EXTI FPR: FPIF12 (Bit 12)                             */
#define EXTI_FPR_FPIF12_Msk               (0x1000UL)                /*!< EXTI FPR: FPIF12 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF12(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF12_Pos))&EXTI_FPR_FPIF12_Msk)
#define EXTI_FPR_FPIF13_Pos               (13UL)                    /*!< EXTI FPR: FPIF13 (Bit 13)                             */
#define EXTI_FPR_FPIF13_Msk               (0x2000UL)                /*!< EXTI FPR: FPIF13 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF13(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF13_Pos))&EXTI_FPR_FPIF13_Msk)
#define EXTI_FPR_FPIF14_Pos               (14UL)                    /*!< EXTI FPR: FPIF14 (Bit 14)                             */
#define EXTI_FPR_FPIF14_Msk               (0x4000UL)                /*!< EXTI FPR: FPIF14 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF14(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF14_Pos))&EXTI_FPR_FPIF14_Msk)
#define EXTI_FPR_FPIF15_Pos               (15UL)                    /*!< EXTI FPR: FPIF15 (Bit 15)                             */
#define EXTI_FPR_FPIF15_Msk               (0x8000UL)                /*!< EXTI FPR: FPIF15 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF15(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF15_Pos))&EXTI_FPR_FPIF15_Msk)
#define EXTI_FPR_FPIF16_Pos               (16UL)                    /*!< EXTI FPR: FPIF16 (Bit 16)                             */
#define EXTI_FPR_FPIF16_Msk               (0x10000UL)               /*!< EXTI FPR: FPIF16 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF16(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF16_Pos))&EXTI_FPR_FPIF16_Msk)
#define EXTI_FPR_FPIF17_Pos               (17UL)                    /*!< EXTI FPR: FPIF17 (Bit 17)                             */
#define EXTI_FPR_FPIF17_Msk               (0x20000UL)               /*!< EXTI FPR: FPIF17 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF17(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF17_Pos))&EXTI_FPR_FPIF17_Msk)
#define EXTI_FPR_FPIF18_Pos               (18UL)                    /*!< EXTI FPR: FPIF18 (Bit 18)                             */
#define EXTI_FPR_FPIF18_Msk               (0x40000UL)               /*!< EXTI FPR: FPIF18 (Bitfield-Mask: 0x01)                */
#define EXTI_FPR_FPIF18(x)                (((uint32_t)(((uint32_t)(x))<<EXTI_FPR_FPIF18_Pos))&EXTI_FPR_FPIF18_Msk)
/* ========================================================  EXTICR  ========================================================= */
#define EXTI_EXTICR_EXTI0_7_Pos           (0UL)                     /*!< EXTI EXTICR: EXTI0_7 (Bit 0)                          */
#define EXTI_EXTICR_EXTI0_7_Msk           (0xffUL)                  /*!< EXTI EXTICR: EXTI0_7 (Bitfield-Mask: 0xff)            */
#define EXTI_EXTICR_EXTI0_7(x)            (((uint32_t)(((uint32_t)(x))<<EXTI_EXTICR_EXTI0_7_Pos))&EXTI_EXTICR_EXTI0_7_Msk)
#define EXTI_EXTICR_EXTI8_15_Pos          (8UL)                     /*!< EXTI EXTICR: EXTI8_15 (Bit 8)                         */
#define EXTI_EXTICR_EXTI8_15_Msk          (0xff00UL)                /*!< EXTI EXTICR: EXTI8_15 (Bitfield-Mask: 0xff)           */
#define EXTI_EXTICR_EXTI8_15(x)           (((uint32_t)(((uint32_t)(x))<<EXTI_EXTICR_EXTI8_15_Pos))&EXTI_EXTICR_EXTI8_15_Msk)
#define EXTI_EXTICR_EXTI16_23_Pos         (16UL)                    /*!< EXTI EXTICR: EXTI16_23 (Bit 16)                       */
#define EXTI_EXTICR_EXTI16_23_Msk         (0xff0000UL)              /*!< EXTI EXTICR: EXTI16_23 (Bitfield-Mask: 0xff)          */
#define EXTI_EXTICR_EXTI16_23(x)          (((uint32_t)(((uint32_t)(x))<<EXTI_EXTICR_EXTI16_23_Pos))&EXTI_EXTICR_EXTI16_23_Msk)
#define EXTI_EXTICR_EXTI24_31_Pos         (24UL)                    /*!< EXTI EXTICR: EXTI24_31 (Bit 24)                       */
#define EXTI_EXTICR_EXTI24_31_Msk         (0xff000000UL)            /*!< EXTI EXTICR: EXTI24_31 (Bitfield-Mask: 0xff)          */
#define EXTI_EXTICR_EXTI24_31(x)          (((uint32_t)(((uint32_t)(x))<<EXTI_EXTICR_EXTI24_31_Pos))&EXTI_EXTICR_EXTI24_31_Msk)
/* ==========================================================  IMR  ========================================================== */
#define EXTI_IMR_IM0_Pos                  (0UL)                     /*!< EXTI IMR: IM0 (Bit 0)                                 */
#define EXTI_IMR_IM0_Msk                  (0x1UL)                   /*!< EXTI IMR: IM0 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM0(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM0_Pos))&EXTI_IMR_IM0_Msk)
#define EXTI_IMR_IM1_Pos                  (1UL)                     /*!< EXTI IMR: IM1 (Bit 1)                                 */
#define EXTI_IMR_IM1_Msk                  (0x2UL)                   /*!< EXTI IMR: IM1 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM1(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM1_Pos))&EXTI_IMR_IM1_Msk)
#define EXTI_IMR_IM2_Pos                  (2UL)                     /*!< EXTI IMR: IM2 (Bit 2)                                 */
#define EXTI_IMR_IM2_Msk                  (0x4UL)                   /*!< EXTI IMR: IM2 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM2(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM2_Pos))&EXTI_IMR_IM2_Msk)
#define EXTI_IMR_IM3_Pos                  (3UL)                     /*!< EXTI IMR: IM3 (Bit 3)                                 */
#define EXTI_IMR_IM3_Msk                  (0x8UL)                   /*!< EXTI IMR: IM3 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM3(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM3_Pos))&EXTI_IMR_IM3_Msk)
#define EXTI_IMR_IM4_Pos                  (4UL)                     /*!< EXTI IMR: IM4 (Bit 4)                                 */
#define EXTI_IMR_IM4_Msk                  (0x10UL)                  /*!< EXTI IMR: IM4 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM4(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM4_Pos))&EXTI_IMR_IM4_Msk)
#define EXTI_IMR_IM5_Pos                  (5UL)                     /*!< EXTI IMR: IM5 (Bit 5)                                 */
#define EXTI_IMR_IM5_Msk                  (0x20UL)                  /*!< EXTI IMR: IM5 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM5(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM5_Pos))&EXTI_IMR_IM5_Msk)
#define EXTI_IMR_IM6_Pos                  (6UL)                     /*!< EXTI IMR: IM6 (Bit 6)                                 */
#define EXTI_IMR_IM6_Msk                  (0x40UL)                  /*!< EXTI IMR: IM6 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM6(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM6_Pos))&EXTI_IMR_IM6_Msk)
#define EXTI_IMR_IM7_Pos                  (7UL)                     /*!< EXTI IMR: IM7 (Bit 7)                                 */
#define EXTI_IMR_IM7_Msk                  (0x80UL)                  /*!< EXTI IMR: IM7 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM7(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM7_Pos))&EXTI_IMR_IM7_Msk)
#define EXTI_IMR_IM8_Pos                  (8UL)                     /*!< EXTI IMR: IM8 (Bit 8)                                 */
#define EXTI_IMR_IM8_Msk                  (0x100UL)                 /*!< EXTI IMR: IM8 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM8(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM8_Pos))&EXTI_IMR_IM8_Msk)
#define EXTI_IMR_IM9_Pos                  (9UL)                     /*!< EXTI IMR: IM9 (Bit 9)                                 */
#define EXTI_IMR_IM9_Msk                  (0x200UL)                 /*!< EXTI IMR: IM9 (Bitfield-Mask: 0x01)                   */
#define EXTI_IMR_IM9(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM9_Pos))&EXTI_IMR_IM9_Msk)
#define EXTI_IMR_IM10_Pos                 (10UL)                    /*!< EXTI IMR: IM10 (Bit 10)                               */
#define EXTI_IMR_IM10_Msk                 (0x400UL)                 /*!< EXTI IMR: IM10 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM10(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM10_Pos))&EXTI_IMR_IM10_Msk)
#define EXTI_IMR_IM11_Pos                 (11UL)                    /*!< EXTI IMR: IM11 (Bit 11)                               */
#define EXTI_IMR_IM11_Msk                 (0x800UL)                 /*!< EXTI IMR: IM11 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM11(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM11_Pos))&EXTI_IMR_IM11_Msk)
#define EXTI_IMR_IM12_Pos                 (12UL)                    /*!< EXTI IMR: IM12 (Bit 12)                               */
#define EXTI_IMR_IM12_Msk                 (0x1000UL)                /*!< EXTI IMR: IM12 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM12(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM12_Pos))&EXTI_IMR_IM12_Msk)
#define EXTI_IMR_IM13_Pos                 (13UL)                    /*!< EXTI IMR: IM13 (Bit 13)                               */
#define EXTI_IMR_IM13_Msk                 (0x2000UL)                /*!< EXTI IMR: IM13 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM13(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM13_Pos))&EXTI_IMR_IM13_Msk)
#define EXTI_IMR_IM14_Pos                 (14UL)                    /*!< EXTI IMR: IM14 (Bit 14)                               */
#define EXTI_IMR_IM14_Msk                 (0x4000UL)                /*!< EXTI IMR: IM14 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM14(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM14_Pos))&EXTI_IMR_IM14_Msk)
#define EXTI_IMR_IM15_Pos                 (15UL)                    /*!< EXTI IMR: IM15 (Bit 15)                               */
#define EXTI_IMR_IM15_Msk                 (0x8000UL)                /*!< EXTI IMR: IM15 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM15(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM15_Pos))&EXTI_IMR_IM15_Msk)
#define EXTI_IMR_IM16_Pos                 (16UL)                    /*!< EXTI IMR: IM16 (Bit 16)                               */
#define EXTI_IMR_IM16_Msk                 (0x10000UL)               /*!< EXTI IMR: IM16 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM16(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM16_Pos))&EXTI_IMR_IM16_Msk)
#define EXTI_IMR_IM17_Pos                 (17UL)                    /*!< EXTI IMR: IM17 (Bit 17)                               */
#define EXTI_IMR_IM17_Msk                 (0x20000UL)               /*!< EXTI IMR: IM17 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM17(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM17_Pos))&EXTI_IMR_IM17_Msk)
#define EXTI_IMR_IM18_Pos                 (18UL)                    /*!< EXTI IMR: IM18 (Bit 18)                               */
#define EXTI_IMR_IM18_Msk                 (0x40000UL)               /*!< EXTI IMR: IM18 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM18(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM18_Pos))&EXTI_IMR_IM18_Msk)
#define EXTI_IMR_IM19_Pos                 (19UL)                    /*!< EXTI IMR: IM19 (Bit 19)                               */
#define EXTI_IMR_IM19_Msk                 (0x80000UL)               /*!< EXTI IMR: IM19 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM19(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM19_Pos))&EXTI_IMR_IM19_Msk)
#define EXTI_IMR_IM20_Pos                 (20UL)                    /*!< EXTI IMR: IM20 (Bit 20)                               */
#define EXTI_IMR_IM20_Msk                 (0x100000UL)              /*!< EXTI IMR: IM20 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM20(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM20_Pos))&EXTI_IMR_IM20_Msk)
#define EXTI_IMR_IM21_Pos                 (21UL)                    /*!< EXTI IMR: IM21 (Bit 21)                               */
#define EXTI_IMR_IM21_Msk                 (0x200000UL)              /*!< EXTI IMR: IM21 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM21(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM21_Pos))&EXTI_IMR_IM21_Msk)
#define EXTI_IMR_IM22_Pos                 (22UL)                    /*!< EXTI IMR: IM22 (Bit 22)                               */
#define EXTI_IMR_IM22_Msk                 (0x400000UL)              /*!< EXTI IMR: IM22 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM22(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM22_Pos))&EXTI_IMR_IM22_Msk)
#define EXTI_IMR_IM23_Pos                 (23UL)                    /*!< EXTI IMR: IM23 (Bit 23)                               */
#define EXTI_IMR_IM23_Msk                 (0x800000UL)              /*!< EXTI IMR: IM23 (Bitfield-Mask: 0x01)                  */
#define EXTI_IMR_IM23(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_IMR_IM23_Pos))&EXTI_IMR_IM23_Msk)
/* ==========================================================  EMR  ========================================================== */
#define EXTI_EMR_EM0_Pos                  (0UL)                     /*!< EXTI EMR: EM0 (Bit 0)                                 */
#define EXTI_EMR_EM0_Msk                  (0x1UL)                   /*!< EXTI EMR: EM0 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM0(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM0_Pos))&EXTI_EMR_EM0_Msk)
#define EXTI_EMR_EM1_Pos                  (1UL)                     /*!< EXTI EMR: EM1 (Bit 1)                                 */
#define EXTI_EMR_EM1_Msk                  (0x2UL)                   /*!< EXTI EMR: EM1 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM1(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM1_Pos))&EXTI_EMR_EM1_Msk)
#define EXTI_EMR_EM2_Pos                  (2UL)                     /*!< EXTI EMR: EM2 (Bit 2)                                 */
#define EXTI_EMR_EM2_Msk                  (0x4UL)                   /*!< EXTI EMR: EM2 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM2(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM2_Pos))&EXTI_EMR_EM2_Msk)
#define EXTI_EMR_EM3_Pos                  (3UL)                     /*!< EXTI EMR: EM3 (Bit 3)                                 */
#define EXTI_EMR_EM3_Msk                  (0x8UL)                   /*!< EXTI EMR: EM3 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM3(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM3_Pos))&EXTI_EMR_EM3_Msk)
#define EXTI_EMR_EM4_Pos                  (4UL)                     /*!< EXTI EMR: EM4 (Bit 4)                                 */
#define EXTI_EMR_EM4_Msk                  (0x10UL)                  /*!< EXTI EMR: EM4 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM4(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM4_Pos))&EXTI_EMR_EM4_Msk)
#define EXTI_EMR_EM5_Pos                  (5UL)                     /*!< EXTI EMR: EM5 (Bit 5)                                 */
#define EXTI_EMR_EM5_Msk                  (0x20UL)                  /*!< EXTI EMR: EM5 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM5(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM5_Pos))&EXTI_EMR_EM5_Msk)
#define EXTI_EMR_EM6_Pos                  (6UL)                     /*!< EXTI EMR: EM6 (Bit 6)                                 */
#define EXTI_EMR_EM6_Msk                  (0x40UL)                  /*!< EXTI EMR: EM6 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM6(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM6_Pos))&EXTI_EMR_EM6_Msk)
#define EXTI_EMR_EM7_Pos                  (7UL)                     /*!< EXTI EMR: EM7 (Bit 7)                                 */
#define EXTI_EMR_EM7_Msk                  (0x80UL)                  /*!< EXTI EMR: EM7 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM7(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM7_Pos))&EXTI_EMR_EM7_Msk)
#define EXTI_EMR_EM8_Pos                  (8UL)                     /*!< EXTI EMR: EM8 (Bit 8)                                 */
#define EXTI_EMR_EM8_Msk                  (0x100UL)                 /*!< EXTI EMR: EM8 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM8(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM8_Pos))&EXTI_EMR_EM8_Msk)
#define EXTI_EMR_EM9_Pos                  (9UL)                     /*!< EXTI EMR: EM9 (Bit 9)                                 */
#define EXTI_EMR_EM9_Msk                  (0x200UL)                 /*!< EXTI EMR: EM9 (Bitfield-Mask: 0x01)                   */
#define EXTI_EMR_EM9(x)                   (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM9_Pos))&EXTI_EMR_EM9_Msk)
#define EXTI_EMR_EM10_Pos                 (10UL)                    /*!< EXTI EMR: EM10 (Bit 10)                               */
#define EXTI_EMR_EM10_Msk                 (0x400UL)                 /*!< EXTI EMR: EM10 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM10(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM10_Pos))&EXTI_EMR_EM10_Msk)
#define EXTI_EMR_EM11_Pos                 (11UL)                    /*!< EXTI EMR: EM11 (Bit 11)                               */
#define EXTI_EMR_EM11_Msk                 (0x800UL)                 /*!< EXTI EMR: EM11 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM11(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM11_Pos))&EXTI_EMR_EM11_Msk)
#define EXTI_EMR_EM12_Pos                 (12UL)                    /*!< EXTI EMR: EM12 (Bit 12)                               */
#define EXTI_EMR_EM12_Msk                 (0x1000UL)                /*!< EXTI EMR: EM12 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM12(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM12_Pos))&EXTI_EMR_EM12_Msk)
#define EXTI_EMR_EM13_Pos                 (13UL)                    /*!< EXTI EMR: EM13 (Bit 13)                               */
#define EXTI_EMR_EM13_Msk                 (0x2000UL)                /*!< EXTI EMR: EM13 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM13(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM13_Pos))&EXTI_EMR_EM13_Msk)
#define EXTI_EMR_EM14_Pos                 (14UL)                    /*!< EXTI EMR: EM14 (Bit 14)                               */
#define EXTI_EMR_EM14_Msk                 (0x4000UL)                /*!< EXTI EMR: EM14 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM14(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM14_Pos))&EXTI_EMR_EM14_Msk)
#define EXTI_EMR_EM15_Pos                 (15UL)                    /*!< EXTI EMR: EM15 (Bit 15)                               */
#define EXTI_EMR_EM15_Msk                 (0x8000UL)                /*!< EXTI EMR: EM15 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM15(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM15_Pos))&EXTI_EMR_EM15_Msk)
#define EXTI_EMR_EM16_Pos                 (16UL)                    /*!< EXTI EMR: EM16 (Bit 16)                               */
#define EXTI_EMR_EM16_Msk                 (0x10000UL)               /*!< EXTI EMR: EM16 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM16(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM16_Pos))&EXTI_EMR_EM16_Msk)
#define EXTI_EMR_EM17_Pos                 (17UL)                    /*!< EXTI EMR: EM17 (Bit 17)                               */
#define EXTI_EMR_EM17_Msk                 (0x20000UL)               /*!< EXTI EMR: EM17 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM17(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM17_Pos))&EXTI_EMR_EM17_Msk)
#define EXTI_EMR_EM18_Pos                 (18UL)                    /*!< EXTI EMR: EM18 (Bit 18)                               */
#define EXTI_EMR_EM18_Msk                 (0x40000UL)               /*!< EXTI EMR: EM18 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM18(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM18_Pos))&EXTI_EMR_EM18_Msk)
#define EXTI_EMR_EM19_Pos                 (19UL)                    /*!< EXTI EMR: EM19 (Bit 19)                               */
#define EXTI_EMR_EM19_Msk                 (0x80000UL)               /*!< EXTI EMR: EM19 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM19(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM19_Pos))&EXTI_EMR_EM19_Msk)
#define EXTI_EMR_EM20_Pos                 (20UL)                    /*!< EXTI EMR: EM20 (Bit 20)                               */
#define EXTI_EMR_EM20_Msk                 (0x100000UL)              /*!< EXTI EMR: EM20 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM20(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM20_Pos))&EXTI_EMR_EM20_Msk)
#define EXTI_EMR_EM21_Pos                 (21UL)                    /*!< EXTI EMR: EM21 (Bit 21)                               */
#define EXTI_EMR_EM21_Msk                 (0x200000UL)              /*!< EXTI EMR: EM21 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM21(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM21_Pos))&EXTI_EMR_EM21_Msk)
#define EXTI_EMR_EM22_Pos                 (22UL)                    /*!< EXTI EMR: EM22 (Bit 22)                               */
#define EXTI_EMR_EM22_Msk                 (0x400000UL)              /*!< EXTI EMR: EM22 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM22(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM22_Pos))&EXTI_EMR_EM22_Msk)
#define EXTI_EMR_EM23_Pos                 (23UL)                    /*!< EXTI EMR: EM23 (Bit 23)                               */
#define EXTI_EMR_EM23_Msk                 (0x800000UL)              /*!< EXTI EMR: EM23 (Bitfield-Mask: 0x01)                  */
#define EXTI_EMR_EM23(x)                  (((uint32_t)(((uint32_t)(x))<<EXTI_EMR_EM23_Pos))&EXTI_EMR_EM23_Msk)


/* =========================================================================================================================== */
/* ================                                           FLASH                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  ADDR  ========================================================== */
#define FLASH_ADDR_ADDR_Pos               (0UL)                     /*!< FLASH ADDR: ADDR (Bit 0)                              */
#define FLASH_ADDR_ADDR_Msk               (0xffffffffUL)            /*!< FLASH ADDR: ADDR (Bitfield-Mask: 0xffffffff)          */
#define FLASH_ADDR_ADDR(x)                (((uint32_t)(((uint32_t)(x))<<FLASH_ADDR_ADDR_Pos))&FLASH_ADDR_ADDR_Msk)
/* =========================================================  DATA  ========================================================== */
#define FLASH_DATA_DATA_Pos               (0UL)                     /*!< FLASH DATA: DATA (Bit 0)                              */
#define FLASH_DATA_DATA_Msk               (0xffffffffUL)            /*!< FLASH DATA: DATA (Bitfield-Mask: 0xffffffff)          */
#define FLASH_DATA_DATA(x)                (((uint32_t)(((uint32_t)(x))<<FLASH_DATA_DATA_Pos))&FLASH_DATA_DATA_Msk)
/* =========================================================  CTRL  ========================================================== */
#define FLASH_CTRL_START_Pos              (0UL)                     /*!< FLASH CTRL: START (Bit 0)                             */
#define FLASH_CTRL_START_Msk              (0x1UL)                   /*!< FLASH CTRL: START (Bitfield-Mask: 0x01)               */
#define FLASH_CTRL_START(x)               (((uint32_t)(((uint32_t)(x))<<FLASH_CTRL_START_Pos))&FLASH_CTRL_START_Msk)
#define FLASH_CTRL_OP_MODE_Pos            (1UL)                     /*!< FLASH CTRL: OP_MODE (Bit 1)                           */
#define FLASH_CTRL_OP_MODE_Msk            (0xeUL)                   /*!< FLASH CTRL: OP_MODE (Bitfield-Mask: 0x07)             */
#define FLASH_CTRL_OP_MODE(x)             (((uint32_t)(((uint32_t)(x))<<FLASH_CTRL_OP_MODE_Pos))&FLASH_CTRL_OP_MODE_Msk)
#define FLASH_CTRL_CFG_ER_Pos             (4UL)                     /*!< FLASH CTRL: CFG_ER (Bit 4)                            */
#define FLASH_CTRL_CFG_ER_Msk             (0x10UL)                  /*!< FLASH CTRL: CFG_ER (Bitfield-Mask: 0x01)              */
#define FLASH_CTRL_CFG_ER(x)              (((uint32_t)(((uint32_t)(x))<<FLASH_CTRL_CFG_ER_Pos))&FLASH_CTRL_CFG_ER_Msk)
#define FLASH_CTRL_LEN_Pos                (6UL)                     /*!< FLASH CTRL: LEN (Bit 6)                               */
#define FLASH_CTRL_LEN_Msk                (0xffc0UL)                /*!< FLASH CTRL: LEN (Bitfield-Mask: 0x3ff)                */
#define FLASH_CTRL_LEN(x)                 (((uint32_t)(((uint32_t)(x))<<FLASH_CTRL_LEN_Pos))&FLASH_CTRL_LEN_Msk)
#define FLASH_CTRL_KEY_Pos                (16UL)                    /*!< FLASH CTRL: KEY (Bit 16)                              */
#define FLASH_CTRL_KEY_Msk                (0xffff0000UL)            /*!< FLASH CTRL: KEY (Bitfield-Mask: 0xffff)               */
#define FLASH_CTRL_KEY(x)                 (((uint32_t)(((uint32_t)(x))<<FLASH_CTRL_KEY_Pos))&FLASH_CTRL_KEY_Msk)
/* =========================================================  WAIT  ========================================================== */
#define FLASH_WAIT_WAIT_Pos               (0UL)                     /*!< FLASH WAIT: WAIT (Bit 0)                              */
#define FLASH_WAIT_WAIT_Msk               (0x3UL)                   /*!< FLASH WAIT: WAIT (Bitfield-Mask: 0x03)                */
#define FLASH_WAIT_WAIT(x)                (((uint32_t)(((uint32_t)(x))<<FLASH_WAIT_WAIT_Pos))&FLASH_WAIT_WAIT_Msk)
/* ======================================================  CFG_RELOAD  ======================================================= */
#define FLASH_CFG_RELOAD_RELOAD_Pos       (0UL)                     /*!< FLASH CFG_RELOAD: RELOAD (Bit 0)                      */
#define FLASH_CFG_RELOAD_RELOAD_Msk       (0x1UL)                   /*!< FLASH CFG_RELOAD: RELOAD (Bitfield-Mask: 0x01)        */
#define FLASH_CFG_RELOAD_RELOAD(x)        (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_RELOAD_RELOAD_Pos))&FLASH_CFG_RELOAD_RELOAD_Msk)
/* ==========================================================  IEN  ========================================================== */
#define FLASH_IEN_IEN_Pos                 (0UL)                     /*!< FLASH IEN: IEN (Bit 0)                                */
#define FLASH_IEN_IEN_Msk                 (0x1UL)                   /*!< FLASH IEN: IEN (Bitfield-Mask: 0x01)                  */
#define FLASH_IEN_IEN(x)                  (((uint32_t)(((uint32_t)(x))<<FLASH_IEN_IEN_Pos))&FLASH_IEN_IEN_Msk)
/* ==========================================================  ISR  ========================================================== */
#define FLASH_ISR_INTF_Pos                (0UL)                     /*!< FLASH ISR: INTF (Bit 0)                               */
#define FLASH_ISR_INTF_Msk                (0x1UL)                   /*!< FLASH ISR: INTF (Bitfield-Mask: 0x01)                 */
#define FLASH_ISR_INTF(x)                 (((uint32_t)(((uint32_t)(x))<<FLASH_ISR_INTF_Pos))&FLASH_ISR_INTF_Msk)
#define FLASH_ISR_OPERR_Pos               (4UL)                     /*!< FLASH ISR: OPERR (Bit 4)                              */
#define FLASH_ISR_OPERR_Msk               (0xf0UL)                  /*!< FLASH ISR: OPERR (Bitfield-Mask: 0x0f)                */
#define FLASH_ISR_OPERR(x)                (((uint32_t)(((uint32_t)(x))<<FLASH_ISR_OPERR_Pos))&FLASH_ISR_OPERR_Msk)
#define FLASH_ISR_BUSY_Pos                (31UL)                    /*!< FLASH ISR: BUSY (Bit 31)                              */
#define FLASH_ISR_BUSY_Msk                (0x80000000UL)            /*!< FLASH ISR: BUSY (Bitfield-Mask: 0x01)                 */
#define FLASH_ISR_BUSY(x)                 (((uint32_t)(((uint32_t)(x))<<FLASH_ISR_BUSY_Pos))&FLASH_ISR_BUSY_Msk)
/* =======================================================  CFG_INFO0  ======================================================= */
#define FLASH_CFG_INFO0_CFG_BOR_Pos       (0UL)                     /*!< FLASH CFG_INFO0: CFG_BOR (Bit 0)                      */
#define FLASH_CFG_INFO0_CFG_BOR_Msk       (0xffUL)                  /*!< FLASH CFG_INFO0: CFG_BOR (Bitfield-Mask: 0xff)        */
#define FLASH_CFG_INFO0_CFG_BOR(x)        (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_INFO0_CFG_BOR_Pos))&FLASH_CFG_INFO0_CFG_BOR_Msk)
#define FLASH_CFG_INFO0_CFG_WDT_Pos       (8UL)                     /*!< FLASH CFG_INFO0: CFG_WDT (Bit 8)                      */
#define FLASH_CFG_INFO0_CFG_WDT_Msk       (0xff00UL)                /*!< FLASH CFG_INFO0: CFG_WDT (Bitfield-Mask: 0xff)        */
#define FLASH_CFG_INFO0_CFG_WDT(x)        (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_INFO0_CFG_WDT_Pos))&FLASH_CFG_INFO0_CFG_WDT_Msk)
/* =======================================================  CFG_INFO1  ======================================================= */
#define FLASH_CFG_INFO1_PIN_RST_Pos       (0UL)                     /*!< FLASH CFG_INFO1: PIN_RST (Bit 0)                      */
#define FLASH_CFG_INFO1_PIN_RST_Msk       (0x1UL)                   /*!< FLASH CFG_INFO1: PIN_RST (Bitfield-Mask: 0x01)        */
#define FLASH_CFG_INFO1_PIN_RST(x)        (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_INFO1_PIN_RST_Pos))&FLASH_CFG_INFO1_PIN_RST_Msk)
#define FLASH_CFG_INFO1_BOOT_SEL_Pos      (1UL)                     /*!< FLASH CFG_INFO1: BOOT_SEL (Bit 1)                     */
#define FLASH_CFG_INFO1_BOOT_SEL_Msk      (0x2UL)                   /*!< FLASH CFG_INFO1: BOOT_SEL (Bitfield-Mask: 0x01)       */
#define FLASH_CFG_INFO1_BOOT_SEL(x)       (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_INFO1_BOOT_SEL_Pos))&FLASH_CFG_INFO1_BOOT_SEL_Msk)
#define FLASH_CFG_INFO1_SWD_DIS_Pos       (2UL)                     /*!< FLASH CFG_INFO1: SWD_DIS (Bit 2)                      */
#define FLASH_CFG_INFO1_SWD_DIS_Msk       (0x4UL)                   /*!< FLASH CFG_INFO1: SWD_DIS (Bitfield-Mask: 0x01)        */
#define FLASH_CFG_INFO1_SWD_DIS(x)        (((uint32_t)(((uint32_t)(x))<<FLASH_CFG_INFO1_SWD_DIS_Pos))&FLASH_CFG_INFO1_SWD_DIS_Msk)
/* ========================================================  RDPROT0  ======================================================== */
#define FLASH_RDPROT0_RDPROT_SEC0_Pos     (0UL)                     /*!< FLASH RDPROT0: RDPROT_SEC0 (Bit 0)                    */
#define FLASH_RDPROT0_RDPROT_SEC0_Msk     (0x1UL)                   /*!< FLASH RDPROT0: RDPROT_SEC0 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC0(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC0_Pos))&FLASH_RDPROT0_RDPROT_SEC0_Msk)
#define FLASH_RDPROT0_RDPROT_SEC1_Pos     (1UL)                     /*!< FLASH RDPROT0: RDPROT_SEC1 (Bit 1)                    */
#define FLASH_RDPROT0_RDPROT_SEC1_Msk     (0x2UL)                   /*!< FLASH RDPROT0: RDPROT_SEC1 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC1(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC1_Pos))&FLASH_RDPROT0_RDPROT_SEC1_Msk)
#define FLASH_RDPROT0_RDPROT_SEC2_Pos     (2UL)                     /*!< FLASH RDPROT0: RDPROT_SEC2 (Bit 2)                    */
#define FLASH_RDPROT0_RDPROT_SEC2_Msk     (0x4UL)                   /*!< FLASH RDPROT0: RDPROT_SEC2 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC2(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC2_Pos))&FLASH_RDPROT0_RDPROT_SEC2_Msk)
#define FLASH_RDPROT0_RDPROT_SEC3_Pos     (3UL)                     /*!< FLASH RDPROT0: RDPROT_SEC3 (Bit 3)                    */
#define FLASH_RDPROT0_RDPROT_SEC3_Msk     (0x8UL)                   /*!< FLASH RDPROT0: RDPROT_SEC3 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC3(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC3_Pos))&FLASH_RDPROT0_RDPROT_SEC3_Msk)
#define FLASH_RDPROT0_RDPROT_SEC4_Pos     (4UL)                     /*!< FLASH RDPROT0: RDPROT_SEC4 (Bit 4)                    */
#define FLASH_RDPROT0_RDPROT_SEC4_Msk     (0x10UL)                  /*!< FLASH RDPROT0: RDPROT_SEC4 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC4(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC4_Pos))&FLASH_RDPROT0_RDPROT_SEC4_Msk)
#define FLASH_RDPROT0_RDPROT_SEC5_Pos     (5UL)                     /*!< FLASH RDPROT0: RDPROT_SEC5 (Bit 5)                    */
#define FLASH_RDPROT0_RDPROT_SEC5_Msk     (0x20UL)                  /*!< FLASH RDPROT0: RDPROT_SEC5 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC5(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC5_Pos))&FLASH_RDPROT0_RDPROT_SEC5_Msk)
#define FLASH_RDPROT0_RDPROT_SEC6_Pos     (6UL)                     /*!< FLASH RDPROT0: RDPROT_SEC6 (Bit 6)                    */
#define FLASH_RDPROT0_RDPROT_SEC6_Msk     (0x40UL)                  /*!< FLASH RDPROT0: RDPROT_SEC6 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC6(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC6_Pos))&FLASH_RDPROT0_RDPROT_SEC6_Msk)
#define FLASH_RDPROT0_RDPROT_SEC7_Pos     (7UL)                     /*!< FLASH RDPROT0: RDPROT_SEC7 (Bit 7)                    */
#define FLASH_RDPROT0_RDPROT_SEC7_Msk     (0x80UL)                  /*!< FLASH RDPROT0: RDPROT_SEC7 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC7(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC7_Pos))&FLASH_RDPROT0_RDPROT_SEC7_Msk)
#define FLASH_RDPROT0_RDPROT_SEC8_Pos     (8UL)                     /*!< FLASH RDPROT0: RDPROT_SEC8 (Bit 8)                    */
#define FLASH_RDPROT0_RDPROT_SEC8_Msk     (0x100UL)                 /*!< FLASH RDPROT0: RDPROT_SEC8 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC8(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC8_Pos))&FLASH_RDPROT0_RDPROT_SEC8_Msk)
#define FLASH_RDPROT0_RDPROT_SEC9_Pos     (9UL)                     /*!< FLASH RDPROT0: RDPROT_SEC9 (Bit 9)                    */
#define FLASH_RDPROT0_RDPROT_SEC9_Msk     (0x200UL)                 /*!< FLASH RDPROT0: RDPROT_SEC9 (Bitfield-Mask: 0x01)      */
#define FLASH_RDPROT0_RDPROT_SEC9(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC9_Pos))&FLASH_RDPROT0_RDPROT_SEC9_Msk)
#define FLASH_RDPROT0_RDPROT_SEC10_Pos    (10UL)                    /*!< FLASH RDPROT0: RDPROT_SEC10 (Bit 10)                  */
#define FLASH_RDPROT0_RDPROT_SEC10_Msk    (0x400UL)                 /*!< FLASH RDPROT0: RDPROT_SEC10 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC10(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC10_Pos))&FLASH_RDPROT0_RDPROT_SEC10_Msk)
#define FLASH_RDPROT0_RDPROT_SEC11_Pos    (11UL)                    /*!< FLASH RDPROT0: RDPROT_SEC11 (Bit 11)                  */
#define FLASH_RDPROT0_RDPROT_SEC11_Msk    (0x800UL)                 /*!< FLASH RDPROT0: RDPROT_SEC11 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC11(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC11_Pos))&FLASH_RDPROT0_RDPROT_SEC11_Msk)
#define FLASH_RDPROT0_RDPROT_SEC12_Pos    (12UL)                    /*!< FLASH RDPROT0: RDPROT_SEC12 (Bit 12)                  */
#define FLASH_RDPROT0_RDPROT_SEC12_Msk    (0x1000UL)                /*!< FLASH RDPROT0: RDPROT_SEC12 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC12(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC12_Pos))&FLASH_RDPROT0_RDPROT_SEC12_Msk)
#define FLASH_RDPROT0_RDPROT_SEC13_Pos    (13UL)                    /*!< FLASH RDPROT0: RDPROT_SEC13 (Bit 13)                  */
#define FLASH_RDPROT0_RDPROT_SEC13_Msk    (0x2000UL)                /*!< FLASH RDPROT0: RDPROT_SEC13 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC13(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC13_Pos))&FLASH_RDPROT0_RDPROT_SEC13_Msk)
#define FLASH_RDPROT0_RDPROT_SEC14_Pos    (14UL)                    /*!< FLASH RDPROT0: RDPROT_SEC14 (Bit 14)                  */
#define FLASH_RDPROT0_RDPROT_SEC14_Msk    (0x4000UL)                /*!< FLASH RDPROT0: RDPROT_SEC14 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC14(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC14_Pos))&FLASH_RDPROT0_RDPROT_SEC14_Msk)
#define FLASH_RDPROT0_RDPROT_SEC15_Pos    (15UL)                    /*!< FLASH RDPROT0: RDPROT_SEC15 (Bit 15)                  */
#define FLASH_RDPROT0_RDPROT_SEC15_Msk    (0x8000UL)                /*!< FLASH RDPROT0: RDPROT_SEC15 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC15(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC15_Pos))&FLASH_RDPROT0_RDPROT_SEC15_Msk)
#define FLASH_RDPROT0_RDPROT_SEC16_Pos    (16UL)                    /*!< FLASH RDPROT0: RDPROT_SEC16 (Bit 16)                  */
#define FLASH_RDPROT0_RDPROT_SEC16_Msk    (0x10000UL)               /*!< FLASH RDPROT0: RDPROT_SEC16 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC16(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC16_Pos))&FLASH_RDPROT0_RDPROT_SEC16_Msk)
#define FLASH_RDPROT0_RDPROT_SEC17_Pos    (17UL)                    /*!< FLASH RDPROT0: RDPROT_SEC17 (Bit 17)                  */
#define FLASH_RDPROT0_RDPROT_SEC17_Msk    (0x20000UL)               /*!< FLASH RDPROT0: RDPROT_SEC17 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC17(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC17_Pos))&FLASH_RDPROT0_RDPROT_SEC17_Msk)
#define FLASH_RDPROT0_RDPROT_SEC18_Pos    (18UL)                    /*!< FLASH RDPROT0: RDPROT_SEC18 (Bit 18)                  */
#define FLASH_RDPROT0_RDPROT_SEC18_Msk    (0x40000UL)               /*!< FLASH RDPROT0: RDPROT_SEC18 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC18(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC18_Pos))&FLASH_RDPROT0_RDPROT_SEC18_Msk)
#define FLASH_RDPROT0_RDPROT_SEC19_Pos    (19UL)                    /*!< FLASH RDPROT0: RDPROT_SEC19 (Bit 19)                  */
#define FLASH_RDPROT0_RDPROT_SEC19_Msk    (0x80000UL)               /*!< FLASH RDPROT0: RDPROT_SEC19 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC19(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC19_Pos))&FLASH_RDPROT0_RDPROT_SEC19_Msk)
#define FLASH_RDPROT0_RDPROT_SEC20_Pos    (20UL)                    /*!< FLASH RDPROT0: RDPROT_SEC20 (Bit 20)                  */
#define FLASH_RDPROT0_RDPROT_SEC20_Msk    (0x100000UL)              /*!< FLASH RDPROT0: RDPROT_SEC20 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC20(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC20_Pos))&FLASH_RDPROT0_RDPROT_SEC20_Msk)
#define FLASH_RDPROT0_RDPROT_SEC21_Pos    (21UL)                    /*!< FLASH RDPROT0: RDPROT_SEC21 (Bit 21)                  */
#define FLASH_RDPROT0_RDPROT_SEC21_Msk    (0x200000UL)              /*!< FLASH RDPROT0: RDPROT_SEC21 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC21(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC21_Pos))&FLASH_RDPROT0_RDPROT_SEC21_Msk)
#define FLASH_RDPROT0_RDPROT_SEC22_Pos    (22UL)                    /*!< FLASH RDPROT0: RDPROT_SEC22 (Bit 22)                  */
#define FLASH_RDPROT0_RDPROT_SEC22_Msk    (0x400000UL)              /*!< FLASH RDPROT0: RDPROT_SEC22 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC22(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC22_Pos))&FLASH_RDPROT0_RDPROT_SEC22_Msk)
#define FLASH_RDPROT0_RDPROT_SEC23_Pos    (23UL)                    /*!< FLASH RDPROT0: RDPROT_SEC23 (Bit 23)                  */
#define FLASH_RDPROT0_RDPROT_SEC23_Msk    (0x800000UL)              /*!< FLASH RDPROT0: RDPROT_SEC23 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC23(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC23_Pos))&FLASH_RDPROT0_RDPROT_SEC23_Msk)
#define FLASH_RDPROT0_RDPROT_SEC24_Pos    (24UL)                    /*!< FLASH RDPROT0: RDPROT_SEC24 (Bit 24)                  */
#define FLASH_RDPROT0_RDPROT_SEC24_Msk    (0x1000000UL)             /*!< FLASH RDPROT0: RDPROT_SEC24 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC24(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC24_Pos))&FLASH_RDPROT0_RDPROT_SEC24_Msk)
#define FLASH_RDPROT0_RDPROT_SEC25_Pos    (25UL)                    /*!< FLASH RDPROT0: RDPROT_SEC25 (Bit 25)                  */
#define FLASH_RDPROT0_RDPROT_SEC25_Msk    (0x2000000UL)             /*!< FLASH RDPROT0: RDPROT_SEC25 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC25(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC25_Pos))&FLASH_RDPROT0_RDPROT_SEC25_Msk)
#define FLASH_RDPROT0_RDPROT_SEC26_Pos    (26UL)                    /*!< FLASH RDPROT0: RDPROT_SEC26 (Bit 26)                  */
#define FLASH_RDPROT0_RDPROT_SEC26_Msk    (0x4000000UL)             /*!< FLASH RDPROT0: RDPROT_SEC26 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC26(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC26_Pos))&FLASH_RDPROT0_RDPROT_SEC26_Msk)
#define FLASH_RDPROT0_RDPROT_SEC27_Pos    (27UL)                    /*!< FLASH RDPROT0: RDPROT_SEC27 (Bit 27)                  */
#define FLASH_RDPROT0_RDPROT_SEC27_Msk    (0x8000000UL)             /*!< FLASH RDPROT0: RDPROT_SEC27 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC27(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC27_Pos))&FLASH_RDPROT0_RDPROT_SEC27_Msk)
#define FLASH_RDPROT0_RDPROT_SEC28_Pos    (28UL)                    /*!< FLASH RDPROT0: RDPROT_SEC28 (Bit 28)                  */
#define FLASH_RDPROT0_RDPROT_SEC28_Msk    (0x10000000UL)            /*!< FLASH RDPROT0: RDPROT_SEC28 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC28(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC28_Pos))&FLASH_RDPROT0_RDPROT_SEC28_Msk)
#define FLASH_RDPROT0_RDPROT_SEC29_Pos    (29UL)                    /*!< FLASH RDPROT0: RDPROT_SEC29 (Bit 29)                  */
#define FLASH_RDPROT0_RDPROT_SEC29_Msk    (0x20000000UL)            /*!< FLASH RDPROT0: RDPROT_SEC29 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC29(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC29_Pos))&FLASH_RDPROT0_RDPROT_SEC29_Msk)
#define FLASH_RDPROT0_RDPROT_SEC30_Pos    (30UL)                    /*!< FLASH RDPROT0: RDPROT_SEC30 (Bit 30)                  */
#define FLASH_RDPROT0_RDPROT_SEC30_Msk    (0x40000000UL)            /*!< FLASH RDPROT0: RDPROT_SEC30 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC30(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC30_Pos))&FLASH_RDPROT0_RDPROT_SEC30_Msk)
#define FLASH_RDPROT0_RDPROT_SEC31_Pos    (31UL)                    /*!< FLASH RDPROT0: RDPROT_SEC31 (Bit 31)                  */
#define FLASH_RDPROT0_RDPROT_SEC31_Msk    (0x80000000UL)            /*!< FLASH RDPROT0: RDPROT_SEC31 (Bitfield-Mask: 0x01)     */
#define FLASH_RDPROT0_RDPROT_SEC31(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_RDPROT0_RDPROT_SEC31_Pos))&FLASH_RDPROT0_RDPROT_SEC31_Msk)
/* ========================================================  WRPROT0  ======================================================== */
#define FLASH_WRPROT0_WRPROT_SEC0_Pos     (0UL)                     /*!< FLASH WRPROT0: WRPROT_SEC0 (Bit 0)                    */
#define FLASH_WRPROT0_WRPROT_SEC0_Msk     (0x1UL)                   /*!< FLASH WRPROT0: WRPROT_SEC0 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC0(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC0_Pos))&FLASH_WRPROT0_WRPROT_SEC0_Msk)
#define FLASH_WRPROT0_WRPROT_SEC1_Pos     (1UL)                     /*!< FLASH WRPROT0: WRPROT_SEC1 (Bit 1)                    */
#define FLASH_WRPROT0_WRPROT_SEC1_Msk     (0x2UL)                   /*!< FLASH WRPROT0: WRPROT_SEC1 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC1(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC1_Pos))&FLASH_WRPROT0_WRPROT_SEC1_Msk)
#define FLASH_WRPROT0_WRPROT_SEC2_Pos     (2UL)                     /*!< FLASH WRPROT0: WRPROT_SEC2 (Bit 2)                    */
#define FLASH_WRPROT0_WRPROT_SEC2_Msk     (0x4UL)                   /*!< FLASH WRPROT0: WRPROT_SEC2 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC2(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC2_Pos))&FLASH_WRPROT0_WRPROT_SEC2_Msk)
#define FLASH_WRPROT0_WRPROT_SEC3_Pos     (3UL)                     /*!< FLASH WRPROT0: WRPROT_SEC3 (Bit 3)                    */
#define FLASH_WRPROT0_WRPROT_SEC3_Msk     (0x8UL)                   /*!< FLASH WRPROT0: WRPROT_SEC3 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC3(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC3_Pos))&FLASH_WRPROT0_WRPROT_SEC3_Msk)
#define FLASH_WRPROT0_WRPROT_SEC4_Pos     (4UL)                     /*!< FLASH WRPROT0: WRPROT_SEC4 (Bit 4)                    */
#define FLASH_WRPROT0_WRPROT_SEC4_Msk     (0x10UL)                  /*!< FLASH WRPROT0: WRPROT_SEC4 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC4(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC4_Pos))&FLASH_WRPROT0_WRPROT_SEC4_Msk)
#define FLASH_WRPROT0_WRPROT_SEC5_Pos     (5UL)                     /*!< FLASH WRPROT0: WRPROT_SEC5 (Bit 5)                    */
#define FLASH_WRPROT0_WRPROT_SEC5_Msk     (0x20UL)                  /*!< FLASH WRPROT0: WRPROT_SEC5 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC5(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC5_Pos))&FLASH_WRPROT0_WRPROT_SEC5_Msk)
#define FLASH_WRPROT0_WRPROT_SEC6_Pos     (6UL)                     /*!< FLASH WRPROT0: WRPROT_SEC6 (Bit 6)                    */
#define FLASH_WRPROT0_WRPROT_SEC6_Msk     (0x40UL)                  /*!< FLASH WRPROT0: WRPROT_SEC6 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC6(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC6_Pos))&FLASH_WRPROT0_WRPROT_SEC6_Msk)
#define FLASH_WRPROT0_WRPROT_SEC7_Pos     (7UL)                     /*!< FLASH WRPROT0: WRPROT_SEC7 (Bit 7)                    */
#define FLASH_WRPROT0_WRPROT_SEC7_Msk     (0x80UL)                  /*!< FLASH WRPROT0: WRPROT_SEC7 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC7(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC7_Pos))&FLASH_WRPROT0_WRPROT_SEC7_Msk)
#define FLASH_WRPROT0_WRPROT_SEC8_Pos     (8UL)                     /*!< FLASH WRPROT0: WRPROT_SEC8 (Bit 8)                    */
#define FLASH_WRPROT0_WRPROT_SEC8_Msk     (0x100UL)                 /*!< FLASH WRPROT0: WRPROT_SEC8 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC8(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC8_Pos))&FLASH_WRPROT0_WRPROT_SEC8_Msk)
#define FLASH_WRPROT0_WRPROT_SEC9_Pos     (9UL)                     /*!< FLASH WRPROT0: WRPROT_SEC9 (Bit 9)                    */
#define FLASH_WRPROT0_WRPROT_SEC9_Msk     (0x200UL)                 /*!< FLASH WRPROT0: WRPROT_SEC9 (Bitfield-Mask: 0x01)      */
#define FLASH_WRPROT0_WRPROT_SEC9(x)      (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC9_Pos))&FLASH_WRPROT0_WRPROT_SEC9_Msk)
#define FLASH_WRPROT0_WRPROT_SEC10_Pos    (10UL)                    /*!< FLASH WRPROT0: WRPROT_SEC10 (Bit 10)                  */
#define FLASH_WRPROT0_WRPROT_SEC10_Msk    (0x400UL)                 /*!< FLASH WRPROT0: WRPROT_SEC10 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC10(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC10_Pos))&FLASH_WRPROT0_WRPROT_SEC10_Msk)
#define FLASH_WRPROT0_WRPROT_SEC11_Pos    (11UL)                    /*!< FLASH WRPROT0: WRPROT_SEC11 (Bit 11)                  */
#define FLASH_WRPROT0_WRPROT_SEC11_Msk    (0x800UL)                 /*!< FLASH WRPROT0: WRPROT_SEC11 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC11(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC11_Pos))&FLASH_WRPROT0_WRPROT_SEC11_Msk)
#define FLASH_WRPROT0_WRPROT_SEC12_Pos    (12UL)                    /*!< FLASH WRPROT0: WRPROT_SEC12 (Bit 12)                  */
#define FLASH_WRPROT0_WRPROT_SEC12_Msk    (0x1000UL)                /*!< FLASH WRPROT0: WRPROT_SEC12 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC12(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC12_Pos))&FLASH_WRPROT0_WRPROT_SEC12_Msk)
#define FLASH_WRPROT0_WRPROT_SEC13_Pos    (13UL)                    /*!< FLASH WRPROT0: WRPROT_SEC13 (Bit 13)                  */
#define FLASH_WRPROT0_WRPROT_SEC13_Msk    (0x2000UL)                /*!< FLASH WRPROT0: WRPROT_SEC13 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC13(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC13_Pos))&FLASH_WRPROT0_WRPROT_SEC13_Msk)
#define FLASH_WRPROT0_WRPROT_SEC14_Pos    (14UL)                    /*!< FLASH WRPROT0: WRPROT_SEC14 (Bit 14)                  */
#define FLASH_WRPROT0_WRPROT_SEC14_Msk    (0x4000UL)                /*!< FLASH WRPROT0: WRPROT_SEC14 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC14(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC14_Pos))&FLASH_WRPROT0_WRPROT_SEC14_Msk)
#define FLASH_WRPROT0_WRPROT_SEC15_Pos    (15UL)                    /*!< FLASH WRPROT0: WRPROT_SEC15 (Bit 15)                  */
#define FLASH_WRPROT0_WRPROT_SEC15_Msk    (0x8000UL)                /*!< FLASH WRPROT0: WRPROT_SEC15 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC15(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC15_Pos))&FLASH_WRPROT0_WRPROT_SEC15_Msk)
#define FLASH_WRPROT0_WRPROT_SEC16_Pos    (16UL)                    /*!< FLASH WRPROT0: WRPROT_SEC16 (Bit 16)                  */
#define FLASH_WRPROT0_WRPROT_SEC16_Msk    (0x10000UL)               /*!< FLASH WRPROT0: WRPROT_SEC16 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC16(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC16_Pos))&FLASH_WRPROT0_WRPROT_SEC16_Msk)
#define FLASH_WRPROT0_WRPROT_SEC17_Pos    (17UL)                    /*!< FLASH WRPROT0: WRPROT_SEC17 (Bit 17)                  */
#define FLASH_WRPROT0_WRPROT_SEC17_Msk    (0x20000UL)               /*!< FLASH WRPROT0: WRPROT_SEC17 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC17(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC17_Pos))&FLASH_WRPROT0_WRPROT_SEC17_Msk)
#define FLASH_WRPROT0_WRPROT_SEC18_Pos    (18UL)                    /*!< FLASH WRPROT0: WRPROT_SEC18 (Bit 18)                  */
#define FLASH_WRPROT0_WRPROT_SEC18_Msk    (0x40000UL)               /*!< FLASH WRPROT0: WRPROT_SEC18 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC18(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC18_Pos))&FLASH_WRPROT0_WRPROT_SEC18_Msk)
#define FLASH_WRPROT0_WRPROT_SEC19_Pos    (19UL)                    /*!< FLASH WRPROT0: WRPROT_SEC19 (Bit 19)                  */
#define FLASH_WRPROT0_WRPROT_SEC19_Msk    (0x80000UL)               /*!< FLASH WRPROT0: WRPROT_SEC19 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC19(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC19_Pos))&FLASH_WRPROT0_WRPROT_SEC19_Msk)
#define FLASH_WRPROT0_WRPROT_SEC20_Pos    (20UL)                    /*!< FLASH WRPROT0: WRPROT_SEC20 (Bit 20)                  */
#define FLASH_WRPROT0_WRPROT_SEC20_Msk    (0x100000UL)              /*!< FLASH WRPROT0: WRPROT_SEC20 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC20(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC20_Pos))&FLASH_WRPROT0_WRPROT_SEC20_Msk)
#define FLASH_WRPROT0_WRPROT_SEC21_Pos    (21UL)                    /*!< FLASH WRPROT0: WRPROT_SEC21 (Bit 21)                  */
#define FLASH_WRPROT0_WRPROT_SEC21_Msk    (0x200000UL)              /*!< FLASH WRPROT0: WRPROT_SEC21 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC21(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC21_Pos))&FLASH_WRPROT0_WRPROT_SEC21_Msk)
#define FLASH_WRPROT0_WRPROT_SEC22_Pos    (22UL)                    /*!< FLASH WRPROT0: WRPROT_SEC22 (Bit 22)                  */
#define FLASH_WRPROT0_WRPROT_SEC22_Msk    (0x400000UL)              /*!< FLASH WRPROT0: WRPROT_SEC22 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC22(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC22_Pos))&FLASH_WRPROT0_WRPROT_SEC22_Msk)
#define FLASH_WRPROT0_WRPROT_SEC23_Pos    (23UL)                    /*!< FLASH WRPROT0: WRPROT_SEC23 (Bit 23)                  */
#define FLASH_WRPROT0_WRPROT_SEC23_Msk    (0x800000UL)              /*!< FLASH WRPROT0: WRPROT_SEC23 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC23(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC23_Pos))&FLASH_WRPROT0_WRPROT_SEC23_Msk)
#define FLASH_WRPROT0_WRPROT_SEC24_Pos    (24UL)                    /*!< FLASH WRPROT0: WRPROT_SEC24 (Bit 24)                  */
#define FLASH_WRPROT0_WRPROT_SEC24_Msk    (0x1000000UL)             /*!< FLASH WRPROT0: WRPROT_SEC24 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC24(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC24_Pos))&FLASH_WRPROT0_WRPROT_SEC24_Msk)
#define FLASH_WRPROT0_WRPROT_SEC25_Pos    (25UL)                    /*!< FLASH WRPROT0: WRPROT_SEC25 (Bit 25)                  */
#define FLASH_WRPROT0_WRPROT_SEC25_Msk    (0x2000000UL)             /*!< FLASH WRPROT0: WRPROT_SEC25 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC25(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC25_Pos))&FLASH_WRPROT0_WRPROT_SEC25_Msk)
#define FLASH_WRPROT0_WRPROT_SEC26_Pos    (26UL)                    /*!< FLASH WRPROT0: WRPROT_SEC26 (Bit 26)                  */
#define FLASH_WRPROT0_WRPROT_SEC26_Msk    (0x4000000UL)             /*!< FLASH WRPROT0: WRPROT_SEC26 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC26(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC26_Pos))&FLASH_WRPROT0_WRPROT_SEC26_Msk)
#define FLASH_WRPROT0_WRPROT_SEC27_Pos    (27UL)                    /*!< FLASH WRPROT0: WRPROT_SEC27 (Bit 27)                  */
#define FLASH_WRPROT0_WRPROT_SEC27_Msk    (0x8000000UL)             /*!< FLASH WRPROT0: WRPROT_SEC27 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC27(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC27_Pos))&FLASH_WRPROT0_WRPROT_SEC27_Msk)
#define FLASH_WRPROT0_WRPROT_SEC28_Pos    (28UL)                    /*!< FLASH WRPROT0: WRPROT_SEC28 (Bit 28)                  */
#define FLASH_WRPROT0_WRPROT_SEC28_Msk    (0x10000000UL)            /*!< FLASH WRPROT0: WRPROT_SEC28 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC28(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC28_Pos))&FLASH_WRPROT0_WRPROT_SEC28_Msk)
#define FLASH_WRPROT0_WRPROT_SEC29_Pos    (29UL)                    /*!< FLASH WRPROT0: WRPROT_SEC29 (Bit 29)                  */
#define FLASH_WRPROT0_WRPROT_SEC29_Msk    (0x20000000UL)            /*!< FLASH WRPROT0: WRPROT_SEC29 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC29(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC29_Pos))&FLASH_WRPROT0_WRPROT_SEC29_Msk)
#define FLASH_WRPROT0_WRPROT_SEC30_Pos    (30UL)                    /*!< FLASH WRPROT0: WRPROT_SEC30 (Bit 30)                  */
#define FLASH_WRPROT0_WRPROT_SEC30_Msk    (0x40000000UL)            /*!< FLASH WRPROT0: WRPROT_SEC30 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC30(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC30_Pos))&FLASH_WRPROT0_WRPROT_SEC30_Msk)
#define FLASH_WRPROT0_WRPROT_SEC31_Pos    (31UL)                    /*!< FLASH WRPROT0: WRPROT_SEC31 (Bit 31)                  */
#define FLASH_WRPROT0_WRPROT_SEC31_Msk    (0x80000000UL)            /*!< FLASH WRPROT0: WRPROT_SEC31 (Bitfield-Mask: 0x01)     */
#define FLASH_WRPROT0_WRPROT_SEC31(x)     (((uint32_t)(((uint32_t)(x))<<FLASH_WRPROT0_WRPROT_SEC31_Pos))&FLASH_WRPROT0_WRPROT_SEC31_Msk)


/* =========================================================================================================================== */
/* ================                                           GPIO                                            ================ */
/* =========================================================================================================================== */

/* =========================================================  MODER  ========================================================= */
#define GPIO_MODER_MODE15_Pos             (30UL)                    /*!< GPIO MODER: MODE15 (Bit 30)                           */
#define GPIO_MODER_MODE15_Msk             (0xc0000000UL)            /*!< GPIO MODER: MODE15 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE15(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE15_Pos))&GPIO_MODER_MODE15_Msk)
#define GPIO_MODER_MODE14_Pos             (28UL)                    /*!< GPIO MODER: MODE14 (Bit 28)                           */
#define GPIO_MODER_MODE14_Msk             (0x30000000UL)            /*!< GPIO MODER: MODE14 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE14(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE14_Pos))&GPIO_MODER_MODE14_Msk)
#define GPIO_MODER_MODE13_Pos             (26UL)                    /*!< GPIO MODER: MODE13 (Bit 26)                           */
#define GPIO_MODER_MODE13_Msk             (0xc000000UL)             /*!< GPIO MODER: MODE13 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE13(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE13_Pos))&GPIO_MODER_MODE13_Msk)
#define GPIO_MODER_MODE12_Pos             (24UL)                    /*!< GPIO MODER: MODE12 (Bit 24)                           */
#define GPIO_MODER_MODE12_Msk             (0x3000000UL)             /*!< GPIO MODER: MODE12 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE12(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE12_Pos))&GPIO_MODER_MODE12_Msk)
#define GPIO_MODER_MODE11_Pos             (22UL)                    /*!< GPIO MODER: MODE11 (Bit 22)                           */
#define GPIO_MODER_MODE11_Msk             (0xc00000UL)              /*!< GPIO MODER: MODE11 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE11(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE11_Pos))&GPIO_MODER_MODE11_Msk)
#define GPIO_MODER_MODE10_Pos             (20UL)                    /*!< GPIO MODER: MODE10 (Bit 20)                           */
#define GPIO_MODER_MODE10_Msk             (0x300000UL)              /*!< GPIO MODER: MODE10 (Bitfield-Mask: 0x03)              */
#define GPIO_MODER_MODE10(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE10_Pos))&GPIO_MODER_MODE10_Msk)
#define GPIO_MODER_MODE9_Pos              (18UL)                    /*!< GPIO MODER: MODE9 (Bit 18)                            */
#define GPIO_MODER_MODE9_Msk              (0xc0000UL)               /*!< GPIO MODER: MODE9 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE9(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE9_Pos))&GPIO_MODER_MODE9_Msk)
#define GPIO_MODER_MODE8_Pos              (16UL)                    /*!< GPIO MODER: MODE8 (Bit 16)                            */
#define GPIO_MODER_MODE8_Msk              (0x30000UL)               /*!< GPIO MODER: MODE8 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE8(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE8_Pos))&GPIO_MODER_MODE8_Msk)
#define GPIO_MODER_MODE7_Pos              (14UL)                    /*!< GPIO MODER: MODE7 (Bit 14)                            */
#define GPIO_MODER_MODE7_Msk              (0xc000UL)                /*!< GPIO MODER: MODE7 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE7(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE7_Pos))&GPIO_MODER_MODE7_Msk)
#define GPIO_MODER_MODE6_Pos              (12UL)                    /*!< GPIO MODER: MODE6 (Bit 12)                            */
#define GPIO_MODER_MODE6_Msk              (0x3000UL)                /*!< GPIO MODER: MODE6 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE6(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE6_Pos))&GPIO_MODER_MODE6_Msk)
#define GPIO_MODER_MODE5_Pos              (10UL)                    /*!< GPIO MODER: MODE5 (Bit 10)                            */
#define GPIO_MODER_MODE5_Msk              (0xc00UL)                 /*!< GPIO MODER: MODE5 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE5(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE5_Pos))&GPIO_MODER_MODE5_Msk)
#define GPIO_MODER_MODE4_Pos              (8UL)                     /*!< GPIO MODER: MODE4 (Bit 8)                             */
#define GPIO_MODER_MODE4_Msk              (0x300UL)                 /*!< GPIO MODER: MODE4 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE4(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE4_Pos))&GPIO_MODER_MODE4_Msk)
#define GPIO_MODER_MODE3_Pos              (6UL)                     /*!< GPIO MODER: MODE3 (Bit 6)                             */
#define GPIO_MODER_MODE3_Msk              (0xc0UL)                  /*!< GPIO MODER: MODE3 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE3(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE3_Pos))&GPIO_MODER_MODE3_Msk)
#define GPIO_MODER_MODE2_Pos              (4UL)                     /*!< GPIO MODER: MODE2 (Bit 4)                             */
#define GPIO_MODER_MODE2_Msk              (0x30UL)                  /*!< GPIO MODER: MODE2 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE2(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE2_Pos))&GPIO_MODER_MODE2_Msk)
#define GPIO_MODER_MODE1_Pos              (2UL)                     /*!< GPIO MODER: MODE1 (Bit 2)                             */
#define GPIO_MODER_MODE1_Msk              (0xcUL)                   /*!< GPIO MODER: MODE1 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE1(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE1_Pos))&GPIO_MODER_MODE1_Msk)
#define GPIO_MODER_MODE0_Pos              (0UL)                     /*!< GPIO MODER: MODE0 (Bit 0)                             */
#define GPIO_MODER_MODE0_Msk              (0x3UL)                   /*!< GPIO MODER: MODE0 (Bitfield-Mask: 0x03)               */
#define GPIO_MODER_MODE0(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_MODER_MODE0_Pos))&GPIO_MODER_MODE0_Msk)
/* ========================================================  OTYPER  ========================================================= */
#define GPIO_OTYPER_OT15_Pos              (15UL)                    /*!< GPIO OTYPER: OT15 (Bit 15)                            */
#define GPIO_OTYPER_OT15_Msk              (0x8000UL)                /*!< GPIO OTYPER: OT15 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT15(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT15_Pos))&GPIO_OTYPER_OT15_Msk)
#define GPIO_OTYPER_OT14_Pos              (14UL)                    /*!< GPIO OTYPER: OT14 (Bit 14)                            */
#define GPIO_OTYPER_OT14_Msk              (0x4000UL)                /*!< GPIO OTYPER: OT14 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT14(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT14_Pos))&GPIO_OTYPER_OT14_Msk)
#define GPIO_OTYPER_OT13_Pos              (13UL)                    /*!< GPIO OTYPER: OT13 (Bit 13)                            */
#define GPIO_OTYPER_OT13_Msk              (0x2000UL)                /*!< GPIO OTYPER: OT13 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT13(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT13_Pos))&GPIO_OTYPER_OT13_Msk)
#define GPIO_OTYPER_OT12_Pos              (12UL)                    /*!< GPIO OTYPER: OT12 (Bit 12)                            */
#define GPIO_OTYPER_OT12_Msk              (0x1000UL)                /*!< GPIO OTYPER: OT12 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT12(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT12_Pos))&GPIO_OTYPER_OT12_Msk)
#define GPIO_OTYPER_OT11_Pos              (11UL)                    /*!< GPIO OTYPER: OT11 (Bit 11)                            */
#define GPIO_OTYPER_OT11_Msk              (0x800UL)                 /*!< GPIO OTYPER: OT11 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT11(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT11_Pos))&GPIO_OTYPER_OT11_Msk)
#define GPIO_OTYPER_OT10_Pos              (10UL)                    /*!< GPIO OTYPER: OT10 (Bit 10)                            */
#define GPIO_OTYPER_OT10_Msk              (0x400UL)                 /*!< GPIO OTYPER: OT10 (Bitfield-Mask: 0x01)               */
#define GPIO_OTYPER_OT10(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT10_Pos))&GPIO_OTYPER_OT10_Msk)
#define GPIO_OTYPER_OT9_Pos               (9UL)                     /*!< GPIO OTYPER: OT9 (Bit 9)                              */
#define GPIO_OTYPER_OT9_Msk               (0x200UL)                 /*!< GPIO OTYPER: OT9 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT9(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT9_Pos))&GPIO_OTYPER_OT9_Msk)
#define GPIO_OTYPER_OT8_Pos               (8UL)                     /*!< GPIO OTYPER: OT8 (Bit 8)                              */
#define GPIO_OTYPER_OT8_Msk               (0x100UL)                 /*!< GPIO OTYPER: OT8 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT8(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT8_Pos))&GPIO_OTYPER_OT8_Msk)
#define GPIO_OTYPER_OT7_Pos               (7UL)                     /*!< GPIO OTYPER: OT7 (Bit 7)                              */
#define GPIO_OTYPER_OT7_Msk               (0x80UL)                  /*!< GPIO OTYPER: OT7 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT7(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT7_Pos))&GPIO_OTYPER_OT7_Msk)
#define GPIO_OTYPER_OT6_Pos               (6UL)                     /*!< GPIO OTYPER: OT6 (Bit 6)                              */
#define GPIO_OTYPER_OT6_Msk               (0x40UL)                  /*!< GPIO OTYPER: OT6 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT6(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT6_Pos))&GPIO_OTYPER_OT6_Msk)
#define GPIO_OTYPER_OT5_Pos               (5UL)                     /*!< GPIO OTYPER: OT5 (Bit 5)                              */
#define GPIO_OTYPER_OT5_Msk               (0x20UL)                  /*!< GPIO OTYPER: OT5 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT5(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT5_Pos))&GPIO_OTYPER_OT5_Msk)
#define GPIO_OTYPER_OT4_Pos               (4UL)                     /*!< GPIO OTYPER: OT4 (Bit 4)                              */
#define GPIO_OTYPER_OT4_Msk               (0x10UL)                  /*!< GPIO OTYPER: OT4 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT4(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT4_Pos))&GPIO_OTYPER_OT4_Msk)
#define GPIO_OTYPER_OT3_Pos               (3UL)                     /*!< GPIO OTYPER: OT3 (Bit 3)                              */
#define GPIO_OTYPER_OT3_Msk               (0x8UL)                   /*!< GPIO OTYPER: OT3 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT3(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT3_Pos))&GPIO_OTYPER_OT3_Msk)
#define GPIO_OTYPER_OT2_Pos               (2UL)                     /*!< GPIO OTYPER: OT2 (Bit 2)                              */
#define GPIO_OTYPER_OT2_Msk               (0x4UL)                   /*!< GPIO OTYPER: OT2 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT2(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT2_Pos))&GPIO_OTYPER_OT2_Msk)
#define GPIO_OTYPER_OT1_Pos               (1UL)                     /*!< GPIO OTYPER: OT1 (Bit 1)                              */
#define GPIO_OTYPER_OT1_Msk               (0x2UL)                   /*!< GPIO OTYPER: OT1 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT1(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT1_Pos))&GPIO_OTYPER_OT1_Msk)
#define GPIO_OTYPER_OT0_Pos               (0UL)                     /*!< GPIO OTYPER: OT0 (Bit 0)                              */
#define GPIO_OTYPER_OT0_Msk               (0x1UL)                   /*!< GPIO OTYPER: OT0 (Bitfield-Mask: 0x01)                */
#define GPIO_OTYPER_OT0(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_OTYPER_OT0_Pos))&GPIO_OTYPER_OT0_Msk)
/* ========================================================  OSPEEDR  ======================================================== */
#define GPIO_OSPEEDR_OSPEED15_Pos         (30UL)                    /*!< GPIO OSPEEDR: OSPEED15 (Bit 30)                       */
#define GPIO_OSPEEDR_OSPEED15_Msk         (0xc0000000UL)            /*!< GPIO OSPEEDR: OSPEED15 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED15(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED15_Pos))&GPIO_OSPEEDR_OSPEED15_Msk)
#define GPIO_OSPEEDR_OSPEED14_Pos         (28UL)                    /*!< GPIO OSPEEDR: OSPEED14 (Bit 28)                       */
#define GPIO_OSPEEDR_OSPEED14_Msk         (0x30000000UL)            /*!< GPIO OSPEEDR: OSPEED14 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED14(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED14_Pos))&GPIO_OSPEEDR_OSPEED14_Msk)
#define GPIO_OSPEEDR_OSPEED13_Pos         (26UL)                    /*!< GPIO OSPEEDR: OSPEED13 (Bit 26)                       */
#define GPIO_OSPEEDR_OSPEED13_Msk         (0xc000000UL)             /*!< GPIO OSPEEDR: OSPEED13 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED13(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED13_Pos))&GPIO_OSPEEDR_OSPEED13_Msk)
#define GPIO_OSPEEDR_OSPEED12_Pos         (24UL)                    /*!< GPIO OSPEEDR: OSPEED12 (Bit 24)                       */
#define GPIO_OSPEEDR_OSPEED12_Msk         (0x3000000UL)             /*!< GPIO OSPEEDR: OSPEED12 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED12(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED12_Pos))&GPIO_OSPEEDR_OSPEED12_Msk)
#define GPIO_OSPEEDR_OSPEED11_Pos         (22UL)                    /*!< GPIO OSPEEDR: OSPEED11 (Bit 22)                       */
#define GPIO_OSPEEDR_OSPEED11_Msk         (0xc00000UL)              /*!< GPIO OSPEEDR: OSPEED11 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED11(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED11_Pos))&GPIO_OSPEEDR_OSPEED11_Msk)
#define GPIO_OSPEEDR_OSPEED10_Pos         (20UL)                    /*!< GPIO OSPEEDR: OSPEED10 (Bit 20)                       */
#define GPIO_OSPEEDR_OSPEED10_Msk         (0x300000UL)              /*!< GPIO OSPEEDR: OSPEED10 (Bitfield-Mask: 0x03)          */
#define GPIO_OSPEEDR_OSPEED10(x)          (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED10_Pos))&GPIO_OSPEEDR_OSPEED10_Msk)
#define GPIO_OSPEEDR_OSPEED9_Pos          (18UL)                    /*!< GPIO OSPEEDR: OSPEED9 (Bit 18)                        */
#define GPIO_OSPEEDR_OSPEED9_Msk          (0xc0000UL)               /*!< GPIO OSPEEDR: OSPEED9 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED9(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED9_Pos))&GPIO_OSPEEDR_OSPEED9_Msk)
#define GPIO_OSPEEDR_OSPEED8_Pos          (16UL)                    /*!< GPIO OSPEEDR: OSPEED8 (Bit 16)                        */
#define GPIO_OSPEEDR_OSPEED8_Msk          (0x30000UL)               /*!< GPIO OSPEEDR: OSPEED8 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED8(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED8_Pos))&GPIO_OSPEEDR_OSPEED8_Msk)
#define GPIO_OSPEEDR_OSPEED7_Pos          (14UL)                    /*!< GPIO OSPEEDR: OSPEED7 (Bit 14)                        */
#define GPIO_OSPEEDR_OSPEED7_Msk          (0xc000UL)                /*!< GPIO OSPEEDR: OSPEED7 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED7(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED7_Pos))&GPIO_OSPEEDR_OSPEED7_Msk)
#define GPIO_OSPEEDR_OSPEED6_Pos          (12UL)                    /*!< GPIO OSPEEDR: OSPEED6 (Bit 12)                        */
#define GPIO_OSPEEDR_OSPEED6_Msk          (0x3000UL)                /*!< GPIO OSPEEDR: OSPEED6 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED6(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED6_Pos))&GPIO_OSPEEDR_OSPEED6_Msk)
#define GPIO_OSPEEDR_OSPEED5_Pos          (10UL)                    /*!< GPIO OSPEEDR: OSPEED5 (Bit 10)                        */
#define GPIO_OSPEEDR_OSPEED5_Msk          (0xc00UL)                 /*!< GPIO OSPEEDR: OSPEED5 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED5(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED5_Pos))&GPIO_OSPEEDR_OSPEED5_Msk)
#define GPIO_OSPEEDR_OSPEED4_Pos          (8UL)                     /*!< GPIO OSPEEDR: OSPEED4 (Bit 8)                         */
#define GPIO_OSPEEDR_OSPEED4_Msk          (0x300UL)                 /*!< GPIO OSPEEDR: OSPEED4 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED4(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED4_Pos))&GPIO_OSPEEDR_OSPEED4_Msk)
#define GPIO_OSPEEDR_OSPEED3_Pos          (6UL)                     /*!< GPIO OSPEEDR: OSPEED3 (Bit 6)                         */
#define GPIO_OSPEEDR_OSPEED3_Msk          (0xc0UL)                  /*!< GPIO OSPEEDR: OSPEED3 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED3(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED3_Pos))&GPIO_OSPEEDR_OSPEED3_Msk)
#define GPIO_OSPEEDR_OSPEED2_Pos          (4UL)                     /*!< GPIO OSPEEDR: OSPEED2 (Bit 4)                         */
#define GPIO_OSPEEDR_OSPEED2_Msk          (0x30UL)                  /*!< GPIO OSPEEDR: OSPEED2 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED2(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED2_Pos))&GPIO_OSPEEDR_OSPEED2_Msk)
#define GPIO_OSPEEDR_OSPEED1_Pos          (2UL)                     /*!< GPIO OSPEEDR: OSPEED1 (Bit 2)                         */
#define GPIO_OSPEEDR_OSPEED1_Msk          (0xcUL)                   /*!< GPIO OSPEEDR: OSPEED1 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED1(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED1_Pos))&GPIO_OSPEEDR_OSPEED1_Msk)
#define GPIO_OSPEEDR_OSPEED0_Pos          (0UL)                     /*!< GPIO OSPEEDR: OSPEED0 (Bit 0)                         */
#define GPIO_OSPEEDR_OSPEED0_Msk          (0x3UL)                   /*!< GPIO OSPEEDR: OSPEED0 (Bitfield-Mask: 0x03)           */
#define GPIO_OSPEEDR_OSPEED0(x)           (((uint32_t)(((uint32_t)(x))<<GPIO_OSPEEDR_OSPEED0_Pos))&GPIO_OSPEEDR_OSPEED0_Msk)
/* =========================================================  PUPDR  ========================================================= */
#define GPIO_PUPDR_PUPD15_Pos             (30UL)                    /*!< GPIO PUPDR: PUPD15 (Bit 30)                           */
#define GPIO_PUPDR_PUPD15_Msk             (0xc0000000UL)            /*!< GPIO PUPDR: PUPD15 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD15(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD15_Pos))&GPIO_PUPDR_PUPD15_Msk)
#define GPIO_PUPDR_PUPD14_Pos             (28UL)                    /*!< GPIO PUPDR: PUPD14 (Bit 28)                           */
#define GPIO_PUPDR_PUPD14_Msk             (0x30000000UL)            /*!< GPIO PUPDR: PUPD14 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD14(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD14_Pos))&GPIO_PUPDR_PUPD14_Msk)
#define GPIO_PUPDR_PUPD13_Pos             (26UL)                    /*!< GPIO PUPDR: PUPD13 (Bit 26)                           */
#define GPIO_PUPDR_PUPD13_Msk             (0xc000000UL)             /*!< GPIO PUPDR: PUPD13 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD13(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD13_Pos))&GPIO_PUPDR_PUPD13_Msk)
#define GPIO_PUPDR_PUPD12_Pos             (24UL)                    /*!< GPIO PUPDR: PUPD12 (Bit 24)                           */
#define GPIO_PUPDR_PUPD12_Msk             (0x3000000UL)             /*!< GPIO PUPDR: PUPD12 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD12(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD12_Pos))&GPIO_PUPDR_PUPD12_Msk)
#define GPIO_PUPDR_PUPD11_Pos             (22UL)                    /*!< GPIO PUPDR: PUPD11 (Bit 22)                           */
#define GPIO_PUPDR_PUPD11_Msk             (0xc00000UL)              /*!< GPIO PUPDR: PUPD11 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD11(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD11_Pos))&GPIO_PUPDR_PUPD11_Msk)
#define GPIO_PUPDR_PUPD10_Pos             (20UL)                    /*!< GPIO PUPDR: PUPD10 (Bit 20)                           */
#define GPIO_PUPDR_PUPD10_Msk             (0x300000UL)              /*!< GPIO PUPDR: PUPD10 (Bitfield-Mask: 0x03)              */
#define GPIO_PUPDR_PUPD10(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD10_Pos))&GPIO_PUPDR_PUPD10_Msk)
#define GPIO_PUPDR_PUPD9_Pos              (18UL)                    /*!< GPIO PUPDR: PUPD9 (Bit 18)                            */
#define GPIO_PUPDR_PUPD9_Msk              (0xc0000UL)               /*!< GPIO PUPDR: PUPD9 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD9(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD9_Pos))&GPIO_PUPDR_PUPD9_Msk)
#define GPIO_PUPDR_PUPD8_Pos              (16UL)                    /*!< GPIO PUPDR: PUPD8 (Bit 16)                            */
#define GPIO_PUPDR_PUPD8_Msk              (0x30000UL)               /*!< GPIO PUPDR: PUPD8 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD8(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD8_Pos))&GPIO_PUPDR_PUPD8_Msk)
#define GPIO_PUPDR_PUPD7_Pos              (14UL)                    /*!< GPIO PUPDR: PUPD7 (Bit 14)                            */
#define GPIO_PUPDR_PUPD7_Msk              (0xc000UL)                /*!< GPIO PUPDR: PUPD7 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD7(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD7_Pos))&GPIO_PUPDR_PUPD7_Msk)
#define GPIO_PUPDR_PUPD6_Pos              (12UL)                    /*!< GPIO PUPDR: PUPD6 (Bit 12)                            */
#define GPIO_PUPDR_PUPD6_Msk              (0x3000UL)                /*!< GPIO PUPDR: PUPD6 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD6(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD6_Pos))&GPIO_PUPDR_PUPD6_Msk)
#define GPIO_PUPDR_PUPD5_Pos              (10UL)                    /*!< GPIO PUPDR: PUPD5 (Bit 10)                            */
#define GPIO_PUPDR_PUPD5_Msk              (0xc00UL)                 /*!< GPIO PUPDR: PUPD5 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD5(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD5_Pos))&GPIO_PUPDR_PUPD5_Msk)
#define GPIO_PUPDR_PUPD4_Pos              (8UL)                     /*!< GPIO PUPDR: PUPD4 (Bit 8)                             */
#define GPIO_PUPDR_PUPD4_Msk              (0x300UL)                 /*!< GPIO PUPDR: PUPD4 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD4(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD4_Pos))&GPIO_PUPDR_PUPD4_Msk)
#define GPIO_PUPDR_PUPD3_Pos              (6UL)                     /*!< GPIO PUPDR: PUPD3 (Bit 6)                             */
#define GPIO_PUPDR_PUPD3_Msk              (0xc0UL)                  /*!< GPIO PUPDR: PUPD3 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD3(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD3_Pos))&GPIO_PUPDR_PUPD3_Msk)
#define GPIO_PUPDR_PUPD2_Pos              (4UL)                     /*!< GPIO PUPDR: PUPD2 (Bit 4)                             */
#define GPIO_PUPDR_PUPD2_Msk              (0x30UL)                  /*!< GPIO PUPDR: PUPD2 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD2(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD2_Pos))&GPIO_PUPDR_PUPD2_Msk)
#define GPIO_PUPDR_PUPD1_Pos              (2UL)                     /*!< GPIO PUPDR: PUPD1 (Bit 2)                             */
#define GPIO_PUPDR_PUPD1_Msk              (0xcUL)                   /*!< GPIO PUPDR: PUPD1 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD1(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD1_Pos))&GPIO_PUPDR_PUPD1_Msk)
#define GPIO_PUPDR_PUPD0_Pos              (0UL)                     /*!< GPIO PUPDR: PUPD0 (Bit 0)                             */
#define GPIO_PUPDR_PUPD0_Msk              (0x3UL)                   /*!< GPIO PUPDR: PUPD0 (Bitfield-Mask: 0x03)               */
#define GPIO_PUPDR_PUPD0(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_PUPDR_PUPD0_Pos))&GPIO_PUPDR_PUPD0_Msk)
/* ==========================================================  IDR  ========================================================== */
#define GPIO_IDR_ID15_Pos                 (15UL)                    /*!< GPIO IDR: ID15 (Bit 15)                               */
#define GPIO_IDR_ID15_Msk                 (0x8000UL)                /*!< GPIO IDR: ID15 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID15(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID15_Pos))&GPIO_IDR_ID15_Msk)
#define GPIO_IDR_ID14_Pos                 (14UL)                    /*!< GPIO IDR: ID14 (Bit 14)                               */
#define GPIO_IDR_ID14_Msk                 (0x4000UL)                /*!< GPIO IDR: ID14 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID14(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID14_Pos))&GPIO_IDR_ID14_Msk)
#define GPIO_IDR_ID13_Pos                 (13UL)                    /*!< GPIO IDR: ID13 (Bit 13)                               */
#define GPIO_IDR_ID13_Msk                 (0x2000UL)                /*!< GPIO IDR: ID13 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID13(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID13_Pos))&GPIO_IDR_ID13_Msk)
#define GPIO_IDR_ID12_Pos                 (12UL)                    /*!< GPIO IDR: ID12 (Bit 12)                               */
#define GPIO_IDR_ID12_Msk                 (0x1000UL)                /*!< GPIO IDR: ID12 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID12(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID12_Pos))&GPIO_IDR_ID12_Msk)
#define GPIO_IDR_ID11_Pos                 (11UL)                    /*!< GPIO IDR: ID11 (Bit 11)                               */
#define GPIO_IDR_ID11_Msk                 (0x800UL)                 /*!< GPIO IDR: ID11 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID11(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID11_Pos))&GPIO_IDR_ID11_Msk)
#define GPIO_IDR_ID10_Pos                 (10UL)                    /*!< GPIO IDR: ID10 (Bit 10)                               */
#define GPIO_IDR_ID10_Msk                 (0x400UL)                 /*!< GPIO IDR: ID10 (Bitfield-Mask: 0x01)                  */
#define GPIO_IDR_ID10(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID10_Pos))&GPIO_IDR_ID10_Msk)
#define GPIO_IDR_ID9_Pos                  (9UL)                     /*!< GPIO IDR: ID9 (Bit 9)                                 */
#define GPIO_IDR_ID9_Msk                  (0x200UL)                 /*!< GPIO IDR: ID9 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID9(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID9_Pos))&GPIO_IDR_ID9_Msk)
#define GPIO_IDR_ID8_Pos                  (8UL)                     /*!< GPIO IDR: ID8 (Bit 8)                                 */
#define GPIO_IDR_ID8_Msk                  (0x100UL)                 /*!< GPIO IDR: ID8 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID8(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID8_Pos))&GPIO_IDR_ID8_Msk)
#define GPIO_IDR_ID7_Pos                  (7UL)                     /*!< GPIO IDR: ID7 (Bit 7)                                 */
#define GPIO_IDR_ID7_Msk                  (0x80UL)                  /*!< GPIO IDR: ID7 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID7(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID7_Pos))&GPIO_IDR_ID7_Msk)
#define GPIO_IDR_ID6_Pos                  (6UL)                     /*!< GPIO IDR: ID6 (Bit 6)                                 */
#define GPIO_IDR_ID6_Msk                  (0x40UL)                  /*!< GPIO IDR: ID6 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID6(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID6_Pos))&GPIO_IDR_ID6_Msk)
#define GPIO_IDR_ID5_Pos                  (5UL)                     /*!< GPIO IDR: ID5 (Bit 5)                                 */
#define GPIO_IDR_ID5_Msk                  (0x20UL)                  /*!< GPIO IDR: ID5 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID5(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID5_Pos))&GPIO_IDR_ID5_Msk)
#define GPIO_IDR_ID4_Pos                  (4UL)                     /*!< GPIO IDR: ID4 (Bit 4)                                 */
#define GPIO_IDR_ID4_Msk                  (0x10UL)                  /*!< GPIO IDR: ID4 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID4(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID4_Pos))&GPIO_IDR_ID4_Msk)
#define GPIO_IDR_ID3_Pos                  (3UL)                     /*!< GPIO IDR: ID3 (Bit 3)                                 */
#define GPIO_IDR_ID3_Msk                  (0x8UL)                   /*!< GPIO IDR: ID3 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID3(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID3_Pos))&GPIO_IDR_ID3_Msk)
#define GPIO_IDR_ID2_Pos                  (2UL)                     /*!< GPIO IDR: ID2 (Bit 2)                                 */
#define GPIO_IDR_ID2_Msk                  (0x4UL)                   /*!< GPIO IDR: ID2 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID2(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID2_Pos))&GPIO_IDR_ID2_Msk)
#define GPIO_IDR_ID1_Pos                  (1UL)                     /*!< GPIO IDR: ID1 (Bit 1)                                 */
#define GPIO_IDR_ID1_Msk                  (0x2UL)                   /*!< GPIO IDR: ID1 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID1(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID1_Pos))&GPIO_IDR_ID1_Msk)
#define GPIO_IDR_ID0_Pos                  (0UL)                     /*!< GPIO IDR: ID0 (Bit 0)                                 */
#define GPIO_IDR_ID0_Msk                  (0x1UL)                   /*!< GPIO IDR: ID0 (Bitfield-Mask: 0x01)                   */
#define GPIO_IDR_ID0(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_IDR_ID0_Pos))&GPIO_IDR_ID0_Msk)
/* ==========================================================  ODR  ========================================================== */
#define GPIO_ODR_OD15_Pos                 (15UL)                    /*!< GPIO ODR: OD15 (Bit 15)                               */
#define GPIO_ODR_OD15_Msk                 (0x8000UL)                /*!< GPIO ODR: OD15 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD15(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD15_Pos))&GPIO_ODR_OD15_Msk)
#define GPIO_ODR_OD14_Pos                 (14UL)                    /*!< GPIO ODR: OD14 (Bit 14)                               */
#define GPIO_ODR_OD14_Msk                 (0x4000UL)                /*!< GPIO ODR: OD14 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD14(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD14_Pos))&GPIO_ODR_OD14_Msk)
#define GPIO_ODR_OD13_Pos                 (13UL)                    /*!< GPIO ODR: OD13 (Bit 13)                               */
#define GPIO_ODR_OD13_Msk                 (0x2000UL)                /*!< GPIO ODR: OD13 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD13(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD13_Pos))&GPIO_ODR_OD13_Msk)
#define GPIO_ODR_OD12_Pos                 (12UL)                    /*!< GPIO ODR: OD12 (Bit 12)                               */
#define GPIO_ODR_OD12_Msk                 (0x1000UL)                /*!< GPIO ODR: OD12 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD12(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD12_Pos))&GPIO_ODR_OD12_Msk)
#define GPIO_ODR_OD11_Pos                 (11UL)                    /*!< GPIO ODR: OD11 (Bit 11)                               */
#define GPIO_ODR_OD11_Msk                 (0x800UL)                 /*!< GPIO ODR: OD11 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD11(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD11_Pos))&GPIO_ODR_OD11_Msk)
#define GPIO_ODR_OD10_Pos                 (10UL)                    /*!< GPIO ODR: OD10 (Bit 10)                               */
#define GPIO_ODR_OD10_Msk                 (0x400UL)                 /*!< GPIO ODR: OD10 (Bitfield-Mask: 0x01)                  */
#define GPIO_ODR_OD10(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD10_Pos))&GPIO_ODR_OD10_Msk)
#define GPIO_ODR_OD9_Pos                  (9UL)                     /*!< GPIO ODR: OD9 (Bit 9)                                 */
#define GPIO_ODR_OD9_Msk                  (0x200UL)                 /*!< GPIO ODR: OD9 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD9(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD9_Pos))&GPIO_ODR_OD9_Msk)
#define GPIO_ODR_OD8_Pos                  (8UL)                     /*!< GPIO ODR: OD8 (Bit 8)                                 */
#define GPIO_ODR_OD8_Msk                  (0x100UL)                 /*!< GPIO ODR: OD8 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD8(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD8_Pos))&GPIO_ODR_OD8_Msk)
#define GPIO_ODR_OD7_Pos                  (7UL)                     /*!< GPIO ODR: OD7 (Bit 7)                                 */
#define GPIO_ODR_OD7_Msk                  (0x80UL)                  /*!< GPIO ODR: OD7 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD7(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD7_Pos))&GPIO_ODR_OD7_Msk)
#define GPIO_ODR_OD6_Pos                  (6UL)                     /*!< GPIO ODR: OD6 (Bit 6)                                 */
#define GPIO_ODR_OD6_Msk                  (0x40UL)                  /*!< GPIO ODR: OD6 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD6(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD6_Pos))&GPIO_ODR_OD6_Msk)
#define GPIO_ODR_OD5_Pos                  (5UL)                     /*!< GPIO ODR: OD5 (Bit 5)                                 */
#define GPIO_ODR_OD5_Msk                  (0x20UL)                  /*!< GPIO ODR: OD5 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD5(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD5_Pos))&GPIO_ODR_OD5_Msk)
#define GPIO_ODR_OD4_Pos                  (4UL)                     /*!< GPIO ODR: OD4 (Bit 4)                                 */
#define GPIO_ODR_OD4_Msk                  (0x10UL)                  /*!< GPIO ODR: OD4 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD4(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD4_Pos))&GPIO_ODR_OD4_Msk)
#define GPIO_ODR_OD3_Pos                  (3UL)                     /*!< GPIO ODR: OD3 (Bit 3)                                 */
#define GPIO_ODR_OD3_Msk                  (0x8UL)                   /*!< GPIO ODR: OD3 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD3(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD3_Pos))&GPIO_ODR_OD3_Msk)
#define GPIO_ODR_OD2_Pos                  (2UL)                     /*!< GPIO ODR: OD2 (Bit 2)                                 */
#define GPIO_ODR_OD2_Msk                  (0x4UL)                   /*!< GPIO ODR: OD2 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD2(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD2_Pos))&GPIO_ODR_OD2_Msk)
#define GPIO_ODR_OD1_Pos                  (1UL)                     /*!< GPIO ODR: OD1 (Bit 1)                                 */
#define GPIO_ODR_OD1_Msk                  (0x2UL)                   /*!< GPIO ODR: OD1 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD1(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD1_Pos))&GPIO_ODR_OD1_Msk)
#define GPIO_ODR_OD0_Pos                  (0UL)                     /*!< GPIO ODR: OD0 (Bit 0)                                 */
#define GPIO_ODR_OD0_Msk                  (0x1UL)                   /*!< GPIO ODR: OD0 (Bitfield-Mask: 0x01)                   */
#define GPIO_ODR_OD0(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_ODR_OD0_Pos))&GPIO_ODR_OD0_Msk)
/* =========================================================  BSRR  ========================================================== */
#define GPIO_BSRR_BR15_Pos                (31UL)                    /*!< GPIO BSRR: BR15 (Bit 31)                              */
#define GPIO_BSRR_BR15_Msk                (0x80000000UL)            /*!< GPIO BSRR: BR15 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR15(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR15_Pos))&GPIO_BSRR_BR15_Msk)
#define GPIO_BSRR_BR14_Pos                (30UL)                    /*!< GPIO BSRR: BR14 (Bit 30)                              */
#define GPIO_BSRR_BR14_Msk                (0x40000000UL)            /*!< GPIO BSRR: BR14 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR14(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR14_Pos))&GPIO_BSRR_BR14_Msk)
#define GPIO_BSRR_BR13_Pos                (29UL)                    /*!< GPIO BSRR: BR13 (Bit 29)                              */
#define GPIO_BSRR_BR13_Msk                (0x20000000UL)            /*!< GPIO BSRR: BR13 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR13(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR13_Pos))&GPIO_BSRR_BR13_Msk)
#define GPIO_BSRR_BR12_Pos                (28UL)                    /*!< GPIO BSRR: BR12 (Bit 28)                              */
#define GPIO_BSRR_BR12_Msk                (0x10000000UL)            /*!< GPIO BSRR: BR12 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR12(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR12_Pos))&GPIO_BSRR_BR12_Msk)
#define GPIO_BSRR_BR11_Pos                (27UL)                    /*!< GPIO BSRR: BR11 (Bit 27)                              */
#define GPIO_BSRR_BR11_Msk                (0x8000000UL)             /*!< GPIO BSRR: BR11 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR11(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR11_Pos))&GPIO_BSRR_BR11_Msk)
#define GPIO_BSRR_BR10_Pos                (26UL)                    /*!< GPIO BSRR: BR10 (Bit 26)                              */
#define GPIO_BSRR_BR10_Msk                (0x4000000UL)             /*!< GPIO BSRR: BR10 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BR10(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR10_Pos))&GPIO_BSRR_BR10_Msk)
#define GPIO_BSRR_BR9_Pos                 (25UL)                    /*!< GPIO BSRR: BR9 (Bit 25)                               */
#define GPIO_BSRR_BR9_Msk                 (0x2000000UL)             /*!< GPIO BSRR: BR9 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR9(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR9_Pos))&GPIO_BSRR_BR9_Msk)
#define GPIO_BSRR_BR8_Pos                 (24UL)                    /*!< GPIO BSRR: BR8 (Bit 24)                               */
#define GPIO_BSRR_BR8_Msk                 (0x1000000UL)             /*!< GPIO BSRR: BR8 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR8(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR8_Pos))&GPIO_BSRR_BR8_Msk)
#define GPIO_BSRR_BR7_Pos                 (23UL)                    /*!< GPIO BSRR: BR7 (Bit 23)                               */
#define GPIO_BSRR_BR7_Msk                 (0x800000UL)              /*!< GPIO BSRR: BR7 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR7(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR7_Pos))&GPIO_BSRR_BR7_Msk)
#define GPIO_BSRR_BR6_Pos                 (22UL)                    /*!< GPIO BSRR: BR6 (Bit 22)                               */
#define GPIO_BSRR_BR6_Msk                 (0x400000UL)              /*!< GPIO BSRR: BR6 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR6(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR6_Pos))&GPIO_BSRR_BR6_Msk)
#define GPIO_BSRR_BR5_Pos                 (21UL)                    /*!< GPIO BSRR: BR5 (Bit 21)                               */
#define GPIO_BSRR_BR5_Msk                 (0x200000UL)              /*!< GPIO BSRR: BR5 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR5(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR5_Pos))&GPIO_BSRR_BR5_Msk)
#define GPIO_BSRR_BR4_Pos                 (20UL)                    /*!< GPIO BSRR: BR4 (Bit 20)                               */
#define GPIO_BSRR_BR4_Msk                 (0x100000UL)              /*!< GPIO BSRR: BR4 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR4(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR4_Pos))&GPIO_BSRR_BR4_Msk)
#define GPIO_BSRR_BR3_Pos                 (19UL)                    /*!< GPIO BSRR: BR3 (Bit 19)                               */
#define GPIO_BSRR_BR3_Msk                 (0x80000UL)               /*!< GPIO BSRR: BR3 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR3(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR3_Pos))&GPIO_BSRR_BR3_Msk)
#define GPIO_BSRR_BR2_Pos                 (18UL)                    /*!< GPIO BSRR: BR2 (Bit 18)                               */
#define GPIO_BSRR_BR2_Msk                 (0x40000UL)               /*!< GPIO BSRR: BR2 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR2(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR2_Pos))&GPIO_BSRR_BR2_Msk)
#define GPIO_BSRR_BR1_Pos                 (17UL)                    /*!< GPIO BSRR: BR1 (Bit 17)                               */
#define GPIO_BSRR_BR1_Msk                 (0x20000UL)               /*!< GPIO BSRR: BR1 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR1(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR1_Pos))&GPIO_BSRR_BR1_Msk)
#define GPIO_BSRR_BR0_Pos                 (16UL)                    /*!< GPIO BSRR: BR0 (Bit 16)                               */
#define GPIO_BSRR_BR0_Msk                 (0x10000UL)               /*!< GPIO BSRR: BR0 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BR0(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BR0_Pos))&GPIO_BSRR_BR0_Msk)
#define GPIO_BSRR_BS15_Pos                (15UL)                    /*!< GPIO BSRR: BS15 (Bit 15)                              */
#define GPIO_BSRR_BS15_Msk                (0x8000UL)                /*!< GPIO BSRR: BS15 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS15(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS15_Pos))&GPIO_BSRR_BS15_Msk)
#define GPIO_BSRR_BS14_Pos                (14UL)                    /*!< GPIO BSRR: BS14 (Bit 14)                              */
#define GPIO_BSRR_BS14_Msk                (0x4000UL)                /*!< GPIO BSRR: BS14 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS14(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS14_Pos))&GPIO_BSRR_BS14_Msk)
#define GPIO_BSRR_BS13_Pos                (13UL)                    /*!< GPIO BSRR: BS13 (Bit 13)                              */
#define GPIO_BSRR_BS13_Msk                (0x2000UL)                /*!< GPIO BSRR: BS13 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS13(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS13_Pos))&GPIO_BSRR_BS13_Msk)
#define GPIO_BSRR_BS12_Pos                (12UL)                    /*!< GPIO BSRR: BS12 (Bit 12)                              */
#define GPIO_BSRR_BS12_Msk                (0x1000UL)                /*!< GPIO BSRR: BS12 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS12(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS12_Pos))&GPIO_BSRR_BS12_Msk)
#define GPIO_BSRR_BS11_Pos                (11UL)                    /*!< GPIO BSRR: BS11 (Bit 11)                              */
#define GPIO_BSRR_BS11_Msk                (0x800UL)                 /*!< GPIO BSRR: BS11 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS11(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS11_Pos))&GPIO_BSRR_BS11_Msk)
#define GPIO_BSRR_BS10_Pos                (10UL)                    /*!< GPIO BSRR: BS10 (Bit 10)                              */
#define GPIO_BSRR_BS10_Msk                (0x400UL)                 /*!< GPIO BSRR: BS10 (Bitfield-Mask: 0x01)                 */
#define GPIO_BSRR_BS10(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS10_Pos))&GPIO_BSRR_BS10_Msk)
#define GPIO_BSRR_BS9_Pos                 (9UL)                     /*!< GPIO BSRR: BS9 (Bit 9)                                */
#define GPIO_BSRR_BS9_Msk                 (0x200UL)                 /*!< GPIO BSRR: BS9 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS9(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS9_Pos))&GPIO_BSRR_BS9_Msk)
#define GPIO_BSRR_BS8_Pos                 (8UL)                     /*!< GPIO BSRR: BS8 (Bit 8)                                */
#define GPIO_BSRR_BS8_Msk                 (0x100UL)                 /*!< GPIO BSRR: BS8 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS8(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS8_Pos))&GPIO_BSRR_BS8_Msk)
#define GPIO_BSRR_BS7_Pos                 (7UL)                     /*!< GPIO BSRR: BS7 (Bit 7)                                */
#define GPIO_BSRR_BS7_Msk                 (0x80UL)                  /*!< GPIO BSRR: BS7 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS7(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS7_Pos))&GPIO_BSRR_BS7_Msk)
#define GPIO_BSRR_BS6_Pos                 (6UL)                     /*!< GPIO BSRR: BS6 (Bit 6)                                */
#define GPIO_BSRR_BS6_Msk                 (0x40UL)                  /*!< GPIO BSRR: BS6 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS6(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS6_Pos))&GPIO_BSRR_BS6_Msk)
#define GPIO_BSRR_BS5_Pos                 (5UL)                     /*!< GPIO BSRR: BS5 (Bit 5)                                */
#define GPIO_BSRR_BS5_Msk                 (0x20UL)                  /*!< GPIO BSRR: BS5 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS5(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS5_Pos))&GPIO_BSRR_BS5_Msk)
#define GPIO_BSRR_BS4_Pos                 (4UL)                     /*!< GPIO BSRR: BS4 (Bit 4)                                */
#define GPIO_BSRR_BS4_Msk                 (0x10UL)                  /*!< GPIO BSRR: BS4 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS4(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS4_Pos))&GPIO_BSRR_BS4_Msk)
#define GPIO_BSRR_BS3_Pos                 (3UL)                     /*!< GPIO BSRR: BS3 (Bit 3)                                */
#define GPIO_BSRR_BS3_Msk                 (0x8UL)                   /*!< GPIO BSRR: BS3 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS3(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS3_Pos))&GPIO_BSRR_BS3_Msk)
#define GPIO_BSRR_BS2_Pos                 (2UL)                     /*!< GPIO BSRR: BS2 (Bit 2)                                */
#define GPIO_BSRR_BS2_Msk                 (0x4UL)                   /*!< GPIO BSRR: BS2 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS2(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS2_Pos))&GPIO_BSRR_BS2_Msk)
#define GPIO_BSRR_BS1_Pos                 (1UL)                     /*!< GPIO BSRR: BS1 (Bit 1)                                */
#define GPIO_BSRR_BS1_Msk                 (0x2UL)                   /*!< GPIO BSRR: BS1 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS1(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS1_Pos))&GPIO_BSRR_BS1_Msk)
#define GPIO_BSRR_BS0_Pos                 (0UL)                     /*!< GPIO BSRR: BS0 (Bit 0)                                */
#define GPIO_BSRR_BS0_Msk                 (0x1UL)                   /*!< GPIO BSRR: BS0 (Bitfield-Mask: 0x01)                  */
#define GPIO_BSRR_BS0(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BSRR_BS0_Pos))&GPIO_BSRR_BS0_Msk)
/* =========================================================  LCKR  ========================================================== */
#define GPIO_LCKR_LCKK_Pos                (16UL)                    /*!< GPIO LCKR: LCKK (Bit 16)                              */
#define GPIO_LCKR_LCKK_Msk                (0x10000UL)               /*!< GPIO LCKR: LCKK (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCKK(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCKK_Pos))&GPIO_LCKR_LCKK_Msk)
#define GPIO_LCKR_LCK15_Pos               (15UL)                    /*!< GPIO LCKR: LCK15 (Bit 15)                             */
#define GPIO_LCKR_LCK15_Msk               (0x8000UL)                /*!< GPIO LCKR: LCK15 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK15(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK15_Pos))&GPIO_LCKR_LCK15_Msk)
#define GPIO_LCKR_LCK14_Pos               (14UL)                    /*!< GPIO LCKR: LCK14 (Bit 14)                             */
#define GPIO_LCKR_LCK14_Msk               (0x4000UL)                /*!< GPIO LCKR: LCK14 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK14(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK14_Pos))&GPIO_LCKR_LCK14_Msk)
#define GPIO_LCKR_LCK13_Pos               (13UL)                    /*!< GPIO LCKR: LCK13 (Bit 13)                             */
#define GPIO_LCKR_LCK13_Msk               (0x2000UL)                /*!< GPIO LCKR: LCK13 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK13(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK13_Pos))&GPIO_LCKR_LCK13_Msk)
#define GPIO_LCKR_LCK12_Pos               (12UL)                    /*!< GPIO LCKR: LCK12 (Bit 12)                             */
#define GPIO_LCKR_LCK12_Msk               (0x1000UL)                /*!< GPIO LCKR: LCK12 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK12(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK12_Pos))&GPIO_LCKR_LCK12_Msk)
#define GPIO_LCKR_LCK11_Pos               (11UL)                    /*!< GPIO LCKR: LCK11 (Bit 11)                             */
#define GPIO_LCKR_LCK11_Msk               (0x800UL)                 /*!< GPIO LCKR: LCK11 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK11(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK11_Pos))&GPIO_LCKR_LCK11_Msk)
#define GPIO_LCKR_LCK10_Pos               (10UL)                    /*!< GPIO LCKR: LCK10 (Bit 10)                             */
#define GPIO_LCKR_LCK10_Msk               (0x400UL)                 /*!< GPIO LCKR: LCK10 (Bitfield-Mask: 0x01)                */
#define GPIO_LCKR_LCK10(x)                (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK10_Pos))&GPIO_LCKR_LCK10_Msk)
#define GPIO_LCKR_LCK9_Pos                (9UL)                     /*!< GPIO LCKR: LCK9 (Bit 9)                               */
#define GPIO_LCKR_LCK9_Msk                (0x200UL)                 /*!< GPIO LCKR: LCK9 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK9(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK9_Pos))&GPIO_LCKR_LCK9_Msk)
#define GPIO_LCKR_LCK8_Pos                (8UL)                     /*!< GPIO LCKR: LCK8 (Bit 8)                               */
#define GPIO_LCKR_LCK8_Msk                (0x100UL)                 /*!< GPIO LCKR: LCK8 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK8(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK8_Pos))&GPIO_LCKR_LCK8_Msk)
#define GPIO_LCKR_LCK7_Pos                (7UL)                     /*!< GPIO LCKR: LCK7 (Bit 7)                               */
#define GPIO_LCKR_LCK7_Msk                (0x80UL)                  /*!< GPIO LCKR: LCK7 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK7(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK7_Pos))&GPIO_LCKR_LCK7_Msk)
#define GPIO_LCKR_LCK6_Pos                (6UL)                     /*!< GPIO LCKR: LCK6 (Bit 6)                               */
#define GPIO_LCKR_LCK6_Msk                (0x40UL)                  /*!< GPIO LCKR: LCK6 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK6(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK6_Pos))&GPIO_LCKR_LCK6_Msk)
#define GPIO_LCKR_LCK5_Pos                (5UL)                     /*!< GPIO LCKR: LCK5 (Bit 5)                               */
#define GPIO_LCKR_LCK5_Msk                (0x20UL)                  /*!< GPIO LCKR: LCK5 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK5(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK5_Pos))&GPIO_LCKR_LCK5_Msk)
#define GPIO_LCKR_LCK4_Pos                (4UL)                     /*!< GPIO LCKR: LCK4 (Bit 4)                               */
#define GPIO_LCKR_LCK4_Msk                (0x10UL)                  /*!< GPIO LCKR: LCK4 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK4(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK4_Pos))&GPIO_LCKR_LCK4_Msk)
#define GPIO_LCKR_LCK3_Pos                (3UL)                     /*!< GPIO LCKR: LCK3 (Bit 3)                               */
#define GPIO_LCKR_LCK3_Msk                (0x8UL)                   /*!< GPIO LCKR: LCK3 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK3(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK3_Pos))&GPIO_LCKR_LCK3_Msk)
#define GPIO_LCKR_LCK2_Pos                (2UL)                     /*!< GPIO LCKR: LCK2 (Bit 2)                               */
#define GPIO_LCKR_LCK2_Msk                (0x4UL)                   /*!< GPIO LCKR: LCK2 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK2(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK2_Pos))&GPIO_LCKR_LCK2_Msk)
#define GPIO_LCKR_LCK1_Pos                (1UL)                     /*!< GPIO LCKR: LCK1 (Bit 1)                               */
#define GPIO_LCKR_LCK1_Msk                (0x2UL)                   /*!< GPIO LCKR: LCK1 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK1(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK1_Pos))&GPIO_LCKR_LCK1_Msk)
#define GPIO_LCKR_LCK0_Pos                (0UL)                     /*!< GPIO LCKR: LCK0 (Bit 0)                               */
#define GPIO_LCKR_LCK0_Msk                (0x1UL)                   /*!< GPIO LCKR: LCK0 (Bitfield-Mask: 0x01)                 */
#define GPIO_LCKR_LCK0(x)                 (((uint32_t)(((uint32_t)(x))<<GPIO_LCKR_LCK0_Pos))&GPIO_LCKR_LCK0_Msk)
/* =========================================================  AFRL  ========================================================== */
#define GPIO_AFRL_AFSEL7_Pos              (28UL)                    /*!< GPIO AFRL: AFSEL7 (Bit 28)                            */
#define GPIO_AFRL_AFSEL7_Msk              (0xf0000000UL)            /*!< GPIO AFRL: AFSEL7 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL7(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL7_Pos))&GPIO_AFRL_AFSEL7_Msk)
#define GPIO_AFRL_AFSEL6_Pos              (24UL)                    /*!< GPIO AFRL: AFSEL6 (Bit 24)                            */
#define GPIO_AFRL_AFSEL6_Msk              (0xf000000UL)             /*!< GPIO AFRL: AFSEL6 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL6(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL6_Pos))&GPIO_AFRL_AFSEL6_Msk)
#define GPIO_AFRL_AFSEL5_Pos              (20UL)                    /*!< GPIO AFRL: AFSEL5 (Bit 20)                            */
#define GPIO_AFRL_AFSEL5_Msk              (0xf00000UL)              /*!< GPIO AFRL: AFSEL5 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL5(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL5_Pos))&GPIO_AFRL_AFSEL5_Msk)
#define GPIO_AFRL_AFSEL4_Pos              (16UL)                    /*!< GPIO AFRL: AFSEL4 (Bit 16)                            */
#define GPIO_AFRL_AFSEL4_Msk              (0xf0000UL)               /*!< GPIO AFRL: AFSEL4 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL4(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL4_Pos))&GPIO_AFRL_AFSEL4_Msk)
#define GPIO_AFRL_AFSEL3_Pos              (12UL)                    /*!< GPIO AFRL: AFSEL3 (Bit 12)                            */
#define GPIO_AFRL_AFSEL3_Msk              (0xf000UL)                /*!< GPIO AFRL: AFSEL3 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL3(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL3_Pos))&GPIO_AFRL_AFSEL3_Msk)
#define GPIO_AFRL_AFSEL2_Pos              (8UL)                     /*!< GPIO AFRL: AFSEL2 (Bit 8)                             */
#define GPIO_AFRL_AFSEL2_Msk              (0xf00UL)                 /*!< GPIO AFRL: AFSEL2 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL2(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL2_Pos))&GPIO_AFRL_AFSEL2_Msk)
#define GPIO_AFRL_AFSEL1_Pos              (4UL)                     /*!< GPIO AFRL: AFSEL1 (Bit 4)                             */
#define GPIO_AFRL_AFSEL1_Msk              (0xf0UL)                  /*!< GPIO AFRL: AFSEL1 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL1(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL1_Pos))&GPIO_AFRL_AFSEL1_Msk)
#define GPIO_AFRL_AFSEL0_Pos              (0UL)                     /*!< GPIO AFRL: AFSEL0 (Bit 0)                             */
#define GPIO_AFRL_AFSEL0_Msk              (0xfUL)                   /*!< GPIO AFRL: AFSEL0 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRL_AFSEL0(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRL_AFSEL0_Pos))&GPIO_AFRL_AFSEL0_Msk)
/* =========================================================  AFRH  ========================================================== */
#define GPIO_AFRH_AFSEL15_Pos             (28UL)                    /*!< GPIO AFRH: AFSEL15 (Bit 28)                           */
#define GPIO_AFRH_AFSEL15_Msk             (0xf0000000UL)            /*!< GPIO AFRH: AFSEL15 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL15(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL15_Pos))&GPIO_AFRH_AFSEL15_Msk)
#define GPIO_AFRH_AFSEL14_Pos             (24UL)                    /*!< GPIO AFRH: AFSEL14 (Bit 24)                           */
#define GPIO_AFRH_AFSEL14_Msk             (0xf000000UL)             /*!< GPIO AFRH: AFSEL14 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL14(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL14_Pos))&GPIO_AFRH_AFSEL14_Msk)
#define GPIO_AFRH_AFSEL13_Pos             (20UL)                    /*!< GPIO AFRH: AFSEL13 (Bit 20)                           */
#define GPIO_AFRH_AFSEL13_Msk             (0xf00000UL)              /*!< GPIO AFRH: AFSEL13 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL13(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL13_Pos))&GPIO_AFRH_AFSEL13_Msk)
#define GPIO_AFRH_AFSEL12_Pos             (16UL)                    /*!< GPIO AFRH: AFSEL12 (Bit 16)                           */
#define GPIO_AFRH_AFSEL12_Msk             (0xf0000UL)               /*!< GPIO AFRH: AFSEL12 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL12(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL12_Pos))&GPIO_AFRH_AFSEL12_Msk)
#define GPIO_AFRH_AFSEL11_Pos             (12UL)                    /*!< GPIO AFRH: AFSEL11 (Bit 12)                           */
#define GPIO_AFRH_AFSEL11_Msk             (0xf000UL)                /*!< GPIO AFRH: AFSEL11 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL11(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL11_Pos))&GPIO_AFRH_AFSEL11_Msk)
#define GPIO_AFRH_AFSEL10_Pos             (8UL)                     /*!< GPIO AFRH: AFSEL10 (Bit 8)                            */
#define GPIO_AFRH_AFSEL10_Msk             (0xf00UL)                 /*!< GPIO AFRH: AFSEL10 (Bitfield-Mask: 0x0f)              */
#define GPIO_AFRH_AFSEL10(x)              (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL10_Pos))&GPIO_AFRH_AFSEL10_Msk)
#define GPIO_AFRH_AFSEL9_Pos              (4UL)                     /*!< GPIO AFRH: AFSEL9 (Bit 4)                             */
#define GPIO_AFRH_AFSEL9_Msk              (0xf0UL)                  /*!< GPIO AFRH: AFSEL9 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRH_AFSEL9(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL9_Pos))&GPIO_AFRH_AFSEL9_Msk)
#define GPIO_AFRH_AFSEL8_Pos              (0UL)                     /*!< GPIO AFRH: AFSEL8 (Bit 0)                             */
#define GPIO_AFRH_AFSEL8_Msk              (0xfUL)                   /*!< GPIO AFRH: AFSEL8 (Bitfield-Mask: 0x0f)               */
#define GPIO_AFRH_AFSEL8(x)               (((uint32_t)(((uint32_t)(x))<<GPIO_AFRH_AFSEL8_Pos))&GPIO_AFRH_AFSEL8_Msk)
/* ==========================================================  BRR  ========================================================== */
#define GPIO_BRR_BR0_Pos                  (0UL)                     /*!< GPIO BRR: BR0 (Bit 0)                                 */
#define GPIO_BRR_BR0_Msk                  (0x1UL)                   /*!< GPIO BRR: BR0 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR0(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR0_Pos))&GPIO_BRR_BR0_Msk)
#define GPIO_BRR_BR1_Pos                  (1UL)                     /*!< GPIO BRR: BR1 (Bit 1)                                 */
#define GPIO_BRR_BR1_Msk                  (0x2UL)                   /*!< GPIO BRR: BR1 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR1(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR1_Pos))&GPIO_BRR_BR1_Msk)
#define GPIO_BRR_BR2_Pos                  (2UL)                     /*!< GPIO BRR: BR2 (Bit 2)                                 */
#define GPIO_BRR_BR2_Msk                  (0x4UL)                   /*!< GPIO BRR: BR2 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR2(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR2_Pos))&GPIO_BRR_BR2_Msk)
#define GPIO_BRR_BR3_Pos                  (3UL)                     /*!< GPIO BRR: BR3 (Bit 3)                                 */
#define GPIO_BRR_BR3_Msk                  (0x8UL)                   /*!< GPIO BRR: BR3 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR3(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR3_Pos))&GPIO_BRR_BR3_Msk)
#define GPIO_BRR_BR4_Pos                  (4UL)                     /*!< GPIO BRR: BR4 (Bit 4)                                 */
#define GPIO_BRR_BR4_Msk                  (0x10UL)                  /*!< GPIO BRR: BR4 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR4(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR4_Pos))&GPIO_BRR_BR4_Msk)
#define GPIO_BRR_BR5_Pos                  (5UL)                     /*!< GPIO BRR: BR5 (Bit 5)                                 */
#define GPIO_BRR_BR5_Msk                  (0x20UL)                  /*!< GPIO BRR: BR5 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR5(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR5_Pos))&GPIO_BRR_BR5_Msk)
#define GPIO_BRR_BR6_Pos                  (6UL)                     /*!< GPIO BRR: BR6 (Bit 6)                                 */
#define GPIO_BRR_BR6_Msk                  (0x40UL)                  /*!< GPIO BRR: BR6 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR6(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR6_Pos))&GPIO_BRR_BR6_Msk)
#define GPIO_BRR_BR7_Pos                  (7UL)                     /*!< GPIO BRR: BR7 (Bit 7)                                 */
#define GPIO_BRR_BR7_Msk                  (0x80UL)                  /*!< GPIO BRR: BR7 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR7(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR7_Pos))&GPIO_BRR_BR7_Msk)
#define GPIO_BRR_BR8_Pos                  (8UL)                     /*!< GPIO BRR: BR8 (Bit 8)                                 */
#define GPIO_BRR_BR8_Msk                  (0x100UL)                 /*!< GPIO BRR: BR8 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR8(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR8_Pos))&GPIO_BRR_BR8_Msk)
#define GPIO_BRR_BR9_Pos                  (9UL)                     /*!< GPIO BRR: BR9 (Bit 9)                                 */
#define GPIO_BRR_BR9_Msk                  (0x200UL)                 /*!< GPIO BRR: BR9 (Bitfield-Mask: 0x01)                   */
#define GPIO_BRR_BR9(x)                   (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR9_Pos))&GPIO_BRR_BR9_Msk)
#define GPIO_BRR_BR10_Pos                 (10UL)                    /*!< GPIO BRR: BR10 (Bit 10)                               */
#define GPIO_BRR_BR10_Msk                 (0x400UL)                 /*!< GPIO BRR: BR10 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR10(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR10_Pos))&GPIO_BRR_BR10_Msk)
#define GPIO_BRR_BR11_Pos                 (11UL)                    /*!< GPIO BRR: BR11 (Bit 11)                               */
#define GPIO_BRR_BR11_Msk                 (0x800UL)                 /*!< GPIO BRR: BR11 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR11(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR11_Pos))&GPIO_BRR_BR11_Msk)
#define GPIO_BRR_BR12_Pos                 (12UL)                    /*!< GPIO BRR: BR12 (Bit 12)                               */
#define GPIO_BRR_BR12_Msk                 (0x1000UL)                /*!< GPIO BRR: BR12 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR12(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR12_Pos))&GPIO_BRR_BR12_Msk)
#define GPIO_BRR_BR13_Pos                 (13UL)                    /*!< GPIO BRR: BR13 (Bit 13)                               */
#define GPIO_BRR_BR13_Msk                 (0x2000UL)                /*!< GPIO BRR: BR13 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR13(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR13_Pos))&GPIO_BRR_BR13_Msk)
#define GPIO_BRR_BR14_Pos                 (14UL)                    /*!< GPIO BRR: BR14 (Bit 14)                               */
#define GPIO_BRR_BR14_Msk                 (0x4000UL)                /*!< GPIO BRR: BR14 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR14(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR14_Pos))&GPIO_BRR_BR14_Msk)
#define GPIO_BRR_BR15_Pos                 (15UL)                    /*!< GPIO BRR: BR15 (Bit 15)                               */
#define GPIO_BRR_BR15_Msk                 (0x8000UL)                /*!< GPIO BRR: BR15 (Bitfield-Mask: 0x01)                  */
#define GPIO_BRR_BR15(x)                  (((uint32_t)(((uint32_t)(x))<<GPIO_BRR_BR15_Pos))&GPIO_BRR_BR15_Msk)


/* =========================================================================================================================== */
/* ================                                           GTIM                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define GTIM_CR1_CEN_Pos                  (0UL)                     /*!< GTIM CR1: CEN (Bit 0)                                 */
#define GTIM_CR1_CEN_Msk                  (0x1UL)                   /*!< GTIM CR1: CEN (Bitfield-Mask: 0x01)                   */
#define GTIM_CR1_CEN(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_CEN_Pos))&GTIM_CR1_CEN_Msk)
#define GTIM_CR1_UDIS_Pos                 (1UL)                     /*!< GTIM CR1: UDIS (Bit 1)                                */
#define GTIM_CR1_UDIS_Msk                 (0x2UL)                   /*!< GTIM CR1: UDIS (Bitfield-Mask: 0x01)                  */
#define GTIM_CR1_UDIS(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_UDIS_Pos))&GTIM_CR1_UDIS_Msk)
#define GTIM_CR1_URS_Pos                  (2UL)                     /*!< GTIM CR1: URS (Bit 2)                                 */
#define GTIM_CR1_URS_Msk                  (0x4UL)                   /*!< GTIM CR1: URS (Bitfield-Mask: 0x01)                   */
#define GTIM_CR1_URS(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_URS_Pos))&GTIM_CR1_URS_Msk)
#define GTIM_CR1_OWM_Pos                  (3UL)                     /*!< GTIM CR1: OWM (Bit 3)                                 */
#define GTIM_CR1_OWM_Msk                  (0x8UL)                   /*!< GTIM CR1: OWM (Bitfield-Mask: 0x01)                   */
#define GTIM_CR1_OWM(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_OWM_Pos))&GTIM_CR1_OWM_Msk)
#define GTIM_CR1_DIR_Pos                  (4UL)                     /*!< GTIM CR1: DIR (Bit 4)                                 */
#define GTIM_CR1_DIR_Msk                  (0x10UL)                  /*!< GTIM CR1: DIR (Bitfield-Mask: 0x01)                   */
#define GTIM_CR1_DIR(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_DIR_Pos))&GTIM_CR1_DIR_Msk)
#define GTIM_CR1_ARPE_Pos                 (5UL)                     /*!< GTIM CR1: ARPE (Bit 5)                                */
#define GTIM_CR1_ARPE_Msk                 (0x20UL)                  /*!< GTIM CR1: ARPE (Bitfield-Mask: 0x01)                  */
#define GTIM_CR1_ARPE(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_ARPE_Pos))&GTIM_CR1_ARPE_Msk)
#define GTIM_CR1_CKD_Pos                  (6UL)                     /*!< GTIM CR1: CKD (Bit 6)                                 */
#define GTIM_CR1_CKD_Msk                  (0xc0UL)                  /*!< GTIM CR1: CKD (Bitfield-Mask: 0x03)                   */
#define GTIM_CR1_CKD(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR1_CKD_Pos))&GTIM_CR1_CKD_Msk)
/* ==========================================================  CR2  ========================================================== */
#define GTIM_CR2_MMS_Pos                  (0UL)                     /*!< GTIM CR2: MMS (Bit 0)                                 */
#define GTIM_CR2_MMS_Msk                  (0x7UL)                   /*!< GTIM CR2: MMS (Bitfield-Mask: 0x07)                   */
#define GTIM_CR2_MMS(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CR2_MMS_Pos))&GTIM_CR2_MMS_Msk)
#define GTIM_CR2_CLKEN_Pos                (3UL)                     /*!< GTIM CR2: CLKEN (Bit 3)                               */
#define GTIM_CR2_CLKEN_Msk                (0x8UL)                   /*!< GTIM CR2: CLKEN (Bitfield-Mask: 0x01)                 */
#define GTIM_CR2_CLKEN(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CR2_CLKEN_Pos))&GTIM_CR2_CLKEN_Msk)
#define GTIM_CR2_CHSEL_Pos                (4UL)                     /*!< GTIM CR2: CHSEL (Bit 4)                               */
#define GTIM_CR2_CHSEL_Msk                (0x70UL)                  /*!< GTIM CR2: CHSEL (Bitfield-Mask: 0x07)                 */
#define GTIM_CR2_CHSEL(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CR2_CHSEL_Pos))&GTIM_CR2_CHSEL_Msk)
#define GTIM_CR2_CLKSEL_Pos               (7UL)                     /*!< GTIM CR2: CLKSEL (Bit 7)                              */
#define GTIM_CR2_CLKSEL_Msk               (0x80UL)                  /*!< GTIM CR2: CLKSEL (Bitfield-Mask: 0x01)                */
#define GTIM_CR2_CLKSEL(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CR2_CLKSEL_Pos))&GTIM_CR2_CLKSEL_Msk)
/* =========================================================  SMCR  ========================================================== */
#define GTIM_SMCR_SMS_Pos                 (0UL)                     /*!< GTIM SMCR: SMS (Bit 0)                                */
#define GTIM_SMCR_SMS_Msk                 (0x7UL)                   /*!< GTIM SMCR: SMS (Bitfield-Mask: 0x07)                  */
#define GTIM_SMCR_SMS(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_SMCR_SMS_Pos))&GTIM_SMCR_SMS_Msk)
#define GTIM_SMCR_TRGO_SYNC_Pos           (3UL)                     /*!< GTIM SMCR: TRGO_SYNC (Bit 3)                          */
#define GTIM_SMCR_TRGO_SYNC_Msk           (0x8UL)                   /*!< GTIM SMCR: TRGO_SYNC (Bitfield-Mask: 0x01)            */
#define GTIM_SMCR_TRGO_SYNC(x)            (((uint32_t)(((uint32_t)(x))<<GTIM_SMCR_TRGO_SYNC_Pos))&GTIM_SMCR_TRGO_SYNC_Msk)
#define GTIM_SMCR_TS_Pos                  (4UL)                     /*!< GTIM SMCR: TS (Bit 4)                                 */
#define GTIM_SMCR_TS_Msk                  (0xf0UL)                  /*!< GTIM SMCR: TS (Bitfield-Mask: 0x0f)                   */
#define GTIM_SMCR_TS(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_SMCR_TS_Pos))&GTIM_SMCR_TS_Msk)
#define GTIM_SMCR_ETF_Pos                 (8UL)                     /*!< GTIM SMCR: ETF (Bit 8)                                */
#define GTIM_SMCR_ETF_Msk                 (0xf00UL)                 /*!< GTIM SMCR: ETF (Bitfield-Mask: 0x0f)                  */
#define GTIM_SMCR_ETF(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_SMCR_ETF_Pos))&GTIM_SMCR_ETF_Msk)
#define GTIM_SMCR_ETP_Pos                 (12UL)                    /*!< GTIM SMCR: ETP (Bit 12)                               */
#define GTIM_SMCR_ETP_Msk                 (0x3000UL)                /*!< GTIM SMCR: ETP (Bitfield-Mask: 0x03)                  */
#define GTIM_SMCR_ETP(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_SMCR_ETP_Pos))&GTIM_SMCR_ETP_Msk)
/* ==========================================================  IER  ========================================================== */
#define GTIM_IER_UIE_Pos                  (0UL)                     /*!< GTIM IER: UIE (Bit 0)                                 */
#define GTIM_IER_UIE_Msk                  (0x1UL)                   /*!< GTIM IER: UIE (Bitfield-Mask: 0x01)                   */
#define GTIM_IER_UIE(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_IER_UIE_Pos))&GTIM_IER_UIE_Msk)
#define GTIM_IER_TIE_Pos                  (1UL)                     /*!< GTIM IER: TIE (Bit 1)                                 */
#define GTIM_IER_TIE_Msk                  (0x2UL)                   /*!< GTIM IER: TIE (Bitfield-Mask: 0x01)                   */
#define GTIM_IER_TIE(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_IER_TIE_Pos))&GTIM_IER_TIE_Msk)
#define GTIM_IER_CC1IE_Pos                (4UL)                     /*!< GTIM IER: CC1IE (Bit 4)                               */
#define GTIM_IER_CC1IE_Msk                (0x10UL)                  /*!< GTIM IER: CC1IE (Bitfield-Mask: 0x01)                 */
#define GTIM_IER_CC1IE(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_IER_CC1IE_Pos))&GTIM_IER_CC1IE_Msk)
#define GTIM_IER_CC2IE_Pos                (5UL)                     /*!< GTIM IER: CC2IE (Bit 5)                               */
#define GTIM_IER_CC2IE_Msk                (0x20UL)                  /*!< GTIM IER: CC2IE (Bitfield-Mask: 0x01)                 */
#define GTIM_IER_CC2IE(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_IER_CC2IE_Pos))&GTIM_IER_CC2IE_Msk)
#define GTIM_IER_CC3IE_Pos                (6UL)                     /*!< GTIM IER: CC3IE (Bit 6)                               */
#define GTIM_IER_CC3IE_Msk                (0x40UL)                  /*!< GTIM IER: CC3IE (Bitfield-Mask: 0x01)                 */
#define GTIM_IER_CC3IE(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_IER_CC3IE_Pos))&GTIM_IER_CC3IE_Msk)
#define GTIM_IER_CC4IE_Pos                (7UL)                     /*!< GTIM IER: CC4IE (Bit 7)                               */
#define GTIM_IER_CC4IE_Msk                (0x80UL)                  /*!< GTIM IER: CC4IE (Bitfield-Mask: 0x01)                 */
#define GTIM_IER_CC4IE(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_IER_CC4IE_Pos))&GTIM_IER_CC4IE_Msk)
/* ==========================================================  SR1  ========================================================== */
#define GTIM_SR1_TIF_Pos                  (1UL)                     /*!< GTIM SR1: TIF (Bit 1)                                 */
#define GTIM_SR1_TIF_Msk                  (0x2UL)                   /*!< GTIM SR1: TIF (Bitfield-Mask: 0x01)                   */
#define GTIM_SR1_TIF(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_TIF_Pos))&GTIM_SR1_TIF_Msk)
#define GTIM_SR1_UIF_Pos                  (0UL)                     /*!< GTIM SR1: UIF (Bit 0)                                 */
#define GTIM_SR1_UIF_Msk                  (0x1UL)                   /*!< GTIM SR1: UIF (Bitfield-Mask: 0x01)                   */
#define GTIM_SR1_UIF(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_UIF_Pos))&GTIM_SR1_UIF_Msk)
#define GTIM_SR1_CC1IF_Pos                (4UL)                     /*!< GTIM SR1: CC1IF (Bit 4)                               */
#define GTIM_SR1_CC1IF_Msk                (0x10UL)                  /*!< GTIM SR1: CC1IF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR1_CC1IF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_CC1IF_Pos))&GTIM_SR1_CC1IF_Msk)
#define GTIM_SR1_CC2IF_Pos                (5UL)                     /*!< GTIM SR1: CC2IF (Bit 5)                               */
#define GTIM_SR1_CC2IF_Msk                (0x20UL)                  /*!< GTIM SR1: CC2IF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR1_CC2IF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_CC2IF_Pos))&GTIM_SR1_CC2IF_Msk)
#define GTIM_SR1_CC3IF_Pos                (6UL)                     /*!< GTIM SR1: CC3IF (Bit 6)                               */
#define GTIM_SR1_CC3IF_Msk                (0x40UL)                  /*!< GTIM SR1: CC3IF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR1_CC3IF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_CC3IF_Pos))&GTIM_SR1_CC3IF_Msk)
#define GTIM_SR1_CC4IF_Pos                (7UL)                     /*!< GTIM SR1: CC4IF (Bit 7)                               */
#define GTIM_SR1_CC4IF_Msk                (0x80UL)                  /*!< GTIM SR1: CC4IF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR1_CC4IF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR1_CC4IF_Pos))&GTIM_SR1_CC4IF_Msk)
/* ==========================================================  SR2  ========================================================== */
#define GTIM_SR2_CC1OF_Pos                (0UL)                     /*!< GTIM SR2: CC1OF (Bit 0)                               */
#define GTIM_SR2_CC1OF_Msk                (0x1UL)                   /*!< GTIM SR2: CC1OF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR2_CC1OF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR2_CC1OF_Pos))&GTIM_SR2_CC1OF_Msk)
#define GTIM_SR2_CC2OF_Pos                (1UL)                     /*!< GTIM SR2: CC2OF (Bit 1)                               */
#define GTIM_SR2_CC2OF_Msk                (0x2UL)                   /*!< GTIM SR2: CC2OF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR2_CC2OF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR2_CC2OF_Pos))&GTIM_SR2_CC2OF_Msk)
#define GTIM_SR2_CC3OF_Pos                (2UL)                     /*!< GTIM SR2: CC3OF (Bit 2)                               */
#define GTIM_SR2_CC3OF_Msk                (0x4UL)                   /*!< GTIM SR2: CC3OF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR2_CC3OF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR2_CC3OF_Pos))&GTIM_SR2_CC3OF_Msk)
#define GTIM_SR2_CC4OF_Pos                (3UL)                     /*!< GTIM SR2: CC4OF (Bit 3)                               */
#define GTIM_SR2_CC4OF_Msk                (0x8UL)                   /*!< GTIM SR2: CC4OF (Bitfield-Mask: 0x01)                 */
#define GTIM_SR2_CC4OF(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_SR2_CC4OF_Pos))&GTIM_SR2_CC4OF_Msk)
/* ==========================================================  EGR  ========================================================== */
#define GTIM_EGR_TG_Pos                   (1UL)                     /*!< GTIM EGR: TG (Bit 1)                                  */
#define GTIM_EGR_TG_Msk                   (0x2UL)                   /*!< GTIM EGR: TG (Bitfield-Mask: 0x01)                    */
#define GTIM_EGR_TG(x)                    (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_TG_Pos))&GTIM_EGR_TG_Msk)
#define GTIM_EGR_UG_Pos                   (0UL)                     /*!< GTIM EGR: UG (Bit 0)                                  */
#define GTIM_EGR_UG_Msk                   (0x1UL)                   /*!< GTIM EGR: UG (Bitfield-Mask: 0x01)                    */
#define GTIM_EGR_UG(x)                    (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_UG_Pos))&GTIM_EGR_UG_Msk)
#define GTIM_EGR_CC1G_Pos                 (4UL)                     /*!< GTIM EGR: CC1G (Bit 4)                                */
#define GTIM_EGR_CC1G_Msk                 (0x10UL)                  /*!< GTIM EGR: CC1G (Bitfield-Mask: 0x01)                  */
#define GTIM_EGR_CC1G(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_CC1G_Pos))&GTIM_EGR_CC1G_Msk)
#define GTIM_EGR_CC2G_Pos                 (5UL)                     /*!< GTIM EGR: CC2G (Bit 5)                                */
#define GTIM_EGR_CC2G_Msk                 (0x20UL)                  /*!< GTIM EGR: CC2G (Bitfield-Mask: 0x01)                  */
#define GTIM_EGR_CC2G(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_CC2G_Pos))&GTIM_EGR_CC2G_Msk)
#define GTIM_EGR_CC3G_Pos                 (6UL)                     /*!< GTIM EGR: CC3G (Bit 6)                                */
#define GTIM_EGR_CC3G_Msk                 (0x40UL)                  /*!< GTIM EGR: CC3G (Bitfield-Mask: 0x01)                  */
#define GTIM_EGR_CC3G(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_CC3G_Pos))&GTIM_EGR_CC3G_Msk)
#define GTIM_EGR_CC4G_Pos                 (7UL)                     /*!< GTIM EGR: CC4G (Bit 7)                                */
#define GTIM_EGR_CC4G_Msk                 (0x80UL)                  /*!< GTIM EGR: CC4G (Bitfield-Mask: 0x01)                  */
#define GTIM_EGR_CC4G(x)                  (((uint32_t)(((uint32_t)(x))<<GTIM_EGR_CC4G_Pos))&GTIM_EGR_CC4G_Msk)
/* ==========================================================  CNT  ========================================================== */
#define GTIM_CNT_CNT_Pos                  (0UL)                     /*!< GTIM CNT: CNT (Bit 0)                                 */
#define GTIM_CNT_CNT_Msk                  (0xffffUL)                /*!< GTIM CNT: CNT (Bitfield-Mask: 0xffff)                 */
#define GTIM_CNT_CNT(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_CNT_CNT_Pos))&GTIM_CNT_CNT_Msk)
/* ==========================================================  PSC  ========================================================== */
#define GTIM_PSC_PSC_Pos                  (0UL)                     /*!< GTIM PSC: PSC (Bit 0)                                 */
#define GTIM_PSC_PSC_Msk                  (0xffffUL)                /*!< GTIM PSC: PSC (Bitfield-Mask: 0xffff)                 */
#define GTIM_PSC_PSC(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_PSC_PSC_Pos))&GTIM_PSC_PSC_Msk)
/* ==========================================================  ARR  ========================================================== */
#define GTIM_ARR_ARR_Pos                  (0UL)                     /*!< GTIM ARR: ARR (Bit 0)                                 */
#define GTIM_ARR_ARR_Msk                  (0xffffUL)                /*!< GTIM ARR: ARR (Bitfield-Mask: 0xffff)                 */
#define GTIM_ARR_ARR(x)                   (((uint32_t)(((uint32_t)(x))<<GTIM_ARR_ARR_Pos))&GTIM_ARR_ARR_Msk)
/* =====================================================  CCMR1_Output  ====================================================== */
#define GTIM_CCMR1_Output_OC1M_Pos        (4UL)                     /*!< GTIM CCMR1_Output: OC1M (Bit 4)                       */
#define GTIM_CCMR1_Output_OC1M_Msk        (0x70UL)                  /*!< GTIM CCMR1_Output: OC1M (Bitfield-Mask: 0x07)         */
#define GTIM_CCMR1_Output_OC1M(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Output_OC1M_Pos))&GTIM_CCMR1_Output_OC1M_Msk)
#define GTIM_CCMR1_Output_OC1PE_Pos       (3UL)                     /*!< GTIM CCMR1_Output: OC1PE (Bit 3)                      */
#define GTIM_CCMR1_Output_OC1PE_Msk       (0x8UL)                   /*!< GTIM CCMR1_Output: OC1PE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR1_Output_OC1PE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Output_OC1PE_Pos))&GTIM_CCMR1_Output_OC1PE_Msk)
#define GTIM_CCMR1_Output_OC1FE_Pos       (2UL)                     /*!< GTIM CCMR1_Output: OC1FE (Bit 2)                      */
#define GTIM_CCMR1_Output_OC1FE_Msk       (0x4UL)                   /*!< GTIM CCMR1_Output: OC1FE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR1_Output_OC1FE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Output_OC1FE_Pos))&GTIM_CCMR1_Output_OC1FE_Msk)
#define GTIM_CCMR1_Output_CC1S_Pos        (0UL)                     /*!< GTIM CCMR1_Output: CC1S (Bit 0)                       */
#define GTIM_CCMR1_Output_CC1S_Msk        (0x3UL)                   /*!< GTIM CCMR1_Output: CC1S (Bitfield-Mask: 0x03)         */
#define GTIM_CCMR1_Output_CC1S(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Output_CC1S_Pos))&GTIM_CCMR1_Output_CC1S_Msk)
/* ======================================================  CCMR1_Input  ====================================================== */
#define GTIM_CCMR1_Input_IC1F_Pos         (4UL)                     /*!< GTIM CCMR1_Input: IC1F (Bit 4)                        */
#define GTIM_CCMR1_Input_IC1F_Msk         (0xf0UL)                  /*!< GTIM CCMR1_Input: IC1F (Bitfield-Mask: 0x0f)          */
#define GTIM_CCMR1_Input_IC1F(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Input_IC1F_Pos))&GTIM_CCMR1_Input_IC1F_Msk)
#define GTIM_CCMR1_Input_IC1PSC_Pos       (2UL)                     /*!< GTIM CCMR1_Input: IC1PSC (Bit 2)                      */
#define GTIM_CCMR1_Input_IC1PSC_Msk       (0xcUL)                   /*!< GTIM CCMR1_Input: IC1PSC (Bitfield-Mask: 0x03)        */
#define GTIM_CCMR1_Input_IC1PSC(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Input_IC1PSC_Pos))&GTIM_CCMR1_Input_IC1PSC_Msk)
#define GTIM_CCMR1_Input_CC1S_Pos         (0UL)                     /*!< GTIM CCMR1_Input: CC1S (Bit 0)                        */
#define GTIM_CCMR1_Input_CC1S_Msk         (0x3UL)                   /*!< GTIM CCMR1_Input: CC1S (Bitfield-Mask: 0x03)          */
#define GTIM_CCMR1_Input_CC1S(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR1_Input_CC1S_Pos))&GTIM_CCMR1_Input_CC1S_Msk)
/* =========================================================  CCER1  ========================================================= */
#define GTIM_CCER1_DTEN_Pos               (4UL)                     /*!< GTIM CCER1: DTEN (Bit 4)                              */
#define GTIM_CCER1_DTEN_Msk               (0x10UL)                  /*!< GTIM CCER1: DTEN (Bitfield-Mask: 0x01)                */
#define GTIM_CCER1_DTEN(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER1_DTEN_Pos))&GTIM_CCER1_DTEN_Msk)
#define GTIM_CCER1_CC1NP_Pos              (3UL)                     /*!< GTIM CCER1: CC1NP (Bit 3)                             */
#define GTIM_CCER1_CC1NP_Msk              (0x8UL)                   /*!< GTIM CCER1: CC1NP (Bitfield-Mask: 0x01)               */
#define GTIM_CCER1_CC1NP(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER1_CC1NP_Pos))&GTIM_CCER1_CC1NP_Msk)
#define GTIM_CCER1_CC1NE_Pos              (2UL)                     /*!< GTIM CCER1: CC1NE (Bit 2)                             */
#define GTIM_CCER1_CC1NE_Msk              (0x4UL)                   /*!< GTIM CCER1: CC1NE (Bitfield-Mask: 0x01)               */
#define GTIM_CCER1_CC1NE(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER1_CC1NE_Pos))&GTIM_CCER1_CC1NE_Msk)
#define GTIM_CCER1_CC1P_Pos               (1UL)                     /*!< GTIM CCER1: CC1P (Bit 1)                              */
#define GTIM_CCER1_CC1P_Msk               (0x2UL)                   /*!< GTIM CCER1: CC1P (Bitfield-Mask: 0x01)                */
#define GTIM_CCER1_CC1P(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER1_CC1P_Pos))&GTIM_CCER1_CC1P_Msk)
#define GTIM_CCER1_CC1E_Pos               (0UL)                     /*!< GTIM CCER1: CC1E (Bit 0)                              */
#define GTIM_CCER1_CC1E_Msk               (0x1UL)                   /*!< GTIM CCER1: CC1E (Bitfield-Mask: 0x01)                */
#define GTIM_CCER1_CC1E(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER1_CC1E_Pos))&GTIM_CCER1_CC1E_Msk)
/* =========================================================  CCR1  ========================================================== */
#define GTIM_CCR1_CCR1_Pos                (0UL)                     /*!< GTIM CCR1: CCR1 (Bit 0)                               */
#define GTIM_CCR1_CCR1_Msk                (0xffffUL)                /*!< GTIM CCR1: CCR1 (Bitfield-Mask: 0xffff)               */
#define GTIM_CCR1_CCR1(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CCR1_CCR1_Pos))&GTIM_CCR1_CCR1_Msk)
/* =========================================================  DTR1  ========================================================== */
#define GTIM_DTR1_REVDT_Pos               (8UL)                     /*!< GTIM DTR1: REVDT (Bit 8)                              */
#define GTIM_DTR1_REVDT_Msk               (0xff00UL)                /*!< GTIM DTR1: REVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR1_REVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR1_REVDT_Pos))&GTIM_DTR1_REVDT_Msk)
#define GTIM_DTR1_OBVDT_Pos               (0UL)                     /*!< GTIM DTR1: OBVDT (Bit 0)                              */
#define GTIM_DTR1_OBVDT_Msk               (0xffUL)                  /*!< GTIM DTR1: OBVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR1_OBVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR1_OBVDT_Pos))&GTIM_DTR1_OBVDT_Msk)
/* =====================================================  CCMR2_Output  ====================================================== */
#define GTIM_CCMR2_Output_OC2M_Pos        (4UL)                     /*!< GTIM CCMR2_Output: OC2M (Bit 4)                       */
#define GTIM_CCMR2_Output_OC2M_Msk        (0x70UL)                  /*!< GTIM CCMR2_Output: OC2M (Bitfield-Mask: 0x07)         */
#define GTIM_CCMR2_Output_OC2M(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Output_OC2M_Pos))&GTIM_CCMR2_Output_OC2M_Msk)
#define GTIM_CCMR2_Output_OC2PE_Pos       (3UL)                     /*!< GTIM CCMR2_Output: OC2PE (Bit 3)                      */
#define GTIM_CCMR2_Output_OC2PE_Msk       (0x8UL)                   /*!< GTIM CCMR2_Output: OC2PE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR2_Output_OC2PE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Output_OC2PE_Pos))&GTIM_CCMR2_Output_OC2PE_Msk)
#define GTIM_CCMR2_Output_OC2FE_Pos       (2UL)                     /*!< GTIM CCMR2_Output: OC2FE (Bit 2)                      */
#define GTIM_CCMR2_Output_OC2FE_Msk       (0x4UL)                   /*!< GTIM CCMR2_Output: OC2FE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR2_Output_OC2FE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Output_OC2FE_Pos))&GTIM_CCMR2_Output_OC2FE_Msk)
#define GTIM_CCMR2_Output_CC2S_Pos        (0UL)                     /*!< GTIM CCMR2_Output: CC2S (Bit 0)                       */
#define GTIM_CCMR2_Output_CC2S_Msk        (0x3UL)                   /*!< GTIM CCMR2_Output: CC2S (Bitfield-Mask: 0x03)         */
#define GTIM_CCMR2_Output_CC2S(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Output_CC2S_Pos))&GTIM_CCMR2_Output_CC2S_Msk)
/* ======================================================  CCMR2_Input  ====================================================== */
#define GTIM_CCMR2_Input_IC2F_Pos         (4UL)                     /*!< GTIM CCMR2_Input: IC2F (Bit 4)                        */
#define GTIM_CCMR2_Input_IC2F_Msk         (0xf0UL)                  /*!< GTIM CCMR2_Input: IC2F (Bitfield-Mask: 0x0f)          */
#define GTIM_CCMR2_Input_IC2F(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Input_IC2F_Pos))&GTIM_CCMR2_Input_IC2F_Msk)
#define GTIM_CCMR2_Input_IC2PSC_Pos       (2UL)                     /*!< GTIM CCMR2_Input: IC2PSC (Bit 2)                      */
#define GTIM_CCMR2_Input_IC2PSC_Msk       (0xcUL)                   /*!< GTIM CCMR2_Input: IC2PSC (Bitfield-Mask: 0x03)        */
#define GTIM_CCMR2_Input_IC2PSC(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Input_IC2PSC_Pos))&GTIM_CCMR2_Input_IC2PSC_Msk)
#define GTIM_CCMR2_Input_CC2S_Pos         (0UL)                     /*!< GTIM CCMR2_Input: CC2S (Bit 0)                        */
#define GTIM_CCMR2_Input_CC2S_Msk         (0x3UL)                   /*!< GTIM CCMR2_Input: CC2S (Bitfield-Mask: 0x03)          */
#define GTIM_CCMR2_Input_CC2S(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR2_Input_CC2S_Pos))&GTIM_CCMR2_Input_CC2S_Msk)
/* =========================================================  CCER2  ========================================================= */
#define GTIM_CCER2_DTEN_Pos               (4UL)                     /*!< GTIM CCER2: DTEN (Bit 4)                              */
#define GTIM_CCER2_DTEN_Msk               (0x10UL)                  /*!< GTIM CCER2: DTEN (Bitfield-Mask: 0x01)                */
#define GTIM_CCER2_DTEN(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER2_DTEN_Pos))&GTIM_CCER2_DTEN_Msk)
#define GTIM_CCER2_CC2NP_Pos              (3UL)                     /*!< GTIM CCER2: CC2NP (Bit 3)                             */
#define GTIM_CCER2_CC2NP_Msk              (0x8UL)                   /*!< GTIM CCER2: CC2NP (Bitfield-Mask: 0x01)               */
#define GTIM_CCER2_CC2NP(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER2_CC2NP_Pos))&GTIM_CCER2_CC2NP_Msk)
#define GTIM_CCER2_CC2NE_Pos              (2UL)                     /*!< GTIM CCER2: CC2NE (Bit 2)                             */
#define GTIM_CCER2_CC2NE_Msk              (0x4UL)                   /*!< GTIM CCER2: CC2NE (Bitfield-Mask: 0x01)               */
#define GTIM_CCER2_CC2NE(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER2_CC2NE_Pos))&GTIM_CCER2_CC2NE_Msk)
#define GTIM_CCER2_CC2P_Pos               (1UL)                     /*!< GTIM CCER2: CC2P (Bit 1)                              */
#define GTIM_CCER2_CC2P_Msk               (0x2UL)                   /*!< GTIM CCER2: CC2P (Bitfield-Mask: 0x01)                */
#define GTIM_CCER2_CC2P(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER2_CC2P_Pos))&GTIM_CCER2_CC2P_Msk)
#define GTIM_CCER2_CC2E_Pos               (0UL)                     /*!< GTIM CCER2: CC2E (Bit 0)                              */
#define GTIM_CCER2_CC2E_Msk               (0x1UL)                   /*!< GTIM CCER2: CC2E (Bitfield-Mask: 0x01)                */
#define GTIM_CCER2_CC2E(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER2_CC2E_Pos))&GTIM_CCER2_CC2E_Msk)
/* =========================================================  CCR2  ========================================================== */
#define GTIM_CCR2_CCR2_Pos                (0UL)                     /*!< GTIM CCR2: CCR2 (Bit 0)                               */
#define GTIM_CCR2_CCR2_Msk                (0xffffUL)                /*!< GTIM CCR2: CCR2 (Bitfield-Mask: 0xffff)               */
#define GTIM_CCR2_CCR2(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CCR2_CCR2_Pos))&GTIM_CCR2_CCR2_Msk)
/* =========================================================  DTR2  ========================================================== */
#define GTIM_DTR2_REVDT_Pos               (8UL)                     /*!< GTIM DTR2: REVDT (Bit 8)                              */
#define GTIM_DTR2_REVDT_Msk               (0xff00UL)                /*!< GTIM DTR2: REVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR2_REVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR2_REVDT_Pos))&GTIM_DTR2_REVDT_Msk)
#define GTIM_DTR2_OBVDT_Pos               (0UL)                     /*!< GTIM DTR2: OBVDT (Bit 0)                              */
#define GTIM_DTR2_OBVDT_Msk               (0xffUL)                  /*!< GTIM DTR2: OBVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR2_OBVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR2_OBVDT_Pos))&GTIM_DTR2_OBVDT_Msk)
/* =====================================================  CCMR3_Output  ====================================================== */
#define GTIM_CCMR3_Output_OC3M_Pos        (4UL)                     /*!< GTIM CCMR3_Output: OC3M (Bit 4)                       */
#define GTIM_CCMR3_Output_OC3M_Msk        (0x70UL)                  /*!< GTIM CCMR3_Output: OC3M (Bitfield-Mask: 0x07)         */
#define GTIM_CCMR3_Output_OC3M(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Output_OC3M_Pos))&GTIM_CCMR3_Output_OC3M_Msk)
#define GTIM_CCMR3_Output_OC3PE_Pos       (3UL)                     /*!< GTIM CCMR3_Output: OC3PE (Bit 3)                      */
#define GTIM_CCMR3_Output_OC3PE_Msk       (0x8UL)                   /*!< GTIM CCMR3_Output: OC3PE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR3_Output_OC3PE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Output_OC3PE_Pos))&GTIM_CCMR3_Output_OC3PE_Msk)
#define GTIM_CCMR3_Output_OC3FE_Pos       (2UL)                     /*!< GTIM CCMR3_Output: OC3FE (Bit 2)                      */
#define GTIM_CCMR3_Output_OC3FE_Msk       (0x4UL)                   /*!< GTIM CCMR3_Output: OC3FE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR3_Output_OC3FE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Output_OC3FE_Pos))&GTIM_CCMR3_Output_OC3FE_Msk)
#define GTIM_CCMR3_Output_CC3S_Pos        (0UL)                     /*!< GTIM CCMR3_Output: CC3S (Bit 0)                       */
#define GTIM_CCMR3_Output_CC3S_Msk        (0x3UL)                   /*!< GTIM CCMR3_Output: CC3S (Bitfield-Mask: 0x03)         */
#define GTIM_CCMR3_Output_CC3S(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Output_CC3S_Pos))&GTIM_CCMR3_Output_CC3S_Msk)
/* ======================================================  CCMR3_Input  ====================================================== */
#define GTIM_CCMR3_Input_IC3F_Pos         (4UL)                     /*!< GTIM CCMR3_Input: IC3F (Bit 4)                        */
#define GTIM_CCMR3_Input_IC3F_Msk         (0xf0UL)                  /*!< GTIM CCMR3_Input: IC3F (Bitfield-Mask: 0x0f)          */
#define GTIM_CCMR3_Input_IC3F(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Input_IC3F_Pos))&GTIM_CCMR3_Input_IC3F_Msk)
#define GTIM_CCMR3_Input_IC3PSC_Pos       (2UL)                     /*!< GTIM CCMR3_Input: IC3PSC (Bit 2)                      */
#define GTIM_CCMR3_Input_IC3PSC_Msk       (0xcUL)                   /*!< GTIM CCMR3_Input: IC3PSC (Bitfield-Mask: 0x03)        */
#define GTIM_CCMR3_Input_IC3PSC(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Input_IC3PSC_Pos))&GTIM_CCMR3_Input_IC3PSC_Msk)
#define GTIM_CCMR3_Input_CC3S_Pos         (0UL)                     /*!< GTIM CCMR3_Input: CC3S (Bit 0)                        */
#define GTIM_CCMR3_Input_CC3S_Msk         (0x3UL)                   /*!< GTIM CCMR3_Input: CC3S (Bitfield-Mask: 0x03)          */
#define GTIM_CCMR3_Input_CC3S(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR3_Input_CC3S_Pos))&GTIM_CCMR3_Input_CC3S_Msk)
/* =========================================================  CCER3  ========================================================= */
#define GTIM_CCER3_DTEN_Pos               (4UL)                     /*!< GTIM CCER3: DTEN (Bit 4)                              */
#define GTIM_CCER3_DTEN_Msk               (0x10UL)                  /*!< GTIM CCER3: DTEN (Bitfield-Mask: 0x01)                */
#define GTIM_CCER3_DTEN(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER3_DTEN_Pos))&GTIM_CCER3_DTEN_Msk)
#define GTIM_CCER3_CC3NP_Pos              (3UL)                     /*!< GTIM CCER3: CC3NP (Bit 3)                             */
#define GTIM_CCER3_CC3NP_Msk              (0x8UL)                   /*!< GTIM CCER3: CC3NP (Bitfield-Mask: 0x01)               */
#define GTIM_CCER3_CC3NP(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER3_CC3NP_Pos))&GTIM_CCER3_CC3NP_Msk)
#define GTIM_CCER3_CC3NE_Pos              (2UL)                     /*!< GTIM CCER3: CC3NE (Bit 2)                             */
#define GTIM_CCER3_CC3NE_Msk              (0x4UL)                   /*!< GTIM CCER3: CC3NE (Bitfield-Mask: 0x01)               */
#define GTIM_CCER3_CC3NE(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER3_CC3NE_Pos))&GTIM_CCER3_CC3NE_Msk)
#define GTIM_CCER3_CC3P_Pos               (1UL)                     /*!< GTIM CCER3: CC3P (Bit 1)                              */
#define GTIM_CCER3_CC3P_Msk               (0x2UL)                   /*!< GTIM CCER3: CC3P (Bitfield-Mask: 0x01)                */
#define GTIM_CCER3_CC3P(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER3_CC3P_Pos))&GTIM_CCER3_CC3P_Msk)
#define GTIM_CCER3_CC3E_Pos               (0UL)                     /*!< GTIM CCER3: CC3E (Bit 0)                              */
#define GTIM_CCER3_CC3E_Msk               (0x1UL)                   /*!< GTIM CCER3: CC3E (Bitfield-Mask: 0x01)                */
#define GTIM_CCER3_CC3E(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER3_CC3E_Pos))&GTIM_CCER3_CC3E_Msk)
/* =========================================================  CCR3  ========================================================== */
#define GTIM_CCR3_CCR3_Pos                (0UL)                     /*!< GTIM CCR3: CCR3 (Bit 0)                               */
#define GTIM_CCR3_CCR3_Msk                (0xffffUL)                /*!< GTIM CCR3: CCR3 (Bitfield-Mask: 0xffff)               */
#define GTIM_CCR3_CCR3(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CCR3_CCR3_Pos))&GTIM_CCR3_CCR3_Msk)
/* =========================================================  DTR3  ========================================================== */
#define GTIM_DTR3_REVDT_Pos               (8UL)                     /*!< GTIM DTR3: REVDT (Bit 8)                              */
#define GTIM_DTR3_REVDT_Msk               (0xff00UL)                /*!< GTIM DTR3: REVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR3_REVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR3_REVDT_Pos))&GTIM_DTR3_REVDT_Msk)
#define GTIM_DTR3_OBVDT_Pos               (0UL)                     /*!< GTIM DTR3: OBVDT (Bit 0)                              */
#define GTIM_DTR3_OBVDT_Msk               (0xffUL)                  /*!< GTIM DTR3: OBVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR3_OBVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR3_OBVDT_Pos))&GTIM_DTR3_OBVDT_Msk)
/* =====================================================  CCMR4_Output  ====================================================== */
#define GTIM_CCMR4_Output_OC4M_Pos        (4UL)                     /*!< GTIM CCMR4_Output: OC4M (Bit 4)                       */
#define GTIM_CCMR4_Output_OC4M_Msk        (0x70UL)                  /*!< GTIM CCMR4_Output: OC4M (Bitfield-Mask: 0x07)         */
#define GTIM_CCMR4_Output_OC4M(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Output_OC4M_Pos))&GTIM_CCMR4_Output_OC4M_Msk)
#define GTIM_CCMR4_Output_OC4PE_Pos       (3UL)                     /*!< GTIM CCMR4_Output: OC4PE (Bit 3)                      */
#define GTIM_CCMR4_Output_OC4PE_Msk       (0x8UL)                   /*!< GTIM CCMR4_Output: OC4PE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR4_Output_OC4PE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Output_OC4PE_Pos))&GTIM_CCMR4_Output_OC4PE_Msk)
#define GTIM_CCMR4_Output_OC4FE_Pos       (2UL)                     /*!< GTIM CCMR4_Output: OC4FE (Bit 2)                      */
#define GTIM_CCMR4_Output_OC4FE_Msk       (0x4UL)                   /*!< GTIM CCMR4_Output: OC4FE (Bitfield-Mask: 0x01)        */
#define GTIM_CCMR4_Output_OC4FE(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Output_OC4FE_Pos))&GTIM_CCMR4_Output_OC4FE_Msk)
#define GTIM_CCMR4_Output_CC4S_Pos        (0UL)                     /*!< GTIM CCMR4_Output: CC4S (Bit 0)                       */
#define GTIM_CCMR4_Output_CC4S_Msk        (0x3UL)                   /*!< GTIM CCMR4_Output: CC4S (Bitfield-Mask: 0x03)         */
#define GTIM_CCMR4_Output_CC4S(x)         (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Output_CC4S_Pos))&GTIM_CCMR4_Output_CC4S_Msk)
/* ======================================================  CCMR4_Input  ====================================================== */
#define GTIM_CCMR4_Input_IC4F_Pos         (4UL)                     /*!< GTIM CCMR4_Input: IC4F (Bit 4)                        */
#define GTIM_CCMR4_Input_IC4F_Msk         (0xf0UL)                  /*!< GTIM CCMR4_Input: IC4F (Bitfield-Mask: 0x0f)          */
#define GTIM_CCMR4_Input_IC4F(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Input_IC4F_Pos))&GTIM_CCMR4_Input_IC4F_Msk)
#define GTIM_CCMR4_Input_IC4PSC_Pos       (2UL)                     /*!< GTIM CCMR4_Input: IC4PSC (Bit 2)                      */
#define GTIM_CCMR4_Input_IC4PSC_Msk       (0xcUL)                   /*!< GTIM CCMR4_Input: IC4PSC (Bitfield-Mask: 0x03)        */
#define GTIM_CCMR4_Input_IC4PSC(x)        (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Input_IC4PSC_Pos))&GTIM_CCMR4_Input_IC4PSC_Msk)
#define GTIM_CCMR4_Input_CC4S_Pos         (0UL)                     /*!< GTIM CCMR4_Input: CC4S (Bit 0)                        */
#define GTIM_CCMR4_Input_CC4S_Msk         (0x3UL)                   /*!< GTIM CCMR4_Input: CC4S (Bitfield-Mask: 0x03)          */
#define GTIM_CCMR4_Input_CC4S(x)          (((uint32_t)(((uint32_t)(x))<<GTIM_CCMR4_Input_CC4S_Pos))&GTIM_CCMR4_Input_CC4S_Msk)
/* =========================================================  CCER4  ========================================================= */
#define GTIM_CCER4_DTEN_Pos               (4UL)                     /*!< GTIM CCER4: DTEN (Bit 4)                              */
#define GTIM_CCER4_DTEN_Msk               (0x10UL)                  /*!< GTIM CCER4: DTEN (Bitfield-Mask: 0x01)                */
#define GTIM_CCER4_DTEN(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER4_DTEN_Pos))&GTIM_CCER4_DTEN_Msk)
#define GTIM_CCER4_CC4NP_Pos              (3UL)                     /*!< GTIM CCER4: CC4NP (Bit 3)                             */
#define GTIM_CCER4_CC4NP_Msk              (0x8UL)                   /*!< GTIM CCER4: CC4NP (Bitfield-Mask: 0x01)               */
#define GTIM_CCER4_CC4NP(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER4_CC4NP_Pos))&GTIM_CCER4_CC4NP_Msk)
#define GTIM_CCER4_CC4NE_Pos              (2UL)                     /*!< GTIM CCER4: CC4NE (Bit 2)                             */
#define GTIM_CCER4_CC4NE_Msk              (0x4UL)                   /*!< GTIM CCER4: CC4NE (Bitfield-Mask: 0x01)               */
#define GTIM_CCER4_CC4NE(x)               (((uint32_t)(((uint32_t)(x))<<GTIM_CCER4_CC4NE_Pos))&GTIM_CCER4_CC4NE_Msk)
#define GTIM_CCER4_CC4P_Pos               (1UL)                     /*!< GTIM CCER4: CC4P (Bit 1)                              */
#define GTIM_CCER4_CC4P_Msk               (0x2UL)                   /*!< GTIM CCER4: CC4P (Bitfield-Mask: 0x01)                */
#define GTIM_CCER4_CC4P(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER4_CC4P_Pos))&GTIM_CCER4_CC4P_Msk)
#define GTIM_CCER4_CC4E_Pos               (0UL)                     /*!< GTIM CCER4: CC4E (Bit 0)                              */
#define GTIM_CCER4_CC4E_Msk               (0x1UL)                   /*!< GTIM CCER4: CC4E (Bitfield-Mask: 0x01)                */
#define GTIM_CCER4_CC4E(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_CCER4_CC4E_Pos))&GTIM_CCER4_CC4E_Msk)
/* =========================================================  CCR4  ========================================================== */
#define GTIM_CCR4_CCR4_Pos                (0UL)                     /*!< GTIM CCR4: CCR4 (Bit 0)                               */
#define GTIM_CCR4_CCR4_Msk                (0xffffUL)                /*!< GTIM CCR4: CCR4 (Bitfield-Mask: 0xffff)               */
#define GTIM_CCR4_CCR4(x)                 (((uint32_t)(((uint32_t)(x))<<GTIM_CCR4_CCR4_Pos))&GTIM_CCR4_CCR4_Msk)
/* =========================================================  DTR4  ========================================================== */
#define GTIM_DTR4_REVDT_Pos               (8UL)                     /*!< GTIM DTR4: REVDT (Bit 8)                              */
#define GTIM_DTR4_REVDT_Msk               (0xff00UL)                /*!< GTIM DTR4: REVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR4_REVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR4_REVDT_Pos))&GTIM_DTR4_REVDT_Msk)
#define GTIM_DTR4_OBVDT_Pos               (0UL)                     /*!< GTIM DTR4: OBVDT (Bit 0)                              */
#define GTIM_DTR4_OBVDT_Msk               (0xffUL)                  /*!< GTIM DTR4: OBVDT (Bitfield-Mask: 0xff)                */
#define GTIM_DTR4_OBVDT(x)                (((uint32_t)(((uint32_t)(x))<<GTIM_DTR4_OBVDT_Pos))&GTIM_DTR4_OBVDT_Msk)


/* =========================================================================================================================== */
/* ================                                            I2C                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define I2C_CR1_PE_Pos                    (0UL)                     /*!< I2C CR1: PE (Bit 0)                                   */
#define I2C_CR1_PE_Msk                    (0x1UL)                   /*!< I2C CR1: PE (Bitfield-Mask: 0x01)                     */
#define I2C_CR1_PE(x)                     (((uint32_t)(((uint32_t)(x))<<I2C_CR1_PE_Pos))&I2C_CR1_PE_Msk)
#define I2C_CR1_TXIE_Pos                  (1UL)                     /*!< I2C CR1: TXIE (Bit 1)                                 */
#define I2C_CR1_TXIE_Msk                  (0x2UL)                   /*!< I2C CR1: TXIE (Bitfield-Mask: 0x01)                   */
#define I2C_CR1_TXIE(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR1_TXIE_Pos))&I2C_CR1_TXIE_Msk)
#define I2C_CR1_RXIE_Pos                  (2UL)                     /*!< I2C CR1: RXIE (Bit 2)                                 */
#define I2C_CR1_RXIE_Msk                  (0x4UL)                   /*!< I2C CR1: RXIE (Bitfield-Mask: 0x01)                   */
#define I2C_CR1_RXIE(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR1_RXIE_Pos))&I2C_CR1_RXIE_Msk)
#define I2C_CR1_ADDRIE_Pos                (3UL)                     /*!< I2C CR1: ADDRIE (Bit 3)                               */
#define I2C_CR1_ADDRIE_Msk                (0x8UL)                   /*!< I2C CR1: ADDRIE (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_ADDRIE(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_ADDRIE_Pos))&I2C_CR1_ADDRIE_Msk)
#define I2C_CR1_NACKIE_Pos                (4UL)                     /*!< I2C CR1: NACKIE (Bit 4)                               */
#define I2C_CR1_NACKIE_Msk                (0x10UL)                  /*!< I2C CR1: NACKIE (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_NACKIE(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_NACKIE_Pos))&I2C_CR1_NACKIE_Msk)
#define I2C_CR1_STOPIE_Pos                (5UL)                     /*!< I2C CR1: STOPIE (Bit 5)                               */
#define I2C_CR1_STOPIE_Msk                (0x20UL)                  /*!< I2C CR1: STOPIE (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_STOPIE(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_STOPIE_Pos))&I2C_CR1_STOPIE_Msk)
#define I2C_CR1_TCIE_Pos                  (6UL)                     /*!< I2C CR1: TCIE (Bit 6)                                 */
#define I2C_CR1_TCIE_Msk                  (0x40UL)                  /*!< I2C CR1: TCIE (Bitfield-Mask: 0x01)                   */
#define I2C_CR1_TCIE(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR1_TCIE_Pos))&I2C_CR1_TCIE_Msk)
#define I2C_CR1_ERRIE_Pos                 (7UL)                     /*!< I2C CR1: ERRIE (Bit 7)                                */
#define I2C_CR1_ERRIE_Msk                 (0x80UL)                  /*!< I2C CR1: ERRIE (Bitfield-Mask: 0x01)                  */
#define I2C_CR1_ERRIE(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_CR1_ERRIE_Pos))&I2C_CR1_ERRIE_Msk)
#define I2C_CR1_DNF_Pos                   (8UL)                     /*!< I2C CR1: DNF (Bit 8)                                  */
#define I2C_CR1_DNF_Msk                   (0xf00UL)                 /*!< I2C CR1: DNF (Bitfield-Mask: 0x0f)                    */
#define I2C_CR1_DNF(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_CR1_DNF_Pos))&I2C_CR1_DNF_Msk)
#define I2C_CR1_ANFOFF_Pos                (12UL)                    /*!< I2C CR1: ANFOFF (Bit 12)                              */
#define I2C_CR1_ANFOFF_Msk                (0x1000UL)                /*!< I2C CR1: ANFOFF (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_ANFOFF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_ANFOFF_Pos))&I2C_CR1_ANFOFF_Msk)
#define I2C_CR1_TXDMAEN_Pos               (14UL)                    /*!< I2C CR1: TXDMAEN (Bit 14)                             */
#define I2C_CR1_TXDMAEN_Msk               (0x4000UL)                /*!< I2C CR1: TXDMAEN (Bitfield-Mask: 0x01)                */
#define I2C_CR1_TXDMAEN(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR1_TXDMAEN_Pos))&I2C_CR1_TXDMAEN_Msk)
#define I2C_CR1_RXDMAEN_Pos               (15UL)                    /*!< I2C CR1: RXDMAEN (Bit 15)                             */
#define I2C_CR1_RXDMAEN_Msk               (0x8000UL)                /*!< I2C CR1: RXDMAEN (Bitfield-Mask: 0x01)                */
#define I2C_CR1_RXDMAEN(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR1_RXDMAEN_Pos))&I2C_CR1_RXDMAEN_Msk)
#define I2C_CR1_SBC_Pos                   (16UL)                    /*!< I2C CR1: SBC (Bit 16)                                 */
#define I2C_CR1_SBC_Msk                   (0x10000UL)               /*!< I2C CR1: SBC (Bitfield-Mask: 0x01)                    */
#define I2C_CR1_SBC(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_CR1_SBC_Pos))&I2C_CR1_SBC_Msk)
#define I2C_CR1_NOSTRETCH_Pos             (17UL)                    /*!< I2C CR1: NOSTRETCH (Bit 17)                           */
#define I2C_CR1_NOSTRETCH_Msk             (0x20000UL)               /*!< I2C CR1: NOSTRETCH (Bitfield-Mask: 0x01)              */
#define I2C_CR1_NOSTRETCH(x)              (((uint32_t)(((uint32_t)(x))<<I2C_CR1_NOSTRETCH_Pos))&I2C_CR1_NOSTRETCH_Msk)
#define I2C_CR1_WUPEN_Pos                 (18UL)                    /*!< I2C CR1: WUPEN (Bit 18)                               */
#define I2C_CR1_WUPEN_Msk                 (0x40000UL)               /*!< I2C CR1: WUPEN (Bitfield-Mask: 0x01)                  */
#define I2C_CR1_WUPEN(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_CR1_WUPEN_Pos))&I2C_CR1_WUPEN_Msk)
#define I2C_CR1_GCEN_Pos                  (19UL)                    /*!< I2C CR1: GCEN (Bit 19)                                */
#define I2C_CR1_GCEN_Msk                  (0x80000UL)               /*!< I2C CR1: GCEN (Bitfield-Mask: 0x01)                   */
#define I2C_CR1_GCEN(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR1_GCEN_Pos))&I2C_CR1_GCEN_Msk)
#define I2C_CR1_SMBHEN_Pos                (20UL)                    /*!< I2C CR1: SMBHEN (Bit 20)                              */
#define I2C_CR1_SMBHEN_Msk                (0x100000UL)              /*!< I2C CR1: SMBHEN (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_SMBHEN(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_SMBHEN_Pos))&I2C_CR1_SMBHEN_Msk)
#define I2C_CR1_SMBDEN_Pos                (21UL)                    /*!< I2C CR1: SMBDEN (Bit 21)                              */
#define I2C_CR1_SMBDEN_Msk                (0x200000UL)              /*!< I2C CR1: SMBDEN (Bitfield-Mask: 0x01)                 */
#define I2C_CR1_SMBDEN(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR1_SMBDEN_Pos))&I2C_CR1_SMBDEN_Msk)
#define I2C_CR1_ALERTEN_Pos               (22UL)                    /*!< I2C CR1: ALERTEN (Bit 22)                             */
#define I2C_CR1_ALERTEN_Msk               (0x400000UL)              /*!< I2C CR1: ALERTEN (Bitfield-Mask: 0x01)                */
#define I2C_CR1_ALERTEN(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR1_ALERTEN_Pos))&I2C_CR1_ALERTEN_Msk)
#define I2C_CR1_PECEN_Pos                 (23UL)                    /*!< I2C CR1: PECEN (Bit 23)                               */
#define I2C_CR1_PECEN_Msk                 (0x800000UL)              /*!< I2C CR1: PECEN (Bitfield-Mask: 0x01)                  */
#define I2C_CR1_PECEN(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_CR1_PECEN_Pos))&I2C_CR1_PECEN_Msk)
/* ==========================================================  CR2  ========================================================== */
#define I2C_CR2_PECBYTE_Pos               (26UL)                    /*!< I2C CR2: PECBYTE (Bit 26)                             */
#define I2C_CR2_PECBYTE_Msk               (0x4000000UL)             /*!< I2C CR2: PECBYTE (Bitfield-Mask: 0x01)                */
#define I2C_CR2_PECBYTE(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR2_PECBYTE_Pos))&I2C_CR2_PECBYTE_Msk)
#define I2C_CR2_AUTOEND_Pos               (25UL)                    /*!< I2C CR2: AUTOEND (Bit 25)                             */
#define I2C_CR2_AUTOEND_Msk               (0x2000000UL)             /*!< I2C CR2: AUTOEND (Bitfield-Mask: 0x01)                */
#define I2C_CR2_AUTOEND(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR2_AUTOEND_Pos))&I2C_CR2_AUTOEND_Msk)
#define I2C_CR2_RELOAD_Pos                (24UL)                    /*!< I2C CR2: RELOAD (Bit 24)                              */
#define I2C_CR2_RELOAD_Msk                (0x1000000UL)             /*!< I2C CR2: RELOAD (Bitfield-Mask: 0x01)                 */
#define I2C_CR2_RELOAD(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR2_RELOAD_Pos))&I2C_CR2_RELOAD_Msk)
#define I2C_CR2_NBYTES_Pos                (16UL)                    /*!< I2C CR2: NBYTES (Bit 16)                              */
#define I2C_CR2_NBYTES_Msk                (0xff0000UL)              /*!< I2C CR2: NBYTES (Bitfield-Mask: 0xff)                 */
#define I2C_CR2_NBYTES(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR2_NBYTES_Pos))&I2C_CR2_NBYTES_Msk)
#define I2C_CR2_NACK_Pos                  (15UL)                    /*!< I2C CR2: NACK (Bit 15)                                */
#define I2C_CR2_NACK_Msk                  (0x8000UL)                /*!< I2C CR2: NACK (Bitfield-Mask: 0x01)                   */
#define I2C_CR2_NACK(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR2_NACK_Pos))&I2C_CR2_NACK_Msk)
#define I2C_CR2_STOP_Pos                  (14UL)                    /*!< I2C CR2: STOP (Bit 14)                                */
#define I2C_CR2_STOP_Msk                  (0x4000UL)                /*!< I2C CR2: STOP (Bitfield-Mask: 0x01)                   */
#define I2C_CR2_STOP(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR2_STOP_Pos))&I2C_CR2_STOP_Msk)
#define I2C_CR2_START_Pos                 (13UL)                    /*!< I2C CR2: START (Bit 13)                               */
#define I2C_CR2_START_Msk                 (0x2000UL)                /*!< I2C CR2: START (Bitfield-Mask: 0x01)                  */
#define I2C_CR2_START(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_CR2_START_Pos))&I2C_CR2_START_Msk)
#define I2C_CR2_HEAD10R_Pos               (12UL)                    /*!< I2C CR2: HEAD10R (Bit 12)                             */
#define I2C_CR2_HEAD10R_Msk               (0x1000UL)                /*!< I2C CR2: HEAD10R (Bitfield-Mask: 0x01)                */
#define I2C_CR2_HEAD10R(x)                (((uint32_t)(((uint32_t)(x))<<I2C_CR2_HEAD10R_Pos))&I2C_CR2_HEAD10R_Msk)
#define I2C_CR2_ADD10_Pos                 (11UL)                    /*!< I2C CR2: ADD10 (Bit 11)                               */
#define I2C_CR2_ADD10_Msk                 (0x800UL)                 /*!< I2C CR2: ADD10 (Bitfield-Mask: 0x01)                  */
#define I2C_CR2_ADD10(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_CR2_ADD10_Pos))&I2C_CR2_ADD10_Msk)
#define I2C_CR2_RD_WRN_Pos                (10UL)                    /*!< I2C CR2: RD_WRN (Bit 10)                              */
#define I2C_CR2_RD_WRN_Msk                (0x400UL)                 /*!< I2C CR2: RD_WRN (Bitfield-Mask: 0x01)                 */
#define I2C_CR2_RD_WRN(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_CR2_RD_WRN_Pos))&I2C_CR2_RD_WRN_Msk)
#define I2C_CR2_SADD_Pos                  (0UL)                     /*!< I2C CR2: SADD (Bit 0)                                 */
#define I2C_CR2_SADD_Msk                  (0x3ffUL)                 /*!< I2C CR2: SADD (Bitfield-Mask: 0x3ff)                  */
#define I2C_CR2_SADD(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_CR2_SADD_Pos))&I2C_CR2_SADD_Msk)
/* =========================================================  OAR1  ========================================================== */
#define I2C_OAR1_OA1_0_Pos                (0UL)                     /*!< I2C OAR1: OA1_0 (Bit 0)                               */
#define I2C_OAR1_OA1_0_Msk                (0x1UL)                   /*!< I2C OAR1: OA1_0 (Bitfield-Mask: 0x01)                 */
#define I2C_OAR1_OA1_0(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_OAR1_OA1_0_Pos))&I2C_OAR1_OA1_0_Msk)
#define I2C_OAR1_OA1_7_1_Pos              (1UL)                     /*!< I2C OAR1: OA1_7_1 (Bit 1)                             */
#define I2C_OAR1_OA1_7_1_Msk              (0xfeUL)                  /*!< I2C OAR1: OA1_7_1 (Bitfield-Mask: 0x7f)               */
#define I2C_OAR1_OA1_7_1(x)               (((uint32_t)(((uint32_t)(x))<<I2C_OAR1_OA1_7_1_Pos))&I2C_OAR1_OA1_7_1_Msk)
#define I2C_OAR1_OA1_8_9_Pos              (8UL)                     /*!< I2C OAR1: OA1_8_9 (Bit 8)                             */
#define I2C_OAR1_OA1_8_9_Msk              (0x300UL)                 /*!< I2C OAR1: OA1_8_9 (Bitfield-Mask: 0x03)               */
#define I2C_OAR1_OA1_8_9(x)               (((uint32_t)(((uint32_t)(x))<<I2C_OAR1_OA1_8_9_Pos))&I2C_OAR1_OA1_8_9_Msk)
#define I2C_OAR1_OA1MODE_Pos              (10UL)                    /*!< I2C OAR1: OA1MODE (Bit 10)                            */
#define I2C_OAR1_OA1MODE_Msk              (0x400UL)                 /*!< I2C OAR1: OA1MODE (Bitfield-Mask: 0x01)               */
#define I2C_OAR1_OA1MODE(x)               (((uint32_t)(((uint32_t)(x))<<I2C_OAR1_OA1MODE_Pos))&I2C_OAR1_OA1MODE_Msk)
#define I2C_OAR1_OA1EN_Pos                (15UL)                    /*!< I2C OAR1: OA1EN (Bit 15)                              */
#define I2C_OAR1_OA1EN_Msk                (0x8000UL)                /*!< I2C OAR1: OA1EN (Bitfield-Mask: 0x01)                 */
#define I2C_OAR1_OA1EN(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_OAR1_OA1EN_Pos))&I2C_OAR1_OA1EN_Msk)
/* =========================================================  OAR2  ========================================================== */
#define I2C_OAR2_OA2_Pos                  (1UL)                     /*!< I2C OAR2: OA2 (Bit 1)                                 */
#define I2C_OAR2_OA2_Msk                  (0xfeUL)                  /*!< I2C OAR2: OA2 (Bitfield-Mask: 0x7f)                   */
#define I2C_OAR2_OA2(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_OAR2_OA2_Pos))&I2C_OAR2_OA2_Msk)
#define I2C_OAR2_OA2MSK_Pos               (8UL)                     /*!< I2C OAR2: OA2MSK (Bit 8)                              */
#define I2C_OAR2_OA2MSK_Msk               (0x700UL)                 /*!< I2C OAR2: OA2MSK (Bitfield-Mask: 0x07)                */
#define I2C_OAR2_OA2MSK(x)                (((uint32_t)(((uint32_t)(x))<<I2C_OAR2_OA2MSK_Pos))&I2C_OAR2_OA2MSK_Msk)
#define I2C_OAR2_OA2EN_Pos                (15UL)                    /*!< I2C OAR2: OA2EN (Bit 15)                              */
#define I2C_OAR2_OA2EN_Msk                (0x8000UL)                /*!< I2C OAR2: OA2EN (Bitfield-Mask: 0x01)                 */
#define I2C_OAR2_OA2EN(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_OAR2_OA2EN_Pos))&I2C_OAR2_OA2EN_Msk)
/* ========================================================  TIMINGR  ======================================================== */
#define I2C_TIMINGR_SCLL_Pos              (0UL)                     /*!< I2C TIMINGR: SCLL (Bit 0)                             */
#define I2C_TIMINGR_SCLL_Msk              (0xffUL)                  /*!< I2C TIMINGR: SCLL (Bitfield-Mask: 0xff)               */
#define I2C_TIMINGR_SCLL(x)               (((uint32_t)(((uint32_t)(x))<<I2C_TIMINGR_SCLL_Pos))&I2C_TIMINGR_SCLL_Msk)
#define I2C_TIMINGR_SCLH_Pos              (8UL)                     /*!< I2C TIMINGR: SCLH (Bit 8)                             */
#define I2C_TIMINGR_SCLH_Msk              (0xff00UL)                /*!< I2C TIMINGR: SCLH (Bitfield-Mask: 0xff)               */
#define I2C_TIMINGR_SCLH(x)               (((uint32_t)(((uint32_t)(x))<<I2C_TIMINGR_SCLH_Pos))&I2C_TIMINGR_SCLH_Msk)
#define I2C_TIMINGR_SDADEL_Pos            (16UL)                    /*!< I2C TIMINGR: SDADEL (Bit 16)                          */
#define I2C_TIMINGR_SDADEL_Msk            (0xf0000UL)               /*!< I2C TIMINGR: SDADEL (Bitfield-Mask: 0x0f)             */
#define I2C_TIMINGR_SDADEL(x)             (((uint32_t)(((uint32_t)(x))<<I2C_TIMINGR_SDADEL_Pos))&I2C_TIMINGR_SDADEL_Msk)
#define I2C_TIMINGR_SCLDEL_Pos            (20UL)                    /*!< I2C TIMINGR: SCLDEL (Bit 20)                          */
#define I2C_TIMINGR_SCLDEL_Msk            (0xf00000UL)              /*!< I2C TIMINGR: SCLDEL (Bitfield-Mask: 0x0f)             */
#define I2C_TIMINGR_SCLDEL(x)             (((uint32_t)(((uint32_t)(x))<<I2C_TIMINGR_SCLDEL_Pos))&I2C_TIMINGR_SCLDEL_Msk)
#define I2C_TIMINGR_PRESC_Pos             (28UL)                    /*!< I2C TIMINGR: PRESC (Bit 28)                           */
#define I2C_TIMINGR_PRESC_Msk             (0xf0000000UL)            /*!< I2C TIMINGR: PRESC (Bitfield-Mask: 0x0f)              */
#define I2C_TIMINGR_PRESC(x)              (((uint32_t)(((uint32_t)(x))<<I2C_TIMINGR_PRESC_Pos))&I2C_TIMINGR_PRESC_Msk)
/* =======================================================  TIMEOUTR  ======================================================== */
#define I2C_TIMEOUTR_TIMEOUTA_Pos         (0UL)                     /*!< I2C TIMEOUTR: TIMEOUTA (Bit 0)                        */
#define I2C_TIMEOUTR_TIMEOUTA_Msk         (0xfffUL)                 /*!< I2C TIMEOUTR: TIMEOUTA (Bitfield-Mask: 0xfff)         */
#define I2C_TIMEOUTR_TIMEOUTA(x)          (((uint32_t)(((uint32_t)(x))<<I2C_TIMEOUTR_TIMEOUTA_Pos))&I2C_TIMEOUTR_TIMEOUTA_Msk)
#define I2C_TIMEOUTR_TIDLE_Pos            (12UL)                    /*!< I2C TIMEOUTR: TIDLE (Bit 12)                          */
#define I2C_TIMEOUTR_TIDLE_Msk            (0x1000UL)                /*!< I2C TIMEOUTR: TIDLE (Bitfield-Mask: 0x01)             */
#define I2C_TIMEOUTR_TIDLE(x)             (((uint32_t)(((uint32_t)(x))<<I2C_TIMEOUTR_TIDLE_Pos))&I2C_TIMEOUTR_TIDLE_Msk)
#define I2C_TIMEOUTR_TIMOUTEN_Pos         (15UL)                    /*!< I2C TIMEOUTR: TIMOUTEN (Bit 15)                       */
#define I2C_TIMEOUTR_TIMOUTEN_Msk         (0x8000UL)                /*!< I2C TIMEOUTR: TIMOUTEN (Bitfield-Mask: 0x01)          */
#define I2C_TIMEOUTR_TIMOUTEN(x)          (((uint32_t)(((uint32_t)(x))<<I2C_TIMEOUTR_TIMOUTEN_Pos))&I2C_TIMEOUTR_TIMOUTEN_Msk)
#define I2C_TIMEOUTR_TIMEOUTB_Pos         (16UL)                    /*!< I2C TIMEOUTR: TIMEOUTB (Bit 16)                       */
#define I2C_TIMEOUTR_TIMEOUTB_Msk         (0xfff0000UL)             /*!< I2C TIMEOUTR: TIMEOUTB (Bitfield-Mask: 0xfff)         */
#define I2C_TIMEOUTR_TIMEOUTB(x)          (((uint32_t)(((uint32_t)(x))<<I2C_TIMEOUTR_TIMEOUTB_Pos))&I2C_TIMEOUTR_TIMEOUTB_Msk)
#define I2C_TIMEOUTR_TEXTEN_Pos           (31UL)                    /*!< I2C TIMEOUTR: TEXTEN (Bit 31)                         */
#define I2C_TIMEOUTR_TEXTEN_Msk           (0x80000000UL)            /*!< I2C TIMEOUTR: TEXTEN (Bitfield-Mask: 0x01)            */
#define I2C_TIMEOUTR_TEXTEN(x)            (((uint32_t)(((uint32_t)(x))<<I2C_TIMEOUTR_TEXTEN_Pos))&I2C_TIMEOUTR_TEXTEN_Msk)
/* ==========================================================  ISR  ========================================================== */
#define I2C_ISR_ADDCODE_Pos               (17UL)                    /*!< I2C ISR: ADDCODE (Bit 17)                             */
#define I2C_ISR_ADDCODE_Msk               (0xfe0000UL)              /*!< I2C ISR: ADDCODE (Bitfield-Mask: 0x7f)                */
#define I2C_ISR_ADDCODE(x)                (((uint32_t)(((uint32_t)(x))<<I2C_ISR_ADDCODE_Pos))&I2C_ISR_ADDCODE_Msk)
#define I2C_ISR_DIR_Pos                   (16UL)                    /*!< I2C ISR: DIR (Bit 16)                                 */
#define I2C_ISR_DIR_Msk                   (0x10000UL)               /*!< I2C ISR: DIR (Bitfield-Mask: 0x01)                    */
#define I2C_ISR_DIR(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_ISR_DIR_Pos))&I2C_ISR_DIR_Msk)
#define I2C_ISR_BUSY_Pos                  (15UL)                    /*!< I2C ISR: BUSY (Bit 15)                                */
#define I2C_ISR_BUSY_Msk                  (0x8000UL)                /*!< I2C ISR: BUSY (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_BUSY(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_BUSY_Pos))&I2C_ISR_BUSY_Msk)
#define I2C_ISR_ALERT_Pos                 (13UL)                    /*!< I2C ISR: ALERT (Bit 13)                               */
#define I2C_ISR_ALERT_Msk                 (0x2000UL)                /*!< I2C ISR: ALERT (Bitfield-Mask: 0x01)                  */
#define I2C_ISR_ALERT(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_ISR_ALERT_Pos))&I2C_ISR_ALERT_Msk)
#define I2C_ISR_TIMEOUT_Pos               (12UL)                    /*!< I2C ISR: TIMEOUT (Bit 12)                             */
#define I2C_ISR_TIMEOUT_Msk               (0x1000UL)                /*!< I2C ISR: TIMEOUT (Bitfield-Mask: 0x01)                */
#define I2C_ISR_TIMEOUT(x)                (((uint32_t)(((uint32_t)(x))<<I2C_ISR_TIMEOUT_Pos))&I2C_ISR_TIMEOUT_Msk)
#define I2C_ISR_PECERR_Pos                (11UL)                    /*!< I2C ISR: PECERR (Bit 11)                              */
#define I2C_ISR_PECERR_Msk                (0x800UL)                 /*!< I2C ISR: PECERR (Bitfield-Mask: 0x01)                 */
#define I2C_ISR_PECERR(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ISR_PECERR_Pos))&I2C_ISR_PECERR_Msk)
#define I2C_ISR_OVR_Pos                   (10UL)                    /*!< I2C ISR: OVR (Bit 10)                                 */
#define I2C_ISR_OVR_Msk                   (0x400UL)                 /*!< I2C ISR: OVR (Bitfield-Mask: 0x01)                    */
#define I2C_ISR_OVR(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_ISR_OVR_Pos))&I2C_ISR_OVR_Msk)
#define I2C_ISR_ARLO_Pos                  (9UL)                     /*!< I2C ISR: ARLO (Bit 9)                                 */
#define I2C_ISR_ARLO_Msk                  (0x200UL)                 /*!< I2C ISR: ARLO (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_ARLO(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_ARLO_Pos))&I2C_ISR_ARLO_Msk)
#define I2C_ISR_BERR_Pos                  (8UL)                     /*!< I2C ISR: BERR (Bit 8)                                 */
#define I2C_ISR_BERR_Msk                  (0x100UL)                 /*!< I2C ISR: BERR (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_BERR(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_BERR_Pos))&I2C_ISR_BERR_Msk)
#define I2C_ISR_TCR_Pos                   (7UL)                     /*!< I2C ISR: TCR (Bit 7)                                  */
#define I2C_ISR_TCR_Msk                   (0x80UL)                  /*!< I2C ISR: TCR (Bitfield-Mask: 0x01)                    */
#define I2C_ISR_TCR(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_ISR_TCR_Pos))&I2C_ISR_TCR_Msk)
#define I2C_ISR_TC_Pos                    (6UL)                     /*!< I2C ISR: TC (Bit 6)                                   */
#define I2C_ISR_TC_Msk                    (0x40UL)                  /*!< I2C ISR: TC (Bitfield-Mask: 0x01)                     */
#define I2C_ISR_TC(x)                     (((uint32_t)(((uint32_t)(x))<<I2C_ISR_TC_Pos))&I2C_ISR_TC_Msk)
#define I2C_ISR_STOPF_Pos                 (5UL)                     /*!< I2C ISR: STOPF (Bit 5)                                */
#define I2C_ISR_STOPF_Msk                 (0x20UL)                  /*!< I2C ISR: STOPF (Bitfield-Mask: 0x01)                  */
#define I2C_ISR_STOPF(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_ISR_STOPF_Pos))&I2C_ISR_STOPF_Msk)
#define I2C_ISR_NACKF_Pos                 (4UL)                     /*!< I2C ISR: NACKF (Bit 4)                                */
#define I2C_ISR_NACKF_Msk                 (0x10UL)                  /*!< I2C ISR: NACKF (Bitfield-Mask: 0x01)                  */
#define I2C_ISR_NACKF(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_ISR_NACKF_Pos))&I2C_ISR_NACKF_Msk)
#define I2C_ISR_ADDR_Pos                  (3UL)                     /*!< I2C ISR: ADDR (Bit 3)                                 */
#define I2C_ISR_ADDR_Msk                  (0x8UL)                   /*!< I2C ISR: ADDR (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_ADDR(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_ADDR_Pos))&I2C_ISR_ADDR_Msk)
#define I2C_ISR_RXNE_Pos                  (2UL)                     /*!< I2C ISR: RXNE (Bit 2)                                 */
#define I2C_ISR_RXNE_Msk                  (0x4UL)                   /*!< I2C ISR: RXNE (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_RXNE(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_RXNE_Pos))&I2C_ISR_RXNE_Msk)
#define I2C_ISR_TXIS_Pos                  (1UL)                     /*!< I2C ISR: TXIS (Bit 1)                                 */
#define I2C_ISR_TXIS_Msk                  (0x2UL)                   /*!< I2C ISR: TXIS (Bitfield-Mask: 0x01)                   */
#define I2C_ISR_TXIS(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_ISR_TXIS_Pos))&I2C_ISR_TXIS_Msk)
#define I2C_ISR_TXE_Pos                   (0UL)                     /*!< I2C ISR: TXE (Bit 0)                                  */
#define I2C_ISR_TXE_Msk                   (0x1UL)                   /*!< I2C ISR: TXE (Bitfield-Mask: 0x01)                    */
#define I2C_ISR_TXE(x)                    (((uint32_t)(((uint32_t)(x))<<I2C_ISR_TXE_Pos))&I2C_ISR_TXE_Msk)
/* ==========================================================  ICR  ========================================================== */
#define I2C_ICR_ALERTCF_Pos               (13UL)                    /*!< I2C ICR: ALERTCF (Bit 13)                             */
#define I2C_ICR_ALERTCF_Msk               (0x2000UL)                /*!< I2C ICR: ALERTCF (Bitfield-Mask: 0x01)                */
#define I2C_ICR_ALERTCF(x)                (((uint32_t)(((uint32_t)(x))<<I2C_ICR_ALERTCF_Pos))&I2C_ICR_ALERTCF_Msk)
#define I2C_ICR_TIMOUTCF_Pos              (12UL)                    /*!< I2C ICR: TIMOUTCF (Bit 12)                            */
#define I2C_ICR_TIMOUTCF_Msk              (0x1000UL)                /*!< I2C ICR: TIMOUTCF (Bitfield-Mask: 0x01)               */
#define I2C_ICR_TIMOUTCF(x)               (((uint32_t)(((uint32_t)(x))<<I2C_ICR_TIMOUTCF_Pos))&I2C_ICR_TIMOUTCF_Msk)
#define I2C_ICR_PECCF_Pos                 (11UL)                    /*!< I2C ICR: PECCF (Bit 11)                               */
#define I2C_ICR_PECCF_Msk                 (0x800UL)                 /*!< I2C ICR: PECCF (Bitfield-Mask: 0x01)                  */
#define I2C_ICR_PECCF(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_ICR_PECCF_Pos))&I2C_ICR_PECCF_Msk)
#define I2C_ICR_OVRCF_Pos                 (10UL)                    /*!< I2C ICR: OVRCF (Bit 10)                               */
#define I2C_ICR_OVRCF_Msk                 (0x400UL)                 /*!< I2C ICR: OVRCF (Bitfield-Mask: 0x01)                  */
#define I2C_ICR_OVRCF(x)                  (((uint32_t)(((uint32_t)(x))<<I2C_ICR_OVRCF_Pos))&I2C_ICR_OVRCF_Msk)
#define I2C_ICR_ARLOCF_Pos                (9UL)                     /*!< I2C ICR: ARLOCF (Bit 9)                               */
#define I2C_ICR_ARLOCF_Msk                (0x200UL)                 /*!< I2C ICR: ARLOCF (Bitfield-Mask: 0x01)                 */
#define I2C_ICR_ARLOCF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ICR_ARLOCF_Pos))&I2C_ICR_ARLOCF_Msk)
#define I2C_ICR_BERRCF_Pos                (8UL)                     /*!< I2C ICR: BERRCF (Bit 8)                               */
#define I2C_ICR_BERRCF_Msk                (0x100UL)                 /*!< I2C ICR: BERRCF (Bitfield-Mask: 0x01)                 */
#define I2C_ICR_BERRCF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ICR_BERRCF_Pos))&I2C_ICR_BERRCF_Msk)
#define I2C_ICR_STOPCF_Pos                (5UL)                     /*!< I2C ICR: STOPCF (Bit 5)                               */
#define I2C_ICR_STOPCF_Msk                (0x20UL)                  /*!< I2C ICR: STOPCF (Bitfield-Mask: 0x01)                 */
#define I2C_ICR_STOPCF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ICR_STOPCF_Pos))&I2C_ICR_STOPCF_Msk)
#define I2C_ICR_NACKCF_Pos                (4UL)                     /*!< I2C ICR: NACKCF (Bit 4)                               */
#define I2C_ICR_NACKCF_Msk                (0x10UL)                  /*!< I2C ICR: NACKCF (Bitfield-Mask: 0x01)                 */
#define I2C_ICR_NACKCF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ICR_NACKCF_Pos))&I2C_ICR_NACKCF_Msk)
#define I2C_ICR_ADDRCF_Pos                (3UL)                     /*!< I2C ICR: ADDRCF (Bit 3)                               */
#define I2C_ICR_ADDRCF_Msk                (0x8UL)                   /*!< I2C ICR: ADDRCF (Bitfield-Mask: 0x01)                 */
#define I2C_ICR_ADDRCF(x)                 (((uint32_t)(((uint32_t)(x))<<I2C_ICR_ADDRCF_Pos))&I2C_ICR_ADDRCF_Msk)
/* =========================================================  PECR  ========================================================== */
#define I2C_PECR_PEC_Pos                  (0UL)                     /*!< I2C PECR: PEC (Bit 0)                                 */
#define I2C_PECR_PEC_Msk                  (0xffUL)                  /*!< I2C PECR: PEC (Bitfield-Mask: 0xff)                   */
#define I2C_PECR_PEC(x)                   (((uint32_t)(((uint32_t)(x))<<I2C_PECR_PEC_Pos))&I2C_PECR_PEC_Msk)
/* =========================================================  RXDR  ========================================================== */
#define I2C_RXDR_RXDATA_Pos               (0UL)                     /*!< I2C RXDR: RXDATA (Bit 0)                              */
#define I2C_RXDR_RXDATA_Msk               (0xffUL)                  /*!< I2C RXDR: RXDATA (Bitfield-Mask: 0xff)                */
#define I2C_RXDR_RXDATA(x)                (((uint32_t)(((uint32_t)(x))<<I2C_RXDR_RXDATA_Pos))&I2C_RXDR_RXDATA_Msk)
/* =========================================================  TXDR  ========================================================== */
#define I2C_TXDR_TXDATA_Pos               (0UL)                     /*!< I2C TXDR: TXDATA (Bit 0)                              */
#define I2C_TXDR_TXDATA_Msk               (0xffUL)                  /*!< I2C TXDR: TXDATA (Bitfield-Mask: 0xff)                */
#define I2C_TXDR_TXDATA(x)                (((uint32_t)(((uint32_t)(x))<<I2C_TXDR_TXDATA_Pos))&I2C_TXDR_TXDATA_Msk)


/* =========================================================================================================================== */
/* ================                                           IWDG                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define IWDG_CR_EN_Pos                    (0UL)                     /*!< IWDG CR: EN (Bit 0)                                   */
#define IWDG_CR_EN_Msk                    (0x1UL)                   /*!< IWDG CR: EN (Bitfield-Mask: 0x01)                     */
#define IWDG_CR_EN(x)                     (((uint32_t)(((uint32_t)(x))<<IWDG_CR_EN_Pos))&IWDG_CR_EN_Msk)
#define IWDG_CR_RSTTIME_Pos               (4UL)                     /*!< IWDG CR: RSTTIME (Bit 4)                              */
#define IWDG_CR_RSTTIME_Msk               (0x30UL)                  /*!< IWDG CR: RSTTIME (Bitfield-Mask: 0x03)                */
#define IWDG_CR_RSTTIME(x)                (((uint32_t)(((uint32_t)(x))<<IWDG_CR_RSTTIME_Pos))&IWDG_CR_RSTTIME_Msk)
#define IWDG_CR_RSTDAT_Pos                (16UL)                    /*!< IWDG CR: RSTDAT (Bit 16)                              */
#define IWDG_CR_RSTDAT_Msk                (0xffff0000UL)            /*!< IWDG CR: RSTDAT (Bitfield-Mask: 0xffff)               */
#define IWDG_CR_RSTDAT(x)                 (((uint32_t)(((uint32_t)(x))<<IWDG_CR_RSTDAT_Pos))&IWDG_CR_RSTDAT_Msk)
/* ==========================================================  KR  =========================================================== */
#define IWDG_KR_KEY_Pos                   (0UL)                     /*!< IWDG KR: KEY (Bit 0)                                  */
#define IWDG_KR_KEY_Msk                   (0xffffUL)                /*!< IWDG KR: KEY (Bitfield-Mask: 0xffff)                  */
#define IWDG_KR_KEY(x)                    (((uint32_t)(((uint32_t)(x))<<IWDG_KR_KEY_Pos))&IWDG_KR_KEY_Msk)


/* =========================================================================================================================== */
/* ================                                            LCD                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define LCD_CR_LEDPOL_Pos                 (15UL)                    /*!< LCD CR: LEDPOL (Bit 15)                               */
#define LCD_CR_LEDPOL_Msk                 (0x8000UL)                /*!< LCD CR: LEDPOL (Bitfield-Mask: 0x01)                  */
#define LCD_CR_LEDPOL(x)                  (((uint32_t)(((uint32_t)(x))<<LCD_CR_LEDPOL_Pos))&LCD_CR_LEDPOL_Msk)
#define LCD_CR_TSEL_Pos                   (13UL)                    /*!< LCD CR: TSEL (Bit 13)                                 */
#define LCD_CR_TSEL_Msk                   (0x6000UL)                /*!< LCD CR: TSEL (Bitfield-Mask: 0x03)                    */
#define LCD_CR_TSEL(x)                    (((uint32_t)(((uint32_t)(x))<<LCD_CR_TSEL_Pos))&LCD_CR_TSEL_Msk)
#define LCD_CR_MOD_Pos                    (11UL)                    /*!< LCD CR: MOD (Bit 11)                                  */
#define LCD_CR_MOD_Msk                    (0x1800UL)                /*!< LCD CR: MOD (Bitfield-Mask: 0x03)                     */
#define LCD_CR_MOD(x)                     (((uint32_t)(((uint32_t)(x))<<LCD_CR_MOD_Pos))&LCD_CR_MOD_Msk)
#define LCD_CR_RLCD_Pos                   (10UL)                    /*!< LCD CR: RLCD (Bit 10)                                 */
#define LCD_CR_RLCD_Msk                   (0x400UL)                 /*!< LCD CR: RLCD (Bitfield-Mask: 0x01)                    */
#define LCD_CR_RLCD(x)                    (((uint32_t)(((uint32_t)(x))<<LCD_CR_RLCD_Pos))&LCD_CR_RLCD_Msk)
#define LCD_CR_FCCTL_Pos                  (8UL)                     /*!< LCD CR: FCCTL (Bit 8)                                 */
#define LCD_CR_FCCTL_Msk                  (0x300UL)                 /*!< LCD CR: FCCTL (Bitfield-Mask: 0x03)                   */
#define LCD_CR_FCCTL(x)                   (((uint32_t)(((uint32_t)(x))<<LCD_CR_FCCTL_Pos))&LCD_CR_FCCTL_Msk)
#define LCD_CR_VOL_Pos                    (4UL)                     /*!< LCD CR: VOL (Bit 4)                                   */
#define LCD_CR_VOL_Msk                    (0xf0UL)                  /*!< LCD CR: VOL (Bitfield-Mask: 0x0f)                     */
#define LCD_CR_VOL(x)                     (((uint32_t)(((uint32_t)(x))<<LCD_CR_VOL_Pos))&LCD_CR_VOL_Msk)
#define LCD_CR_PPSEL_Pos                  (3UL)                     /*!< LCD CR: PPSEL (Bit 3)                                 */
#define LCD_CR_PPSEL_Msk                  (0x8UL)                   /*!< LCD CR: PPSEL (Bitfield-Mask: 0x01)                   */
#define LCD_CR_PPSEL(x)                   (((uint32_t)(((uint32_t)(x))<<LCD_CR_PPSEL_Pos))&LCD_CR_PPSEL_Msk)
#define LCD_CR_DUTY_Pos                   (2UL)                     /*!< LCD CR: DUTY (Bit 2)                                  */
#define LCD_CR_DUTY_Msk                   (0x4UL)                   /*!< LCD CR: DUTY (Bitfield-Mask: 0x01)                    */
#define LCD_CR_DUTY(x)                    (((uint32_t)(((uint32_t)(x))<<LCD_CR_DUTY_Pos))&LCD_CR_DUTY_Msk)
#define LCD_CR_PUMPON_Pos                 (1UL)                     /*!< LCD CR: PUMPON (Bit 1)                                */
#define LCD_CR_PUMPON_Msk                 (0x2UL)                   /*!< LCD CR: PUMPON (Bitfield-Mask: 0x01)                  */
#define LCD_CR_PUMPON(x)                  (((uint32_t)(((uint32_t)(x))<<LCD_CR_PUMPON_Pos))&LCD_CR_PUMPON_Msk)
#define LCD_CR_LCDON_Pos                  (0UL)                     /*!< LCD CR: LCDON (Bit 0)                                 */
#define LCD_CR_LCDON_Msk                  (0x1UL)                   /*!< LCD CR: LCDON (Bitfield-Mask: 0x01)                   */
#define LCD_CR_LCDON(x)                   (((uint32_t)(((uint32_t)(x))<<LCD_CR_LCDON_Pos))&LCD_CR_LCDON_Msk)
/* ==========================================================  FCR  ========================================================== */
#define LCD_FCR_BLINKSEG_Pos              (7UL)                     /*!< LCD FCR: BLINKSEG (Bit 7)                             */
#define LCD_FCR_BLINKSEG_Msk              (0xf80UL)                 /*!< LCD FCR: BLINKSEG (Bitfield-Mask: 0x1f)               */
#define LCD_FCR_BLINKSEG(x)               (((uint32_t)(((uint32_t)(x))<<LCD_FCR_BLINKSEG_Pos))&LCD_FCR_BLINKSEG_Msk)
#define LCD_FCR_BLINKCOM_Pos              (4UL)                     /*!< LCD FCR: BLINKCOM (Bit 4)                             */
#define LCD_FCR_BLINKCOM_Msk              (0x70UL)                  /*!< LCD FCR: BLINKCOM (Bitfield-Mask: 0x07)               */
#define LCD_FCR_BLINKCOM(x)               (((uint32_t)(((uint32_t)(x))<<LCD_FCR_BLINKCOM_Pos))&LCD_FCR_BLINKCOM_Msk)
#define LCD_FCR_BLINK_Pos                 (2UL)                     /*!< LCD FCR: BLINK (Bit 2)                                */
#define LCD_FCR_BLINK_Msk                 (0xcUL)                   /*!< LCD FCR: BLINK (Bitfield-Mask: 0x03)                  */
#define LCD_FCR_BLINK(x)                  (((uint32_t)(((uint32_t)(x))<<LCD_FCR_BLINK_Pos))&LCD_FCR_BLINK_Msk)
#define LCD_FCR_BLINKF_Pos                (0UL)                     /*!< LCD FCR: BLINKF (Bit 0)                               */
#define LCD_FCR_BLINKF_Msk                (0x3UL)                   /*!< LCD FCR: BLINKF (Bitfield-Mask: 0x03)                 */
#define LCD_FCR_BLINKF(x)                 (((uint32_t)(((uint32_t)(x))<<LCD_FCR_BLINKF_Pos))&LCD_FCR_BLINKF_Msk)
/* =========================================================  CENR  ========================================================== */
#define LCD_CENR_COM_EN_Pos               (0UL)                     /*!< LCD CENR: COM_EN (Bit 0)                              */
#define LCD_CENR_COM_EN_Msk               (0xffUL)                  /*!< LCD CENR: COM_EN (Bitfield-Mask: 0xff)                */
#define LCD_CENR_COM_EN(x)                (((uint32_t)(((uint32_t)(x))<<LCD_CENR_COM_EN_Pos))&LCD_CENR_COM_EN_Msk)
/* =========================================================  SENR1  ========================================================= */
#define LCD_SENR1_SEG_EN_Pos              (0UL)                     /*!< LCD SENR1: SEG_EN (Bit 0)                             */
#define LCD_SENR1_SEG_EN_Msk              (0xffffffffUL)            /*!< LCD SENR1: SEG_EN (Bitfield-Mask: 0xffffffff)         */
#define LCD_SENR1_SEG_EN(x)               (((uint32_t)(((uint32_t)(x))<<LCD_SENR1_SEG_EN_Pos))&LCD_SENR1_SEG_EN_Msk)


/* =========================================================================================================================== */
/* ================                                          LPUART                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define LPUART_CR1_RST_Pos                (31UL)                    /*!< LPUART CR1: RST (Bit 31)                              */
#define LPUART_CR1_RST_Msk                (0x80000000UL)            /*!< LPUART CR1: RST (Bitfield-Mask: 0x01)                 */
#define LPUART_CR1_RST(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_RST_Pos))&LPUART_CR1_RST_Msk)
#define LPUART_CR1_M1_Pos                 (28UL)                    /*!< LPUART CR1: M1 (Bit 28)                               */
#define LPUART_CR1_M1_Msk                 (0x10000000UL)            /*!< LPUART CR1: M1 (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_M1(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_M1_Pos))&LPUART_CR1_M1_Msk)
#define LPUART_CR1_CMEN_Pos               (21UL)                    /*!< LPUART CR1: CMEN (Bit 21)                             */
#define LPUART_CR1_CMEN_Msk               (0x200000UL)              /*!< LPUART CR1: CMEN (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_CMEN(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_CMEN_Pos))&LPUART_CR1_CMEN_Msk)
#define LPUART_CR1_RTOEN_Pos              (20UL)                    /*!< LPUART CR1: RTOEN (Bit 20)                            */
#define LPUART_CR1_RTOEN_Msk              (0x100000UL)              /*!< LPUART CR1: RTOEN (Bitfield-Mask: 0x01)               */
#define LPUART_CR1_RTOEN(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_RTOEN_Pos))&LPUART_CR1_RTOEN_Msk)
#define LPUART_CR1_ABREN_Pos              (15UL)                    /*!< LPUART CR1: ABREN (Bit 15)                            */
#define LPUART_CR1_ABREN_Msk              (0x8000UL)                /*!< LPUART CR1: ABREN (Bitfield-Mask: 0x01)               */
#define LPUART_CR1_ABREN(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_ABREN_Pos))&LPUART_CR1_ABREN_Msk)
#define LPUART_CR1_CMIE_Pos               (14UL)                    /*!< LPUART CR1: CMIE (Bit 14)                             */
#define LPUART_CR1_CMIE_Msk               (0x4000UL)                /*!< LPUART CR1: CMIE (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_CMIE(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_CMIE_Pos))&LPUART_CR1_CMIE_Msk)
#define LPUART_CR1_MME_Pos                (13UL)                    /*!< LPUART CR1: MME (Bit 13)                              */
#define LPUART_CR1_MME_Msk                (0x2000UL)                /*!< LPUART CR1: MME (Bitfield-Mask: 0x01)                 */
#define LPUART_CR1_MME(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_MME_Pos))&LPUART_CR1_MME_Msk)
#define LPUART_CR1_M0_Pos                 (12UL)                    /*!< LPUART CR1: M0 (Bit 12)                               */
#define LPUART_CR1_M0_Msk                 (0x1000UL)                /*!< LPUART CR1: M0 (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_M0(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_M0_Pos))&LPUART_CR1_M0_Msk)
#define LPUART_CR1_WAKE_Pos               (11UL)                    /*!< LPUART CR1: WAKE (Bit 11)                             */
#define LPUART_CR1_WAKE_Msk               (0x800UL)                 /*!< LPUART CR1: WAKE (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_WAKE(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_WAKE_Pos))&LPUART_CR1_WAKE_Msk)
#define LPUART_CR1_PCE_Pos                (10UL)                    /*!< LPUART CR1: PCE (Bit 10)                              */
#define LPUART_CR1_PCE_Msk                (0x400UL)                 /*!< LPUART CR1: PCE (Bitfield-Mask: 0x01)                 */
#define LPUART_CR1_PCE(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_PCE_Pos))&LPUART_CR1_PCE_Msk)
#define LPUART_CR1_PS_Pos                 (9UL)                     /*!< LPUART CR1: PS (Bit 9)                                */
#define LPUART_CR1_PS_Msk                 (0x200UL)                 /*!< LPUART CR1: PS (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_PS(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_PS_Pos))&LPUART_CR1_PS_Msk)
#define LPUART_CR1_PEIE_Pos               (8UL)                     /*!< LPUART CR1: PEIE (Bit 8)                              */
#define LPUART_CR1_PEIE_Msk               (0x100UL)                 /*!< LPUART CR1: PEIE (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_PEIE(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_PEIE_Pos))&LPUART_CR1_PEIE_Msk)
#define LPUART_CR1_TXEIE_Pos              (7UL)                     /*!< LPUART CR1: TXEIE (Bit 7)                             */
#define LPUART_CR1_TXEIE_Msk              (0x80UL)                  /*!< LPUART CR1: TXEIE (Bitfield-Mask: 0x01)               */
#define LPUART_CR1_TXEIE(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_TXEIE_Pos))&LPUART_CR1_TXEIE_Msk)
#define LPUART_CR1_TCIE_Pos               (6UL)                     /*!< LPUART CR1: TCIE (Bit 6)                              */
#define LPUART_CR1_TCIE_Msk               (0x40UL)                  /*!< LPUART CR1: TCIE (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_TCIE(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_TCIE_Pos))&LPUART_CR1_TCIE_Msk)
#define LPUART_CR1_RXNEIE_Pos             (5UL)                     /*!< LPUART CR1: RXNEIE (Bit 5)                            */
#define LPUART_CR1_RXNEIE_Msk             (0x20UL)                  /*!< LPUART CR1: RXNEIE (Bitfield-Mask: 0x01)              */
#define LPUART_CR1_RXNEIE(x)              (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_RXNEIE_Pos))&LPUART_CR1_RXNEIE_Msk)
#define LPUART_CR1_IDLEIE_Pos             (4UL)                     /*!< LPUART CR1: IDLEIE (Bit 4)                            */
#define LPUART_CR1_IDLEIE_Msk             (0x10UL)                  /*!< LPUART CR1: IDLEIE (Bitfield-Mask: 0x01)              */
#define LPUART_CR1_IDLEIE(x)              (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_IDLEIE_Pos))&LPUART_CR1_IDLEIE_Msk)
#define LPUART_CR1_TE_Pos                 (3UL)                     /*!< LPUART CR1: TE (Bit 3)                                */
#define LPUART_CR1_TE_Msk                 (0x8UL)                   /*!< LPUART CR1: TE (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_TE(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_TE_Pos))&LPUART_CR1_TE_Msk)
#define LPUART_CR1_RE_Pos                 (2UL)                     /*!< LPUART CR1: RE (Bit 2)                                */
#define LPUART_CR1_RE_Msk                 (0x4UL)                   /*!< LPUART CR1: RE (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_RE(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_RE_Pos))&LPUART_CR1_RE_Msk)
#define LPUART_CR1_UESM_Pos               (1UL)                     /*!< LPUART CR1: UESM (Bit 1)                              */
#define LPUART_CR1_UESM_Msk               (0x2UL)                   /*!< LPUART CR1: UESM (Bitfield-Mask: 0x01)                */
#define LPUART_CR1_UESM(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_UESM_Pos))&LPUART_CR1_UESM_Msk)
#define LPUART_CR1_UE_Pos                 (0UL)                     /*!< LPUART CR1: UE (Bit 0)                                */
#define LPUART_CR1_UE_Msk                 (0x1UL)                   /*!< LPUART CR1: UE (Bitfield-Mask: 0x01)                  */
#define LPUART_CR1_UE(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_CR1_UE_Pos))&LPUART_CR1_UE_Msk)
/* ==========================================================  CR2  ========================================================== */
#define LPUART_CR2_ADD_Pos                (24UL)                    /*!< LPUART CR2: ADD (Bit 24)                              */
#define LPUART_CR2_ADD_Msk                (0xff000000UL)            /*!< LPUART CR2: ADD (Bitfield-Mask: 0xff)                 */
#define LPUART_CR2_ADD(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_ADD_Pos))&LPUART_CR2_ADD_Msk)
#define LPUART_CR2_MSBFIRST_Pos           (19UL)                    /*!< LPUART CR2: MSBFIRST (Bit 19)                         */
#define LPUART_CR2_MSBFIRST_Msk           (0x80000UL)               /*!< LPUART CR2: MSBFIRST (Bitfield-Mask: 0x01)            */
#define LPUART_CR2_MSBFIRST(x)            (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_MSBFIRST_Pos))&LPUART_CR2_MSBFIRST_Msk)
#define LPUART_CR2_TXINV_Pos              (17UL)                    /*!< LPUART CR2: TXINV (Bit 17)                            */
#define LPUART_CR2_TXINV_Msk              (0x20000UL)               /*!< LPUART CR2: TXINV (Bitfield-Mask: 0x01)               */
#define LPUART_CR2_TXINV(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_TXINV_Pos))&LPUART_CR2_TXINV_Msk)
#define LPUART_CR2_RXINV_Pos              (16UL)                    /*!< LPUART CR2: RXINV (Bit 16)                            */
#define LPUART_CR2_RXINV_Msk              (0x10000UL)               /*!< LPUART CR2: RXINV (Bitfield-Mask: 0x01)               */
#define LPUART_CR2_RXINV(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_RXINV_Pos))&LPUART_CR2_RXINV_Msk)
#define LPUART_CR2_SWAP_Pos               (15UL)                    /*!< LPUART CR2: SWAP (Bit 15)                             */
#define LPUART_CR2_SWAP_Msk               (0x8000UL)                /*!< LPUART CR2: SWAP (Bitfield-Mask: 0x01)                */
#define LPUART_CR2_SWAP(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_SWAP_Pos))&LPUART_CR2_SWAP_Msk)
#define LPUART_CR2_STOP_Pos               (12UL)                    /*!< LPUART CR2: STOP (Bit 12)                             */
#define LPUART_CR2_STOP_Msk               (0x1000UL)                /*!< LPUART CR2: STOP (Bitfield-Mask: 0x01)                */
#define LPUART_CR2_STOP(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_STOP_Pos))&LPUART_CR2_STOP_Msk)
#define LPUART_CR2_ADDM7_Pos              (4UL)                     /*!< LPUART CR2: ADDM7 (Bit 4)                             */
#define LPUART_CR2_ADDM7_Msk              (0x10UL)                  /*!< LPUART CR2: ADDM7 (Bitfield-Mask: 0x01)               */
#define LPUART_CR2_ADDM7(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_ADDM7_Pos))&LPUART_CR2_ADDM7_Msk)
#define LPUART_CR2_CLK_SEL_Pos            (0UL)                     /*!< LPUART CR2: CLK_SEL (Bit 0)                           */
#define LPUART_CR2_CLK_SEL_Msk            (0x1UL)                   /*!< LPUART CR2: CLK_SEL (Bitfield-Mask: 0x01)             */
#define LPUART_CR2_CLK_SEL(x)             (((uint32_t)(((uint32_t)(x))<<LPUART_CR2_CLK_SEL_Pos))&LPUART_CR2_CLK_SEL_Msk)
/* ==========================================================  CR3  ========================================================== */
#define LPUART_CR3_WUFIE_Pos              (22UL)                    /*!< LPUART CR3: WUFIE (Bit 22)                            */
#define LPUART_CR3_WUFIE_Msk              (0x400000UL)              /*!< LPUART CR3: WUFIE (Bitfield-Mask: 0x01)               */
#define LPUART_CR3_WUFIE(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR3_WUFIE_Pos))&LPUART_CR3_WUFIE_Msk)
#define LPUART_CR3_HDSEL_Pos              (3UL)                     /*!< LPUART CR3: HDSEL (Bit 3)                             */
#define LPUART_CR3_HDSEL_Msk              (0x8UL)                   /*!< LPUART CR3: HDSEL (Bitfield-Mask: 0x01)               */
#define LPUART_CR3_HDSEL(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CR3_HDSEL_Pos))&LPUART_CR3_HDSEL_Msk)
#define LPUART_CR3_EIE_Pos                (0UL)                     /*!< LPUART CR3: EIE (Bit 0)                               */
#define LPUART_CR3_EIE_Msk                (0x1UL)                   /*!< LPUART CR3: EIE (Bitfield-Mask: 0x01)                 */
#define LPUART_CR3_EIE(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_CR3_EIE_Pos))&LPUART_CR3_EIE_Msk)
/* ==========================================================  BRR  ========================================================== */
#define LPUART_BRR_BRR_Pos                (0UL)                     /*!< LPUART BRR: BRR (Bit 0)                               */
#define LPUART_BRR_BRR_Msk                (0x7fffUL)                /*!< LPUART BRR: BRR (Bitfield-Mask: 0x7fff)               */
#define LPUART_BRR_BRR(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_BRR_BRR_Pos))&LPUART_BRR_BRR_Msk)
/* ==========================================================  RQR  ========================================================== */
#define LPUART_RQR_RXFRQ_Pos              (3UL)                     /*!< LPUART RQR: RXFRQ (Bit 3)                             */
#define LPUART_RQR_RXFRQ_Msk              (0x8UL)                   /*!< LPUART RQR: RXFRQ (Bitfield-Mask: 0x01)               */
#define LPUART_RQR_RXFRQ(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_RQR_RXFRQ_Pos))&LPUART_RQR_RXFRQ_Msk)
#define LPUART_RQR_MMRQ_Pos               (2UL)                     /*!< LPUART RQR: MMRQ (Bit 2)                              */
#define LPUART_RQR_MMRQ_Msk               (0x4UL)                   /*!< LPUART RQR: MMRQ (Bitfield-Mask: 0x01)                */
#define LPUART_RQR_MMRQ(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_RQR_MMRQ_Pos))&LPUART_RQR_MMRQ_Msk)
#define LPUART_RQR_SBKRQ_Pos              (1UL)                     /*!< LPUART RQR: SBKRQ (Bit 1)                             */
#define LPUART_RQR_SBKRQ_Msk              (0x2UL)                   /*!< LPUART RQR: SBKRQ (Bitfield-Mask: 0x01)               */
#define LPUART_RQR_SBKRQ(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_RQR_SBKRQ_Pos))&LPUART_RQR_SBKRQ_Msk)
#define LPUART_RQR_ABRRQ_Pos              (0UL)                     /*!< LPUART RQR: ABRRQ (Bit 0)                             */
#define LPUART_RQR_ABRRQ_Msk              (0x1UL)                   /*!< LPUART RQR: ABRRQ (Bitfield-Mask: 0x01)               */
#define LPUART_RQR_ABRRQ(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_RQR_ABRRQ_Pos))&LPUART_RQR_ABRRQ_Msk)
/* ==========================================================  SR  =========================================================== */
#define LPUART_SR_WUF_Pos                 (20UL)                    /*!< LPUART SR: WUF (Bit 20)                               */
#define LPUART_SR_WUF_Msk                 (0x100000UL)              /*!< LPUART SR: WUF (Bitfield-Mask: 0x01)                  */
#define LPUART_SR_WUF(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_SR_WUF_Pos))&LPUART_SR_WUF_Msk)
#define LPUART_SR_RWU_Pos                 (19UL)                    /*!< LPUART SR: RWU (Bit 19)                               */
#define LPUART_SR_RWU_Msk                 (0x80000UL)               /*!< LPUART SR: RWU (Bitfield-Mask: 0x01)                  */
#define LPUART_SR_RWU(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_SR_RWU_Pos))&LPUART_SR_RWU_Msk)
#define LPUART_SR_SBKF_Pos                (18UL)                    /*!< LPUART SR: SBKF (Bit 18)                              */
#define LPUART_SR_SBKF_Msk                (0x40000UL)               /*!< LPUART SR: SBKF (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_SBKF(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_SBKF_Pos))&LPUART_SR_SBKF_Msk)
#define LPUART_SR_CMF_Pos                 (17UL)                    /*!< LPUART SR: CMF (Bit 17)                               */
#define LPUART_SR_CMF_Msk                 (0x20000UL)               /*!< LPUART SR: CMF (Bitfield-Mask: 0x01)                  */
#define LPUART_SR_CMF(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_SR_CMF_Pos))&LPUART_SR_CMF_Msk)
#define LPUART_SR_BUSY_Pos                (16UL)                    /*!< LPUART SR: BUSY (Bit 16)                              */
#define LPUART_SR_BUSY_Msk                (0x10000UL)               /*!< LPUART SR: BUSY (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_BUSY(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_BUSY_Pos))&LPUART_SR_BUSY_Msk)
#define LPUART_SR_ABRF_Pos                (15UL)                    /*!< LPUART SR: ABRF (Bit 15)                              */
#define LPUART_SR_ABRF_Msk                (0x8000UL)                /*!< LPUART SR: ABRF (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_ABRF(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_ABRF_Pos))&LPUART_SR_ABRF_Msk)
#define LPUART_SR_ABRE_Pos                (14UL)                    /*!< LPUART SR: ABRE (Bit 14)                              */
#define LPUART_SR_ABRE_Msk                (0x4000UL)                /*!< LPUART SR: ABRE (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_ABRE(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_ABRE_Pos))&LPUART_SR_ABRE_Msk)
#define LPUART_SR_TXE_Pos                 (7UL)                     /*!< LPUART SR: TXE (Bit 7)                                */
#define LPUART_SR_TXE_Msk                 (0x80UL)                  /*!< LPUART SR: TXE (Bitfield-Mask: 0x01)                  */
#define LPUART_SR_TXE(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_SR_TXE_Pos))&LPUART_SR_TXE_Msk)
#define LPUART_SR_TC_Pos                  (6UL)                     /*!< LPUART SR: TC (Bit 6)                                 */
#define LPUART_SR_TC_Msk                  (0x40UL)                  /*!< LPUART SR: TC (Bitfield-Mask: 0x01)                   */
#define LPUART_SR_TC(x)                   (((uint32_t)(((uint32_t)(x))<<LPUART_SR_TC_Pos))&LPUART_SR_TC_Msk)
#define LPUART_SR_RXNE_Pos                (5UL)                     /*!< LPUART SR: RXNE (Bit 5)                               */
#define LPUART_SR_RXNE_Msk                (0x20UL)                  /*!< LPUART SR: RXNE (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_RXNE(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_RXNE_Pos))&LPUART_SR_RXNE_Msk)
#define LPUART_SR_IDLE_Pos                (4UL)                     /*!< LPUART SR: IDLE (Bit 4)                               */
#define LPUART_SR_IDLE_Msk                (0x10UL)                  /*!< LPUART SR: IDLE (Bitfield-Mask: 0x01)                 */
#define LPUART_SR_IDLE(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_SR_IDLE_Pos))&LPUART_SR_IDLE_Msk)
#define LPUART_SR_ORE_Pos                 (3UL)                     /*!< LPUART SR: ORE (Bit 3)                                */
#define LPUART_SR_ORE_Msk                 (0x8UL)                   /*!< LPUART SR: ORE (Bitfield-Mask: 0x01)                  */
#define LPUART_SR_ORE(x)                  (((uint32_t)(((uint32_t)(x))<<LPUART_SR_ORE_Pos))&LPUART_SR_ORE_Msk)
#define LPUART_SR_FE_Pos                  (1UL)                     /*!< LPUART SR: FE (Bit 1)                                 */
#define LPUART_SR_FE_Msk                  (0x2UL)                   /*!< LPUART SR: FE (Bitfield-Mask: 0x01)                   */
#define LPUART_SR_FE(x)                   (((uint32_t)(((uint32_t)(x))<<LPUART_SR_FE_Pos))&LPUART_SR_FE_Msk)
#define LPUART_SR_PE_Pos                  (0UL)                     /*!< LPUART SR: PE (Bit 0)                                 */
#define LPUART_SR_PE_Msk                  (0x1UL)                   /*!< LPUART SR: PE (Bitfield-Mask: 0x01)                   */
#define LPUART_SR_PE(x)                   (((uint32_t)(((uint32_t)(x))<<LPUART_SR_PE_Pos))&LPUART_SR_PE_Msk)
/* ==========================================================  CLR  ========================================================== */
#define LPUART_CLR_WUCF_Pos               (20UL)                    /*!< LPUART CLR: WUCF (Bit 20)                             */
#define LPUART_CLR_WUCF_Msk               (0x100000UL)              /*!< LPUART CLR: WUCF (Bitfield-Mask: 0x01)                */
#define LPUART_CLR_WUCF(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_WUCF_Pos))&LPUART_CLR_WUCF_Msk)
#define LPUART_CLR_CMCF_Pos               (17UL)                    /*!< LPUART CLR: CMCF (Bit 17)                             */
#define LPUART_CLR_CMCF_Msk               (0x20000UL)               /*!< LPUART CLR: CMCF (Bitfield-Mask: 0x01)                */
#define LPUART_CLR_CMCF(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_CMCF_Pos))&LPUART_CLR_CMCF_Msk)
#define LPUART_CLR_TCCF_Pos               (6UL)                     /*!< LPUART CLR: TCCF (Bit 6)                              */
#define LPUART_CLR_TCCF_Msk               (0x40UL)                  /*!< LPUART CLR: TCCF (Bitfield-Mask: 0x01)                */
#define LPUART_CLR_TCCF(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_TCCF_Pos))&LPUART_CLR_TCCF_Msk)
#define LPUART_CLR_IDLECF_Pos             (4UL)                     /*!< LPUART CLR: IDLECF (Bit 4)                            */
#define LPUART_CLR_IDLECF_Msk             (0x10UL)                  /*!< LPUART CLR: IDLECF (Bitfield-Mask: 0x01)              */
#define LPUART_CLR_IDLECF(x)              (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_IDLECF_Pos))&LPUART_CLR_IDLECF_Msk)
#define LPUART_CLR_ORECF_Pos              (3UL)                     /*!< LPUART CLR: ORECF (Bit 3)                             */
#define LPUART_CLR_ORECF_Msk              (0x8UL)                   /*!< LPUART CLR: ORECF (Bitfield-Mask: 0x01)               */
#define LPUART_CLR_ORECF(x)               (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_ORECF_Pos))&LPUART_CLR_ORECF_Msk)
#define LPUART_CLR_FECF_Pos               (1UL)                     /*!< LPUART CLR: FECF (Bit 1)                              */
#define LPUART_CLR_FECF_Msk               (0x2UL)                   /*!< LPUART CLR: FECF (Bitfield-Mask: 0x01)                */
#define LPUART_CLR_FECF(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_FECF_Pos))&LPUART_CLR_FECF_Msk)
#define LPUART_CLR_PECF_Pos               (0UL)                     /*!< LPUART CLR: PECF (Bit 0)                              */
#define LPUART_CLR_PECF_Msk               (0x1UL)                   /*!< LPUART CLR: PECF (Bitfield-Mask: 0x01)                */
#define LPUART_CLR_PECF(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_CLR_PECF_Pos))&LPUART_CLR_PECF_Msk)
/* ==========================================================  RDR  ========================================================== */
#define LPUART_RDR_RDR_Pos                (0UL)                     /*!< LPUART RDR: RDR (Bit 0)                               */
#define LPUART_RDR_RDR_Msk                (0x1ffUL)                 /*!< LPUART RDR: RDR (Bitfield-Mask: 0x1ff)                */
#define LPUART_RDR_RDR(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_RDR_RDR_Pos))&LPUART_RDR_RDR_Msk)
/* ==========================================================  TDR  ========================================================== */
#define LPUART_TDR_TDR_Pos                (0UL)                     /*!< LPUART TDR: TDR (Bit 0)                               */
#define LPUART_TDR_TDR_Msk                (0x1ffUL)                 /*!< LPUART TDR: TDR (Bitfield-Mask: 0x1ff)                */
#define LPUART_TDR_TDR(x)                 (((uint32_t)(((uint32_t)(x))<<LPUART_TDR_TDR_Pos))&LPUART_TDR_TDR_Msk)
/* =========================================================  RTOR  ========================================================== */
#define LPUART_RTOR_RTO_Pos               (0UL)                     /*!< LPUART RTOR: RTO (Bit 0)                              */
#define LPUART_RTOR_RTO_Msk               (0xffffUL)                /*!< LPUART RTOR: RTO (Bitfield-Mask: 0xffff)              */
#define LPUART_RTOR_RTO(x)                (((uint32_t)(((uint32_t)(x))<<LPUART_RTOR_RTO_Pos))&LPUART_RTOR_RTO_Msk)


/* =========================================================================================================================== */
/* ================                                            PWR                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define PWR_CR_LP_MODE_Pos                (7UL)                     /*!< PWR CR: LP_MODE (Bit 7)                               */
#define PWR_CR_LP_MODE_Msk                (0x80UL)                  /*!< PWR CR: LP_MODE (Bitfield-Mask: 0x01)                 */
#define PWR_CR_LP_MODE(x)                 (((uint32_t)(((uint32_t)(x))<<PWR_CR_LP_MODE_Pos))&PWR_CR_LP_MODE_Msk)
#define PWR_CR_BG_STOP_Pos                (4UL)                     /*!< PWR CR: BG_STOP (Bit 4)                               */
#define PWR_CR_BG_STOP_Msk                (0x10UL)                  /*!< PWR CR: BG_STOP (Bitfield-Mask: 0x01)                 */
#define PWR_CR_BG_STOP(x)                 (((uint32_t)(((uint32_t)(x))<<PWR_CR_BG_STOP_Pos))&PWR_CR_BG_STOP_Msk)
#define PWR_CR_HLDO_LPMOD_Pos             (2UL)                     /*!< PWR CR: HLDO_LPMOD (Bit 2)                            */
#define PWR_CR_HLDO_LPMOD_Msk             (0x4UL)                   /*!< PWR CR: HLDO_LPMOD (Bitfield-Mask: 0x01)              */
#define PWR_CR_HLDO_LPMOD(x)              (((uint32_t)(((uint32_t)(x))<<PWR_CR_HLDO_LPMOD_Pos))&PWR_CR_HLDO_LPMOD_Msk)
#define PWR_CR_LPDS_Pos                   (0UL)                     /*!< PWR CR: LPDS (Bit 0)                                  */
#define PWR_CR_LPDS_Msk                   (0x1UL)                   /*!< PWR CR: LPDS (Bitfield-Mask: 0x01)                    */
#define PWR_CR_LPDS(x)                    (((uint32_t)(((uint32_t)(x))<<PWR_CR_LPDS_Pos))&PWR_CR_LPDS_Msk)
/* =========================================================  BORCR  ========================================================= */
#define PWR_BORCR_BOD_LEVEL_Pos           (12UL)                    /*!< PWR BORCR: BOD_LEVEL (Bit 12)                         */
#define PWR_BORCR_BOD_LEVEL_Msk           (0xf000UL)                /*!< PWR BORCR: BOD_LEVEL (Bitfield-Mask: 0x0f)            */
#define PWR_BORCR_BOD_LEVEL(x)            (((uint32_t)(((uint32_t)(x))<<PWR_BORCR_BOD_LEVEL_Pos))&PWR_BORCR_BOD_LEVEL_Msk)
#define PWR_BORCR_BOD_EN_Pos              (8UL)                     /*!< PWR BORCR: BOD_EN (Bit 8)                             */
#define PWR_BORCR_BOD_EN_Msk              (0x100UL)                 /*!< PWR BORCR: BOD_EN (Bitfield-Mask: 0x01)               */
#define PWR_BORCR_BOD_EN(x)               (((uint32_t)(((uint32_t)(x))<<PWR_BORCR_BOD_EN_Pos))&PWR_BORCR_BOD_EN_Msk)
#define PWR_BORCR_BOR_LEVEL_Pos           (4UL)                     /*!< PWR BORCR: BOR_LEVEL (Bit 4)                          */
#define PWR_BORCR_BOR_LEVEL_Msk           (0x30UL)                  /*!< PWR BORCR: BOR_LEVEL (Bitfield-Mask: 0x03)            */
#define PWR_BORCR_BOR_LEVEL(x)            (((uint32_t)(((uint32_t)(x))<<PWR_BORCR_BOR_LEVEL_Pos))&PWR_BORCR_BOR_LEVEL_Msk)
#define PWR_BORCR_BOR_EN_Pos              (0UL)                     /*!< PWR BORCR: BOR_EN (Bit 0)                             */
#define PWR_BORCR_BOR_EN_Msk              (0x1UL)                   /*!< PWR BORCR: BOR_EN (Bitfield-Mask: 0x01)               */
#define PWR_BORCR_BOR_EN(x)               (((uint32_t)(((uint32_t)(x))<<PWR_BORCR_BOR_EN_Pos))&PWR_BORCR_BOR_EN_Msk)


/* =========================================================================================================================== */
/* ================                                            RCC                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define RCC_CR_HSION_Pos                  (0UL)                     /*!< RCC CR: HSION (Bit 0)                                 */
#define RCC_CR_HSION_Msk                  (0x1UL)                   /*!< RCC CR: HSION (Bitfield-Mask: 0x01)                   */
#define RCC_CR_HSION(x)                   (((uint32_t)(((uint32_t)(x))<<RCC_CR_HSION_Pos))&RCC_CR_HSION_Msk)
#define RCC_CR_HSIKERON_Pos               (1UL)                     /*!< RCC CR: HSIKERON (Bit 1)                              */
#define RCC_CR_HSIKERON_Msk               (0x2UL)                   /*!< RCC CR: HSIKERON (Bitfield-Mask: 0x01)                */
#define RCC_CR_HSIKERON(x)                (((uint32_t)(((uint32_t)(x))<<RCC_CR_HSIKERON_Pos))&RCC_CR_HSIKERON_Msk)
#define RCC_CR_HSIDIV_Pos                 (3UL)                     /*!< RCC CR: HSIDIV (Bit 3)                                */
#define RCC_CR_HSIDIV_Msk                 (0x38UL)                  /*!< RCC CR: HSIDIV (Bitfield-Mask: 0x07)                  */
#define RCC_CR_HSIDIV(x)                  (((uint32_t)(((uint32_t)(x))<<RCC_CR_HSIDIV_Pos))&RCC_CR_HSIDIV_Msk)
#define RCC_CR_HSIRDY_TIM_Pos             (8UL)                     /*!< RCC CR: HSIRDY_TIM (Bit 8)                            */
#define RCC_CR_HSIRDY_TIM_Msk             (0x3f00UL)                /*!< RCC CR: HSIRDY_TIM (Bitfield-Mask: 0x3f)              */
#define RCC_CR_HSIRDY_TIM(x)              (((uint32_t)(((uint32_t)(x))<<RCC_CR_HSIRDY_TIM_Pos))&RCC_CR_HSIRDY_TIM_Msk)
/* =========================================================  CFGR  ========================================================== */
#define RCC_CFGR_MCOPRE_Pos               (28UL)                    /*!< RCC CFGR: MCOPRE (Bit 28)                             */
#define RCC_CFGR_MCOPRE_Msk               (0x70000000UL)            /*!< RCC CFGR: MCOPRE (Bitfield-Mask: 0x07)                */
#define RCC_CFGR_MCOPRE(x)                (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_MCOPRE_Pos))&RCC_CFGR_MCOPRE_Msk)
#define RCC_CFGR_MCOSEL_Pos               (24UL)                    /*!< RCC CFGR: MCOSEL (Bit 24)                             */
#define RCC_CFGR_MCOSEL_Msk               (0x7000000UL)             /*!< RCC CFGR: MCOSEL (Bitfield-Mask: 0x07)                */
#define RCC_CFGR_MCOSEL(x)                (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_MCOSEL_Pos))&RCC_CFGR_MCOSEL_Msk)
#define RCC_CFGR_PPRE_Pos                 (12UL)                    /*!< RCC CFGR: PPRE (Bit 12)                               */
#define RCC_CFGR_PPRE_Msk                 (0x7000UL)                /*!< RCC CFGR: PPRE (Bitfield-Mask: 0x07)                  */
#define RCC_CFGR_PPRE(x)                  (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_PPRE_Pos))&RCC_CFGR_PPRE_Msk)
#define RCC_CFGR_HPRE_Pos                 (8UL)                     /*!< RCC CFGR: HPRE (Bit 8)                                */
#define RCC_CFGR_HPRE_Msk                 (0xf00UL)                 /*!< RCC CFGR: HPRE (Bitfield-Mask: 0x0f)                  */
#define RCC_CFGR_HPRE(x)                  (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_HPRE_Pos))&RCC_CFGR_HPRE_Msk)
#define RCC_CFGR_SWS_Pos                  (3UL)                     /*!< RCC CFGR: SWS (Bit 3)                                 */
#define RCC_CFGR_SWS_Msk                  (0x38UL)                  /*!< RCC CFGR: SWS (Bitfield-Mask: 0x07)                   */
#define RCC_CFGR_SWS(x)                   (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_SWS_Pos))&RCC_CFGR_SWS_Msk)
#define RCC_CFGR_SW_Pos                   (0UL)                     /*!< RCC CFGR: SW (Bit 0)                                  */
#define RCC_CFGR_SW_Msk                   (0x7UL)                   /*!< RCC CFGR: SW (Bitfield-Mask: 0x07)                    */
#define RCC_CFGR_SW(x)                    (((uint32_t)(((uint32_t)(x))<<RCC_CFGR_SW_Pos))&RCC_CFGR_SW_Msk)
/* =========================================================  CIER  ========================================================== */
#define RCC_CIER_LSIRDYIE_Pos             (0UL)                     /*!< RCC CIER: LSIRDYIE (Bit 0)                            */
#define RCC_CIER_LSIRDYIE_Msk             (0x1UL)                   /*!< RCC CIER: LSIRDYIE (Bitfield-Mask: 0x01)              */
#define RCC_CIER_LSIRDYIE(x)              (((uint32_t)(((uint32_t)(x))<<RCC_CIER_LSIRDYIE_Pos))&RCC_CIER_LSIRDYIE_Msk)
#define RCC_CIER_LSERDYIE_Pos             (1UL)                     /*!< RCC CIER: LSERDYIE (Bit 1)                            */
#define RCC_CIER_LSERDYIE_Msk             (0x2UL)                   /*!< RCC CIER: LSERDYIE (Bitfield-Mask: 0x01)              */
#define RCC_CIER_LSERDYIE(x)              (((uint32_t)(((uint32_t)(x))<<RCC_CIER_LSERDYIE_Pos))&RCC_CIER_LSERDYIE_Msk)
#define RCC_CIER_HSIRDYIE_Pos             (3UL)                     /*!< RCC CIER: HSIRDYIE (Bit 3)                            */
#define RCC_CIER_HSIRDYIE_Msk             (0x8UL)                   /*!< RCC CIER: HSIRDYIE (Bitfield-Mask: 0x01)              */
#define RCC_CIER_HSIRDYIE(x)              (((uint32_t)(((uint32_t)(x))<<RCC_CIER_HSIRDYIE_Pos))&RCC_CIER_HSIRDYIE_Msk)
/* =========================================================  CIFR  ========================================================== */
#define RCC_CIFR_LSIRDYF_Pos              (0UL)                     /*!< RCC CIFR: LSIRDYF (Bit 0)                             */
#define RCC_CIFR_LSIRDYF_Msk              (0x1UL)                   /*!< RCC CIFR: LSIRDYF (Bitfield-Mask: 0x01)               */
#define RCC_CIFR_LSIRDYF(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CIFR_LSIRDYF_Pos))&RCC_CIFR_LSIRDYF_Msk)
#define RCC_CIFR_LSERDYF_Pos              (1UL)                     /*!< RCC CIFR: LSERDYF (Bit 1)                             */
#define RCC_CIFR_LSERDYF_Msk              (0x2UL)                   /*!< RCC CIFR: LSERDYF (Bitfield-Mask: 0x01)               */
#define RCC_CIFR_LSERDYF(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CIFR_LSERDYF_Pos))&RCC_CIFR_LSERDYF_Msk)
#define RCC_CIFR_HSIRDYF_Pos              (3UL)                     /*!< RCC CIFR: HSIRDYF (Bit 3)                             */
#define RCC_CIFR_HSIRDYF_Msk              (0x8UL)                   /*!< RCC CIFR: HSIRDYF (Bitfield-Mask: 0x01)               */
#define RCC_CIFR_HSIRDYF(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CIFR_HSIRDYF_Pos))&RCC_CIFR_HSIRDYF_Msk)
/* =========================================================  CICR  ========================================================== */
#define RCC_CICR_LSIRDYC_Pos              (0UL)                     /*!< RCC CICR: LSIRDYC (Bit 0)                             */
#define RCC_CICR_LSIRDYC_Msk              (0x1UL)                   /*!< RCC CICR: LSIRDYC (Bitfield-Mask: 0x01)               */
#define RCC_CICR_LSIRDYC(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CICR_LSIRDYC_Pos))&RCC_CICR_LSIRDYC_Msk)
#define RCC_CICR_LSERDYC_Pos              (1UL)                     /*!< RCC CICR: LSERDYC (Bit 1)                             */
#define RCC_CICR_LSERDYC_Msk              (0x2UL)                   /*!< RCC CICR: LSERDYC (Bitfield-Mask: 0x01)               */
#define RCC_CICR_LSERDYC(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CICR_LSERDYC_Pos))&RCC_CICR_LSERDYC_Msk)
#define RCC_CICR_HSIRDYC_Pos              (3UL)                     /*!< RCC CICR: HSIRDYC (Bit 3)                             */
#define RCC_CICR_HSIRDYC_Msk              (0x8UL)                   /*!< RCC CICR: HSIRDYC (Bitfield-Mask: 0x01)               */
#define RCC_CICR_HSIRDYC(x)               (((uint32_t)(((uint32_t)(x))<<RCC_CICR_HSIRDYC_Pos))&RCC_CICR_HSIRDYC_Msk)
/* ========================================================  AHBRSTR  ======================================================== */
#define RCC_AHBRSTR_CRCRST_Pos            (0UL)                     /*!< RCC AHBRSTR: CRCRST (Bit 0)                           */
#define RCC_AHBRSTR_CRCRST_Msk            (0x1UL)                   /*!< RCC AHBRSTR: CRCRST (Bitfield-Mask: 0x01)             */
#define RCC_AHBRSTR_CRCRST(x)             (((uint32_t)(((uint32_t)(x))<<RCC_AHBRSTR_CRCRST_Pos))&RCC_AHBRSTR_CRCRST_Msk)
#define RCC_AHBRSTR_GPIOARST_Pos          (1UL)                     /*!< RCC AHBRSTR: GPIOARST (Bit 1)                         */
#define RCC_AHBRSTR_GPIOARST_Msk          (0x2UL)                   /*!< RCC AHBRSTR: GPIOARST (Bitfield-Mask: 0x01)           */
#define RCC_AHBRSTR_GPIOARST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_AHBRSTR_GPIOARST_Pos))&RCC_AHBRSTR_GPIOARST_Msk)
#define RCC_AHBRSTR_GPIOBRST_Pos          (2UL)                     /*!< RCC AHBRSTR: GPIOBRST (Bit 2)                         */
#define RCC_AHBRSTR_GPIOBRST_Msk          (0x4UL)                   /*!< RCC AHBRSTR: GPIOBRST (Bitfield-Mask: 0x01)           */
#define RCC_AHBRSTR_GPIOBRST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_AHBRSTR_GPIOBRST_Pos))&RCC_AHBRSTR_GPIOBRST_Msk)
#define RCC_AHBRSTR_GPIOCRST_Pos          (3UL)                     /*!< RCC AHBRSTR: GPIOCRST (Bit 3)                         */
#define RCC_AHBRSTR_GPIOCRST_Msk          (0x8UL)                   /*!< RCC AHBRSTR: GPIOCRST (Bitfield-Mask: 0x01)           */
#define RCC_AHBRSTR_GPIOCRST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_AHBRSTR_GPIOCRST_Pos))&RCC_AHBRSTR_GPIOCRST_Msk)
/* =======================================================  APBRSTR1  ======================================================== */
#define RCC_APBRSTR1_TIM2RST_Pos          (0UL)                     /*!< RCC APBRSTR1: TIM2RST (Bit 0)                         */
#define RCC_APBRSTR1_TIM2RST_Msk          (0x1UL)                   /*!< RCC APBRSTR1: TIM2RST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_TIM2RST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_TIM2RST_Pos))&RCC_APBRSTR1_TIM2RST_Msk)
#define RCC_APBRSTR1_TIM6RST_Pos          (3UL)                     /*!< RCC APBRSTR1: TIM6RST (Bit 3)                         */
#define RCC_APBRSTR1_TIM6RST_Msk          (0x8UL)                   /*!< RCC APBRSTR1: TIM6RST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_TIM6RST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_TIM6RST_Pos))&RCC_APBRSTR1_TIM6RST_Msk)
#define RCC_APBRSTR1_TIM7RST_Pos          (4UL)                     /*!< RCC APBRSTR1: TIM7RST (Bit 4)                         */
#define RCC_APBRSTR1_TIM7RST_Msk          (0x10UL)                  /*!< RCC APBRSTR1: TIM7RST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_TIM7RST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_TIM7RST_Pos))&RCC_APBRSTR1_TIM7RST_Msk)
#define RCC_APBRSTR1_AWURST_Pos           (5UL)                     /*!< RCC APBRSTR1: AWURST (Bit 5)                          */
#define RCC_APBRSTR1_AWURST_Msk           (0x20UL)                  /*!< RCC APBRSTR1: AWURST (Bitfield-Mask: 0x01)            */
#define RCC_APBRSTR1_AWURST(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_AWURST_Pos))&RCC_APBRSTR1_AWURST_Msk)
#define RCC_APBRSTR1_IWDGRST_Pos          (6UL)                     /*!< RCC APBRSTR1: IWDGRST (Bit 6)                         */
#define RCC_APBRSTR1_IWDGRST_Msk          (0x40UL)                  /*!< RCC APBRSTR1: IWDGRST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_IWDGRST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_IWDGRST_Pos))&RCC_APBRSTR1_IWDGRST_Msk)
#define RCC_APBRSTR1_WWDGRST_Pos          (7UL)                     /*!< RCC APBRSTR1: WWDGRST (Bit 7)                         */
#define RCC_APBRSTR1_WWDGRST_Msk          (0x80UL)                  /*!< RCC APBRSTR1: WWDGRST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_WWDGRST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_WWDGRST_Pos))&RCC_APBRSTR1_WWDGRST_Msk)
#define RCC_APBRSTR1_I2C1RST_Pos          (11UL)                    /*!< RCC APBRSTR1: I2C1RST (Bit 11)                        */
#define RCC_APBRSTR1_I2C1RST_Msk          (0x800UL)                 /*!< RCC APBRSTR1: I2C1RST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR1_I2C1RST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_I2C1RST_Pos))&RCC_APBRSTR1_I2C1RST_Msk)
#define RCC_APBRSTR1_PWRRST_Pos           (13UL)                    /*!< RCC APBRSTR1: PWRRST (Bit 13)                         */
#define RCC_APBRSTR1_PWRRST_Msk           (0x2000UL)                /*!< RCC APBRSTR1: PWRRST (Bitfield-Mask: 0x01)            */
#define RCC_APBRSTR1_PWRRST(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_PWRRST_Pos))&RCC_APBRSTR1_PWRRST_Msk)
#define RCC_APBRSTR1_LPUART1RST_Pos       (16UL)                    /*!< RCC APBRSTR1: LPUART1RST (Bit 16)                     */
#define RCC_APBRSTR1_LPUART1RST_Msk       (0x10000UL)               /*!< RCC APBRSTR1: LPUART1RST (Bitfield-Mask: 0x01)        */
#define RCC_APBRSTR1_LPUART1RST(x)        (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR1_LPUART1RST_Pos))&RCC_APBRSTR1_LPUART1RST_Msk)
/* ========================================================  AHBENR  ========================================================= */
#define RCC_AHBENR_CRCEN_Pos              (0UL)                     /*!< RCC AHBENR: CRCEN (Bit 0)                             */
#define RCC_AHBENR_CRCEN_Msk              (0x1UL)                   /*!< RCC AHBENR: CRCEN (Bitfield-Mask: 0x01)               */
#define RCC_AHBENR_CRCEN(x)               (((uint32_t)(((uint32_t)(x))<<RCC_AHBENR_CRCEN_Pos))&RCC_AHBENR_CRCEN_Msk)
#define RCC_AHBENR_GPIOAEN_Pos            (1UL)                     /*!< RCC AHBENR: GPIOAEN (Bit 1)                           */
#define RCC_AHBENR_GPIOAEN_Msk            (0x2UL)                   /*!< RCC AHBENR: GPIOAEN (Bitfield-Mask: 0x01)             */
#define RCC_AHBENR_GPIOAEN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_AHBENR_GPIOAEN_Pos))&RCC_AHBENR_GPIOAEN_Msk)
#define RCC_AHBENR_GPIOBEN_Pos            (2UL)                     /*!< RCC AHBENR: GPIOBEN (Bit 2)                           */
#define RCC_AHBENR_GPIOBEN_Msk            (0x4UL)                   /*!< RCC AHBENR: GPIOBEN (Bitfield-Mask: 0x01)             */
#define RCC_AHBENR_GPIOBEN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_AHBENR_GPIOBEN_Pos))&RCC_AHBENR_GPIOBEN_Msk)
#define RCC_AHBENR_GPIOCEN_Pos            (3UL)                     /*!< RCC AHBENR: GPIOCEN (Bit 3)                           */
#define RCC_AHBENR_GPIOCEN_Msk            (0x8UL)                   /*!< RCC AHBENR: GPIOCEN (Bitfield-Mask: 0x01)             */
#define RCC_AHBENR_GPIOCEN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_AHBENR_GPIOCEN_Pos))&RCC_AHBENR_GPIOCEN_Msk)
/* ========================================================  APBENR1  ======================================================== */
#define RCC_APBENR1_TIM2EN_Pos            (0UL)                     /*!< RCC APBENR1: TIM2EN (Bit 0)                           */
#define RCC_APBENR1_TIM2EN_Msk            (0x1UL)                   /*!< RCC APBENR1: TIM2EN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_TIM2EN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_TIM2EN_Pos))&RCC_APBENR1_TIM2EN_Msk)
#define RCC_APBENR1_TIM6EN_Pos            (3UL)                     /*!< RCC APBENR1: TIM6EN (Bit 3)                           */
#define RCC_APBENR1_TIM6EN_Msk            (0x8UL)                   /*!< RCC APBENR1: TIM6EN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_TIM6EN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_TIM6EN_Pos))&RCC_APBENR1_TIM6EN_Msk)
#define RCC_APBENR1_TIM7EN_Pos            (4UL)                     /*!< RCC APBENR1: TIM7EN (Bit 4)                           */
#define RCC_APBENR1_TIM7EN_Msk            (0x10UL)                  /*!< RCC APBENR1: TIM7EN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_TIM7EN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_TIM7EN_Pos))&RCC_APBENR1_TIM7EN_Msk)
#define RCC_APBENR1_AWUEN_Pos             (5UL)                     /*!< RCC APBENR1: AWUEN (Bit 5)                            */
#define RCC_APBENR1_AWUEN_Msk             (0x20UL)                  /*!< RCC APBENR1: AWUEN (Bitfield-Mask: 0x01)              */
#define RCC_APBENR1_AWUEN(x)              (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_AWUEN_Pos))&RCC_APBENR1_AWUEN_Msk)
#define RCC_APBENR1_IWDGEN_Pos            (6UL)                     /*!< RCC APBENR1: IWDGEN (Bit 6)                           */
#define RCC_APBENR1_IWDGEN_Msk            (0x40UL)                  /*!< RCC APBENR1: IWDGEN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_IWDGEN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_IWDGEN_Pos))&RCC_APBENR1_IWDGEN_Msk)
#define RCC_APBENR1_WWDGEN_Pos            (7UL)                     /*!< RCC APBENR1: WWDGEN (Bit 7)                           */
#define RCC_APBENR1_WWDGEN_Msk            (0x80UL)                  /*!< RCC APBENR1: WWDGEN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_WWDGEN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_WWDGEN_Pos))&RCC_APBENR1_WWDGEN_Msk)
#define RCC_APBENR1_I2C1EN_Pos            (11UL)                    /*!< RCC APBENR1: I2C1EN (Bit 11)                          */
#define RCC_APBENR1_I2C1EN_Msk            (0x800UL)                 /*!< RCC APBENR1: I2C1EN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR1_I2C1EN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_I2C1EN_Pos))&RCC_APBENR1_I2C1EN_Msk)
#define RCC_APBENR1_PWREN_Pos             (13UL)                    /*!< RCC APBENR1: PWREN (Bit 13)                           */
#define RCC_APBENR1_PWREN_Msk             (0x2000UL)                /*!< RCC APBENR1: PWREN (Bitfield-Mask: 0x01)              */
#define RCC_APBENR1_PWREN(x)              (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_PWREN_Pos))&RCC_APBENR1_PWREN_Msk)
#define RCC_APBENR1_LPUART1EN_Pos         (16UL)                    /*!< RCC APBENR1: LPUART1EN (Bit 16)                       */
#define RCC_APBENR1_LPUART1EN_Msk         (0x10000UL)               /*!< RCC APBENR1: LPUART1EN (Bitfield-Mask: 0x01)          */
#define RCC_APBENR1_LPUART1EN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBENR1_LPUART1EN_Pos))&RCC_APBENR1_LPUART1EN_Msk)
/* =======================================================  AHBSMENR  ======================================================== */
#define RCC_AHBSMENR_CRCSMEN_Pos          (0UL)                     /*!< RCC AHBSMENR: CRCSMEN (Bit 0)                         */
#define RCC_AHBSMENR_CRCSMEN_Msk          (0x1UL)                   /*!< RCC AHBSMENR: CRCSMEN (Bitfield-Mask: 0x01)           */
#define RCC_AHBSMENR_CRCSMEN(x)           (((uint32_t)(((uint32_t)(x))<<RCC_AHBSMENR_CRCSMEN_Pos))&RCC_AHBSMENR_CRCSMEN_Msk)
#define RCC_AHBSMENR_GPIOASMEN_Pos        (1UL)                     /*!< RCC AHBSMENR: GPIOASMEN (Bit 1)                       */
#define RCC_AHBSMENR_GPIOASMEN_Msk        (0x2UL)                   /*!< RCC AHBSMENR: GPIOASMEN (Bitfield-Mask: 0x01)         */
#define RCC_AHBSMENR_GPIOASMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_AHBSMENR_GPIOASMEN_Pos))&RCC_AHBSMENR_GPIOASMEN_Msk)
#define RCC_AHBSMENR_GPIOBSMEN_Pos        (2UL)                     /*!< RCC AHBSMENR: GPIOBSMEN (Bit 2)                       */
#define RCC_AHBSMENR_GPIOBSMEN_Msk        (0x4UL)                   /*!< RCC AHBSMENR: GPIOBSMEN (Bitfield-Mask: 0x01)         */
#define RCC_AHBSMENR_GPIOBSMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_AHBSMENR_GPIOBSMEN_Pos))&RCC_AHBSMENR_GPIOBSMEN_Msk)
#define RCC_AHBSMENR_GPIOCSMEN_Pos        (3UL)                     /*!< RCC AHBSMENR: GPIOCSMEN (Bit 3)                       */
#define RCC_AHBSMENR_GPIOCSMEN_Msk        (0x8UL)                   /*!< RCC AHBSMENR: GPIOCSMEN (Bitfield-Mask: 0x01)         */
#define RCC_AHBSMENR_GPIOCSMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_AHBSMENR_GPIOCSMEN_Pos))&RCC_AHBSMENR_GPIOCSMEN_Msk)
/* =======================================================  APBSMENR1  ======================================================= */
#define RCC_APBSMENR1_TIM2SMEN_Pos        (0UL)                     /*!< RCC APBSMENR1: TIM2SMEN (Bit 0)                       */
#define RCC_APBSMENR1_TIM2SMEN_Msk        (0x1UL)                   /*!< RCC APBSMENR1: TIM2SMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_TIM2SMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_TIM2SMEN_Pos))&RCC_APBSMENR1_TIM2SMEN_Msk)
#define RCC_APBSMENR1_TIM6SMEN_Pos        (3UL)                     /*!< RCC APBSMENR1: TIM6SMEN (Bit 3)                       */
#define RCC_APBSMENR1_TIM6SMEN_Msk        (0x8UL)                   /*!< RCC APBSMENR1: TIM6SMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_TIM6SMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_TIM6SMEN_Pos))&RCC_APBSMENR1_TIM6SMEN_Msk)
#define RCC_APBSMENR1_TIM7SMEN_Pos        (4UL)                     /*!< RCC APBSMENR1: TIM7SMEN (Bit 4)                       */
#define RCC_APBSMENR1_TIM7SMEN_Msk        (0x10UL)                  /*!< RCC APBSMENR1: TIM7SMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_TIM7SMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_TIM7SMEN_Pos))&RCC_APBSMENR1_TIM7SMEN_Msk)
#define RCC_APBSMENR1_AWUSMEN_Pos         (5UL)                     /*!< RCC APBSMENR1: AWUSMEN (Bit 5)                        */
#define RCC_APBSMENR1_AWUSMEN_Msk         (0x20UL)                  /*!< RCC APBSMENR1: AWUSMEN (Bitfield-Mask: 0x01)          */
#define RCC_APBSMENR1_AWUSMEN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_AWUSMEN_Pos))&RCC_APBSMENR1_AWUSMEN_Msk)
#define RCC_APBSMENR1_IWDGSMEN_Pos        (6UL)                     /*!< RCC APBSMENR1: IWDGSMEN (Bit 6)                       */
#define RCC_APBSMENR1_IWDGSMEN_Msk        (0x40UL)                  /*!< RCC APBSMENR1: IWDGSMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_IWDGSMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_IWDGSMEN_Pos))&RCC_APBSMENR1_IWDGSMEN_Msk)
#define RCC_APBSMENR1_WWDGSMEN_Pos        (7UL)                     /*!< RCC APBSMENR1: WWDGSMEN (Bit 7)                       */
#define RCC_APBSMENR1_WWDGSMEN_Msk        (0x80UL)                  /*!< RCC APBSMENR1: WWDGSMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_WWDGSMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_WWDGSMEN_Pos))&RCC_APBSMENR1_WWDGSMEN_Msk)
#define RCC_APBSMENR1_I2C1SMEN_Pos        (11UL)                    /*!< RCC APBSMENR1: I2C1SMEN (Bit 11)                      */
#define RCC_APBSMENR1_I2C1SMEN_Msk        (0x800UL)                 /*!< RCC APBSMENR1: I2C1SMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR1_I2C1SMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_I2C1SMEN_Pos))&RCC_APBSMENR1_I2C1SMEN_Msk)
#define RCC_APBSMENR1_PWRSMEN_Pos         (13UL)                    /*!< RCC APBSMENR1: PWRSMEN (Bit 13)                       */
#define RCC_APBSMENR1_PWRSMEN_Msk         (0x2000UL)                /*!< RCC APBSMENR1: PWRSMEN (Bitfield-Mask: 0x01)          */
#define RCC_APBSMENR1_PWRSMEN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_PWRSMEN_Pos))&RCC_APBSMENR1_PWRSMEN_Msk)
#define RCC_APBSMENR1_LPUART1SMEN_Pos     (16UL)                    /*!< RCC APBSMENR1: LPUART1SMEN (Bit 16)                   */
#define RCC_APBSMENR1_LPUART1SMEN_Msk     (0x10000UL)               /*!< RCC APBSMENR1: LPUART1SMEN (Bitfield-Mask: 0x01)      */
#define RCC_APBSMENR1_LPUART1SMEN(x)      (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR1_LPUART1SMEN_Pos))&RCC_APBSMENR1_LPUART1SMEN_Msk)
/* =========================================================  KSEL  ========================================================== */
#define RCC_KSEL_IWDGSEL_Pos              (0UL)                     /*!< RCC KSEL: IWDGSEL (Bit 0)                             */
#define RCC_KSEL_IWDGSEL_Msk              (0x1UL)                   /*!< RCC KSEL: IWDGSEL (Bitfield-Mask: 0x01)               */
#define RCC_KSEL_IWDGSEL(x)               (((uint32_t)(((uint32_t)(x))<<RCC_KSEL_IWDGSEL_Pos))&RCC_KSEL_IWDGSEL_Msk)
#define RCC_KSEL_AWUSEL_Pos               (1UL)                     /*!< RCC KSEL: AWUSEL (Bit 1)                              */
#define RCC_KSEL_AWUSEL_Msk               (0x2UL)                   /*!< RCC KSEL: AWUSEL (Bitfield-Mask: 0x01)                */
#define RCC_KSEL_AWUSEL(x)                (((uint32_t)(((uint32_t)(x))<<RCC_KSEL_AWUSEL_Pos))&RCC_KSEL_AWUSEL_Msk)
#define RCC_KSEL_LCDSEL_Pos               (2UL)                     /*!< RCC KSEL: LCDSEL (Bit 2)                              */
#define RCC_KSEL_LCDSEL_Msk               (0x4UL)                   /*!< RCC KSEL: LCDSEL (Bitfield-Mask: 0x01)                */
#define RCC_KSEL_LCDSEL(x)                (((uint32_t)(((uint32_t)(x))<<RCC_KSEL_LCDSEL_Pos))&RCC_KSEL_LCDSEL_Msk)
#define RCC_KSEL_LPUART1SEL_Pos           (8UL)                     /*!< RCC KSEL: LPUART1SEL (Bit 8)                          */
#define RCC_KSEL_LPUART1SEL_Msk           (0x300UL)                 /*!< RCC KSEL: LPUART1SEL (Bitfield-Mask: 0x03)            */
#define RCC_KSEL_LPUART1SEL(x)            (((uint32_t)(((uint32_t)(x))<<RCC_KSEL_LPUART1SEL_Pos))&RCC_KSEL_LPUART1SEL_Msk)
#define RCC_KSEL_ADCSEL_Pos               (30UL)                    /*!< RCC KSEL: ADCSEL (Bit 30)                             */
#define RCC_KSEL_ADCSEL_Msk               (0x40000000UL)            /*!< RCC KSEL: ADCSEL (Bitfield-Mask: 0x01)                */
#define RCC_KSEL_ADCSEL(x)                (((uint32_t)(((uint32_t)(x))<<RCC_KSEL_ADCSEL_Pos))&RCC_KSEL_ADCSEL_Msk)
/* =========================================================  RSTID  ========================================================= */
#define RCC_RSTID_CFG_RSTF_Pos            (31UL)                    /*!< RCC RSTID: CFG_RSTF (Bit 31)                          */
#define RCC_RSTID_CFG_RSTF_Msk            (0x80000000UL)            /*!< RCC RSTID: CFG_RSTF (Bitfield-Mask: 0x01)             */
#define RCC_RSTID_CFG_RSTF(x)             (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_CFG_RSTF_Pos))&RCC_RSTID_CFG_RSTF_Msk)
#define RCC_RSTID_WWDGRSTF_Pos            (30UL)                    /*!< RCC RSTID: WWDGRSTF (Bit 30)                          */
#define RCC_RSTID_WWDGRSTF_Msk            (0x40000000UL)            /*!< RCC RSTID: WWDGRSTF (Bitfield-Mask: 0x01)             */
#define RCC_RSTID_WWDGRSTF(x)             (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_WWDGRSTF_Pos))&RCC_RSTID_WWDGRSTF_Msk)
#define RCC_RSTID_IWDGRSTF_Pos            (29UL)                    /*!< RCC RSTID: IWDGRSTF (Bit 29)                          */
#define RCC_RSTID_IWDGRSTF_Msk            (0x20000000UL)            /*!< RCC RSTID: IWDGRSTF (Bitfield-Mask: 0x01)             */
#define RCC_RSTID_IWDGRSTF(x)             (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_IWDGRSTF_Pos))&RCC_RSTID_IWDGRSTF_Msk)
#define RCC_RSTID_SFTRSTF_Pos             (28UL)                    /*!< RCC RSTID: SFTRSTF (Bit 28)                           */
#define RCC_RSTID_SFTRSTF_Msk             (0x10000000UL)            /*!< RCC RSTID: SFTRSTF (Bitfield-Mask: 0x01)              */
#define RCC_RSTID_SFTRSTF(x)              (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_SFTRSTF_Pos))&RCC_RSTID_SFTRSTF_Msk)
#define RCC_RSTID_PWRRSTF_Pos             (27UL)                    /*!< RCC RSTID: PWRRSTF (Bit 27)                           */
#define RCC_RSTID_PWRRSTF_Msk             (0x8000000UL)             /*!< RCC RSTID: PWRRSTF (Bitfield-Mask: 0x01)              */
#define RCC_RSTID_PWRRSTF(x)              (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_PWRRSTF_Pos))&RCC_RSTID_PWRRSTF_Msk)
#define RCC_RSTID_PINRSTF_Pos             (26UL)                    /*!< RCC RSTID: PINRSTF (Bit 26)                           */
#define RCC_RSTID_PINRSTF_Msk             (0x4000000UL)             /*!< RCC RSTID: PINRSTF (Bitfield-Mask: 0x01)              */
#define RCC_RSTID_PINRSTF(x)              (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_PINRSTF_Pos))&RCC_RSTID_PINRSTF_Msk)
#define RCC_RSTID_RMVF_Pos                (23UL)                    /*!< RCC RSTID: RMVF (Bit 23)                              */
#define RCC_RSTID_RMVF_Msk                (0x800000UL)              /*!< RCC RSTID: RMVF (Bitfield-Mask: 0x01)                 */
#define RCC_RSTID_RMVF(x)                 (((uint32_t)(((uint32_t)(x))<<RCC_RSTID_RMVF_Pos))&RCC_RSTID_RMVF_Msk)
/* =========================================================  LSICR  ========================================================= */
#define RCC_LSICR_LSION_Pos               (0UL)                     /*!< RCC LSICR: LSION (Bit 0)                              */
#define RCC_LSICR_LSION_Msk               (0x1UL)                   /*!< RCC LSICR: LSION (Bitfield-Mask: 0x01)                */
#define RCC_LSICR_LSION(x)                (((uint32_t)(((uint32_t)(x))<<RCC_LSICR_LSION_Pos))&RCC_LSICR_LSION_Msk)
#define RCC_LSICR_LSI_RDY_TIME_Pos        (4UL)                     /*!< RCC LSICR: LSI_RDY_TIME (Bit 4)                       */
#define RCC_LSICR_LSI_RDY_TIME_Msk        (0x30UL)                  /*!< RCC LSICR: LSI_RDY_TIME (Bitfield-Mask: 0x03)         */
#define RCC_LSICR_LSI_RDY_TIME(x)         (((uint32_t)(((uint32_t)(x))<<RCC_LSICR_LSI_RDY_TIME_Pos))&RCC_LSICR_LSI_RDY_TIME_Msk)
/* =========================================================  LSECR  ========================================================= */
#define RCC_LSECR_LSEON_Pos               (0UL)                     /*!< RCC LSECR: LSEON (Bit 0)                              */
#define RCC_LSECR_LSEON_Msk               (0x1UL)                   /*!< RCC LSECR: LSEON (Bitfield-Mask: 0x01)                */
#define RCC_LSECR_LSEON(x)                (((uint32_t)(((uint32_t)(x))<<RCC_LSECR_LSEON_Pos))&RCC_LSECR_LSEON_Msk)
#define RCC_LSECR_LSE_RDY_TIME_Pos        (4UL)                     /*!< RCC LSECR: LSE_RDY_TIME (Bit 4)                       */
#define RCC_LSECR_LSE_RDY_TIME_Msk        (0x30UL)                  /*!< RCC LSECR: LSE_RDY_TIME (Bitfield-Mask: 0x03)         */
#define RCC_LSECR_LSE_RDY_TIME(x)         (((uint32_t)(((uint32_t)(x))<<RCC_LSECR_LSE_RDY_TIME_Pos))&RCC_LSECR_LSE_RDY_TIME_Msk)
/* =========================================================  SCMCR  ========================================================= */
#define RCC_SCMCR_LSEMEN_Pos              (0UL)                     /*!< RCC SCMCR: LSEMEN (Bit 0)                             */
#define RCC_SCMCR_LSEMEN_Msk              (0x1UL)                   /*!< RCC SCMCR: LSEMEN (Bitfield-Mask: 0x01)               */
#define RCC_SCMCR_LSEMEN(x)               (((uint32_t)(((uint32_t)(x))<<RCC_SCMCR_LSEMEN_Pos))&RCC_SCMCR_LSEMEN_Msk)
#define RCC_SCMCR_SLOWIE_Pos              (1UL)                     /*!< RCC SCMCR: SLOWIE (Bit 1)                             */
#define RCC_SCMCR_SLOWIE_Msk              (0x2UL)                   /*!< RCC SCMCR: SLOWIE (Bitfield-Mask: 0x01)               */
#define RCC_SCMCR_SLOWIE(x)               (((uint32_t)(((uint32_t)(x))<<RCC_SCMCR_SLOWIE_Pos))&RCC_SCMCR_SLOWIE_Msk)
#define RCC_SCMCR_FASTIE_Pos              (2UL)                     /*!< RCC SCMCR: FASTIE (Bit 2)                             */
#define RCC_SCMCR_FASTIE_Msk              (0x4UL)                   /*!< RCC SCMCR: FASTIE (Bitfield-Mask: 0x01)               */
#define RCC_SCMCR_FASTIE(x)               (((uint32_t)(((uint32_t)(x))<<RCC_SCMCR_FASTIE_Pos))&RCC_SCMCR_FASTIE_Msk)
#define RCC_SCMCR_MT_Pos                  (3UL)                     /*!< RCC SCMCR: MT (Bit 3)                                 */
#define RCC_SCMCR_MT_Msk                  (0x8UL)                   /*!< RCC SCMCR: MT (Bitfield-Mask: 0x01)                   */
#define RCC_SCMCR_MT(x)                   (((uint32_t)(((uint32_t)(x))<<RCC_SCMCR_MT_Pos))&RCC_SCMCR_MT_Msk)
/* ========================================================  SCMFLAG  ======================================================== */
#define RCC_SCMFLAG_SLOWF_Pos             (0UL)                     /*!< RCC SCMFLAG: SLOWF (Bit 0)                            */
#define RCC_SCMFLAG_SLOWF_Msk             (0x1UL)                   /*!< RCC SCMFLAG: SLOWF (Bitfield-Mask: 0x01)              */
#define RCC_SCMFLAG_SLOWF(x)              (((uint32_t)(((uint32_t)(x))<<RCC_SCMFLAG_SLOWF_Pos))&RCC_SCMFLAG_SLOWF_Msk)
#define RCC_SCMFLAG_FASTF_Pos             (1UL)                     /*!< RCC SCMFLAG: FASTF (Bit 1)                            */
#define RCC_SCMFLAG_FASTF_Msk             (0x2UL)                   /*!< RCC SCMFLAG: FASTF (Bitfield-Mask: 0x01)              */
#define RCC_SCMFLAG_FASTF(x)              (((uint32_t)(((uint32_t)(x))<<RCC_SCMFLAG_FASTF_Pos))&RCC_SCMFLAG_FASTF_Msk)
/* =======================================================  APBRSTR2  ======================================================== */
#define RCC_APBRSTR2_TIM10RST_Pos         (0UL)                     /*!< RCC APBRSTR2: TIM10RST (Bit 0)                        */
#define RCC_APBRSTR2_TIM10RST_Msk         (0x1UL)                   /*!< RCC APBRSTR2: TIM10RST (Bitfield-Mask: 0x01)          */
#define RCC_APBRSTR2_TIM10RST(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_TIM10RST_Pos))&RCC_APBRSTR2_TIM10RST_Msk)
#define RCC_APBRSTR2_TIM16RST_Pos         (5UL)                     /*!< RCC APBRSTR2: TIM16RST (Bit 5)                        */
#define RCC_APBRSTR2_TIM16RST_Msk         (0x20UL)                  /*!< RCC APBRSTR2: TIM16RST (Bitfield-Mask: 0x01)          */
#define RCC_APBRSTR2_TIM16RST(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_TIM16RST_Pos))&RCC_APBRSTR2_TIM16RST_Msk)
#define RCC_APBRSTR2_USART1RST_Pos        (9UL)                     /*!< RCC APBRSTR2: USART1RST (Bit 9)                       */
#define RCC_APBRSTR2_USART1RST_Msk        (0x200UL)                 /*!< RCC APBRSTR2: USART1RST (Bitfield-Mask: 0x01)         */
#define RCC_APBRSTR2_USART1RST(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_USART1RST_Pos))&RCC_APBRSTR2_USART1RST_Msk)
#define RCC_APBRSTR2_SPI1RST_Pos          (10UL)                    /*!< RCC APBRSTR2: SPI1RST (Bit 10)                        */
#define RCC_APBRSTR2_SPI1RST_Msk          (0x400UL)                 /*!< RCC APBRSTR2: SPI1RST (Bitfield-Mask: 0x01)           */
#define RCC_APBRSTR2_SPI1RST(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_SPI1RST_Pos))&RCC_APBRSTR2_SPI1RST_Msk)
#define RCC_APBRSTR2_ADCRST_Pos           (12UL)                    /*!< RCC APBRSTR2: ADCRST (Bit 12)                         */
#define RCC_APBRSTR2_ADCRST_Msk           (0x1000UL)                /*!< RCC APBRSTR2: ADCRST (Bitfield-Mask: 0x01)            */
#define RCC_APBRSTR2_ADCRST(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_ADCRST_Pos))&RCC_APBRSTR2_ADCRST_Msk)
#define RCC_APBRSTR2_LCDRST_Pos           (13UL)                    /*!< RCC APBRSTR2: LCDRST (Bit 13)                         */
#define RCC_APBRSTR2_LCDRST_Msk           (0x2000UL)                /*!< RCC APBRSTR2: LCDRST (Bitfield-Mask: 0x01)            */
#define RCC_APBRSTR2_LCDRST(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_LCDRST_Pos))&RCC_APBRSTR2_LCDRST_Msk)
#define RCC_APBRSTR2_SYSCFGRST_Pos        (14UL)                    /*!< RCC APBRSTR2: SYSCFGRST (Bit 14)                      */
#define RCC_APBRSTR2_SYSCFGRST_Msk        (0x4000UL)                /*!< RCC APBRSTR2: SYSCFGRST (Bitfield-Mask: 0x01)         */
#define RCC_APBRSTR2_SYSCFGRST(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_SYSCFGRST_Pos))&RCC_APBRSTR2_SYSCFGRST_Msk)
#define RCC_APBRSTR2_DBGRST_Pos           (15UL)                    /*!< RCC APBRSTR2: DBGRST (Bit 15)                         */
#define RCC_APBRSTR2_DBGRST_Msk           (0x8000UL)                /*!< RCC APBRSTR2: DBGRST (Bitfield-Mask: 0x01)            */
#define RCC_APBRSTR2_DBGRST(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_DBGRST_Pos))&RCC_APBRSTR2_DBGRST_Msk)
#define RCC_APBRSTR2_TKRST_Pos            (16UL)                    /*!< RCC APBRSTR2: TKRST (Bit 16)                          */
#define RCC_APBRSTR2_TKRST_Msk            (0x10000UL)               /*!< RCC APBRSTR2: TKRST (Bitfield-Mask: 0x01)             */
#define RCC_APBRSTR2_TKRST(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBRSTR2_TKRST_Pos))&RCC_APBRSTR2_TKRST_Msk)
/* ========================================================  APBENR2  ======================================================== */
#define RCC_APBENR2_TIM10EN_Pos           (0UL)                     /*!< RCC APBENR2: TIM10EN (Bit 0)                          */
#define RCC_APBENR2_TIM10EN_Msk           (0x1UL)                   /*!< RCC APBENR2: TIM10EN (Bitfield-Mask: 0x01)            */
#define RCC_APBENR2_TIM10EN(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_TIM10EN_Pos))&RCC_APBENR2_TIM10EN_Msk)
#define RCC_APBENR2_TIM16EN_Pos           (5UL)                     /*!< RCC APBENR2: TIM16EN (Bit 5)                          */
#define RCC_APBENR2_TIM16EN_Msk           (0x20UL)                  /*!< RCC APBENR2: TIM16EN (Bitfield-Mask: 0x01)            */
#define RCC_APBENR2_TIM16EN(x)            (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_TIM16EN_Pos))&RCC_APBENR2_TIM16EN_Msk)
#define RCC_APBENR2_USART1EN_Pos          (9UL)                     /*!< RCC APBENR2: USART1EN (Bit 9)                         */
#define RCC_APBENR2_USART1EN_Msk          (0x200UL)                 /*!< RCC APBENR2: USART1EN (Bitfield-Mask: 0x01)           */
#define RCC_APBENR2_USART1EN(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_USART1EN_Pos))&RCC_APBENR2_USART1EN_Msk)
#define RCC_APBENR2_SPI1EN_Pos            (10UL)                    /*!< RCC APBENR2: SPI1EN (Bit 10)                          */
#define RCC_APBENR2_SPI1EN_Msk            (0x400UL)                 /*!< RCC APBENR2: SPI1EN (Bitfield-Mask: 0x01)             */
#define RCC_APBENR2_SPI1EN(x)             (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_SPI1EN_Pos))&RCC_APBENR2_SPI1EN_Msk)
#define RCC_APBENR2_ADCEN_Pos             (12UL)                    /*!< RCC APBENR2: ADCEN (Bit 12)                           */
#define RCC_APBENR2_ADCEN_Msk             (0x1000UL)                /*!< RCC APBENR2: ADCEN (Bitfield-Mask: 0x01)              */
#define RCC_APBENR2_ADCEN(x)              (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_ADCEN_Pos))&RCC_APBENR2_ADCEN_Msk)
#define RCC_APBENR2_LCDEN_Pos             (13UL)                    /*!< RCC APBENR2: LCDEN (Bit 13)                           */
#define RCC_APBENR2_LCDEN_Msk             (0x2000UL)                /*!< RCC APBENR2: LCDEN (Bitfield-Mask: 0x01)              */
#define RCC_APBENR2_LCDEN(x)              (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_LCDEN_Pos))&RCC_APBENR2_LCDEN_Msk)
#define RCC_APBENR2_SYSCFGEN_Pos          (14UL)                    /*!< RCC APBENR2: SYSCFGEN (Bit 14)                        */
#define RCC_APBENR2_SYSCFGEN_Msk          (0x4000UL)                /*!< RCC APBENR2: SYSCFGEN (Bitfield-Mask: 0x01)           */
#define RCC_APBENR2_SYSCFGEN(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_SYSCFGEN_Pos))&RCC_APBENR2_SYSCFGEN_Msk)
#define RCC_APBENR2_DBGEN_Pos             (15UL)                    /*!< RCC APBENR2: DBGEN (Bit 15)                           */
#define RCC_APBENR2_DBGEN_Msk             (0x8000UL)                /*!< RCC APBENR2: DBGEN (Bitfield-Mask: 0x01)              */
#define RCC_APBENR2_DBGEN(x)              (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_DBGEN_Pos))&RCC_APBENR2_DBGEN_Msk)
#define RCC_APBENR2_TKEN_Pos              (16UL)                    /*!< RCC APBENR2: TKEN (Bit 16)                            */
#define RCC_APBENR2_TKEN_Msk              (0x10000UL)               /*!< RCC APBENR2: TKEN (Bitfield-Mask: 0x01)               */
#define RCC_APBENR2_TKEN(x)               (((uint32_t)(((uint32_t)(x))<<RCC_APBENR2_TKEN_Pos))&RCC_APBENR2_TKEN_Msk)
/* =======================================================  APBSMENR2  ======================================================= */
#define RCC_APBSMENR2_TKSMEN_Pos          (16UL)                    /*!< RCC APBSMENR2: TKSMEN (Bit 16)                        */
#define RCC_APBSMENR2_TKSMEN_Msk          (0x10000UL)               /*!< RCC APBSMENR2: TKSMEN (Bitfield-Mask: 0x01)           */
#define RCC_APBSMENR2_TKSMEN(x)           (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_TKSMEN_Pos))&RCC_APBSMENR2_TKSMEN_Msk)
#define RCC_APBSMENR2_DBGSMEN_Pos         (15UL)                    /*!< RCC APBSMENR2: DBGSMEN (Bit 15)                       */
#define RCC_APBSMENR2_DBGSMEN_Msk         (0x8000UL)                /*!< RCC APBSMENR2: DBGSMEN (Bitfield-Mask: 0x01)          */
#define RCC_APBSMENR2_DBGSMEN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_DBGSMEN_Pos))&RCC_APBSMENR2_DBGSMEN_Msk)
#define RCC_APBSMENR2_SYSCFGSMEN_Pos      (14UL)                    /*!< RCC APBSMENR2: SYSCFGSMEN (Bit 14)                    */
#define RCC_APBSMENR2_SYSCFGSMEN_Msk      (0x4000UL)                /*!< RCC APBSMENR2: SYSCFGSMEN (Bitfield-Mask: 0x01)       */
#define RCC_APBSMENR2_SYSCFGSMEN(x)       (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_SYSCFGSMEN_Pos))&RCC_APBSMENR2_SYSCFGSMEN_Msk)
#define RCC_APBSMENR2_LCDSMEN_Pos         (13UL)                    /*!< RCC APBSMENR2: LCDSMEN (Bit 13)                       */
#define RCC_APBSMENR2_LCDSMEN_Msk         (0x2000UL)                /*!< RCC APBSMENR2: LCDSMEN (Bitfield-Mask: 0x01)          */
#define RCC_APBSMENR2_LCDSMEN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_LCDSMEN_Pos))&RCC_APBSMENR2_LCDSMEN_Msk)
#define RCC_APBSMENR2_ADCSMEN_Pos         (12UL)                    /*!< RCC APBSMENR2: ADCSMEN (Bit 12)                       */
#define RCC_APBSMENR2_ADCSMEN_Msk         (0x1000UL)                /*!< RCC APBSMENR2: ADCSMEN (Bitfield-Mask: 0x01)          */
#define RCC_APBSMENR2_ADCSMEN(x)          (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_ADCSMEN_Pos))&RCC_APBSMENR2_ADCSMEN_Msk)
#define RCC_APBSMENR2_SPI1SMEN_Pos        (10UL)                    /*!< RCC APBSMENR2: SPI1SMEN (Bit 10)                      */
#define RCC_APBSMENR2_SPI1SMEN_Msk        (0x400UL)                 /*!< RCC APBSMENR2: SPI1SMEN (Bitfield-Mask: 0x01)         */
#define RCC_APBSMENR2_SPI1SMEN(x)         (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_SPI1SMEN_Pos))&RCC_APBSMENR2_SPI1SMEN_Msk)
#define RCC_APBSMENR2_USART1SMEN_Pos      (9UL)                     /*!< RCC APBSMENR2: USART1SMEN (Bit 9)                     */
#define RCC_APBSMENR2_USART1SMEN_Msk      (0x200UL)                 /*!< RCC APBSMENR2: USART1SMEN (Bitfield-Mask: 0x01)       */
#define RCC_APBSMENR2_USART1SMEN(x)       (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_USART1SMEN_Pos))&RCC_APBSMENR2_USART1SMEN_Msk)
#define RCC_APBSMENR2_TIM16SMEN_Pos       (5UL)                     /*!< RCC APBSMENR2: TIM16SMEN (Bit 5)                      */
#define RCC_APBSMENR2_TIM16SMEN_Msk       (0x20UL)                  /*!< RCC APBSMENR2: TIM16SMEN (Bitfield-Mask: 0x01)        */
#define RCC_APBSMENR2_TIM16SMEN(x)        (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_TIM16SMEN_Pos))&RCC_APBSMENR2_TIM16SMEN_Msk)
#define RCC_APBSMENR2_TIM10SMEN_Pos       (0UL)                     /*!< RCC APBSMENR2: TIM10SMEN (Bit 0)                      */
#define RCC_APBSMENR2_TIM10SMEN_Msk       (0x1UL)                   /*!< RCC APBSMENR2: TIM10SMEN (Bitfield-Mask: 0x01)        */
#define RCC_APBSMENR2_TIM10SMEN(x)        (((uint32_t)(((uint32_t)(x))<<RCC_APBSMENR2_TIM10SMEN_Pos))&RCC_APBSMENR2_TIM10SMEN_Msk)


/* =========================================================================================================================== */
/* ================                                            SPI                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR1  ========================================================== */
#define SPI_CR1_MSTR_Pos                  (0UL)                     /*!< SPI CR1: MSTR (Bit 0)                                 */
#define SPI_CR1_MSTR_Msk                  (0x1UL)                   /*!< SPI CR1: MSTR (Bitfield-Mask: 0x01)                   */
#define SPI_CR1_MSTR(x)                   (((uint32_t)(((uint32_t)(x))<<SPI_CR1_MSTR_Pos))&SPI_CR1_MSTR_Msk)
#define SPI_CR1_TMOD_Pos                  (1UL)                     /*!< SPI CR1: TMOD (Bit 1)                                 */
#define SPI_CR1_TMOD_Msk                  (0x6UL)                   /*!< SPI CR1: TMOD (Bitfield-Mask: 0x03)                   */
#define SPI_CR1_TMOD(x)                   (((uint32_t)(((uint32_t)(x))<<SPI_CR1_TMOD_Pos))&SPI_CR1_TMOD_Msk)
#define SPI_CR1_HDDIR_Pos                 (3UL)                     /*!< SPI CR1: HDDIR (Bit 3)                                */
#define SPI_CR1_HDDIR_Msk                 (0x8UL)                   /*!< SPI CR1: HDDIR (Bitfield-Mask: 0x01)                  */
#define SPI_CR1_HDDIR(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_CR1_HDDIR_Pos))&SPI_CR1_HDDIR_Msk)
#define SPI_CR1_SSPOL_Pos                 (4UL)                     /*!< SPI CR1: SSPOL (Bit 4)                                */
#define SPI_CR1_SSPOL_Msk                 (0x10UL)                  /*!< SPI CR1: SSPOL (Bitfield-Mask: 0x01)                  */
#define SPI_CR1_SSPOL(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_CR1_SSPOL_Pos))&SPI_CR1_SSPOL_Msk)
#define SPI_CR1_FRF_Pos                   (5UL)                     /*!< SPI CR1: FRF (Bit 5)                                  */
#define SPI_CR1_FRF_Msk                   (0x60UL)                  /*!< SPI CR1: FRF (Bitfield-Mask: 0x03)                    */
#define SPI_CR1_FRF(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_CR1_FRF_Pos))&SPI_CR1_FRF_Msk)
#define SPI_CR1_WUEN_Pos                  (7UL)                     /*!< SPI CR1: WUEN (Bit 7)                                 */
#define SPI_CR1_WUEN_Msk                  (0x80UL)                  /*!< SPI CR1: WUEN (Bitfield-Mask: 0x01)                   */
#define SPI_CR1_WUEN(x)                   (((uint32_t)(((uint32_t)(x))<<SPI_CR1_WUEN_Pos))&SPI_CR1_WUEN_Msk)
#define SPI_CR1_FLTCL_Pos                 (8UL)                     /*!< SPI CR1: FLTCL (Bit 8)                                */
#define SPI_CR1_FLTCL_Msk                 (0x100UL)                 /*!< SPI CR1: FLTCL (Bitfield-Mask: 0x01)                  */
#define SPI_CR1_FLTCL(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_CR1_FLTCL_Pos))&SPI_CR1_FLTCL_Msk)
/* ==========================================================  CR2  ========================================================== */
#define SPI_CR2_FCLKEN_Pos                (0UL)                     /*!< SPI CR2: FCLKEN (Bit 0)                               */
#define SPI_CR2_FCLKEN_Msk                (0x1UL)                   /*!< SPI CR2: FCLKEN (Bitfield-Mask: 0x01)                 */
#define SPI_CR2_FCLKEN(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_CR2_FCLKEN_Pos))&SPI_CR2_FCLKEN_Msk)
#define SPI_CR2_FCLKSEL_Pos               (1UL)                     /*!< SPI CR2: FCLKSEL (Bit 1)                              */
#define SPI_CR2_FCLKSEL_Msk               (0x2UL)                   /*!< SPI CR2: FCLKSEL (Bitfield-Mask: 0x01)                */
#define SPI_CR2_FCLKSEL(x)                (((uint32_t)(((uint32_t)(x))<<SPI_CR2_FCLKSEL_Pos))&SPI_CR2_FCLKSEL_Msk)
#define SPI_CR2_CPHA_Pos                  (2UL)                     /*!< SPI CR2: CPHA (Bit 2)                                 */
#define SPI_CR2_CPHA_Msk                  (0x4UL)                   /*!< SPI CR2: CPHA (Bitfield-Mask: 0x01)                   */
#define SPI_CR2_CPHA(x)                   (((uint32_t)(((uint32_t)(x))<<SPI_CR2_CPHA_Pos))&SPI_CR2_CPHA_Msk)
#define SPI_CR2_CPOL_Pos                  (3UL)                     /*!< SPI CR2: CPOL (Bit 3)                                 */
#define SPI_CR2_CPOL_Msk                  (0x8UL)                   /*!< SPI CR2: CPOL (Bitfield-Mask: 0x01)                   */
#define SPI_CR2_CPOL(x)                   (((uint32_t)(((uint32_t)(x))<<SPI_CR2_CPOL_Pos))&SPI_CR2_CPOL_Msk)
#define SPI_CR2_SSI_Pos                   (4UL)                     /*!< SPI CR2: SSI (Bit 4)                                  */
#define SPI_CR2_SSI_Msk                   (0x10UL)                  /*!< SPI CR2: SSI (Bitfield-Mask: 0x01)                    */
#define SPI_CR2_SSI(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_CR2_SSI_Pos))&SPI_CR2_SSI_Msk)
#define SPI_CR2_SSM_Pos                   (5UL)                     /*!< SPI CR2: SSM (Bit 5)                                  */
#define SPI_CR2_SSM_Msk                   (0x20UL)                  /*!< SPI CR2: SSM (Bitfield-Mask: 0x01)                    */
#define SPI_CR2_SSM(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_CR2_SSM_Pos))&SPI_CR2_SSM_Msk)
#define SPI_CR2_MMSEL_Pos                 (6UL)                     /*!< SPI CR2: MMSEL (Bit 6)                                */
#define SPI_CR2_MMSEL_Msk                 (0x40UL)                  /*!< SPI CR2: MMSEL (Bitfield-Mask: 0x01)                  */
#define SPI_CR2_MMSEL(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_CR2_MMSEL_Pos))&SPI_CR2_MMSEL_Msk)
#define SPI_CR2_LSBFIRST_Pos              (7UL)                     /*!< SPI CR2: LSBFIRST (Bit 7)                             */
#define SPI_CR2_LSBFIRST_Msk              (0x80UL)                  /*!< SPI CR2: LSBFIRST (Bitfield-Mask: 0x01)               */
#define SPI_CR2_LSBFIRST(x)               (((uint32_t)(((uint32_t)(x))<<SPI_CR2_LSBFIRST_Pos))&SPI_CR2_LSBFIRST_Msk)
#define SPI_CR2_REORDER_Pos               (8UL)                     /*!< SPI CR2: REORDER (Bit 8)                              */
#define SPI_CR2_REORDER_Msk               (0x100UL)                 /*!< SPI CR2: REORDER (Bitfield-Mask: 0x01)                */
#define SPI_CR2_REORDER(x)                (((uint32_t)(((uint32_t)(x))<<SPI_CR2_REORDER_Pos))&SPI_CR2_REORDER_Msk)
#define SPI_CR2_LENGTH_Pos                (10UL)                    /*!< SPI CR2: LENGTH (Bit 10)                              */
#define SPI_CR2_LENGTH_Msk                (0x7c00UL)                /*!< SPI CR2: LENGTH (Bitfield-Mask: 0x1f)                 */
#define SPI_CR2_LENGTH(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_CR2_LENGTH_Pos))&SPI_CR2_LENGTH_Msk)
/* ==========================================================  IER  ========================================================== */
#define SPI_IER_TXEIE_Pos                 (0UL)                     /*!< SPI IER: TXEIE (Bit 0)                                */
#define SPI_IER_TXEIE_Msk                 (0x1UL)                   /*!< SPI IER: TXEIE (Bitfield-Mask: 0x01)                  */
#define SPI_IER_TXEIE(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_IER_TXEIE_Pos))&SPI_IER_TXEIE_Msk)
#define SPI_IER_TXFIE_Pos                 (1UL)                     /*!< SPI IER: TXFIE (Bit 1)                                */
#define SPI_IER_TXFIE_Msk                 (0x2UL)                   /*!< SPI IER: TXFIE (Bitfield-Mask: 0x01)                  */
#define SPI_IER_TXFIE(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_IER_TXFIE_Pos))&SPI_IER_TXFIE_Msk)
#define SPI_IER_TXWRIE_Pos                (2UL)                     /*!< SPI IER: TXWRIE (Bit 2)                               */
#define SPI_IER_TXWRIE_Msk                (0x4UL)                   /*!< SPI IER: TXWRIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_TXWRIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_TXWRIE_Pos))&SPI_IER_TXWRIE_Msk)
#define SPI_IER_MMFIE_Pos                 (3UL)                     /*!< SPI IER: MMFIE (Bit 3)                                */
#define SPI_IER_MMFIE_Msk                 (0x8UL)                   /*!< SPI IER: MMFIE (Bitfield-Mask: 0x01)                  */
#define SPI_IER_MMFIE(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_IER_MMFIE_Pos))&SPI_IER_MMFIE_Msk)
#define SPI_IER_RXNEIE_Pos                (4UL)                     /*!< SPI IER: RXNEIE (Bit 4)                               */
#define SPI_IER_RXNEIE_Msk                (0x10UL)                  /*!< SPI IER: RXNEIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_RXNEIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_RXNEIE_Pos))&SPI_IER_RXNEIE_Msk)
#define SPI_IER_RXFIE_Pos                 (5UL)                     /*!< SPI IER: RXFIE (Bit 5)                                */
#define SPI_IER_RXFIE_Msk                 (0x20UL)                  /*!< SPI IER: RXFIE (Bitfield-Mask: 0x01)                  */
#define SPI_IER_RXFIE(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_IER_RXFIE_Pos))&SPI_IER_RXFIE_Msk)
#define SPI_IER_RXWRIE_Pos                (6UL)                     /*!< SPI IER: RXWRIE (Bit 6)                               */
#define SPI_IER_RXWRIE_Msk                (0x40UL)                  /*!< SPI IER: RXWRIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_RXWRIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_RXWRIE_Pos))&SPI_IER_RXWRIE_Msk)
#define SPI_IER_RXOVIE_Pos                (7UL)                     /*!< SPI IER: RXOVIE (Bit 7)                               */
#define SPI_IER_RXOVIE_Msk                (0x80UL)                  /*!< SPI IER: RXOVIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_RXOVIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_RXOVIE_Pos))&SPI_IER_RXOVIE_Msk)
#define SPI_IER_FERRIE_Pos                (8UL)                     /*!< SPI IER: FERRIE (Bit 8)                               */
#define SPI_IER_FERRIE_Msk                (0x100UL)                 /*!< SPI IER: FERRIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_FERRIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_FERRIE_Pos))&SPI_IER_FERRIE_Msk)
#define SPI_IER_MAWUIE_Pos                (9UL)                     /*!< SPI IER: MAWUIE (Bit 9)                               */
#define SPI_IER_MAWUIE_Msk                (0x200UL)                 /*!< SPI IER: MAWUIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_MAWUIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_MAWUIE_Pos))&SPI_IER_MAWUIE_Msk)
#define SPI_IER_FENDIE_Pos                (11UL)                    /*!< SPI IER: FENDIE (Bit 11)                              */
#define SPI_IER_FENDIE_Msk                (0x800UL)                 /*!< SPI IER: FENDIE (Bitfield-Mask: 0x01)                 */
#define SPI_IER_FENDIE(x)                 (((uint32_t)(((uint32_t)(x))<<SPI_IER_FENDIE_Pos))&SPI_IER_FENDIE_Msk)
/* ==========================================================  ENR  ========================================================== */
#define SPI_ENR_SPE_Pos                   (0UL)                     /*!< SPI ENR: SPE (Bit 0)                                  */
#define SPI_ENR_SPE_Msk                   (0x1UL)                   /*!< SPI ENR: SPE (Bitfield-Mask: 0x01)                    */
#define SPI_ENR_SPE(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_ENR_SPE_Pos))&SPI_ENR_SPE_Msk)
/* ==========================================================  SR  =========================================================== */
#define SPI_SR_TXE_Pos                    (0UL)                     /*!< SPI SR: TXE (Bit 0)                                   */
#define SPI_SR_TXE_Msk                    (0x1UL)                   /*!< SPI SR: TXE (Bitfield-Mask: 0x01)                     */
#define SPI_SR_TXE(x)                     (((uint32_t)(((uint32_t)(x))<<SPI_SR_TXE_Pos))&SPI_SR_TXE_Msk)
#define SPI_SR_TXF_Pos                    (1UL)                     /*!< SPI SR: TXF (Bit 1)                                   */
#define SPI_SR_TXF_Msk                    (0x2UL)                   /*!< SPI SR: TXF (Bitfield-Mask: 0x01)                     */
#define SPI_SR_TXF(x)                     (((uint32_t)(((uint32_t)(x))<<SPI_SR_TXF_Pos))&SPI_SR_TXF_Msk)
#define SPI_SR_TXWR_Pos                   (2UL)                     /*!< SPI SR: TXWR (Bit 2)                                  */
#define SPI_SR_TXWR_Msk                   (0x4UL)                   /*!< SPI SR: TXWR (Bitfield-Mask: 0x01)                    */
#define SPI_SR_TXWR(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_TXWR_Pos))&SPI_SR_TXWR_Msk)
#define SPI_SR_MMF_Pos                    (3UL)                     /*!< SPI SR: MMF (Bit 3)                                   */
#define SPI_SR_MMF_Msk                    (0x8UL)                   /*!< SPI SR: MMF (Bitfield-Mask: 0x01)                     */
#define SPI_SR_MMF(x)                     (((uint32_t)(((uint32_t)(x))<<SPI_SR_MMF_Pos))&SPI_SR_MMF_Msk)
#define SPI_SR_RXNE_Pos                   (4UL)                     /*!< SPI SR: RXNE (Bit 4)                                  */
#define SPI_SR_RXNE_Msk                   (0x10UL)                  /*!< SPI SR: RXNE (Bitfield-Mask: 0x01)                    */
#define SPI_SR_RXNE(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_RXNE_Pos))&SPI_SR_RXNE_Msk)
#define SPI_SR_RXF_Pos                    (5UL)                     /*!< SPI SR: RXF (Bit 5)                                   */
#define SPI_SR_RXF_Msk                    (0x20UL)                  /*!< SPI SR: RXF (Bitfield-Mask: 0x01)                     */
#define SPI_SR_RXF(x)                     (((uint32_t)(((uint32_t)(x))<<SPI_SR_RXF_Pos))&SPI_SR_RXF_Msk)
#define SPI_SR_RXWR_Pos                   (6UL)                     /*!< SPI SR: RXWR (Bit 6)                                  */
#define SPI_SR_RXWR_Msk                   (0x40UL)                  /*!< SPI SR: RXWR (Bitfield-Mask: 0x01)                    */
#define SPI_SR_RXWR(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_RXWR_Pos))&SPI_SR_RXWR_Msk)
#define SPI_SR_RXOVER_Pos                 (7UL)                     /*!< SPI SR: RXOVER (Bit 7)                                */
#define SPI_SR_RXOVER_Msk                 (0x80UL)                  /*!< SPI SR: RXOVER (Bitfield-Mask: 0x01)                  */
#define SPI_SR_RXOVER(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_SR_RXOVER_Pos))&SPI_SR_RXOVER_Msk)
#define SPI_SR_FERR_Pos                   (8UL)                     /*!< SPI SR: FERR (Bit 8)                                  */
#define SPI_SR_FERR_Msk                   (0x100UL)                 /*!< SPI SR: FERR (Bitfield-Mask: 0x01)                    */
#define SPI_SR_FERR(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_FERR_Pos))&SPI_SR_FERR_Msk)
#define SPI_SR_MAWU_Pos                   (9UL)                     /*!< SPI SR: MAWU (Bit 9)                                  */
#define SPI_SR_MAWU_Msk                   (0x200UL)                 /*!< SPI SR: MAWU (Bitfield-Mask: 0x01)                    */
#define SPI_SR_MAWU(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_MAWU_Pos))&SPI_SR_MAWU_Msk)
#define SPI_SR_BUSY_Pos                   (10UL)                    /*!< SPI SR: BUSY (Bit 10)                                 */
#define SPI_SR_BUSY_Msk                   (0x400UL)                 /*!< SPI SR: BUSY (Bitfield-Mask: 0x01)                    */
#define SPI_SR_BUSY(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_BUSY_Pos))&SPI_SR_BUSY_Msk)
#define SPI_SR_FEND_Pos                   (11UL)                    /*!< SPI SR: FEND (Bit 11)                                 */
#define SPI_SR_FEND_Msk                   (0x800UL)                 /*!< SPI SR: FEND (Bitfield-Mask: 0x01)                    */
#define SPI_SR_FEND(x)                    (((uint32_t)(((uint32_t)(x))<<SPI_SR_FEND_Pos))&SPI_SR_FEND_Msk)
/* =========================================================  DIVR  ========================================================== */
#define SPI_DIVR_SCKDIV_Pos               (0UL)                     /*!< SPI DIVR: SCKDIV (Bit 0)                              */
#define SPI_DIVR_SCKDIV_Msk               (0x7fUL)                  /*!< SPI DIVR: SCKDIV (Bitfield-Mask: 0x7f)                */
#define SPI_DIVR_SCKDIV(x)                (((uint32_t)(((uint32_t)(x))<<SPI_DIVR_SCKDIV_Pos))&SPI_DIVR_SCKDIV_Msk)
/* ==========================================================  FCR  ========================================================== */
#define SPI_FCR_RX_WATER_Pos              (4UL)                     /*!< SPI FCR: RX_WATER (Bit 4)                             */
#define SPI_FCR_RX_WATER_Msk              (0xf0UL)                  /*!< SPI FCR: RX_WATER (Bitfield-Mask: 0x0f)               */
#define SPI_FCR_RX_WATER(x)               (((uint32_t)(((uint32_t)(x))<<SPI_FCR_RX_WATER_Pos))&SPI_FCR_RX_WATER_Msk)
#define SPI_FCR_TX_WATER_Pos              (0UL)                     /*!< SPI FCR: TX_WATER (Bit 0)                             */
#define SPI_FCR_TX_WATER_Msk              (0xfUL)                   /*!< SPI FCR: TX_WATER (Bitfield-Mask: 0x0f)               */
#define SPI_FCR_TX_WATER(x)               (((uint32_t)(((uint32_t)(x))<<SPI_FCR_TX_WATER_Pos))&SPI_FCR_TX_WATER_Msk)
/* =========================================================  RSTR  ========================================================== */
#define SPI_RSTR_GRST_Pos                 (0UL)                     /*!< SPI RSTR: GRST (Bit 0)                                */
#define SPI_RSTR_GRST_Msk                 (0x1UL)                   /*!< SPI RSTR: GRST (Bitfield-Mask: 0x01)                  */
#define SPI_RSTR_GRST(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_RSTR_GRST_Pos))&SPI_RSTR_GRST_Msk)
#define SPI_RSTR_TRST_Pos                 (1UL)                     /*!< SPI RSTR: TRST (Bit 1)                                */
#define SPI_RSTR_TRST_Msk                 (0x2UL)                   /*!< SPI RSTR: TRST (Bitfield-Mask: 0x01)                  */
#define SPI_RSTR_TRST(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_RSTR_TRST_Pos))&SPI_RSTR_TRST_Msk)
#define SPI_RSTR_RRST_Pos                 (2UL)                     /*!< SPI RSTR: RRST (Bit 2)                                */
#define SPI_RSTR_RRST_Msk                 (0x4UL)                   /*!< SPI RSTR: RRST (Bitfield-Mask: 0x01)                  */
#define SPI_RSTR_RRST(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_RSTR_RRST_Pos))&SPI_RSTR_RRST_Msk)
/* ==========================================================  DMR  ========================================================== */
#define SPI_DMR_MATCH_Pos                 (0UL)                     /*!< SPI DMR: MATCH (Bit 0)                                */
#define SPI_DMR_MATCH_Msk                 (0xffffffffUL)            /*!< SPI DMR: MATCH (Bitfield-Mask: 0xffffffff)            */
#define SPI_DMR_MATCH(x)                  (((uint32_t)(((uint32_t)(x))<<SPI_DMR_MATCH_Pos))&SPI_DMR_MATCH_Msk)


/* =========================================================================================================================== */
/* ================                                          SYSCFG                                           ================ */
/* =========================================================================================================================== */

/* =========================================================  CFGR1  ========================================================= */
#define SYSCFG_CFGR1_MEM_MODE_Pos         (0UL)                     /*!< SYSCFG CFGR1: MEM_MODE (Bit 0)                        */
#define SYSCFG_CFGR1_MEM_MODE_Msk         (0x3UL)                   /*!< SYSCFG CFGR1: MEM_MODE (Bitfield-Mask: 0x03)          */
#define SYSCFG_CFGR1_MEM_MODE(x)          (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR1_MEM_MODE_Pos))&SYSCFG_CFGR1_MEM_MODE_Msk)
/* =========================================================  CFGR2  ========================================================= */
#define SYSCFG_CFGR2_TIM2_TSEL_Pos        (0UL)                     /*!< SYSCFG CFGR2: TIM2_TSEL (Bit 0)                       */
#define SYSCFG_CFGR2_TIM2_TSEL_Msk        (0x7UL)                   /*!< SYSCFG CFGR2: TIM2_TSEL (Bitfield-Mask: 0x07)         */
#define SYSCFG_CFGR2_TIM2_TSEL(x)         (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_TIM2_TSEL_Pos))&SYSCFG_CFGR2_TIM2_TSEL_Msk)
#define SYSCFG_CFGR2_TIM10_TSEL_Pos       (4UL)                     /*!< SYSCFG CFGR2: TIM10_TSEL (Bit 4)                      */
#define SYSCFG_CFGR2_TIM10_TSEL_Msk       (0x70UL)                  /*!< SYSCFG CFGR2: TIM10_TSEL (Bitfield-Mask: 0x07)        */
#define SYSCFG_CFGR2_TIM10_TSEL(x)        (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_TIM10_TSEL_Pos))&SYSCFG_CFGR2_TIM10_TSEL_Msk)
#define SYSCFG_CFGR2_TIM16_TSEL_Pos       (8UL)                     /*!< SYSCFG CFGR2: TIM16_TSEL (Bit 8)                      */
#define SYSCFG_CFGR2_TIM16_TSEL_Msk       (0x700UL)                 /*!< SYSCFG CFGR2: TIM16_TSEL (Bitfield-Mask: 0x07)        */
#define SYSCFG_CFGR2_TIM16_TSEL(x)        (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_TIM16_TSEL_Pos))&SYSCFG_CFGR2_TIM16_TSEL_Msk)
#define SYSCFG_CFGR2_ADC_TSEL_Pos         (12UL)                    /*!< SYSCFG CFGR2: ADC_TSEL (Bit 12)                       */
#define SYSCFG_CFGR2_ADC_TSEL_Msk         (0x7000UL)                /*!< SYSCFG CFGR2: ADC_TSEL (Bitfield-Mask: 0x07)          */
#define SYSCFG_CFGR2_ADC_TSEL(x)          (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_ADC_TSEL_Pos))&SYSCFG_CFGR2_ADC_TSEL_Msk)
#define SYSCFG_CFGR2_IR_MODE_Pos          (16UL)                    /*!< SYSCFG CFGR2: IR_MODE (Bit 16)                        */
#define SYSCFG_CFGR2_IR_MODE_Msk          (0x10000UL)               /*!< SYSCFG CFGR2: IR_MODE (Bitfield-Mask: 0x01)           */
#define SYSCFG_CFGR2_IR_MODE(x)           (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_IR_MODE_Pos))&SYSCFG_CFGR2_IR_MODE_Msk)
#define SYSCFG_CFGR2_IR_POL_Pos           (17UL)                    /*!< SYSCFG CFGR2: IR_POL (Bit 17)                         */
#define SYSCFG_CFGR2_IR_POL_Msk           (0x20000UL)               /*!< SYSCFG CFGR2: IR_POL (Bitfield-Mask: 0x01)            */
#define SYSCFG_CFGR2_IR_POL(x)            (((uint32_t)(((uint32_t)(x))<<SYSCFG_CFGR2_IR_POL_Pos))&SYSCFG_CFGR2_IR_POL_Msk)
/* =========================================================  NMISR  ========================================================= */
#define SYSCFG_NMISR_SCM_ERR_Pos          (2UL)                     /*!< SYSCFG NMISR: SCM_ERR (Bit 2)                         */
#define SYSCFG_NMISR_SCM_ERR_Msk          (0x4UL)                   /*!< SYSCFG NMISR: SCM_ERR (Bitfield-Mask: 0x01)           */
#define SYSCFG_NMISR_SCM_ERR(x)           (((uint32_t)(((uint32_t)(x))<<SYSCFG_NMISR_SCM_ERR_Pos))&SYSCFG_NMISR_SCM_ERR_Msk)


/* =========================================================================================================================== */
/* ================                                            TK                                             ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define TK_CR_TK_NECOVIE_Pos              (8UL)                     /*!< TK CR: TK_NECOVIE (Bit 8)                             */
#define TK_CR_TK_NECOVIE_Msk              (0x100UL)                 /*!< TK CR: TK_NECOVIE (Bitfield-Mask: 0x01)               */
#define TK_CR_TK_NECOVIE(x)               (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_NECOVIE_Pos))&TK_CR_TK_NECOVIE_Msk)
#define TK_CR_TK_CLKSEL_Pos               (6UL)                     /*!< TK CR: TK_CLKSEL (Bit 6)                              */
#define TK_CR_TK_CLKSEL_Msk               (0xc0UL)                  /*!< TK CR: TK_CLKSEL (Bitfield-Mask: 0x03)                */
#define TK_CR_TK_CLKSEL(x)                (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_CLKSEL_Pos))&TK_CR_TK_CLKSEL_Msk)
#define TK_CR_TK_MATIE_Pos                (5UL)                     /*!< TK CR: TK_MATIE (Bit 5)                               */
#define TK_CR_TK_MATIE_Msk                (0x20UL)                  /*!< TK CR: TK_MATIE (Bitfield-Mask: 0x01)                 */
#define TK_CR_TK_MATIE(x)                 (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_MATIE_Pos))&TK_CR_TK_MATIE_Msk)
#define TK_CR_TK_CRGIE_Pos                (4UL)                     /*!< TK CR: TK_CRGIE (Bit 4)                               */
#define TK_CR_TK_CRGIE_Msk                (0x10UL)                  /*!< TK CR: TK_CRGIE (Bitfield-Mask: 0x01)                 */
#define TK_CR_TK_CRGIE(x)                 (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_CRGIE_Pos))&TK_CR_TK_CRGIE_Msk)
#define TK_CR_TK_ADCTRG_Pos               (2UL)                     /*!< TK CR: TK_ADCTRG (Bit 2)                              */
#define TK_CR_TK_ADCTRG_Msk               (0x4UL)                   /*!< TK CR: TK_ADCTRG (Bitfield-Mask: 0x01)                */
#define TK_CR_TK_ADCTRG(x)                (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_ADCTRG_Pos))&TK_CR_TK_ADCTRG_Msk)
#define TK_CR_TK_DIS_Pos                  (1UL)                     /*!< TK CR: TK_DIS (Bit 1)                                 */
#define TK_CR_TK_DIS_Msk                  (0x2UL)                   /*!< TK CR: TK_DIS (Bitfield-Mask: 0x01)                   */
#define TK_CR_TK_DIS(x)                   (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_DIS_Pos))&TK_CR_TK_DIS_Msk)
#define TK_CR_TK_EN_Pos                   (0UL)                     /*!< TK CR: TK_EN (Bit 0)                                  */
#define TK_CR_TK_EN_Msk                   (0x1UL)                   /*!< TK CR: TK_EN (Bitfield-Mask: 0x01)                    */
#define TK_CR_TK_EN(x)                    (((uint32_t)(((uint32_t)(x))<<TK_CR_TK_EN_Pos))&TK_CR_TK_EN_Msk)
/* =========================================================  CFGR1  ========================================================= */
#define TK_CFGR1_TK_CRGNUM_Pos            (8UL)                     /*!< TK CFGR1: TK_CRGNUM (Bit 8)                           */
#define TK_CFGR1_TK_CRGNUM_Msk            (0xff00UL)                /*!< TK CFGR1: TK_CRGNUM (Bitfield-Mask: 0xff)             */
#define TK_CFGR1_TK_CRGNUM(x)             (((uint32_t)(((uint32_t)(x))<<TK_CFGR1_TK_CRGNUM_Pos))&TK_CFGR1_TK_CRGNUM_Msk)
#define TK_CFGR1_TK_ITVL_Pos              (4UL)                     /*!< TK CFGR1: TK_ITVL (Bit 4)                             */
#define TK_CFGR1_TK_ITVL_Msk              (0xf0UL)                  /*!< TK CFGR1: TK_ITVL (Bitfield-Mask: 0x0f)               */
#define TK_CFGR1_TK_ITVL(x)               (((uint32_t)(((uint32_t)(x))<<TK_CFGR1_TK_ITVL_Pos))&TK_CFGR1_TK_ITVL_Msk)
#define TK_CFGR1_TK_CRGFREQ_Pos           (0UL)                     /*!< TK CFGR1: TK_CRGFREQ (Bit 0)                          */
#define TK_CFGR1_TK_CRGFREQ_Msk           (0x3UL)                   /*!< TK CFGR1: TK_CRGFREQ (Bitfield-Mask: 0x03)            */
#define TK_CFGR1_TK_CRGFREQ(x)            (((uint32_t)(((uint32_t)(x))<<TK_CFGR1_TK_CRGFREQ_Pos))&TK_CFGR1_TK_CRGFREQ_Msk)
/* =========================================================  CFGR2  ========================================================= */
#define TK_CFGR2_Tenadc_time_Pos          (0UL)                     /*!< TK CFGR2: Tenadc_time (Bit 0)                         */
#define TK_CFGR2_Tenadc_time_Msk          (0x3ffUL)                 /*!< TK CFGR2: Tenadc_time (Bitfield-Mask: 0x3ff)          */
#define TK_CFGR2_Tenadc_time(x)           (((uint32_t)(((uint32_t)(x))<<TK_CFGR2_Tenadc_time_Pos))&TK_CFGR2_Tenadc_time_Msk)
/* =========================================================  CHSEL  ========================================================= */
#define TK_CHSEL_TK15_EN_Pos              (15UL)                    /*!< TK CHSEL: TK15_EN (Bit 15)                            */
#define TK_CHSEL_TK15_EN_Msk              (0x8000UL)                /*!< TK CHSEL: TK15_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK15_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK15_EN_Pos))&TK_CHSEL_TK15_EN_Msk)
#define TK_CHSEL_TK14_EN_Pos              (14UL)                    /*!< TK CHSEL: TK14_EN (Bit 14)                            */
#define TK_CHSEL_TK14_EN_Msk              (0x4000UL)                /*!< TK CHSEL: TK14_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK14_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK14_EN_Pos))&TK_CHSEL_TK14_EN_Msk)
#define TK_CHSEL_TK13_EN_Pos              (13UL)                    /*!< TK CHSEL: TK13_EN (Bit 13)                            */
#define TK_CHSEL_TK13_EN_Msk              (0x2000UL)                /*!< TK CHSEL: TK13_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK13_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK13_EN_Pos))&TK_CHSEL_TK13_EN_Msk)
#define TK_CHSEL_TK12_EN_Pos              (12UL)                    /*!< TK CHSEL: TK12_EN (Bit 12)                            */
#define TK_CHSEL_TK12_EN_Msk              (0x1000UL)                /*!< TK CHSEL: TK12_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK12_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK12_EN_Pos))&TK_CHSEL_TK12_EN_Msk)
#define TK_CHSEL_TK11_EN_Pos              (11UL)                    /*!< TK CHSEL: TK11_EN (Bit 11)                            */
#define TK_CHSEL_TK11_EN_Msk              (0x800UL)                 /*!< TK CHSEL: TK11_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK11_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK11_EN_Pos))&TK_CHSEL_TK11_EN_Msk)
#define TK_CHSEL_TK10_EN_Pos              (10UL)                    /*!< TK CHSEL: TK10_EN (Bit 10)                            */
#define TK_CHSEL_TK10_EN_Msk              (0x400UL)                 /*!< TK CHSEL: TK10_EN (Bitfield-Mask: 0x01)               */
#define TK_CHSEL_TK10_EN(x)               (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK10_EN_Pos))&TK_CHSEL_TK10_EN_Msk)
#define TK_CHSEL_TK9_EN_Pos               (9UL)                     /*!< TK CHSEL: TK9_EN (Bit 9)                              */
#define TK_CHSEL_TK9_EN_Msk               (0x200UL)                 /*!< TK CHSEL: TK9_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK9_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK9_EN_Pos))&TK_CHSEL_TK9_EN_Msk)
#define TK_CHSEL_TK8_EN_Pos               (8UL)                     /*!< TK CHSEL: TK8_EN (Bit 8)                              */
#define TK_CHSEL_TK8_EN_Msk               (0x100UL)                 /*!< TK CHSEL: TK8_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK8_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK8_EN_Pos))&TK_CHSEL_TK8_EN_Msk)
#define TK_CHSEL_TK7_EN_Pos               (7UL)                     /*!< TK CHSEL: TK7_EN (Bit 7)                              */
#define TK_CHSEL_TK7_EN_Msk               (0x80UL)                  /*!< TK CHSEL: TK7_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK7_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK7_EN_Pos))&TK_CHSEL_TK7_EN_Msk)
#define TK_CHSEL_TK6_EN_Pos               (6UL)                     /*!< TK CHSEL: TK6_EN (Bit 6)                              */
#define TK_CHSEL_TK6_EN_Msk               (0x40UL)                  /*!< TK CHSEL: TK6_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK6_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK6_EN_Pos))&TK_CHSEL_TK6_EN_Msk)
#define TK_CHSEL_TK5_EN_Pos               (5UL)                     /*!< TK CHSEL: TK5_EN (Bit 5)                              */
#define TK_CHSEL_TK5_EN_Msk               (0x20UL)                  /*!< TK CHSEL: TK5_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK5_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK5_EN_Pos))&TK_CHSEL_TK5_EN_Msk)
#define TK_CHSEL_TK4_EN_Pos               (4UL)                     /*!< TK CHSEL: TK4_EN (Bit 4)                              */
#define TK_CHSEL_TK4_EN_Msk               (0x10UL)                  /*!< TK CHSEL: TK4_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK4_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK4_EN_Pos))&TK_CHSEL_TK4_EN_Msk)
#define TK_CHSEL_TK3_EN_Pos               (3UL)                     /*!< TK CHSEL: TK3_EN (Bit 3)                              */
#define TK_CHSEL_TK3_EN_Msk               (0x8UL)                   /*!< TK CHSEL: TK3_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK3_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK3_EN_Pos))&TK_CHSEL_TK3_EN_Msk)
#define TK_CHSEL_TK2_EN_Pos               (2UL)                     /*!< TK CHSEL: TK2_EN (Bit 2)                              */
#define TK_CHSEL_TK2_EN_Msk               (0x4UL)                   /*!< TK CHSEL: TK2_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK2_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK2_EN_Pos))&TK_CHSEL_TK2_EN_Msk)
#define TK_CHSEL_TK1_EN_Pos               (1UL)                     /*!< TK CHSEL: TK1_EN (Bit 1)                              */
#define TK_CHSEL_TK1_EN_Msk               (0x2UL)                   /*!< TK CHSEL: TK1_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK1_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK1_EN_Pos))&TK_CHSEL_TK1_EN_Msk)
#define TK_CHSEL_TK0_EN_Pos               (0UL)                     /*!< TK CHSEL: TK0_EN (Bit 0)                              */
#define TK_CHSEL_TK0_EN_Msk               (0x1UL)                   /*!< TK CHSEL: TK0_EN (Bitfield-Mask: 0x01)                */
#define TK_CHSEL_TK0_EN(x)                (((uint32_t)(((uint32_t)(x))<<TK_CHSEL_TK0_EN_Pos))&TK_CHSEL_TK0_EN_Msk)
/* =========================================================  MATCR  ========================================================= */
#define TK_MATCR_TK_MATMODE_Pos           (4UL)                     /*!< TK MATCR: TK_MATMODE (Bit 4)                          */
#define TK_MATCR_TK_MATMODE_Msk           (0x30UL)                  /*!< TK MATCR: TK_MATMODE (Bitfield-Mask: 0x03)            */
#define TK_MATCR_TK_MATMODE(x)            (((uint32_t)(((uint32_t)(x))<<TK_MATCR_TK_MATMODE_Pos))&TK_MATCR_TK_MATMODE_Msk)
#define TK_MATCR_TK_SWNUM_Pos             (0UL)                     /*!< TK MATCR: TK_SWNUM (Bit 0)                            */
#define TK_MATCR_TK_SWNUM_Msk             (0xfUL)                   /*!< TK MATCR: TK_SWNUM (Bitfield-Mask: 0x0f)              */
#define TK_MATCR_TK_SWNUM(x)              (((uint32_t)(((uint32_t)(x))<<TK_MATCR_TK_SWNUM_Pos))&TK_MATCR_TK_SWNUM_Msk)
/* ==========================================================  ISR  ========================================================== */
#define TK_ISR_TK_NECOVF_Pos              (21UL)                    /*!< TK ISR: TK_NECOVF (Bit 21)                            */
#define TK_ISR_TK_NECOVF_Msk              (0x200000UL)              /*!< TK ISR: TK_NECOVF (Bitfield-Mask: 0x01)               */
#define TK_ISR_TK_NECOVF(x)               (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_NECOVF_Pos))&TK_ISR_TK_NECOVF_Msk)
#define TK_ISR_TK_CH15_MATF_Pos           (20UL)                    /*!< TK ISR: TK_CH15_MATF (Bit 20)                         */
#define TK_ISR_TK_CH15_MATF_Msk           (0x100000UL)              /*!< TK ISR: TK_CH15_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH15_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH15_MATF_Pos))&TK_ISR_TK_CH15_MATF_Msk)
#define TK_ISR_TK_CH14_MATF_Pos           (19UL)                    /*!< TK ISR: TK_CH14_MATF (Bit 19)                         */
#define TK_ISR_TK_CH14_MATF_Msk           (0x80000UL)               /*!< TK ISR: TK_CH14_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH14_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH14_MATF_Pos))&TK_ISR_TK_CH14_MATF_Msk)
#define TK_ISR_TK_CH13_MATF_Pos           (18UL)                    /*!< TK ISR: TK_CH13_MATF (Bit 18)                         */
#define TK_ISR_TK_CH13_MATF_Msk           (0x40000UL)               /*!< TK ISR: TK_CH13_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH13_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH13_MATF_Pos))&TK_ISR_TK_CH13_MATF_Msk)
#define TK_ISR_TK_CH12_MATF_Pos           (17UL)                    /*!< TK ISR: TK_CH12_MATF (Bit 17)                         */
#define TK_ISR_TK_CH12_MATF_Msk           (0x20000UL)               /*!< TK ISR: TK_CH12_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH12_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH12_MATF_Pos))&TK_ISR_TK_CH12_MATF_Msk)
#define TK_ISR_TK_CH11_MATF_Pos           (16UL)                    /*!< TK ISR: TK_CH11_MATF (Bit 16)                         */
#define TK_ISR_TK_CH11_MATF_Msk           (0x10000UL)               /*!< TK ISR: TK_CH11_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH11_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH11_MATF_Pos))&TK_ISR_TK_CH11_MATF_Msk)
#define TK_ISR_TK_CH10_MATF_Pos           (15UL)                    /*!< TK ISR: TK_CH10_MATF (Bit 15)                         */
#define TK_ISR_TK_CH10_MATF_Msk           (0x8000UL)                /*!< TK ISR: TK_CH10_MATF (Bitfield-Mask: 0x01)            */
#define TK_ISR_TK_CH10_MATF(x)            (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH10_MATF_Pos))&TK_ISR_TK_CH10_MATF_Msk)
#define TK_ISR_TK_CH9_MATF_Pos            (14UL)                    /*!< TK ISR: TK_CH9_MATF (Bit 14)                          */
#define TK_ISR_TK_CH9_MATF_Msk            (0x4000UL)                /*!< TK ISR: TK_CH9_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH9_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH9_MATF_Pos))&TK_ISR_TK_CH9_MATF_Msk)
#define TK_ISR_TK_CH8_MATF_Pos            (13UL)                    /*!< TK ISR: TK_CH8_MATF (Bit 13)                          */
#define TK_ISR_TK_CH8_MATF_Msk            (0x2000UL)                /*!< TK ISR: TK_CH8_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH8_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH8_MATF_Pos))&TK_ISR_TK_CH8_MATF_Msk)
#define TK_ISR_TK_CH7_MATF_Pos            (12UL)                    /*!< TK ISR: TK_CH7_MATF (Bit 12)                          */
#define TK_ISR_TK_CH7_MATF_Msk            (0x1000UL)                /*!< TK ISR: TK_CH7_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH7_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH7_MATF_Pos))&TK_ISR_TK_CH7_MATF_Msk)
#define TK_ISR_TK_CH6_MATF_Pos            (11UL)                    /*!< TK ISR: TK_CH6_MATF (Bit 11)                          */
#define TK_ISR_TK_CH6_MATF_Msk            (0x800UL)                 /*!< TK ISR: TK_CH6_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH6_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH6_MATF_Pos))&TK_ISR_TK_CH6_MATF_Msk)
#define TK_ISR_TK_CH5_MATF_Pos            (10UL)                    /*!< TK ISR: TK_CH5_MATF (Bit 10)                          */
#define TK_ISR_TK_CH5_MATF_Msk            (0x400UL)                 /*!< TK ISR: TK_CH5_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH5_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH5_MATF_Pos))&TK_ISR_TK_CH5_MATF_Msk)
#define TK_ISR_TK_CH4_MATF_Pos            (9UL)                     /*!< TK ISR: TK_CH4_MATF (Bit 9)                           */
#define TK_ISR_TK_CH4_MATF_Msk            (0x200UL)                 /*!< TK ISR: TK_CH4_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH4_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH4_MATF_Pos))&TK_ISR_TK_CH4_MATF_Msk)
#define TK_ISR_TK_CH3_MATF_Pos            (8UL)                     /*!< TK ISR: TK_CH3_MATF (Bit 8)                           */
#define TK_ISR_TK_CH3_MATF_Msk            (0x100UL)                 /*!< TK ISR: TK_CH3_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH3_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH3_MATF_Pos))&TK_ISR_TK_CH3_MATF_Msk)
#define TK_ISR_TK_CH2_MATF_Pos            (7UL)                     /*!< TK ISR: TK_CH2_MATF (Bit 7)                           */
#define TK_ISR_TK_CH2_MATF_Msk            (0x80UL)                  /*!< TK ISR: TK_CH2_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH2_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH2_MATF_Pos))&TK_ISR_TK_CH2_MATF_Msk)
#define TK_ISR_TK_CH1_MATF_Pos            (6UL)                     /*!< TK ISR: TK_CH1_MATF (Bit 6)                           */
#define TK_ISR_TK_CH1_MATF_Msk            (0x40UL)                  /*!< TK ISR: TK_CH1_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH1_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH1_MATF_Pos))&TK_ISR_TK_CH1_MATF_Msk)
#define TK_ISR_TK_CH0_MATF_Pos            (5UL)                     /*!< TK ISR: TK_CH0_MATF (Bit 5)                           */
#define TK_ISR_TK_CH0_MATF_Msk            (0x20UL)                  /*!< TK ISR: TK_CH0_MATF (Bitfield-Mask: 0x01)             */
#define TK_ISR_TK_CH0_MATF(x)             (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CH0_MATF_Pos))&TK_ISR_TK_CH0_MATF_Msk)
#define TK_ISR_TK_CRGF_Pos                (4UL)                     /*!< TK ISR: TK_CRGF (Bit 4)                               */
#define TK_ISR_TK_CRGF_Msk                (0x10UL)                  /*!< TK ISR: TK_CRGF (Bitfield-Mask: 0x01)                 */
#define TK_ISR_TK_CRGF(x)                 (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CRGF_Pos))&TK_ISR_TK_CRGF_Msk)
#define TK_ISR_TK_CHWORK_Pos              (0UL)                     /*!< TK ISR: TK_CHWORK (Bit 0)                             */
#define TK_ISR_TK_CHWORK_Msk              (0xfUL)                   /*!< TK ISR: TK_CHWORK (Bitfield-Mask: 0x0f)               */
#define TK_ISR_TK_CHWORK(x)               (((uint32_t)(((uint32_t)(x))<<TK_ISR_TK_CHWORK_Pos))&TK_ISR_TK_CHWORK_Msk)
/* ==========================================================  ICR  ========================================================== */
#define TK_ICR_TK_NECOVC_Pos              (8UL)                     /*!< TK ICR: TK_NECOVC (Bit 8)                             */
#define TK_ICR_TK_NECOVC_Msk              (0x100UL)                 /*!< TK ICR: TK_NECOVC (Bitfield-Mask: 0x01)               */
#define TK_ICR_TK_NECOVC(x)               (((uint32_t)(((uint32_t)(x))<<TK_ICR_TK_NECOVC_Pos))&TK_ICR_TK_NECOVC_Msk)
#define TK_ICR_TK_MATC_Pos                (5UL)                     /*!< TK ICR: TK_MATC (Bit 5)                               */
#define TK_ICR_TK_MATC_Msk                (0x20UL)                  /*!< TK ICR: TK_MATC (Bitfield-Mask: 0x01)                 */
#define TK_ICR_TK_MATC(x)                 (((uint32_t)(((uint32_t)(x))<<TK_ICR_TK_MATC_Pos))&TK_ICR_TK_MATC_Msk)
#define TK_ICR_TK_CRGC_Pos                (4UL)                     /*!< TK ICR: TK_CRGC (Bit 4)                               */
#define TK_ICR_TK_CRGC_Msk                (0x10UL)                  /*!< TK ICR: TK_CRGC (Bitfield-Mask: 0x01)                 */
#define TK_ICR_TK_CRGC(x)                 (((uint32_t)(((uint32_t)(x))<<TK_ICR_TK_CRGC_Pos))&TK_ICR_TK_CRGC_Msk)
/* ==========================================================  TH  =========================================================== */
#define TK_TH_TK_CH_TH_Pos                (0UL)                     /*!< TK TH: TK_CH_TH (Bit 0)                               */
#define TK_TH_TK_CH_TH_Msk                (0xfffUL)                 /*!< TK TH: TK_CH_TH (Bitfield-Mask: 0xfff)                */
#define TK_TH_TK_CH_TH(x)                 (((uint32_t)(((uint32_t)(x))<<TK_TH_TK_CH_TH_Pos))&TK_TH_TK_CH_TH_Msk)


/* =========================================================================================================================== */
/* ================                                           USART                                           ================ */
/* =========================================================================================================================== */

/* ==========================================================  CTL  ========================================================== */
#define USART_CTL_RX_MBIT_Pos             (31UL)                    /*!< USART CTL: RX_MBIT (Bit 31)                           */
#define USART_CTL_RX_MBIT_Msk             (0x80000000UL)            /*!< USART CTL: RX_MBIT (Bitfield-Mask: 0x01)              */
#define USART_CTL_RX_MBIT(x)              (((uint32_t)(((uint32_t)(x))<<USART_CTL_RX_MBIT_Pos))&USART_CTL_RX_MBIT_Msk)
#define USART_CTL_TX_MBIT_Pos             (30UL)                    /*!< USART CTL: TX_MBIT (Bit 30)                           */
#define USART_CTL_TX_MBIT_Msk             (0x40000000UL)            /*!< USART CTL: TX_MBIT (Bitfield-Mask: 0x01)              */
#define USART_CTL_TX_MBIT(x)              (((uint32_t)(((uint32_t)(x))<<USART_CTL_TX_MBIT_Pos))&USART_CTL_TX_MBIT_Msk)
#define USART_CTL_ADDM7_Pos               (29UL)                    /*!< USART CTL: ADDM7 (Bit 29)                             */
#define USART_CTL_ADDM7_Msk               (0x20000000UL)            /*!< USART CTL: ADDM7 (Bitfield-Mask: 0x01)                */
#define USART_CTL_ADDM7(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_ADDM7_Pos))&USART_CTL_ADDM7_Msk)
#define USART_CTL_LPBK_Pos                (28UL)                    /*!< USART CTL: LPBK (Bit 28)                              */
#define USART_CTL_LPBK_Msk                (0x10000000UL)            /*!< USART CTL: LPBK (Bitfield-Mask: 0x01)                 */
#define USART_CTL_LPBK(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_LPBK_Pos))&USART_CTL_LPBK_Msk)
#define USART_CTL_RTOEN_Pos               (27UL)                    /*!< USART CTL: RTOEN (Bit 27)                             */
#define USART_CTL_RTOEN_Msk               (0x8000000UL)             /*!< USART CTL: RTOEN (Bitfield-Mask: 0x01)                */
#define USART_CTL_RTOEN(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_RTOEN_Pos))&USART_CTL_RTOEN_Msk)
#define USART_CTL_MBUS_EN_Pos             (24UL)                    /*!< USART CTL: MBUS_EN (Bit 24)                           */
#define USART_CTL_MBUS_EN_Msk             (0x1000000UL)             /*!< USART CTL: MBUS_EN (Bitfield-Mask: 0x01)              */
#define USART_CTL_MBUS_EN(x)              (((uint32_t)(((uint32_t)(x))<<USART_CTL_MBUS_EN_Pos))&USART_CTL_MBUS_EN_Msk)
#define USART_CTL_MME_Pos                 (23UL)                    /*!< USART CTL: MME (Bit 23)                               */
#define USART_CTL_MME_Msk                 (0x800000UL)              /*!< USART CTL: MME (Bitfield-Mask: 0x01)                  */
#define USART_CTL_MME(x)                  (((uint32_t)(((uint32_t)(x))<<USART_CTL_MME_Pos))&USART_CTL_MME_Msk)
#define USART_CTL_WAKE_Pos                (22UL)                    /*!< USART CTL: WAKE (Bit 22)                              */
#define USART_CTL_WAKE_Msk                (0x400000UL)              /*!< USART CTL: WAKE (Bitfield-Mask: 0x01)                 */
#define USART_CTL_WAKE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_WAKE_Pos))&USART_CTL_WAKE_Msk)
#define USART_CTL_HDSEL_Pos               (21UL)                    /*!< USART CTL: HDSEL (Bit 21)                             */
#define USART_CTL_HDSEL_Msk               (0x200000UL)              /*!< USART CTL: HDSEL (Bitfield-Mask: 0x01)                */
#define USART_CTL_HDSEL(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_HDSEL_Pos))&USART_CTL_HDSEL_Msk)
#define USART_CTL_LBCL_Pos                (20UL)                    /*!< USART CTL: LBCL (Bit 20)                              */
#define USART_CTL_LBCL_Msk                (0x100000UL)              /*!< USART CTL: LBCL (Bitfield-Mask: 0x01)                 */
#define USART_CTL_LBCL(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_LBCL_Pos))&USART_CTL_LBCL_Msk)
#define USART_CTL_CPOL_Pos                (19UL)                    /*!< USART CTL: CPOL (Bit 19)                              */
#define USART_CTL_CPOL_Msk                (0x80000UL)               /*!< USART CTL: CPOL (Bitfield-Mask: 0x01)                 */
#define USART_CTL_CPOL(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_CPOL_Pos))&USART_CTL_CPOL_Msk)
#define USART_CTL_CPHA_Pos                (18UL)                    /*!< USART CTL: CPHA (Bit 18)                              */
#define USART_CTL_CPHA_Msk                (0x40000UL)               /*!< USART CTL: CPHA (Bitfield-Mask: 0x01)                 */
#define USART_CTL_CPHA(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_CPHA_Pos))&USART_CTL_CPHA_Msk)
#define USART_CTL_CLKEN_Pos               (17UL)                    /*!< USART CTL: CLKEN (Bit 17)                             */
#define USART_CTL_CLKEN_Msk               (0x20000UL)               /*!< USART CTL: CLKEN (Bitfield-Mask: 0x01)                */
#define USART_CTL_CLKEN(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_CLKEN_Pos))&USART_CTL_CLKEN_Msk)
#define USART_CTL_START_FLT_Pos           (16UL)                    /*!< USART CTL: START_FLT (Bit 16)                         */
#define USART_CTL_START_FLT_Msk           (0x10000UL)               /*!< USART CTL: START_FLT (Bitfield-Mask: 0x01)            */
#define USART_CTL_START_FLT(x)            (((uint32_t)(((uint32_t)(x))<<USART_CTL_START_FLT_Pos))&USART_CTL_START_FLT_Msk)
#define USART_CTL_ONEBIT_Pos              (15UL)                    /*!< USART CTL: ONEBIT (Bit 15)                            */
#define USART_CTL_ONEBIT_Msk              (0x8000UL)                /*!< USART CTL: ONEBIT (Bitfield-Mask: 0x01)               */
#define USART_CTL_ONEBIT(x)               (((uint32_t)(((uint32_t)(x))<<USART_CTL_ONEBIT_Pos))&USART_CTL_ONEBIT_Msk)
#define USART_CTL_ABREN_Pos               (14UL)                    /*!< USART CTL: ABREN (Bit 14)                             */
#define USART_CTL_ABREN_Msk               (0x4000UL)                /*!< USART CTL: ABREN (Bitfield-Mask: 0x01)                */
#define USART_CTL_ABREN(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_ABREN_Pos))&USART_CTL_ABREN_Msk)
#define USART_CTL_ABRMOD_Pos              (12UL)                    /*!< USART CTL: ABRMOD (Bit 12)                            */
#define USART_CTL_ABRMOD_Msk              (0x3000UL)                /*!< USART CTL: ABRMOD (Bitfield-Mask: 0x03)               */
#define USART_CTL_ABRMOD(x)               (((uint32_t)(((uint32_t)(x))<<USART_CTL_ABRMOD_Pos))&USART_CTL_ABRMOD_Msk)
#define USART_CTL_ML_Pos                  (10UL)                    /*!< USART CTL: ML (Bit 10)                                */
#define USART_CTL_ML_Msk                  (0xc00UL)                 /*!< USART CTL: ML (Bitfield-Mask: 0x03)                   */
#define USART_CTL_ML(x)                   (((uint32_t)(((uint32_t)(x))<<USART_CTL_ML_Pos))&USART_CTL_ML_Msk)
#define USART_CTL_STOP_Pos                (8UL)                     /*!< USART CTL: STOP (Bit 8)                               */
#define USART_CTL_STOP_Msk                (0x300UL)                 /*!< USART CTL: STOP (Bitfield-Mask: 0x03)                 */
#define USART_CTL_STOP(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CTL_STOP_Pos))&USART_CTL_STOP_Msk)
#define USART_CTL_PCE_Pos                 (7UL)                     /*!< USART CTL: PCE (Bit 7)                                */
#define USART_CTL_PCE_Msk                 (0x80UL)                  /*!< USART CTL: PCE (Bitfield-Mask: 0x01)                  */
#define USART_CTL_PCE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_CTL_PCE_Pos))&USART_CTL_PCE_Msk)
#define USART_CTL_PS_Pos                  (6UL)                     /*!< USART CTL: PS (Bit 6)                                 */
#define USART_CTL_PS_Msk                  (0x40UL)                  /*!< USART CTL: PS (Bitfield-Mask: 0x01)                   */
#define USART_CTL_PS(x)                   (((uint32_t)(((uint32_t)(x))<<USART_CTL_PS_Pos))&USART_CTL_PS_Msk)
#define USART_CTL_MSBFIRST_Pos            (5UL)                     /*!< USART CTL: MSBFIRST (Bit 5)                           */
#define USART_CTL_MSBFIRST_Msk            (0x20UL)                  /*!< USART CTL: MSBFIRST (Bitfield-Mask: 0x01)             */
#define USART_CTL_MSBFIRST(x)             (((uint32_t)(((uint32_t)(x))<<USART_CTL_MSBFIRST_Pos))&USART_CTL_MSBFIRST_Msk)
#define USART_CTL_DATAINV_Pos             (4UL)                     /*!< USART CTL: DATAINV (Bit 4)                            */
#define USART_CTL_DATAINV_Msk             (0x10UL)                  /*!< USART CTL: DATAINV (Bitfield-Mask: 0x01)              */
#define USART_CTL_DATAINV(x)              (((uint32_t)(((uint32_t)(x))<<USART_CTL_DATAINV_Pos))&USART_CTL_DATAINV_Msk)
#define USART_CTL_OVER8_Pos               (3UL)                     /*!< USART CTL: OVER8 (Bit 3)                              */
#define USART_CTL_OVER8_Msk               (0x8UL)                   /*!< USART CTL: OVER8 (Bitfield-Mask: 0x01)                */
#define USART_CTL_OVER8(x)                (((uint32_t)(((uint32_t)(x))<<USART_CTL_OVER8_Pos))&USART_CTL_OVER8_Msk)
#define USART_CTL_TE_Pos                  (2UL)                     /*!< USART CTL: TE (Bit 2)                                 */
#define USART_CTL_TE_Msk                  (0x4UL)                   /*!< USART CTL: TE (Bitfield-Mask: 0x01)                   */
#define USART_CTL_TE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_CTL_TE_Pos))&USART_CTL_TE_Msk)
#define USART_CTL_RE_Pos                  (1UL)                     /*!< USART CTL: RE (Bit 1)                                 */
#define USART_CTL_RE_Msk                  (0x2UL)                   /*!< USART CTL: RE (Bitfield-Mask: 0x01)                   */
#define USART_CTL_RE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_CTL_RE_Pos))&USART_CTL_RE_Msk)
#define USART_CTL_UE_Pos                  (0UL)                     /*!< USART CTL: UE (Bit 0)                                 */
#define USART_CTL_UE_Msk                  (0x1UL)                   /*!< USART CTL: UE (Bitfield-Mask: 0x01)                   */
#define USART_CTL_UE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_CTL_UE_Pos))&USART_CTL_UE_Msk)
/* ==========================================================  CFG  ========================================================== */
#define USART_CFG_PSC_Pos                 (16UL)                    /*!< USART CFG: PSC (Bit 16)                               */
#define USART_CFG_PSC_Msk                 (0xff0000UL)              /*!< USART CFG: PSC (Bitfield-Mask: 0xff)                  */
#define USART_CFG_PSC(x)                  (((uint32_t)(((uint32_t)(x))<<USART_CFG_PSC_Pos))&USART_CFG_PSC_Msk)
#define USART_CFG_ADD3_Pos                (12UL)                    /*!< USART CFG: ADD3 (Bit 12)                              */
#define USART_CFG_ADD3_Msk                (0xf000UL)                /*!< USART CFG: ADD3 (Bitfield-Mask: 0x0f)                 */
#define USART_CFG_ADD3(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CFG_ADD3_Pos))&USART_CFG_ADD3_Msk)
#define USART_CFG_ADD7_Pos                (8UL)                     /*!< USART CFG: ADD7 (Bit 8)                               */
#define USART_CFG_ADD7_Msk                (0xf00UL)                 /*!< USART CFG: ADD7 (Bitfield-Mask: 0x0f)                 */
#define USART_CFG_ADD7(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CFG_ADD7_Pos))&USART_CFG_ADD7_Msk)
#define USART_CFG_LINEN_Pos               (7UL)                     /*!< USART CFG: LINEN (Bit 7)                              */
#define USART_CFG_LINEN_Msk               (0x80UL)                  /*!< USART CFG: LINEN (Bitfield-Mask: 0x01)                */
#define USART_CFG_LINEN(x)                (((uint32_t)(((uint32_t)(x))<<USART_CFG_LINEN_Pos))&USART_CFG_LINEN_Msk)
#define USART_CFG_IREN_Pos                (1UL)                     /*!< USART CFG: IREN (Bit 1)                               */
#define USART_CFG_IREN_Msk                (0x2UL)                   /*!< USART CFG: IREN (Bitfield-Mask: 0x01)                 */
#define USART_CFG_IREN(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CFG_IREN_Pos))&USART_CFG_IREN_Msk)
#define USART_CFG_IRLP_Pos                (0UL)                     /*!< USART CFG: IRLP (Bit 0)                               */
#define USART_CFG_IRLP_Msk                (0x1UL)                   /*!< USART CFG: IRLP (Bitfield-Mask: 0x01)                 */
#define USART_CFG_IRLP(x)                 (((uint32_t)(((uint32_t)(x))<<USART_CFG_IRLP_Pos))&USART_CFG_IRLP_Msk)
/* ==========================================================  BR  =========================================================== */
#define USART_BR_BRR15_4_Pos              (4UL)                     /*!< USART BR: BRR15_4 (Bit 4)                             */
#define USART_BR_BRR15_4_Msk              (0xfff0UL)                /*!< USART BR: BRR15_4 (Bitfield-Mask: 0xfff)              */
#define USART_BR_BRR15_4(x)               (((uint32_t)(((uint32_t)(x))<<USART_BR_BRR15_4_Pos))&USART_BR_BRR15_4_Msk)
#define USART_BR_BRR3_0_Pos               (0UL)                     /*!< USART BR: BRR3_0 (Bit 0)                              */
#define USART_BR_BRR3_0_Msk               (0xfUL)                   /*!< USART BR: BRR3_0 (Bitfield-Mask: 0x0f)                */
#define USART_BR_BRR3_0(x)                (((uint32_t)(((uint32_t)(x))<<USART_BR_BRR3_0_Pos))&USART_BR_BRR3_0_Msk)
/* ==========================================================  RTO  ========================================================== */
#define USART_RTO_RTO_Pos                 (0UL)                     /*!< USART RTO: RTO (Bit 0)                                */
#define USART_RTO_RTO_Msk                 (0xffffffUL)              /*!< USART RTO: RTO (Bitfield-Mask: 0xffffff)              */
#define USART_RTO_RTO(x)                  (((uint32_t)(((uint32_t)(x))<<USART_RTO_RTO_Pos))&USART_RTO_RTO_Msk)
/* ==========================================================  RQ  =========================================================== */
#define USART_RQ_TXFRQ_Pos                (4UL)                     /*!< USART RQ: TXFRQ (Bit 4)                               */
#define USART_RQ_TXFRQ_Msk                (0x10UL)                  /*!< USART RQ: TXFRQ (Bitfield-Mask: 0x01)                 */
#define USART_RQ_TXFRQ(x)                 (((uint32_t)(((uint32_t)(x))<<USART_RQ_TXFRQ_Pos))&USART_RQ_TXFRQ_Msk)
#define USART_RQ_RXFRQ_Pos                (3UL)                     /*!< USART RQ: RXFRQ (Bit 3)                               */
#define USART_RQ_RXFRQ_Msk                (0x8UL)                   /*!< USART RQ: RXFRQ (Bitfield-Mask: 0x01)                 */
#define USART_RQ_RXFRQ(x)                 (((uint32_t)(((uint32_t)(x))<<USART_RQ_RXFRQ_Pos))&USART_RQ_RXFRQ_Msk)
#define USART_RQ_MMRQ_Pos                 (2UL)                     /*!< USART RQ: MMRQ (Bit 2)                                */
#define USART_RQ_MMRQ_Msk                 (0x4UL)                   /*!< USART RQ: MMRQ (Bitfield-Mask: 0x01)                  */
#define USART_RQ_MMRQ(x)                  (((uint32_t)(((uint32_t)(x))<<USART_RQ_MMRQ_Pos))&USART_RQ_MMRQ_Msk)
#define USART_RQ_SBKRQ_Pos                (1UL)                     /*!< USART RQ: SBKRQ (Bit 1)                               */
#define USART_RQ_SBKRQ_Msk                (0x2UL)                   /*!< USART RQ: SBKRQ (Bitfield-Mask: 0x01)                 */
#define USART_RQ_SBKRQ(x)                 (((uint32_t)(((uint32_t)(x))<<USART_RQ_SBKRQ_Pos))&USART_RQ_SBKRQ_Msk)
#define USART_RQ_ABRRQ_Pos                (0UL)                     /*!< USART RQ: ABRRQ (Bit 0)                               */
#define USART_RQ_ABRRQ_Msk                (0x1UL)                   /*!< USART RQ: ABRRQ (Bitfield-Mask: 0x01)                 */
#define USART_RQ_ABRRQ(x)                 (((uint32_t)(((uint32_t)(x))<<USART_RQ_ABRRQ_Pos))&USART_RQ_ABRRQ_Msk)
/* ==========================================================  IE  =========================================================== */
#define USART_IE_TXFIE_Pos                (24UL)                    /*!< USART IE: TXFIE (Bit 24)                              */
#define USART_IE_TXFIE_Msk                (0x1000000UL)             /*!< USART IE: TXFIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_TXFIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_TXFIE_Pos))&USART_IE_TXFIE_Msk)
#define USART_IE_RXFIE_Pos                (23UL)                    /*!< USART IE: RXFIE (Bit 23)                              */
#define USART_IE_RXFIE_Msk                (0x800000UL)              /*!< USART IE: RXFIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_RXFIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_RXFIE_Pos))&USART_IE_RXFIE_Msk)
#define USART_IE_IDLEIE_Pos               (22UL)                    /*!< USART IE: IDLEIE (Bit 22)                             */
#define USART_IE_IDLEIE_Msk               (0x400000UL)              /*!< USART IE: IDLEIE (Bitfield-Mask: 0x01)                */
#define USART_IE_IDLEIE(x)                (((uint32_t)(((uint32_t)(x))<<USART_IE_IDLEIE_Pos))&USART_IE_IDLEIE_Msk)
#define USART_IE_WUIE_Pos                 (21UL)                    /*!< USART IE: WUIE (Bit 21)                               */
#define USART_IE_WUIE_Msk                 (0x200000UL)              /*!< USART IE: WUIE (Bitfield-Mask: 0x01)                  */
#define USART_IE_WUIE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IE_WUIE_Pos))&USART_IE_WUIE_Msk)
#define USART_IE_CMIE_Pos                 (18UL)                    /*!< USART IE: CMIE (Bit 18)                               */
#define USART_IE_CMIE_Msk                 (0x40000UL)               /*!< USART IE: CMIE (Bitfield-Mask: 0x01)                  */
#define USART_IE_CMIE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IE_CMIE_Pos))&USART_IE_CMIE_Msk)
#define USART_IE_ABREIE_Pos               (15UL)                    /*!< USART IE: ABREIE (Bit 15)                             */
#define USART_IE_ABREIE_Msk               (0x8000UL)                /*!< USART IE: ABREIE (Bitfield-Mask: 0x01)                */
#define USART_IE_ABREIE(x)                (((uint32_t)(((uint32_t)(x))<<USART_IE_ABREIE_Pos))&USART_IE_ABREIE_Msk)
#define USART_IE_EOBIE_Pos                (14UL)                    /*!< USART IE: EOBIE (Bit 14)                              */
#define USART_IE_EOBIE_Msk                (0x4000UL)                /*!< USART IE: EOBIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_EOBIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_EOBIE_Pos))&USART_IE_EOBIE_Msk)
#define USART_IE_RTOIE_Pos                (13UL)                    /*!< USART IE: RTOIE (Bit 13)                              */
#define USART_IE_RTOIE_Msk                (0x2000UL)                /*!< USART IE: RTOIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_RTOIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_RTOIE_Pos))&USART_IE_RTOIE_Msk)
#define USART_IE_LBDIE_Pos                (10UL)                    /*!< USART IE: LBDIE (Bit 10)                              */
#define USART_IE_LBDIE_Msk                (0x400UL)                 /*!< USART IE: LBDIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_LBDIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_LBDIE_Pos))&USART_IE_LBDIE_Msk)
#define USART_IE_TXEIE_Pos                (8UL)                     /*!< USART IE: TXEIE (Bit 8)                               */
#define USART_IE_TXEIE_Msk                (0x100UL)                 /*!< USART IE: TXEIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_TXEIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_TXEIE_Pos))&USART_IE_TXEIE_Msk)
#define USART_IE_TCIE_Pos                 (7UL)                     /*!< USART IE: TCIE (Bit 7)                                */
#define USART_IE_TCIE_Msk                 (0x80UL)                  /*!< USART IE: TCIE (Bitfield-Mask: 0x01)                  */
#define USART_IE_TCIE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IE_TCIE_Pos))&USART_IE_TCIE_Msk)
#define USART_IE_RXNEIE_Pos               (5UL)                     /*!< USART IE: RXNEIE (Bit 5)                              */
#define USART_IE_RXNEIE_Msk               (0x20UL)                  /*!< USART IE: RXNEIE (Bitfield-Mask: 0x01)                */
#define USART_IE_RXNEIE(x)                (((uint32_t)(((uint32_t)(x))<<USART_IE_RXNEIE_Pos))&USART_IE_RXNEIE_Msk)
#define USART_IE_RXFULLIE_Pos             (4UL)                     /*!< USART IE: RXFULLIE (Bit 4)                            */
#define USART_IE_RXFULLIE_Msk             (0x10UL)                  /*!< USART IE: RXFULLIE (Bitfield-Mask: 0x01)              */
#define USART_IE_RXFULLIE(x)              (((uint32_t)(((uint32_t)(x))<<USART_IE_RXFULLIE_Pos))&USART_IE_RXFULLIE_Msk)
#define USART_IE_OREIE_Pos                (3UL)                     /*!< USART IE: OREIE (Bit 3)                               */
#define USART_IE_OREIE_Msk                (0x8UL)                   /*!< USART IE: OREIE (Bitfield-Mask: 0x01)                 */
#define USART_IE_OREIE(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IE_OREIE_Pos))&USART_IE_OREIE_Msk)
#define USART_IE_NIE_Pos                  (2UL)                     /*!< USART IE: NIE (Bit 2)                                 */
#define USART_IE_NIE_Msk                  (0x4UL)                   /*!< USART IE: NIE (Bitfield-Mask: 0x01)                   */
#define USART_IE_NIE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IE_NIE_Pos))&USART_IE_NIE_Msk)
#define USART_IE_FEIE_Pos                 (1UL)                     /*!< USART IE: FEIE (Bit 1)                                */
#define USART_IE_FEIE_Msk                 (0x2UL)                   /*!< USART IE: FEIE (Bitfield-Mask: 0x01)                  */
#define USART_IE_FEIE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IE_FEIE_Pos))&USART_IE_FEIE_Msk)
#define USART_IE_PEIE_Pos                 (0UL)                     /*!< USART IE: PEIE (Bit 0)                                */
#define USART_IE_PEIE_Msk                 (0x1UL)                   /*!< USART IE: PEIE (Bitfield-Mask: 0x01)                  */
#define USART_IE_PEIE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IE_PEIE_Pos))&USART_IE_PEIE_Msk)
/* ==========================================================  IS  =========================================================== */
#define USART_IS_TXF_Pos                  (24UL)                    /*!< USART IS: TXF (Bit 24)                                */
#define USART_IS_TXF_Msk                  (0x1000000UL)             /*!< USART IS: TXF (Bitfield-Mask: 0x01)                   */
#define USART_IS_TXF(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_TXF_Pos))&USART_IS_TXF_Msk)
#define USART_IS_RXF_Pos                  (23UL)                    /*!< USART IS: RXF (Bit 23)                                */
#define USART_IS_RXF_Msk                  (0x800000UL)              /*!< USART IS: RXF (Bitfield-Mask: 0x01)                   */
#define USART_IS_RXF(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_RXF_Pos))&USART_IS_RXF_Msk)
#define USART_IS_IDLE_Pos                 (22UL)                    /*!< USART IS: IDLE (Bit 22)                               */
#define USART_IS_IDLE_Msk                 (0x400000UL)              /*!< USART IS: IDLE (Bitfield-Mask: 0x01)                  */
#define USART_IS_IDLE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_IDLE_Pos))&USART_IS_IDLE_Msk)
#define USART_IS_WUF_Pos                  (21UL)                    /*!< USART IS: WUF (Bit 21)                                */
#define USART_IS_WUF_Msk                  (0x200000UL)              /*!< USART IS: WUF (Bitfield-Mask: 0x01)                   */
#define USART_IS_WUF(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_WUF_Pos))&USART_IS_WUF_Msk)
#define USART_IS_RWU_Pos                  (20UL)                    /*!< USART IS: RWU (Bit 20)                                */
#define USART_IS_RWU_Msk                  (0x100000UL)              /*!< USART IS: RWU (Bitfield-Mask: 0x01)                   */
#define USART_IS_RWU(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_RWU_Pos))&USART_IS_RWU_Msk)
#define USART_IS_SBKF_Pos                 (19UL)                    /*!< USART IS: SBKF (Bit 19)                               */
#define USART_IS_SBKF_Msk                 (0x80000UL)               /*!< USART IS: SBKF (Bitfield-Mask: 0x01)                  */
#define USART_IS_SBKF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_SBKF_Pos))&USART_IS_SBKF_Msk)
#define USART_IS_CMF_Pos                  (18UL)                    /*!< USART IS: CMF (Bit 18)                                */
#define USART_IS_CMF_Msk                  (0x40000UL)               /*!< USART IS: CMF (Bitfield-Mask: 0x01)                   */
#define USART_IS_CMF(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_CMF_Pos))&USART_IS_CMF_Msk)
#define USART_IS_BUSY_Pos                 (17UL)                    /*!< USART IS: BUSY (Bit 17)                               */
#define USART_IS_BUSY_Msk                 (0x20000UL)               /*!< USART IS: BUSY (Bitfield-Mask: 0x01)                  */
#define USART_IS_BUSY(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_BUSY_Pos))&USART_IS_BUSY_Msk)
#define USART_IS_ABRF_Pos                 (16UL)                    /*!< USART IS: ABRF (Bit 16)                               */
#define USART_IS_ABRF_Msk                 (0x10000UL)               /*!< USART IS: ABRF (Bitfield-Mask: 0x01)                  */
#define USART_IS_ABRF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_ABRF_Pos))&USART_IS_ABRF_Msk)
#define USART_IS_ABRE_Pos                 (15UL)                    /*!< USART IS: ABRE (Bit 15)                               */
#define USART_IS_ABRE_Msk                 (0x8000UL)                /*!< USART IS: ABRE (Bitfield-Mask: 0x01)                  */
#define USART_IS_ABRE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_ABRE_Pos))&USART_IS_ABRE_Msk)
#define USART_IS_EOBF_Pos                 (14UL)                    /*!< USART IS: EOBF (Bit 14)                               */
#define USART_IS_EOBF_Msk                 (0x4000UL)                /*!< USART IS: EOBF (Bitfield-Mask: 0x01)                  */
#define USART_IS_EOBF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_EOBF_Pos))&USART_IS_EOBF_Msk)
#define USART_IS_RTOF_Pos                 (13UL)                    /*!< USART IS: RTOF (Bit 13)                               */
#define USART_IS_RTOF_Msk                 (0x2000UL)                /*!< USART IS: RTOF (Bitfield-Mask: 0x01)                  */
#define USART_IS_RTOF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_RTOF_Pos))&USART_IS_RTOF_Msk)
#define USART_IS_LBDF_Pos                 (10UL)                    /*!< USART IS: LBDF (Bit 10)                               */
#define USART_IS_LBDF_Msk                 (0x400UL)                 /*!< USART IS: LBDF (Bitfield-Mask: 0x01)                  */
#define USART_IS_LBDF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_LBDF_Pos))&USART_IS_LBDF_Msk)
#define USART_IS_TXE_Pos                  (9UL)                     /*!< USART IS: TXE (Bit 9)                                 */
#define USART_IS_TXE_Msk                  (0x200UL)                 /*!< USART IS: TXE (Bitfield-Mask: 0x01)                   */
#define USART_IS_TXE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_TXE_Pos))&USART_IS_TXE_Msk)
#define USART_IS_TXEIF_Pos                (8UL)                     /*!< USART IS: TXEIF (Bit 8)                               */
#define USART_IS_TXEIF_Msk                (0x100UL)                 /*!< USART IS: TXEIF (Bitfield-Mask: 0x01)                 */
#define USART_IS_TXEIF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IS_TXEIF_Pos))&USART_IS_TXEIF_Msk)
#define USART_IS_TC_Pos                   (7UL)                     /*!< USART IS: TC (Bit 7)                                  */
#define USART_IS_TC_Msk                   (0x80UL)                  /*!< USART IS: TC (Bitfield-Mask: 0x01)                    */
#define USART_IS_TC(x)                    (((uint32_t)(((uint32_t)(x))<<USART_IS_TC_Pos))&USART_IS_TC_Msk)
#define USART_IS_RXNE_Pos                 (6UL)                     /*!< USART IS: RXNE (Bit 6)                                */
#define USART_IS_RXNE_Msk                 (0x40UL)                  /*!< USART IS: RXNE (Bitfield-Mask: 0x01)                  */
#define USART_IS_RXNE(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IS_RXNE_Pos))&USART_IS_RXNE_Msk)
#define USART_IS_RXNEIF_Pos               (5UL)                     /*!< USART IS: RXNEIF (Bit 5)                              */
#define USART_IS_RXNEIF_Msk               (0x20UL)                  /*!< USART IS: RXNEIF (Bitfield-Mask: 0x01)                */
#define USART_IS_RXNEIF(x)                (((uint32_t)(((uint32_t)(x))<<USART_IS_RXNEIF_Pos))&USART_IS_RXNEIF_Msk)
#define USART_IS_RXFULL_Pos               (4UL)                     /*!< USART IS: RXFULL (Bit 4)                              */
#define USART_IS_RXFULL_Msk               (0x10UL)                  /*!< USART IS: RXFULL (Bitfield-Mask: 0x01)                */
#define USART_IS_RXFULL(x)                (((uint32_t)(((uint32_t)(x))<<USART_IS_RXFULL_Pos))&USART_IS_RXFULL_Msk)
#define USART_IS_ORE_Pos                  (3UL)                     /*!< USART IS: ORE (Bit 3)                                 */
#define USART_IS_ORE_Msk                  (0x8UL)                   /*!< USART IS: ORE (Bitfield-Mask: 0x01)                   */
#define USART_IS_ORE(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IS_ORE_Pos))&USART_IS_ORE_Msk)
#define USART_IS_NF_Pos                   (2UL)                     /*!< USART IS: NF (Bit 2)                                  */
#define USART_IS_NF_Msk                   (0x4UL)                   /*!< USART IS: NF (Bitfield-Mask: 0x01)                    */
#define USART_IS_NF(x)                    (((uint32_t)(((uint32_t)(x))<<USART_IS_NF_Pos))&USART_IS_NF_Msk)
#define USART_IS_FE_Pos                   (1UL)                     /*!< USART IS: FE (Bit 1)                                  */
#define USART_IS_FE_Msk                   (0x2UL)                   /*!< USART IS: FE (Bitfield-Mask: 0x01)                    */
#define USART_IS_FE(x)                    (((uint32_t)(((uint32_t)(x))<<USART_IS_FE_Pos))&USART_IS_FE_Msk)
#define USART_IS_PE_Pos                   (0UL)                     /*!< USART IS: PE (Bit 0)                                  */
#define USART_IS_PE_Msk                   (0x1UL)                   /*!< USART IS: PE (Bitfield-Mask: 0x01)                    */
#define USART_IS_PE(x)                    (((uint32_t)(((uint32_t)(x))<<USART_IS_PE_Pos))&USART_IS_PE_Msk)
/* ==========================================================  IC  =========================================================== */
#define USART_IC_TXFCF_Pos                (24UL)                    /*!< USART IC: TXFCF (Bit 24)                              */
#define USART_IC_TXFCF_Msk                (0x1000000UL)             /*!< USART IC: TXFCF (Bitfield-Mask: 0x01)                 */
#define USART_IC_TXFCF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_TXFCF_Pos))&USART_IC_TXFCF_Msk)
#define USART_IC_RXFCF_Pos                (23UL)                    /*!< USART IC: RXFCF (Bit 23)                              */
#define USART_IC_RXFCF_Msk                (0x800000UL)              /*!< USART IC: RXFCF (Bitfield-Mask: 0x01)                 */
#define USART_IC_RXFCF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_RXFCF_Pos))&USART_IC_RXFCF_Msk)
#define USART_IC_IDLECF_Pos               (22UL)                    /*!< USART IC: IDLECF (Bit 22)                             */
#define USART_IC_IDLECF_Msk               (0x400000UL)              /*!< USART IC: IDLECF (Bitfield-Mask: 0x01)                */
#define USART_IC_IDLECF(x)                (((uint32_t)(((uint32_t)(x))<<USART_IC_IDLECF_Pos))&USART_IC_IDLECF_Msk)
#define USART_IC_WUCF_Pos                 (21UL)                    /*!< USART IC: WUCF (Bit 21)                               */
#define USART_IC_WUCF_Msk                 (0x200000UL)              /*!< USART IC: WUCF (Bitfield-Mask: 0x01)                  */
#define USART_IC_WUCF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IC_WUCF_Pos))&USART_IC_WUCF_Msk)
#define USART_IC_CMCF_Pos                 (18UL)                    /*!< USART IC: CMCF (Bit 18)                               */
#define USART_IC_CMCF_Msk                 (0x40000UL)               /*!< USART IC: CMCF (Bitfield-Mask: 0x01)                  */
#define USART_IC_CMCF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IC_CMCF_Pos))&USART_IC_CMCF_Msk)
#define USART_IC_ABRECF_Pos               (15UL)                    /*!< USART IC: ABRECF (Bit 15)                             */
#define USART_IC_ABRECF_Msk               (0x8000UL)                /*!< USART IC: ABRECF (Bitfield-Mask: 0x01)                */
#define USART_IC_ABRECF(x)                (((uint32_t)(((uint32_t)(x))<<USART_IC_ABRECF_Pos))&USART_IC_ABRECF_Msk)
#define USART_IC_EOBCF_Pos                (14UL)                    /*!< USART IC: EOBCF (Bit 14)                              */
#define USART_IC_EOBCF_Msk                (0x4000UL)                /*!< USART IC: EOBCF (Bitfield-Mask: 0x01)                 */
#define USART_IC_EOBCF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_EOBCF_Pos))&USART_IC_EOBCF_Msk)
#define USART_IC_RTOCF_Pos                (13UL)                    /*!< USART IC: RTOCF (Bit 13)                              */
#define USART_IC_RTOCF_Msk                (0x2000UL)                /*!< USART IC: RTOCF (Bitfield-Mask: 0x01)                 */
#define USART_IC_RTOCF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_RTOCF_Pos))&USART_IC_RTOCF_Msk)
#define USART_IC_LBDCF_Pos                (10UL)                    /*!< USART IC: LBDCF (Bit 10)                              */
#define USART_IC_LBDCF_Msk                (0x400UL)                 /*!< USART IC: LBDCF (Bitfield-Mask: 0x01)                 */
#define USART_IC_LBDCF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_LBDCF_Pos))&USART_IC_LBDCF_Msk)
#define USART_IC_TXEIFCF_Pos              (8UL)                     /*!< USART IC: TXEIFCF (Bit 8)                             */
#define USART_IC_TXEIFCF_Msk              (0x100UL)                 /*!< USART IC: TXEIFCF (Bitfield-Mask: 0x01)               */
#define USART_IC_TXEIFCF(x)               (((uint32_t)(((uint32_t)(x))<<USART_IC_TXEIFCF_Pos))&USART_IC_TXEIFCF_Msk)
#define USART_IC_TCCF_Pos                 (7UL)                     /*!< USART IC: TCCF (Bit 7)                                */
#define USART_IC_TCCF_Msk                 (0x80UL)                  /*!< USART IC: TCCF (Bitfield-Mask: 0x01)                  */
#define USART_IC_TCCF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IC_TCCF_Pos))&USART_IC_TCCF_Msk)
#define USART_IC_RXNEIFCF_Pos             (5UL)                     /*!< USART IC: RXNEIFCF (Bit 5)                            */
#define USART_IC_RXNEIFCF_Msk             (0x20UL)                  /*!< USART IC: RXNEIFCF (Bitfield-Mask: 0x01)              */
#define USART_IC_RXNEIFCF(x)              (((uint32_t)(((uint32_t)(x))<<USART_IC_RXNEIFCF_Pos))&USART_IC_RXNEIFCF_Msk)
#define USART_IC_RXFULLCF_Pos             (4UL)                     /*!< USART IC: RXFULLCF (Bit 4)                            */
#define USART_IC_RXFULLCF_Msk             (0x10UL)                  /*!< USART IC: RXFULLCF (Bitfield-Mask: 0x01)              */
#define USART_IC_RXFULLCF(x)              (((uint32_t)(((uint32_t)(x))<<USART_IC_RXFULLCF_Pos))&USART_IC_RXFULLCF_Msk)
#define USART_IC_ORECF_Pos                (3UL)                     /*!< USART IC: ORECF (Bit 3)                               */
#define USART_IC_ORECF_Msk                (0x8UL)                   /*!< USART IC: ORECF (Bitfield-Mask: 0x01)                 */
#define USART_IC_ORECF(x)                 (((uint32_t)(((uint32_t)(x))<<USART_IC_ORECF_Pos))&USART_IC_ORECF_Msk)
#define USART_IC_NCF_Pos                  (2UL)                     /*!< USART IC: NCF (Bit 2)                                 */
#define USART_IC_NCF_Msk                  (0x4UL)                   /*!< USART IC: NCF (Bitfield-Mask: 0x01)                   */
#define USART_IC_NCF(x)                   (((uint32_t)(((uint32_t)(x))<<USART_IC_NCF_Pos))&USART_IC_NCF_Msk)
#define USART_IC_FECF_Pos                 (1UL)                     /*!< USART IC: FECF (Bit 1)                                */
#define USART_IC_FECF_Msk                 (0x2UL)                   /*!< USART IC: FECF (Bitfield-Mask: 0x01)                  */
#define USART_IC_FECF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IC_FECF_Pos))&USART_IC_FECF_Msk)
#define USART_IC_PECF_Pos                 (0UL)                     /*!< USART IC: PECF (Bit 0)                                */
#define USART_IC_PECF_Msk                 (0x1UL)                   /*!< USART IC: PECF (Bitfield-Mask: 0x01)                  */
#define USART_IC_PECF(x)                  (((uint32_t)(((uint32_t)(x))<<USART_IC_PECF_Pos))&USART_IC_PECF_Msk)
/* ==========================================================  RD  =========================================================== */
#define USART_RD_RDR_Pos                  (0UL)                     /*!< USART RD: RDR (Bit 0)                                 */
#define USART_RD_RDR_Msk                  (0x1ffUL)                 /*!< USART RD: RDR (Bitfield-Mask: 0x1ff)                  */
#define USART_RD_RDR(x)                   (((uint32_t)(((uint32_t)(x))<<USART_RD_RDR_Pos))&USART_RD_RDR_Msk)
/* ==========================================================  TD  =========================================================== */
#define USART_TD_TDR_Pos                  (0UL)                     /*!< USART TD: TDR (Bit 0)                                 */
#define USART_TD_TDR_Msk                  (0x1ffUL)                 /*!< USART TD: TDR (Bitfield-Mask: 0x1ff)                  */
#define USART_TD_TDR(x)                   (((uint32_t)(((uint32_t)(x))<<USART_TD_TDR_Pos))&USART_TD_TDR_Msk)


/* =========================================================================================================================== */
/* ================                                           WWDG                                            ================ */
/* =========================================================================================================================== */

/* ==========================================================  CR  =========================================================== */
#define WWDG_CR_EN_Pos                    (7UL)                     /*!< WWDG CR: EN (Bit 7)                                   */
#define WWDG_CR_EN_Msk                    (0x80UL)                  /*!< WWDG CR: EN (Bitfield-Mask: 0x01)                     */
#define WWDG_CR_EN(x)                     (((uint32_t)(((uint32_t)(x))<<WWDG_CR_EN_Pos))&WWDG_CR_EN_Msk)
#define WWDG_CR_TDAT_Pos                  (0UL)                     /*!< WWDG CR: TDAT (Bit 0)                                 */
#define WWDG_CR_TDAT_Msk                  (0x7fUL)                  /*!< WWDG CR: TDAT (Bitfield-Mask: 0x7f)                   */
#define WWDG_CR_TDAT(x)                   (((uint32_t)(((uint32_t)(x))<<WWDG_CR_TDAT_Pos))&WWDG_CR_TDAT_Msk)
/* ==========================================================  CFR  ========================================================== */
#define WWDG_CFR_EWI_Pos                  (9UL)                     /*!< WWDG CFR: EWI (Bit 9)                                 */
#define WWDG_CFR_EWI_Msk                  (0x200UL)                 /*!< WWDG CFR: EWI (Bitfield-Mask: 0x01)                   */
#define WWDG_CFR_EWI(x)                   (((uint32_t)(((uint32_t)(x))<<WWDG_CFR_EWI_Pos))&WWDG_CFR_EWI_Msk)
#define WWDG_CFR_WDGSEL_Pos               (7UL)                     /*!< WWDG CFR: WDGSEL (Bit 7)                              */
#define WWDG_CFR_WDGSEL_Msk               (0x180UL)                 /*!< WWDG CFR: WDGSEL (Bitfield-Mask: 0x03)                */
#define WWDG_CFR_WDGSEL(x)                (((uint32_t)(((uint32_t)(x))<<WWDG_CFR_WDGSEL_Pos))&WWDG_CFR_WDGSEL_Msk)
#define WWDG_CFR_WDAT_Pos                 (0UL)                     /*!< WWDG CFR: WDAT (Bit 0)                                */
#define WWDG_CFR_WDAT_Msk                 (0x7fUL)                  /*!< WWDG CFR: WDAT (Bitfield-Mask: 0x7f)                  */
#define WWDG_CFR_WDAT(x)                  (((uint32_t)(((uint32_t)(x))<<WWDG_CFR_WDAT_Pos))&WWDG_CFR_WDAT_Msk)
/* ==========================================================  SR  =========================================================== */
#define WWDG_SR_EWIF_Pos                  (0UL)                     /*!< WWDG SR: EWIF (Bit 0)                                 */
#define WWDG_SR_EWIF_Msk                  (0x1UL)                   /*!< WWDG SR: EWIF (Bitfield-Mask: 0x01)                   */
#define WWDG_SR_EWIF(x)                   (((uint32_t)(((uint32_t)(x))<<WWDG_SR_EWIF_Pos))&WWDG_SR_EWIF_Msk)
/* ==========================================================  WPR  ========================================================== */
#define WWDG_WPR_KEY_Pos                  (0UL)                     /*!< WWDG WPR: KEY (Bit 0)                                 */
#define WWDG_WPR_KEY_Msk                  (0xffffUL)                /*!< WWDG WPR: KEY (Bitfield-Mask: 0xffff)                 */
#define WWDG_WPR_KEY(x)                   (((uint32_t)(((uint32_t)(x))<<WWDG_WPR_KEY_Pos))&WWDG_WPR_KEY_Msk)

/** @} */ /* End of group PosMask_peripherals */


#ifdef __cplusplus
}
#endif

#endif /* NCC0670_H */


/** @} */ /* End of group nccm0670 */

/** @} */ /* End of group  */
